# 30 Days of Swift

![Alt text](https://raw.githubusercontent.com/allenwong/30DaysofSwift/master/github%20cover.png)

[![Twitter URL](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=https://github.com/allenwong/30DaysofSwift)
[![Twitter Follow](https://img.shields.io/twitter/follow/creativewang.svg?style=social)](https://twitter.com/creativewang)

## Hi Community ##

I am Allen Wang, a [product designer](https://dribbble.com/openallen) and currently learning Swift.

This project was totally inspired by [Sam Lu](https://twitter.com/samvlu)'s [100 Days of Swift](http://samvlu.com/index.html) project, after read his [Medium post](https://medium.com/@samvlu/100-days-of-swift-736d45a19b63#.ayz5vx6mc) I made a decision to put my every single day to write Swift, this's the final code of 30 tiny Swift projects.

## Project Index & GIF Showcase ##

Project 01 - [SimpleStopWatch](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2001%20-%20SimpleStopWatch)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2001%20-%20SimpleStopWatch/Simple%20Stop%20Watch.gif?raw=true)

Project 02 - [CustomFont](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2002%20-%20CustomFont)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2002%20-%20CustomFont/Customfont.gif?raw=true)

Project 03 - [PlayLocalVideo](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2003%20-%20PlayLocalVideo)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2003%20-%20PlayLocalVideo/playvideo.gif?raw=true)

Project 04 - [SnapChatMenu](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2004%20-%20SnapChatMenu)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2004%20-%20SnapChatMenu/snapchatmenu.gif?raw=true)

Project 05 - [CarouselEffect](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2005%20-%20CarouselEffect)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2005%20-%20CarouselEffect/Carousel.gif?raw=true)

Project 06 - [FindMyLocation](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2006%20-%20FindMyLocation)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2006%20-%20FindMyLocation/mylocation.gif?raw=true)

Project 07 - [PullToRefresh](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2007%20-%20PullToRefresh)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2007%20-%20PullToRefresh/pulltorefresh.gif?raw=true)

Project 08 - [RandomGradientColorMusic](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2008%20-%20RandomGradientColorMusic)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2008%20-%20RandomGradientColorMusic/randomMusicColor.gif?raw=true)

Project 09 - [ImageScroller](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2009%20-ImageScroller)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2009%20-ImageScroller/image%20Scroller%20Effect.gif?raw=true)

Project 10 - [VideoBackground](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2010%20-%20VideoBackground)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2010%20-%20VideoBackground/videobg.gif?raw=true)

Project 11 - [ClearTableViewCell](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2011%20-%20ClearTableViewCell)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2011%20-%20ClearTableViewCell/cleartableviewcell.gif?raw=true)

Project 12 - [LoginAnimation](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2012%20-%20LoginAnimation)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2012%20-%20LoginAnimation/simple%20login%20animation.gif?raw=true)

Project 13 - [AnimateTableViewCell](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2013%20-%20AnimateTableViewCell)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2013%20-%20AnimateTableViewCell/AnimateTabel.gif?raw=true)

Project 14 - [EmojiSlotMachine](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2014%20-%20EmojiSlotMachine)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2014%20-%20EmojiSlotMachine/emoji%20spin.gif?raw=true)

Project 15 - [AnimatedSplash](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2015%20-%20%20AnimatedSplash)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2015%20-%20%20AnimatedSplash/splash.gif?raw=true)

Project 16 - [SlideMenu](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2016%20-%20SlideMenu)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2016%20-%20SlideMenu/SlideMenu.gif?raw=true)

Project 17 - [TumblrMenu](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2017%20-%20TumblrMenu)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2017%20-%20TumblrMenu/TumblrMenu.gif?raw=true)

Project 18 - [LimitCharacters](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2018%20-%20LimitCharacters)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2018%20-%20LimitCharacters/Limit.gif?raw=true)

Project 19 - [CustomPullToRefresh](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2019%20-%20CustomPullToRefresh)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2019%20-%20CustomPullToRefresh/CustomPullToRefresh.gif?raw=true)

Project 20 - [CollectionViewAnimation](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2020%20-%20CollectionViewAnimation)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2020%20-%20CollectionViewAnimation/CollectionViewAnimation.gif?raw=true)

Project 21 - [SwipeableCell](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2021%20-%20SwipeableCell)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2021%20-%20SwipeableCell/Swipeable%20Cell.gif?raw=true)

Project 22 - [3DTouchQuickAction](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2022%20-%203DTouchQuickAction)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2022%20-%203DTouchQuickAction/3DTouchQuickAction.gif?raw=true)

Project 23 - [SlideOutMenu](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2023%20-%20SlideOutMenu)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2023%20-%20SlideOutMenu/SlideOutMenu.gif?raw=true)

Project 24 - [MosaicLayout](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2024%20-%20MosaicLayout)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2024%20-%20MosaicLayout/MosaicLayouts.gif?raw=true)

Project 25 - [UIViewBasicAnimation](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2025%20-%20UIViewBasicAnimation)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2025%20-%20UIViewBasicAnimation/BasicAnimation.gif?raw=true)

Project 26 - [CoreDataApp](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2026%20-%20CoreDataApp)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2026%20-%20CoreDataApp/CoreData.gif?raw=true)

Project 27 - [TabbarApp](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2027%20-%20TabbarApp)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2027%20-%20TabbarApp/TapBarAnimation.gif?raw=true)

Project 28 - [SpotlightSearch](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2028%20-%20SpotlightSearch)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2028%20-%20SpotlightSearch/Spotlight%20Search.gif?raw=true)

Project 29 - [iMessageImagePicker](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2029%20-%20iMessageImagePicker)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2029%20-%20iMessageImagePicker/AvatarPicker.gif?raw=true)

Project 30 - [WikiFace](https://github.com/allenwong/30DaysofSwift/tree/master/Project%2030%20-%20WikiFace)

![Alt text](https://github.com/allenwong/30DaysofSwift/blob/master/Project%2030%20-%20WikiFace/wikiFace.gif?raw=true)

## Where I learn from? ##

[Design + Code](https://designcode.io/)

[AppCoda](http://www.appcoda.com/)

[iOSCreator](http://www.ioscreator.com/)

[DevelopersAcademy](http://developersacademy.io/blog/)

[HackingWithSwift](https://www.hackingwithswift.com/)

[GrokSwift](https://grokswift.com/)

[iOS With Girlfriend - Kevinzhow](http://space.bilibili.com/3517995/#!/index)

[Youtube - Jared Davidson](https://www.youtube.com/user/Archetapp)

[Youtube - Geeky Lemon](https://www.youtube.com/user/GeekyLemon)

[Youtube - Brian Advent](https://www.youtube.com/channel/UCysEngjfeIYapEER9K8aikw)

[Youtube - CodeWithChris](https://www.youtube.com/user/CodeWithChris)

## What's next? ##

Update: I made [Wave(浪潮) VPN](http://usewaveapp.com/) for iOS, now on [App Store](https://itunes.apple.com/cn/app/lang-chao-vpn/id1129666220?mt=8).

## License ##

[30 Days of Swift](https://github.com/allenwong/30DaysofSwift) is under the MIT license.

## Reach me ##

Twitter: [@creativewang](https://twitter.com/creativewang)

Dribbble: [Allen Wang](https://dribbble.com/openallen)

Weibo: [@Allen朝辉](http://weibo.com/wangchaohui)
