<p align="center"><img src="https://demo.cachethq.io/img/cachet-logo.svg" width="50%"></p>

<p align="center">
<a href="https://styleci.io/repos/26730195/"><img src="https://styleci.io/repos/26730195/shield" alt="StyleCI"></a>
<a href="https://travis-ci.org/CachetHQ/Cachet"><img src="https://img.shields.io/travis/CachetHQ/Cachet/2.4.svg?style=flat-square" alt="Build Status"></a>
<a href="LICENSE"><img src="https://img.shields.io/badge/license-BSD3-brightgreen.svg?style=flat-square" alt="License"></a>
<a href="https://translate.cachethq.io/project/cachet"><img src="https://d322cqt584bo4o.cloudfront.net/cachet/localized.svg" alt="Localisation"></a>
<a href="https://github.com/CachetHQ/Cachet/releases"><img src="https://img.shields.io/github/release/cachethq/cachet.svg?style=flat-square" alt="Latest Stable Version"></a>
</p>

Cachet is a beautiful and powerful open source status page system.

## Community

You can now [join our Slack community!](http://cachethq-slack.herokuapp.com)

## Overview

- List your service components
- Report incidents
- Customise the look of your status page
- Markdown support for incident messages
- A powerful JSON API
- Metrics
- Multi-lingual
- Subscriber notifications via email
- Two factor authentication

## Requirements

- PHP 5.6.4+ or newer
- HTTP server with PHP support (eg: Apache, Nginx, Caddy)
- [Composer](https://getcomposer.org)
- A supported database: MySQL, PostgreSQL or SQLite

## Installation, Upgrades and Documentation

You can find documentation at [https://docs.cachethq.io](https://docs.cachethq.io).

Here are some useful quick links:

- [Installing Cachet](https://docs.cachethq.io/docs/installing-cachet)
- [Getting started with Docker](https://docs.cachethq.io/docs/get-started-with-docker)

### Demo

To test out the demo, you may login to the [Dashboard](https://demo.cachethq.io/dashboard) with the following:

- **Username:** `test` or `test@test.com`
- **Password:** `test123`

> The demo resets every 30 minutes.

### v2.4 Demo

To test out the demo, you may login to the [Dashboard](https://dev.cachethq.io/dashboard) with the following:

- **Username:** `test` or `test@test.com`
- **Password:** `test123`

> The demo resets every 30 minutes.

## Translate Cachet

If you'd like to contribute translations, please check out our [CrowdIn project](https://crowdin.com/project/cachet).

## Professional Installation Service

We offer a professional installation service. To find out more, email us at [support@alt-three.com](mailto:support@alt-three.com?Cachet%20Installation)

## Security Vulnerabilities

If you discover a security vulnerability within Cachet, please send an e-mail to us at support@alt-three.com. We handle all security vulnerabilities on a case-by-case basis.
