# [Flat UI Free](http://designmodo.github.io/Flat-UI/)

[![Join the chat at https://gitter.im/designmodo/Flat-UI](https://badges.gitter.im/designmodo/Flat-UI.svg)](https://gitter.im/designmodo/Flat-UI?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![CDNJS](https://img.shields.io/cdnjs/v/flat-ui.svg)](https://cdnjs.com/libraries/flat-ui/)

Flat UI is a beautiful theme for [Bootstrap](http://getbootstrap.com). We have redesigned many of its components to look flat in every pixel.

To get started, check out [getting started page](http://designmodo.github.io/Flat-UI/docs/getting-started.html) or follow instructions below.


## Links:

+ [Demo Page](http://designmodo.github.io/Flat-UI/)
+ [Download PSD](https://designmodo.com/flat-free/) (for designers)
+ [Flat UI Pro 1.3.2](https://designmodo.com/flat/) (from $39)


## Quick start

Three quick start options are available:

- [Download the latest release](https://github.com/designmodo/Flat-UI/archive/2.3.0.zip).
- Clone the repo: `git clone https://github.com/designmodo/Flat-UI.git`.
- Install with [Bower](http://bower.io): `bower install flat-ui`.

Run `npm install` and `bower install` to install dependencies.

Read the [getting started page](http://designmodo.github.io/Flat-UI/docs/getting-started.html) for information on the framework contents.

Examples: <https://github.com/designmodo/Flat-UI/tree/master/docs/examples>.


### What's included

Within the download you'll find the following directories and files, logically grouping common assets and providing both compiled and minified variations. You'll see something like this:

```
flat-ui/
├── dist/
|   ├── css/
|   |   ├── vendors/
│   |   ├── flat-ui.css
│   |   └── flat-ui.min.css
|   ├── js/
|   |   ├── vendors/
│   |   ├── flat-ui.js
│   |   └── flat-ui.min.js
|   ├── fonts/
|   |   ├── lato/
|   |   └── glyphicons/
|   |        ├── flat-ui-icons-regular.eot
|   |        ├── flat-ui-icons-regular.svg
|   |        ├── flat-ui-icons-regular.ttf
|   |        ├── flat-ui-icons-regular.woff
|   |        └── selection.json
|   ├── img/
|   └── index.html
├── docs/
|   ├── examples/
|   ├── components.html
|   ├── getting-started.html
|   └── template.html
├── fonts/
|   ├── glyphicons/
|   └── lato/
├── img/
├── js/
└── less/
    ├── mixins/
    ├── modules/
    ├── flat-ui.less
    ├── mixins.less
    └── variables.less

```

We provide compiled CSS and JS (`flat-ui.*`), as well as compiled and minified CSS and JS (`flat-ui.min.*`). Fonts with icons are included.


## Documentation

Flat UI's documentation, included in this repo in the docs directory and publicly hosted on GitHub Pages at <http://designmodo.github.io/Flat-UI/docs/components.html>.


## SASS support

If you are interested in SASS source files - you can visit this project made by @wingrunr21: 
[Designmodo's Flat-UI ported to SASS with support for Flat-UI Pro](https://github.com/wingrunr21/flat-ui-sass)


## Authors

**Sergey Shmidt**

+ <http://shmidt.in>
+ <http://twitter.com/monstercritic>

**Sergii Iurevych**

+ <http://twitter.com/iurevych>
+ <http://github.com/iurevych>

**Dmitry Pytkin**

+ <http://twitter.com/pytkin>
+ <http://github.com/pytkin>


## Copyright and license

Flat UI Free is licensed under a Creative Commons Attribution 3.0 Unported (CC BY 3.0)  (http://creativecommons.org/licenses/by/3.0/) and MIT License - http://opensource.org/licenses/mit-license.html.

You are allowed to use these elements anywhere you want, however we’ll highly appreciate if you will link to our [website](https://designmodo.com).

## Typeface

Flat UI Free is made using the Lato typeface, which can be downloaded for free here: http://www.google.com/webfonts/specimen/Lato

## Useful Links (How To)

More products from Designmodo: <https://designmodo.com/shop/>

Designmodo Market: <http://market.designmodo.com/>

Tutorials: <https://designmodo.com/tutorials/>

Freebies: <https://designmodo.com/freebies/>

Affiliate Program (earn money): <https://designmodo.com/affiliates/>

Social Media:

Twitter: <http://www.twitter.com/designmodo>

Facebook: <http://www.facebook.com/designmodo>

RSS: <http://feeds.feedburner.com/designmodo>

Google+: <https://www.google.com/+DesignModo>
