# ASP.NET SignalR 

ASP.NET SignalR is a library for ASP.NET developers that makes it incredibly simple to add real-time web functionality to your applications. What is "real-time web" functionality? It's the ability to have your server-side code push content to the connected clients as it happens, in real-time.

## What can it be used for?
Pushing data from the server to the client (not just browser clients) has always been a tough problem. SignalR makes 
it dead easy and handles all the heavy lifting for you.

## Documentation
See the [documentation](http://asp.net/signalr)

## Get it on NuGet!

    Install-Package Microsoft.AspNet.SignalR

## Get a sample on NuGet, straight into your app!

    Install-Package Microsoft.AspNet.SignalR.Sample
	
## LICENSE
[Apache 2.0 License](https://github.com/SignalR/SignalR/blob/master/LICENSE.txt)

## Contributing

See the [contribution  guidelines](https://github.com/SignalR/SignalR/blob/master/CONTRIBUTING.md)

## Building the source

```
git clone git@github.com:SignalR/SignalR.git (or https if you use https)
```

### Windows
After cloning the repository, run `build.cmd`.

**NOTE:** Opening the solution requires VS 2015.

### Mono
After cloning the repository, run `make`.

Open Microsoft.AspNet.SignalR.Mono.sln to do development.

## Questions?
The SignalR team hangs out in the [signalr](http://jabbr.net/#/rooms/signalr) room at on [JabbR](http://jabbr.net/).
