awesome-ios-ui [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
==============

A curated list of awesome iOS UI/UX libraries.
Inspired by [wasabeef]'s excellent [Android Version].

### Contributing

Found a UI/UX library that you think is _awesome_?? Want to share it with the world? Add your repo's information to my [awesome-creator], where I keep the library metadata!

### Index
* [Animations and Transitions](#animations-and-transitions) - [file](/pages/Animations.md)
* [Badges](#badges) - [file](/pages/Badges.md)
* [Calendars](#calendars) - [file](/pages/Calendars.md)
* [Effects](#effects) - [file](/pages/Effects.md)
* [Material Design](#material-design) - [file](/pages/MaterialDesign.md)
* [Notifications and Alerts](#notifications-and-alerts) - [file](/pages/NotificationsAlerts.md)
* [Onboarding and Tutorials](#onboarding-and-tutorials) - [file](/pages/Onboarding.md)
* [Photo and Video](#photo-and-video) - [file](/pages/PhotoVideo.md)
* [Progress Views](#progress-views) - [file](/pages/ProgressViews.md)
* [RefreshControls](#refreshcontrols) - [file](/pages/RefreshControls.md)
* [Side Menu](#side-menu) - [file](/pages/SideMenu.md)
* [Tab Bars](#tab-bars) - [file](/pages/TabBars.md)
* [Table/Collection Views](#tablecollection-views) - [file](/pages/TableCollectionViews.md)
* [User Input](#user-input) - [file](/pages/UserInput.md)

Animations and Transitions
==========================
Repo | Demo
--- | ---
[AnimatedTransitionGallery](https://github.com/shu223/AnimatedTransitionGallery) <br> [![](http://gh-btns.cjwirth.com/stars/shu223/AnimatedTransitionGallery)](https://github.com/shu223/AnimatedTransitionGallery/stargazers) <br> Language: Obj-C <br> License: [Unknown][Unknown] | <img src="/assets/AnimatedTransitionGallery1.gif">
[RZTransitions](https://github.com/Raizlabs/RZTransitions) <br> [![](http://gh-btns.cjwirth.com/stars/Raizlabs/RZTransitions)](https://github.com/Raizlabs/RZTransitions/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RZTransitions1.gif" width="49%" >
[DCAnimationKit](https://github.com/daltoniam/DCAnimationKit) <br> [![](http://gh-btns.cjwirth.com/stars/daltoniam/DCAnimationKit)](https://github.com/daltoniam/DCAnimationKit/stargazers) <br> Language: Obj-C <br> License: [Apache v2][Apache v2] | <img src="/assets/DCAnimationKit1.gif" width="49%" > <img src="/assets/DCAnimationKit2.gif" width="49%" >
[PMTween](https://github.com/poetmountain/PMTween) <br> [![](http://gh-btns.cjwirth.com/stars/poetmountain/PMTween)](https://github.com/poetmountain/PMTween/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/PMTween1.gif"> <img src="/assets/PMTween2.gif">
[SAHistoryNavigationViewController](https://github.com/szk-atmosphere/SAHistoryNavigationViewController) <br> [![](http://gh-btns.cjwirth.com/stars/szk-atmosphere/SAHistoryNavigationViewController)](https://github.com/szk-atmosphere/SAHistoryNavigationViewController/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/SAHistoryNavigationViewController1.gif">
[WobbleView](https://github.com/inFullMobile/WobbleView) <br> [![](http://gh-btns.cjwirth.com/stars/inFullMobile/WobbleView)](https://github.com/inFullMobile/WobbleView/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/wobble-view.gif">
[CBZSplashView](https://github.com/callumboddy/CBZSplashView) <br> [![](http://gh-btns.cjwirth.com/stars/callumboddy/CBZSplashView)](https://github.com/callumboddy/CBZSplashView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/CBZSplashView1.gif" width="49%" >


Badges
======
Repo | Demo
--- | ---
[RKNotificationHub](https://github.com/cwRichardKim/RKNotificationHub) <br> [![](http://gh-btns.cjwirth.com/stars/cwRichardKim/RKNotificationHub)](https://github.com/cwRichardKim/RKNotificationHub/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RKNotificationHub1.gif">
[BBBadgeBarButtonItem](https://github.com/TanguyAladenise/BBBadgeBarButtonItem) <br> [![](http://gh-btns.cjwirth.com/stars/TanguyAladenise/BBBadgeBarButtonItem)](https://github.com/TanguyAladenise/BBBadgeBarButtonItem/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/BBBadgeBarButtonItem1.png">
[JSBadgeView](https://github.com/JaviSoto/JSBadgeView) <br> [![](http://gh-btns.cjwirth.com/stars/JaviSoto/JSBadgeView)](https://github.com/JaviSoto/JSBadgeView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/JSBadgeView1.png"> <img src="/assets/JSBadgeView2.png">


Calendars
=========
Repo | Demo
--- | ---
[FSCalendar](https://github.com/WenchaoIOS/FSCalendar) <br> [![](http://gh-btns.cjwirth.com/stars/WenchaoIOS/FSCalendar)](https://github.com/WenchaoIOS/FSCalendar/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/FSCalendar1.jpg">
[GLCalendarView](https://github.com/Glow-Inc/GLCalendarView) <br> [![](http://gh-btns.cjwirth.com/stars/Glow-Inc/GLCalendarView)](https://github.com/Glow-Inc/GLCalendarView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/GLCalendarView1.gif">
[JTCalendar](https://github.com/jonathantribouharet/JTCalendar) <br> [![](http://gh-btns.cjwirth.com/stars/jonathantribouharet/JTCalendar)](https://github.com/jonathantribouharet/JTCalendar/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/JTCalendar1.gif"> <img src="/assets/JTCalendar2.png">


Effects
=======
Repo | Demo
--- | ---
[FLAnimatedImage](https://github.com/Flipboard/FLAnimatedImage) <br> [![](http://gh-btns.cjwirth.com/stars/Flipboard/FLAnimatedImage)](https://github.com/Flipboard/FLAnimatedImage/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/FLAnimatedImage1.gif" width="49%" >
[PulsingHalo](https://github.com/shu223/PulsingHalo) <br> [![](http://gh-btns.cjwirth.com/stars/shu223/PulsingHalo)](https://github.com/shu223/PulsingHalo/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/PulsingHalo1.gif">
[UITextField-Shake](https://github.com/andreamazz/UITextField-Shake) <br> [![](http://gh-btns.cjwirth.com/stars/andreamazz/UITextField-Shake)](https://github.com/andreamazz/UITextField-Shake/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/UITextField-Shake1.gif">


Material Design
===============
Repo | Demo
--- | ---
[Material](https://github.com/CosmicMind/Material) <br> [![](http://gh-btns.cjwirth.com/stars/CosmicMind/Material)](https://github.com/CosmicMind/Material/stargazers) <br> Language: Swift <br> License: [BSD-3][BSD-3] | <img src="/assets/Material1.gif"> <img src="/assets/Material2.gif"> <img src="/assets/Material3.gif">
[MaterialKit](https://github.com/nghialv/MaterialKit) <br> [![](http://gh-btns.cjwirth.com/stars/nghialv/MaterialKit)](https://github.com/nghialv/MaterialKit/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/MaterialKit1.gif">


Notifications and Alerts
========================
Repo | Demo
--- | ---
[TSMessages](https://github.com/KrauseFx/TSMessages) <br> [![](http://gh-btns.cjwirth.com/stars/KrauseFx/TSMessages)](https://github.com/KrauseFx/TSMessages/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/TSMessages1.png"> <img src="/assets/TSMessages2.png"> <img src="/assets/TSMessages3.png">
[CRToast](https://github.com/cruffenach/CRToast) <br> [![](http://gh-btns.cjwirth.com/stars/cruffenach/CRToast)](https://github.com/cruffenach/CRToast/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/CRToast1.gif">
[TWMessageBarManager](https://github.com/terryworona/TWMessageBarManager) <br> [![](http://gh-btns.cjwirth.com/stars/terryworona/TWMessageBarManager)](https://github.com/terryworona/TWMessageBarManager/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/TWMessageBarManager1.png">
[RKDropdownAlert](https://github.com/cwRichardKim/RKDropdownAlert) <br> [![](http://gh-btns.cjwirth.com/stars/cwRichardKim/RKDropdownAlert)](https://github.com/cwRichardKim/RKDropdownAlert/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RKDropdownAlert1.gif" width="49%" > <img src="/assets/RKDropdownAlert2.gif" width="49%" >
[SimpleAlert](https://github.com/KyoheiG3/SimpleAlert) <br> [![](http://gh-btns.cjwirth.com/stars/KyoheiG3/SimpleAlert)](https://github.com/KyoheiG3/SimpleAlert/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/SimpleAlert1.gif">
[JFMinimalNotifications](https://github.com/atljeremy/JFMinimalNotifications) <br> [![](http://gh-btns.cjwirth.com/stars/atljeremy/JFMinimalNotifications)](https://github.com/atljeremy/JFMinimalNotifications/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/JFMinimalNotifications1.gif" width="49%" > <img src="/assets/JFMinimalNotifications2.gif" width="49%" > <img src="/assets/JFMinimalNotifications3.jpeg">
[MGFashionMenuView](https://github.com/matteogobbi/MGFashionMenuView) <br> [![](http://gh-btns.cjwirth.com/stars/matteogobbi/MGFashionMenuView)](https://github.com/matteogobbi/MGFashionMenuView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MGFashionMenuView1.gif">
[KLCPopup](https://github.com/jmascia/KLCPopup) <br> [![](http://gh-btns.cjwirth.com/stars/jmascia/KLCPopup)](https://github.com/jmascia/KLCPopup/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/KLCPopup1.gif" width="49%" >
[MZFormSheetController](https://github.com/m1entus/MZFormSheetController) <br> [![](http://gh-btns.cjwirth.com/stars/m1entus/MZFormSheetController)](https://github.com/m1entus/MZFormSheetController/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MZFormSheetController1.png" width="49%" > <img src="/assets/MZFormSheetController2.gif" width="49%" >
[Notie](https://github.com/thii/Notie) <br> [![](http://gh-btns.cjwirth.com/stars/thii/Notie)](https://github.com/thii/Notie/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/Notie1.gif" width="49%" >
[LNNotificationsUI](https://github.com/LeoNatan/LNNotificationsUI) <br> [![](http://gh-btns.cjwirth.com/stars/LeoNatan/LNNotificationsUI)](https://github.com/LeoNatan/LNNotificationsUI/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/LNNotificationsUI1.gif">


Onboarding and Tutorials
========================
Repo | Demo
--- | ---
[JazzHands](https://github.com/IFTTT/JazzHands) <br> [![](http://gh-btns.cjwirth.com/stars/IFTTT/JazzHands)](https://github.com/IFTTT/JazzHands/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/JazzHands1.gif">
[MYBlurIntroductionView](https://github.com/MatthewYork/MYBlurIntroductionView) <br> [![](http://gh-btns.cjwirth.com/stars/MatthewYork/MYBlurIntroductionView)](https://github.com/MatthewYork/MYBlurIntroductionView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MYBlurIntroductionView1.gif" width="49%" >
[Onboard](https://github.com/mamaral/Onboard) <br> [![](http://gh-btns.cjwirth.com/stars/mamaral/Onboard)](https://github.com/mamaral/Onboard/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/Onboard1.gif" width="49%" >


Photo and Video
===============
Repo | Demo
--- | ---
[MWPhotoBrowser](https://github.com/mwaterfall/MWPhotoBrowser) <br> [![](http://gh-btns.cjwirth.com/stars/mwaterfall/MWPhotoBrowser)](https://github.com/mwaterfall/MWPhotoBrowser/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MWPhotoBrowser1.png" width="49%" > <img src="/assets/MWPhotoBrowser2.png" width="49%" > <img src="/assets/MWPhotoBrowser3.png" width="49%" > <img src="/assets/MWPhotoBrowser4.png" width="49%" >
[XCDYouTubeKit](https://github.com/0xced/XCDYouTubeKit) <br> [![](http://gh-btns.cjwirth.com/stars/0xced/XCDYouTubeKit)](https://github.com/0xced/XCDYouTubeKit/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/XCDYouTubeKit1.png">
[MHVideoPhotoGallery](https://github.com/mariohahn/MHVideoPhotoGallery) <br> [![](http://gh-btns.cjwirth.com/stars/mariohahn/MHVideoPhotoGallery)](https://github.com/mariohahn/MHVideoPhotoGallery/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MHVideoPhotoGallery1.gif" width="49%" > <img src="/assets/MHVideoPhotoGallery2.gif" width="49%" > <img src="/assets/MHVideoPhotoGallery3.gif" width="49%" > <img src="/assets/MHVideoPhotoGallery4.gif" width="49%" >
[EBPhotoPages](https://github.com/EddyBorja/EBPhotoPages) <br> [![](http://gh-btns.cjwirth.com/stars/EddyBorja/EBPhotoPages)](https://github.com/EddyBorja/EBPhotoPages/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/EBPhotoPages1.png" width="49%" > <img src="/assets/EBPhotoPages2.png" width="49%" > <img src="/assets/EBPhotoPages3.png" width="49%" > <img src="/assets/EBPhotoPages4.png" width="49%" >
[ASMediaFocusManager](https://github.com/autresphere/ASMediaFocusManager) <br> [![](http://gh-btns.cjwirth.com/stars/autresphere/ASMediaFocusManager)](https://github.com/autresphere/ASMediaFocusManager/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/ASMediaFocusManager1.gif"> <img src="/assets/ASMediaFocusManager2.gif">
[VideoSplashKit](https://github.com/movielala/VideoSplashKit) <br> [![](http://gh-btns.cjwirth.com/stars/movielala/VideoSplashKit)](https://github.com/movielala/VideoSplashKit/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/VideoSplash1.gif">


Progress Views
==============
Repo | Demo
--- | ---
[MBProgressHUD](https://github.com/jdg/MBProgressHUD) <br> [![](http://gh-btns.cjwirth.com/stars/jdg/MBProgressHUD)](https://github.com/jdg/MBProgressHUD/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MBProgressHUD1.png"> <img src="/assets/MBProgressHUD2.png"> <img src="/assets/MBProgressHUD3.png"> <img src="/assets/MBProgressHUD4.png"> <img src="/assets/MBProgressHUD5.png"> <img src="/assets/MBProgressHUD6.png"> <img src="/assets/MBProgressHUD7.png">
[MRProgress](https://github.com/mrackwitz/MRProgress) <br> [![](http://gh-btns.cjwirth.com/stars/mrackwitz/MRProgress)](https://github.com/mrackwitz/MRProgress/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MRProgress2.jpg"> <img src="/assets/MRProgress4.jpg"> <img src="/assets/MRProgress6.jpg">
[M13ProgressSuite](https://github.com/Marxon13/M13ProgressSuite) <br> [![](http://gh-btns.cjwirth.com/stars/Marxon13/M13ProgressSuite)](https://github.com/Marxon13/M13ProgressSuite/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/M13ProgressSuite1.gif"> <img src="/assets/M13ProgressSuite2.gif"> <img src="/assets/M13ProgressSuite3.gif"> <img src="/assets/M13ProgressSuite4.gif"> <img src="/assets/M13ProgressSuite5.gif"> <img src="/assets/M13ProgressSuite6.gif"> <img src="/assets/M13ProgressSuite7.gif"> <img src="/assets/M13ProgressSuite8.gif">
[FFCircularProgressView](https://github.com/elbryan/FFCircularProgressView) <br> [![](http://gh-btns.cjwirth.com/stars/elbryan/FFCircularProgressView)](https://github.com/elbryan/FFCircularProgressView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/FFCircularProgressView1.gif">
[GaugeKit](https://github.com/skywinder/GaugeKit) <br> [![](http://gh-btns.cjwirth.com/stars/skywinder/GaugeKit)](https://github.com/skywinder/GaugeKit/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/GaugeKit1.gif">
[NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView) <br> [![](http://gh-btns.cjwirth.com/stars/ninjaprox/NVActivityIndicatorView)](https://github.com/ninjaprox/NVActivityIndicatorView/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/NVActivityIndicatorView1.gif">


RefreshControls
===============
Repo | Demo
--- | ---
[CBStoreHouseRefreshControl](https://github.com/coolbeet/CBStoreHouseRefreshControl) <br> [![](http://gh-btns.cjwirth.com/stars/coolbeet/CBStoreHouseRefreshControl)](https://github.com/coolbeet/CBStoreHouseRefreshControl/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/CBStoreHouseRefreshControl1.gif"> <img src="/assets/CBStoreHouseRefreshControl2.gif">
[UzysAnimatedGifPullToRefresh](https://github.com/uzysjung/UzysAnimatedGifPullToRefresh) <br> [![](http://gh-btns.cjwirth.com/stars/uzysjung/UzysAnimatedGifPullToRefresh)](https://github.com/uzysjung/UzysAnimatedGifPullToRefresh/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/UzysAnimatedGifPullToRefresh1.gif">
[BOZPongRefreshControl](https://github.com/boztalay/BOZPongRefreshControl) <br> [![](http://gh-btns.cjwirth.com/stars/boztalay/BOZPongRefreshControl)](https://github.com/boztalay/BOZPongRefreshControl/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/BOZPongRefreshControl1.gif">
[mntpulltoreact](https://github.com/mentionapp/mntpulltoreact) <br> [![](http://gh-btns.cjwirth.com/stars/mentionapp/mntpulltoreact)](https://github.com/mentionapp/mntpulltoreact/stargazers) <br> Language: Obj-C <br> License: [Apache v2][Apache v2] | <img src="/assets/MNTPullToReact1.gif">
[UzysCircularProgressPullToRefresh](https://github.com/uzysjung/UzysCircularProgressPullToRefresh) <br> [![](http://gh-btns.cjwirth.com/stars/uzysjung/UzysCircularProgressPullToRefresh)](https://github.com/uzysjung/UzysCircularProgressPullToRefresh/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/UzysCircularProgressPullToRefresh1.gif">
[PullToRefreshCoreText](https://github.com/cemolcay/PullToRefreshCoreText) <br> [![](http://gh-btns.cjwirth.com/stars/cemolcay/PullToRefreshCoreText)](https://github.com/cemolcay/PullToRefreshCoreText/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/PullToRefreshCoreText1.gif">


Side Menu
=========
Repo | Demo
--- | ---
[RESideMenu](https://github.com/romaonthego/RESideMenu) <br> [![](http://gh-btns.cjwirth.com/stars/romaonthego/RESideMenu)](https://github.com/romaonthego/RESideMenu/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RESideMenu1.gif">
[REFrostedViewController](https://github.com/romaonthego/REFrostedViewController) <br> [![](http://gh-btns.cjwirth.com/stars/romaonthego/REFrostedViewController)](https://github.com/romaonthego/REFrostedViewController/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/REFrostedViewController1.gif" width="49%" >
[TWTSideMenuViewController](https://github.com/twotoasters/TWTSideMenuViewController) <br> [![](http://gh-btns.cjwirth.com/stars/twotoasters/TWTSideMenuViewController)](https://github.com/twotoasters/TWTSideMenuViewController/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/TWTSideMenuViewController1.gif">
[AMSlideMenu](https://github.com/SocialObjects-Software/AMSlideMenu) <br> [![](http://gh-btns.cjwirth.com/stars/SocialObjects-Software/AMSlideMenu)](https://github.com/SocialObjects-Software/AMSlideMenu/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/AMSlideMenu1.gif">
[CariocaMenu](https://github.com/arn00s/cariocamenu) <br> [![](http://gh-btns.cjwirth.com/stars/arn00s/CariocaMenu)](https://github.com/arn00s/CariocaMenu/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/cariocamenu.gif">


Tab Bars
========
Repo | Demo
--- | ---
[MinimalTabBar](https://github.com/jamesdunay/MinimalTabBar) <br> [![](http://gh-btns.cjwirth.com/stars/jamesdunay/MinimalTabBar)](https://github.com/jamesdunay/MinimalTabBar/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MinimalTabBar1.gif">
[adaptive-tab-bar](https://github.com/Ramotion/adaptive-tab-bar) <br> [![](http://gh-btns.cjwirth.com/stars/Ramotion/adaptive-tab-bar)](https://github.com/Ramotion/adaptive-tab-bar/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/adaptive-tab-bar1.png">
[FoldingTabBar.iOS](https://github.com/Yalantis/FoldingTabBar.iOS) <br> [![](http://gh-btns.cjwirth.com/stars/Yalantis/FoldingTabBar.iOS)](https://github.com/Yalantis/FoldingTabBar.iOS/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/FoldingTabBar.iOS1.gif">
[GGTabBar](https://github.com/Goles/GGTabBar) <br> [![](http://gh-btns.cjwirth.com/stars/Goles/GGTabBar)](https://github.com/Goles/GGTabBar/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/GGTabBar1.png">
[BFPaperTabBarController](https://github.com/bfeher/BFPaperTabBarController) <br> [![](http://gh-btns.cjwirth.com/stars/bfeher/BFPaperTabBarController)](https://github.com/bfeher/BFPaperTabBarController/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/BFPaperTabBarController1.gif">


Table/Collection Views
======================
Repo | Demo
--- | ---
[MPSkewed](https://github.com/MP0w/MPSkewed) <br> [![](http://gh-btns.cjwirth.com/stars/MP0w/MPSkewed)](https://github.com/MP0w/MPSkewed/stargazers) <br> Language: Obj-C <br> License: [BSD-3][BSD-3] | <img src="/assets/MPSkewed1.gif" width="49%" > <img src="/assets/MPSkewed2.gif" width="49%" >
[RATreeView](https://github.com/Augustyniak/RATreeView) <br> [![](http://gh-btns.cjwirth.com/stars/Augustyniak/RATreeView)](https://github.com/Augustyniak/RATreeView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RATreeView1.gif" width="75%" >
[MosaicLayout](https://github.com/betzerra/MosaicLayout) <br> [![](http://gh-btns.cjwirth.com/stars/betzerra/MosaicLayout)](https://github.com/betzerra/MosaicLayout/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MosaicLayout1.png">
[DSDynamicScrollView](https://github.com/damirstuhec/DSDynamicScrollView) <br> [![](http://gh-btns.cjwirth.com/stars/damirstuhec/DSDynamicScrollView)](https://github.com/damirstuhec/DSDynamicScrollView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/DSDynamicScrollView1.gif">
[CSStickyHeaderFlowLayout](https://github.com/jamztang/CSStickyHeaderFlowLayout) <br> [![](http://gh-btns.cjwirth.com/stars/jamztang/CSStickyHeaderFlowLayout)](https://github.com/jamztang/CSStickyHeaderFlowLayout/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/CSStickyHeaderFlowLayout1.gif" width="49%" > <img src="/assets/CSStickyHeaderFlowLayout2.gif" width="49%" > <img src="/assets/CSStickyHeaderFlowLayout3.gif" width="49%" >
[BLKFlexibleHeightBar](https://github.com/bryankeller/BLKFlexibleHeightBar) <br> [![](http://gh-btns.cjwirth.com/stars/bryankeller/BLKFlexibleHeightBar)](https://github.com/bryankeller/BLKFlexibleHeightBar/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/BLKFlexibleHeightBar1.gif" width="49%" > <img src="/assets/BLKFlexibleHeightBar2.gif" width="49%" >
[SAParallaxViewControllerSwift](https://github.com/szk-atmosphere/SAParallaxViewControllerSwift) <br> [![](http://gh-btns.cjwirth.com/stars/szk-atmosphere/SAParallaxViewControllerSwift)](https://github.com/szk-atmosphere/SAParallaxViewControllerSwift/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/SAParallaxViewControllerSwift1.gif">
[MGSpotyViewController](https://github.com/matteogobbi/MGSpotyViewController) <br> [![](http://gh-btns.cjwirth.com/stars/matteogobbi/MGSpotyViewController)](https://github.com/matteogobbi/MGSpotyViewController/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/MGSpotyViewController1.gif">
[RAReorderableLayout](https://github.com/ra1028/RAReorderableLayout) <br> [![](http://gh-btns.cjwirth.com/stars/ra1028/RAReorderableLayout)](https://github.com/ra1028/RAReorderableLayout/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/RAReorderableLayout1.gif">


User Input
==========
Repo | Demo
--- | ---
[RKRichTextView](https://github.com/ren6/RKRichTextView) <br> [![](http://gh-btns.cjwirth.com/stars/ren6/RKRichTextView)](https://github.com/ren6/RKRichTextView/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/RKRichTextView1.png">
[ZSSRichTextEditor](https://github.com/nnhubbard/ZSSRichTextEditor) <br> [![](http://gh-btns.cjwirth.com/stars/nnhubbard/ZSSRichTextEditor)](https://github.com/nnhubbard/ZSSRichTextEditor/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/ZSSRichTextEditor1.gif">
[RichEditorView](https://github.com/cjwirth/RichEditorView) <br> [![](http://gh-btns.cjwirth.com/stars/cjwirth/RichEditorView)](https://github.com/cjwirth/RichEditorView/stargazers) <br> Language: Swift <br> License: [BSD-3][BSD-3] | <img src="/assets/RichEditorView1.gif">
[TextFieldEffects](https://github.com/raulriera/TextFieldEffects) <br> [![](http://gh-btns.cjwirth.com/stars/raulriera/TextFieldEffects)](https://github.com/raulriera/TextFieldEffects/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/TextFieldEffects.gif">
[SlackTextViewController](https://github.com/slackhq/SlackTextViewController) <br> [![](http://gh-btns.cjwirth.com/stars/slackhq/SlackTextViewController)](https://github.com/slackhq/SlackTextViewController/stargazers) <br> Language: Obj-C <br> License: [Apache v2][Apache v2] | <img src="/assets/SlackTextViewController1.gif">
[JVFloatLabeledTextField](https://github.com/jverdi/JVFloatLabeledTextField) <br> [![](http://gh-btns.cjwirth.com/stars/jverdi/JVFloatLabeledTextField)](https://github.com/jverdi/JVFloatLabeledTextField/stargazers) <br> Language: Obj-C <br> License: [MIT][MIT] | <img src="/assets/JVFloatLabeledTextField1.gif" width="100%" >
[ActionSheetPicker-3.0](https://github.com/skywinder/ActionSheetPicker-3.0) <br> [![](http://gh-btns.cjwirth.com/stars/skywinder/ActionSheetPicker-3.0)](https://github.com/skywinder/ActionSheetPicker-3.0/stargazers) <br> Language: Obj-C <br> License: [BSD-3][BSD-3] | <img src="/assets/ActionSheetPicker3.gif">
[HTYTextField](https://github.com/hanton/HTYTextField) <br> [![](http://gh-btns.cjwirth.com/stars/hanton/HTYTextField)](https://github.com/hanton/HTYTextField/stargazers) <br> Language: Swift <br> License: [MIT][MIT] | <img src="/assets/HTYTextField1.gif">



[wasabeef]: https://github.com/wasabeef
[Android Version]: https://github.com/wasabeef/awesome-android-ui
[awesome-creator]: https://github.com/cjwirth/awesome-creator
[MIT]: http://opensource.org/licenses/MIT
[Apache v2]: https://www.apache.org/licenses/LICENSE-2.0
[BSD-2]: http://opensource.org/licenses/BSD-2-Clause
[BSD-3]: http://opensource.org/licenses/BSD-3-Clause
[Unknown]: https://github.com/shu223/AnimatedTransitionGallery/issues/5
