# 微信小程序开发资源汇总

## QQ交流群

- [微信小程序1号群](https://jq.qq.com/?_wv=1027&k=5vqgNd0)：593495800
- [微信小程序2号群](https://jq.qq.com/?_wv=1027&k=5DYIJtv)：139122611
- [微信小程序3号群](https://jq.qq.com/?_wv=1027&k=5pNiKHt)：682463867

## 目录

- [官方文档](#官方文档)
- [新闻报道](#新闻报道)
- [社区](#社区)
- [工具](#工具)
- [插件](#插件)
- [分析](#分析)
- [讨论](#讨论)
- [教程](#教程)
- [视频教程](#视频教程)
- [文章](#文章)
- [代码](#代码)
- [轮子](#轮子)

## 置顶

- [WePY：组件化的小程序开发框架](https://github.com/Tencent/wepy) :100:
- [WePY 开发资源汇总](https://github.com/aben1188/awesome-wepy) :100:
- [ZanUI-WeApp: 高颜值、好用、易扩展的微信小程序 UI 库，Powered by 有赞](https://github.com/youzan/zanui-weapp) :100:

## 官方文档

- [小程序开发文档](https://mp.weixin.qq.com/debug/wxadoc/dev/index.html)
- [小程序设计指南](https://mp.weixin.qq.com/debug/wxadoc/design/index.html)
- [小程序开发者工具](https://mp.weixin.qq.com/debug/wxadoc/dev/devtools/download.html)

## 新闻报道

- [微信正式开放内测“小程序”，不开发APP的日子真的来了？(36氪 • 缪定纯 • 2016-09-22 09:05)](https://36kr.com/p/5053349.html)
- [关于微信小程序（应用号），我能透露的几个细节(可能吧 • Jason Ng • 2016-9-22)](https://kenengba.com/post/3515.html)
- [你的产品适不适合做微信小程序？你需要这篇产品逻辑分析(虎嗅网 • 三节课 • 2016-9-22)](https://www.huxiu.com/article/164700.html)

## 社区

- [WXOPEN Club | 微信小程序专业社区](http://wxopen.club/)
- [wxapp-union | 微信小程序联盟](http://www.wxapp-union.com/)
- [larkapp | 白鹭青雀社区](http://bbs.larkapp.com/)
- [蜂鸟小程序开发者社区](http://weixin1024.cn/)
- [微信小程序垂直开发社区](https://weappdev.com/)

## 工具

- [WePY 一个支持组件化的小程序开发框架](https://github.com/Tencent/wepy)
- [微信小程序配置及目录在线生成工具](https://weapptool.com)
- [Egret Wing 3.2.x 支持微信小程序实时预览的 IDE)](http://developer.egret.com/cn/github/egret-docs/Wing/update/update320/index.html)
- [Labrador 支持 ES6/7 的微信小程序组件化开发框架](https://github.com/maichong/labrador)
- [WEPT 一个微信小程序实时运行环境](https://github.com/chemzqm/wept)
- [wxml-parser JavaScript WXML parser](https://github.com/seanlong/wxml-parser) 以及[在线页面demo](https://seanlong.github.io/wxapp-page-editor)
- [Px 转 Rpx 在线工具](http://allanguys.github.io/px2rpx)
- [微信小程序云端增强 SDK XpmJS ](https://github.com/xpmjs/xpmjs)
- [4kb 模块化开发工具 将模块化的属性和方法映射成小程序页面](https://github.com/chenzhuo1992/wech)
- [gulp-wxa-copy-npm 插件 能够使用 ES6/7 和 NPM 库](https://github.com/mdsb100/gulp-wxa-copy-npm)
- [wechat_web_devtools Linux 下微信开发者工具](https://github.com/cytle/wechat_web_devtools)
- [WeApp-Workflow 基于 Gulp 的微信小程序前端开发工作流](https://github.com/Jeff2Ma/WeApp-Workflow)
- [小程序助手 轻松实现小程序互转](https://openclub.alipay.com/read.php?tid=2888&fid=51)
- [weact 用 JSX 快速开发小程序](https://github.com/haojy/weact)
- [Tina.js - 一款轻巧的渐进式微信小程序框架](https://github.com/tinajs/tina)

## 插件

- [vim 插件(chemzqm/wxapp.vim)](https://github.com/chemzqm/wxapp.vim)
- [sublime text 2&3 snippet(Abbotton/weapp-snippet-for-sublime-text-2-3)](https://github.com/Abbotton/weapp-snippet-for-sublime-text-2-3)
- [IntelliJ IDEA 插件，注入方法](https://github.com/lypeer/Matchmaker)
- [webstorm 插件（代码提示）](https://github.com/qbright/wechatCode-complete)
- [sublime plugin - wxapp](https://github.com/FloydaGithub/wxapp)
- [vscode 插件(代码提示)](https://segmentfault.com/a/1190000007132719)

## 文档

- [从搭建一个微信小程序开始(腾讯云)](https://www.qcloud.com/act/event/yingyonghao.html)

## 分析

- [从程序员的角度分析微信小程序(CSDN)](http://blog.csdn.net/yulianlin/article/details/52621413)
- [微信小程序，一个有局限的类似 React Native 轮子！(简书)](http://www.jianshu.com/p/060c6f3dd4e8)
- [一篇文章读懂微信小程序(应用号)是什么？(简书)](http://www.jianshu.com/p/a256ea4a3d0e)

## 讨论

- [如何评价 9 月 21 日开始内测的「微信小程序」？(知乎)](https://www.zhihu.com/question/50874500)
- [如何看待微信将推应用号？(知乎)](https://www.zhihu.com/question/39374074)
- [微信小程序（应用号）价值是什么？(知乎)](https://www.zhihu.com/question/50875544)
- [微信应用号是否真能颠覆APP？(知乎)](https://www.zhihu.com/question/50878415)
- [微信小程序的出现会给前端开发带来什么？(知乎)](https://www.zhihu.com/question/50900987)
- [封闭一周开发微信应用号（小程序）(v2ex)](https://www.v2ex.com/t/308005)
- [一个天大的误会：Vux并非微信应用号项目(github)](https://github.com/airyland/vux/issues/587)
- [微信小程序即将发布，你怎么看？有啥有趣的点子？它会替代原生App吗？(掘金)](http://gold.xitu.io/entry/57e31c72bf22ec00584ca6b8/detail)

## 教程

- 全球首个微信应用号开发教程！通宵吐血赶稿，每日更新！
  - [第一弹](http://www.diycode.cc/topics/311)
  - [第二弹](http://www.diycode.cc/topics/312)
  - [第三弹](http://www.diycode.cc/topics/316)
  - [第四弹](http://www.diycode.cc/topics/325)
  - [第五弹](http://www.diycode.cc/topics/328)
- 微信小程序剖析(微信公众号)
  - [「官方示例代码」浅析](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974082&idx=1&sn=47c7f672caf629cd846e315b8df2b1c5&scene=21#wechat_redirect)
  - [（一）：运行机制](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974093&idx=1&sn=0570a243304ea8bb7d1b636624886fb1&scene=21#wechat_redirect)
  - [（二）：框架原理](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974111&idx=1&sn=93a868cdb59b5dd77c65c7a5303e6e31#rd)
  - [（三）：让小程序运行在Chrome浏览器上](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974133&idx=1&sn=3b67419e8ac0bb8262ca4c1e3cdabb35#rd)
  - [（四）：原生的实时DOM转Virtual DOM](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974146&idx=1&sn=52041fdca4245e8f4b670ed20efa77de#rd)
  - [（五）：创建一个兼容「微信小程序」的Web框架](http://mp.weixin.qq.com/s?__biz=MjM5Mjg4NDMwMA==&mid=2652974149&idx=1&sn=3efe5e6ee479ad6cbddc0a607cd40411#rd)
- [微信小程序架构分析(上)](https://zhuanlan.zhihu.com/p/22754296)
- [微信小程序架构分析(中)](https://zhuanlan.zhihu.com/p/22765476)
- [微信小程序架构分析(下)](https://zhuanlan.zhihu.com/p/22932309)
- [首个微信小程序开发教程(掘金)](http://gold.xitu.io/entry/57e34d6bd2030900691e9ad7)
- [微信小程序开发教程！(稀土区)](http://xituqu.com/508.html)
- [微信小程序怎么开发？玩物志用一个上午上线了电商应用(爱范儿)](http://www.ifanr.com/721124)
- [开发微信小程序入门前(LatteCake)](http://lattecake.com/post/20098)
- [小程序来临，前端工程师的春天(简书)](http://www.jianshu.com/p/fc958b73441a)
- [hello-weapp 微信小程序最简示例教程(dingyiming/weapp-example)](https://github.com/dingyiming/weapp-example)
- [微信小应用 IDE 的安装以及安装过程的常见问题(champion32/WeAppIdeIssue)](https://github.com/champion32/WeAppIdeIssue)
- [分享我用 cnode 社区 api 做微信小应用的入门过程(CNode)](https://cnodejs.org/topic/57ea257b3670ca3f44c5beb6)
- [微信小程序开发教程-从零开始(简书)](http://www.jianshu.com/p/aaef5ceb3936)
- [我所理解的小程序 - 小程序真机调试(seahub)](https://seahub.github.io/2016/10/09/%E6%88%91%E6%89%80%E7%90%86%E8%A7%A3%E7%9A%84%E5%B0%8F%E7%A8%8B%E5%BA%8F/)
- [微信小程序快速入门教程|VR 视频推荐 DEMO(简书)](http://www.jianshu.com/p/0831f0b08a57)
- [微信小程序集成 mobx](https://www.v2ex.com/t/352472)
- [微信小程序集成 Redux(Segmentfault)](https://segmentfault.com/a/1190000007107646)
- [微信小程序ajax请求到自己的网站(庆恺的笔记)](http://www.toutiao.com/i6337811737235948034/?tt_from=weixin&utm_campaign=client_share&from=groupmessage&app=news_article&utm_source=weixin&isappinstalled=1&iid=5802414556&utm_medium=toutiao_ios&wxshare_count=2&pbid=21507233636)
- [微信小程序剖析 | 运行机制及框架原理(前端之巅)](http://mp.weixin.qq.com/s?__biz=MzIwNjQwMzUwMQ==&mid=2247484316&idx=1&sn=463bbea1626458beb30f55ce155b4983&chksm=9723615ea054e848497c3b72e5264d99c9230144bd21862c508211085bf93b71078cc2fc1fc5&mpshare=1&scene=1&srcid=1013yiCsz6WNYwpKs2UDYuOO#rd)
- [在微信小程序里实现图片预加载组件(凹凸实验室)](https://aotu.io/notes/2017/01/06/wxapp-img-loader/)
- [开发到上线仅十六天 海外党微信小程序全攻略(简书)](http://www.jianshu.com/p/6ceee5026d61) 海外双机加速，免费证书配置等
- [微信小程序解决方案专辑](http://www.wxapp-union.com/special/solution.html)

## 视频教程

- [免费视频教程 - WXOPEN.Club 出品微信小程序开发视频教程（持续更新中...）](http://wxopen.club/topic/582d4999745f85100cd13a65)
- [视频 - 全网首个微信小程序开发视频教程](http://www.howzhi.com/course/15035/)
- [视频 - 微信小程序开发实战第一季(CSDN)](http://edu.csdn.net/course/detail/3011)
- [视频 - 微信小程序开发实战第二季(CSDN)](http://edu.csdn.net/course/detail/3045)
- [视频 - 极客学院微信小程序开发](http://www.jikexueyuan.com/zhiye/course/34.html?type=8&utm_source=jike&utm_medium=www_index_cf&utm_campaign=wechat_app&utm_content=0930)
- [视频 - 微信小程序新手入门(51CTO)](http://edu.51cto.com/course/course_id-7242.html)

## 文章

- [未来是 h5 的：写在微信应用号发布之际(CNode)](https://cnodejs.org/topic/57e330d07d8293463a01e7e0)
- [微信“小程序”让我脑洞大开(简书)](http://www.jianshu.com/p/60c8fd8d6862)
- [关于小程序你不知道的秘密(腾讯云助手)](http://mp.weixin.qq.com/s?__biz=MzA3NTE4NTgzMQ==&mid=2648022620&idx=1&sn=7cdff020ee181c661d62d2e971a6230e&chksm=87555594b022dc822eeebf203e9a236268fef86d133b38d8d2dab73ebaee3cff236a5184a63a&mpshare=1&scene=1&srcid=0927JARMptVhu0L9MzFdoZuZ#rd)
- [关于微信小程序（应用号）的底层逻辑分析和拥抱建议(知乎专栏)](https://zhuanlan.zhihu.com/p/22565340)
- [开发微信小程序的必备技能图谱(CSDN)](http://geek.csdn.net/news/detail/103138)
- [微信小程序和谷歌 PWA 有什么关系？(微信公众号)](http://mp.weixin.qq.com/s?__biz=MzAwODY4OTk2Mg==&mid=2652039482&idx=2&sn=778e1313ebbd832b590b81a8088b63db#rd)
- [在微信小程序里，我们要怎样做数据分析（上）(微信公众号)](http://mp.weixin.qq.com/s?__biz=MzI0ODU0MDg0Mw==&mid=2247483754&idx=1&sn=9578311da11d1fd3889e0829505c3993&scene=2&srcid=0924io6H1CmEPGYJxmEQVtlA)
- [一张图看微信小程序(前端之路 - DRY)](http://zhenhua-lee.github.io/manmage/wx.html)
- [微信小程序要这样解读(CSDN)](http://blog.csdn.net/yanzhenjie1003/article/details/52698184)
- [一名 Android 开发者的微信小程序填坑之路(1)](http://blog.csdn.net/luoyanglizi/article/details/52681245)
- [小程序开发利器：Matchmaker(CSDN)](http://blog.csdn.net/luoyanglizi/article/details/52711634)
- [微信小程序开发三宗罪和解决方案(SegmentFault)](https://segmentfault.com/a/1190000007017985)
- [使用 Labrador 0.3 构建 ES6/ES7 标准模块化微信小程序(SegmentFault)](https://segmentfault.com/a/1190000007109050)
- [微信小程序真机测试多个 DEMO)(微信公众号)](http://mp.weixin.qq.com/s?__biz=MzA5NTQ4NjkyMQ==&mid=2650723004&idx=1&sn=a6bcbf354beca3e745c47e542e119e5c&chksm=88b4e41abfc36d0c547698b6f4f3669b1aa351a879332c2848ffd6618dbf23cb41316dca570a&scene=0#rd)
- [微信小程序真机测试视频源文件](https://github.com/bestony/WeApp-Demo)
- [WordPress 网站基于 REST API 开发“微信小程序”实战](https://devework.com/wordpress-rest-api-weixin-weapp.html)
- [WordPress 网站开发“微信小程序“实战(二)](https://devework.com/wordpress-weapp-2.html)
- [WordPress 网站开发“微信小程序“实战(三)](https://devework.com/wordpress-weapp-3.html)

## 代码

- [微信小程序官方 Demo(Hao-Wu/WeApp-Demo)](https://github.com/Hao-Wu/WeApp-Demo)
- [微信小应用示例代码(phodal/weapp-quick)](https://github.com/phodal/weapp-quick)
- [微信小应用地图定位 demo(giscafer/wechat-weapp-mapdemo)](https://github.com/giscafer/wechat-weapp-mapdemo)
- [微信小应用- 掘金主页信息流(hilongjw/weapp-gold)](https://github.com/hilongjw/weapp-gold)
- [微信小程序（应用号）示例：微信小程序豆瓣电影(zce/weapp-demo)](https://github.com/zce/weapp-demo)
- [微信小程序 - 豆瓣电影(hingsir/weapp-douban-film)](https://github.com/hingsir/weapp-douban-film)
- [小程序 hello world 尝鲜(kunkun12/weapp)](https://github.com/kunkun12/weapp)
- [微信小程序版 2048 小游戏(natee/wxapp-2048)](https://github.com/natee/wxapp-2048)
- [微信小程序 - 微票(wangmingjob/weapp-weipiao)](https://github.com/wangmingjob/weapp-weipiao)
- [微信小程序购物车 DEMO(SeptemberMaples/wechat-weapp-demo)](https://github.com/SeptemberMaples/wechat-weapp-demo)
- [微信小程序 V2EX(jectychen/wechat-v2ex)](https://github.com/jectychen/wechat-v2ex)
- [微信小程序 - 知乎日报(myronliu347/wechat-app-zhihudaily)](https://github.com/myronliu347/wechat-app-zhihudaily)
- [微信小程序 - 公众号热门文章信息流(hijiangtao/weapp-newsapp)](https://github.com/hijiangtao/weapp-newsapp)
- [微信小程序版 Gank 客户端(lypeer/wechat-weapp-gank)](https://github.com/lypeer/wechat-weapp-gank)
- [微信小程序集成 Redux 实现的Todo list(charleyw/wechat-weapp-redux-todos)](https://github.com/charleyw/wechat-weapp-redux-todos)
- [微信小程序集成 LeanCloud 实现的 Todo list(leancloud/leantodo-weapp)](https://github.com/leancloud/leantodo-weapp)
- [微信小程序 - 番茄时钟(kraaas/timer)](https://github.com/kraaas/timer)
- [微信小程序 - 聊天室(ericzyh/wechat-chat)](https://github.com/ericzyh/wechat-chat)
- [微信小程序 - HiApp(BelinChung/wxapp-hiapp)](https://github.com/BelinChung/wxapp-hiapp)
- [小程序 Redux 绑定库(charleyw/wechat-weapp-redux)](https://github.com/charleyw/wechat-weapp-redux)
- [微信小程序版微信(18380435477/WeApp)](https://github.com/18380435477/WeApp)
- [小程序开发从布局开始(hardog/wechat-app-flexlayout)](https://github.com/hardog/wechat-app-flexlayout)
- [微信小程序 - 音乐播放器(eyasliu/wechat-app-music)](https://github.com/eyasliu/wechat-app-music)
- [微信小程序 - 简易计算器-适合入门（dunizb/wxapp-sCalc）](https://github.com/dunizb/wxapp-sCalc)
- [微信小程序 - github(zhengxiaowai/weapp-github)](https://github.com/zhengxiaowai/weapp-github)
- [微信小程序 - 小熊の日记(harveyqing/BearDiary)](https://github.com/harveyqing/BearDiary)
- [微信小程序(Seahub/PigRaising)](https://github.com/SeaHub/PigRaising)
- [微信小程序(WeChatMeiZhi妹子图)](https://github.com/brucevanfdm/WeChatMeiZhi)
- [微信小程序快速开发骨架](https://github.com/zce/weapp-boilerplate)
- [微信小程序 - Artand 最专业的艺术设计平台](https://github.com/SuperKieran/weapp-artand)
- [微信小程序 - 开心一刻(zhijieeeeee/wechat-app-joke)](https://github.com/zhijieeeeee/wechat-app-joke)
- [微信小程序 - GitHubFeed(uniquexiaobai/wechat-app-githubfeed)](https://github.com/uniquexiaobai/wechat-app-githubfeed)
- [微信小程序 - 国外摄影社区500px(fluency03/weapp-500px)](https://github.com/fluency03/weapp-500px)
- [微信小程序 - 巴爷供销社－电商平台(bayetech)](https://github.com/bayetech/wechat_mall_applet)
- [基于微信小程序的 UI 库（Wa-UI）](https://github.com/liujians/Wa-UI)
- [微信小程序 - 豆瓣美女/妹子图(weapp-girls)](https://github.com/litt1e-p/weapp-girls)
- [微信小程序 - 美女模特(BeautifulGirl)](https://github.com/liumulin614/BeautifulGirl)
- [微信小程序 - 知乎仿写(RebeccaHanjw/weapp-wechat-zhihu)](https://github.com/RebeccaHanjw/weapp-wechat-zhihu)
- [微信小程序 - 面包旅行(romoo/weapp-demo-breadtrip)](https://github.com/romoo/weapp-demo-breadtrip)
- [微信小程序 - 淘票票(weapp-film)](https://github.com/luuman/weapp-film)
- [微信小程序 - 仿 ONE(ahonn/weapp-one)](https://github.com/ahonn/weapp-one)
- [微信小程序 - 新闻阅读器(vace/wechatapp-news-reader)](https://github.com/vace/wechatapp-news-reader)
- [微信小程序 - 百思不得姐(Symous/WechatApp-BaisiSister)](https://github.com/Symous/WechatApp-BaisiSister)
- [微信小程序 - We 重邮(lanshan-studio/wecqupt)](https://github.com/lanshan-studio/wecqupt)
- [微信小程序 - IOS 计算器](https://github.com/DengKe1994/weapp-calculator/tree/master)
- [微信小程序 - github 简历(monkindey/wx-github)](https://github.com/monkindey/wx-github)
- [微信小程序 - 程序员老黄历(xujinyang/CoderCalendar-WeApp)](https://github.com/xujinyang/CoderCalendar-WeApp)
- [微信小程序 - TODOS（任务清单）(zce/weapp-todos)](https://github.com/zce/weapp-todos)
- [微信小程序 - 企业宣传小程序(yaoshanliang/weapp-ssha)](https://github.com/yaoshanliang/weapp-ssha)
- [微信小程序 - Zhihu Live (dongweiming/weapp-zhihulive)](https://github.com/dongweiming/weapp-zhihulive)
- [微信小程序 - 豆瓣电影(bruintong/wechat-webapp-douban-movie)](https://github.com/bruintong/wechat-webapp-douban-movie)
- [微信小程序 - 豆瓣同城(bruintong/wechat-webapp-douban-location)](https://github.com/bruintong/wechat-webapp-douban-location)
- [微信小程序 - 煎蛋微信小程序(arkilis/weapp-jandan)](https://github.com/arkilis/weapp-jandan)
- [微信小程序 - 微信天气(bodekjan/wechat-weather)](https://github.com/bodekjan/wechat-weather)
- [微信小程序 - 我要圣诞帽 (jasscia/ChristmasHat)](https://github.com/jasscia/ChristmasHat)
- [微信小程序 - 跳一跳(yaoshanliang/weapp-jump)](https://github.com/yaoshanliang/weapp-jump)
- [微信小程序 - 滑块拼图(nanwangjkl/sliding_puzzle)](https://github.com/nanwangjkl/sliding_puzzle)
- [微信小程序 - 纪念碑谷(yaoshanliang/weapp-monument-valley)](https://github.com/yaoshanliang/weapp-monument-valley)
- [微信小程序 - 使用Scala.js开发(kaiwu/weui-scalajs)](https://github.com/kaiwu/weui-scalajs)


## 轮子

- [socket.io 风格的 websocket 类库](https://github.com/fanweixiao/wxapp-socket-io)
- [微信小程序倒计时组件(微信公众号)](http://mp.weixin.qq.com/s?__biz=MzI0MjYwMjM2NQ==&mid=2247483670&idx=1&sn=5aa5da2fff2415e9b19f848712ddf480&chksm=e9789904de0f1012159332fda391c3eec0bb3d1c0db2c34ab557208ff0c04806a40d00e844fe&mpshare=1&scene=1&srcid=1007cWRXdd0ug9oAceCsIWp6#rd)
- [微信小程序下拉筛选组件(微信公众号)](http://mp.weixin.qq.com/s?__biz=MzI0MjYwMjM2NQ==&mid=2247483674&idx=1&sn=2bf242b391144f3f0e57e0ed0ebce36f&chksm=e9789908de0f101ee23f7c125c9a48c4f9ba3f242a3b1c89b05ca5b9e8e68262c02b47fe3d12&mpshare=1&scene=1&srcid=1008NvO9oI8wWGp4XBxlpLeL#rd)
- [w3c 标准 API polyfill](https://github.com/leancloud/weapp-polyfill)
- [WeToast - 微信小程序toast增强插件](https://github.com/kiinlam/wetoast)
- [wxParse - 微信小程序富文本解析自定义组件，支持HTML及markdown解析](https://github.com/icindy/wxParse)
- [wx-alphabetical-listview 带字母滑动的列表](https://github.com/zhongjie-chen/wx-alphabetical-listview)
- [wx-drawer 模仿 QQ6.0 侧滑菜单](https://github.com/zhongjie-chen/wx-drawer)
- [wx-scrollable-tab-view 可滚动的 tabview](https://github.com/zhongjie-chen/wx-scrollable-tab-view)
- [wxapp-img-loader 图片预加载组件](https://github.com/o2team/wxapp-img-loader)
- [we-swiper 内容滑动插件](https://github.com/dlhandsome/we-swiper)
- [we-cropper 微信小程序图片裁剪工具](https://github.com/dlhandsome/we-cropper)
- [wx-promise-request 微信小程序请求队列管理库](https://github.com/JoeZheng2015/wx-promise-request)
- [wxDraw 全面的小程序 Canvas 动画库 支持创建各种图形，动画以及主要手势交互事件](https://github.com/bobiscool/wxDraw)
- [小程序使用外部字体](https://github.com/Hongye567/weapp-mark/blob/master/doc/%E5%B0%8F%E7%A8%8B%E5%BA%8F%E4%BD%BF%E7%94%A8%E5%A4%96%E9%83%A8%E5%AD%97%E4%BD%93.md)
