![](https://s3.amazonaws.com/freecodecamp/wide-social-banner.png)



### FreeCodeCampChina's open source codebase and curriculum


freeCodeCamp is a friendly open source community where you learn to code and help nonprofits.

**We help our campers build job-worthy portfolios of real apps used by real people, while helping nonprofits.**

You start by working through our self-paced, browser-based full stack JavaScript curriculum.

### By working through our curriculum, you can earn four certifications:
##### 1. Front End Certification
The first section will teach you the basics of how webpages work and also introduce you to JavaScript programming.

Skills you'll practice include `HTML`, `CSS`, `JavaScript`, `jQuery` and `Bootstrap`.

To earn this certification, you'll build **10 front-end projects** and implement many **JavaScript algorithms**.

##### 2. Data Visualization Certification
The second section builds upon the first and introduces you to more advanced topics such as `Sass`, `React` and `D3`.

To earn this certification, you'll build **5 React-apps** and **5 Data visualization apps** using `D3.js`.

##### 3. Back End Certification
The third section introduces you to back end development using `Node.js`, `Express,` and `MongoDB`. It also teaches you about the important concept of source control using `Git`.

To earn this certification, you'll build **5 APIs** and **5 full stack apps**.

We will accept solutions implemented in _any_ programming language, as long as both a live demo and the source code are publicly accessible.

##### 4. Full Stack Certification
The fourth section is where you'll get **real-world experience** by working on projects for **nonprofits**.
We'll pair you with another camper, an agile project manager, and a stakeholder from a nonprofit organization. Together, you'll plan, build and maintain apps that help that nonprofit carry out its mission more effectively.

For this certification, you'll work on **two projects from scratch** and then **maintain/upgrade two existing projects**.

---

This code is running live at [freeCodeCamp.cn](https://freecodecamp.cn). We also have [Gitter chat rooms](https://gitter.im/FreeCodeCamp/chinese), a [Medium publication](https://medium.freecodecamp.org), an [interactive forum](https://forum.freecodecamp.org), a [wiki knowledgebase](https://forum.freecodecamp.org/c/wiki), and even a [YouTube channel](https://youtube.com/freecodecamp).

### [Join our community here](https://freecodecamp.cn/signin).

Found a bug?
------------

Do not file an issue until you have followed these steps:

1. Read the [Help I've Found a Bug](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) article and follow its instructions.
2. Ask for confirmation in the appropriate [Help Room](https://forum.freecodecamp.org/t/free-code-camp-official-chat-rooms/19390/2).
3. Please *do not* open an issue without a 3rd party confirmation of your problem.

Contributing
------------

We welcome pull requests from freeCodeCamp campers (our students) and seasoned JavaScript developers alike! Please follow [these steps](CONTRIBUTING.md) to contribute.

License
-------

Copyright (c) 2017 freeCodeCamp.

The content of this repository bound by the following LICENSE(S)
- The computer software is licensed under the [BSD-3-Clause](./LICENSE.md).
- The curricular content as in the `./seed/challenges` or subdirectories and our wiki are licensed under the [CC-BY-SA-4.0](./LICENSE-freeCodeCamp-Curriculum.md)
- The translation of this website follows the license of [CC-BY-NC-4.0](./LICENSE-freeCodeCamp-Translation.md)，Do not use (it) for commercial/business purpose. <a rel="license" href="https://creativecommons.org/licenses/by-nc/4.0/deed.zh"><img alt="知识共享许可协议" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>

