[![Travis CI Build Status](https://travis-ci.org/gatsbyjs/gatsby.svg?branch=master)](https://travis-ci.org/gatsbyjs/gatsby)
[![npm package](https://img.shields.io/npm/v/gatsby.svg?style=flat-square)](https://www.npmjs.org/package/gatsby)
[![npm package](https://img.shields.io/npm/dm/gatsby.svg)](https://www.npmjs.org/package/gatsby)
[![Join the community on Spectrum](https://withspectrum.github.io/badge/badge.svg)](https://spectrum.chat/gatsby-js)
[![gatsby channel on discord](https://img.shields.io/badge/discord-gatsby%40reactiflux-738bd7.svg?style=flat-square)](https://discord.gg/0ZcbPKXt5bVoxkfV)
[![Twitter Follow](https://img.shields.io/twitter/follow/gatsbyjs.svg?style=social)](https://twitter.com/gatsbyjs)

<img alt="Gatsby" src="https://www.gatsbyjs.org/monogram.svg" width="100">

# Gatsby

⚛️📄🚀 Blazing-fast static site generator for React

## Showcase

Websites built with Gatsby:

* [React](https://reactjs.org/)
  ([source](https://github.com/reactjs/reactjs.org))
* [Sourcegraph](https://about.sourcegraph.com)
* [Simply](https://simply.co.za)
* [The freeCodeCamp Guide](https://guide.freecodecamp.org)
  ([source](https://github.com/freeCodeCamp/guides))
* [FloydHub's Blog](https://blog.floydhub.com)
* [mParticle's Documentation](https://docs.mparticle.com)
* [Segment's Blog](https://segment.com/blog/)
* [Fabric](https://meetfabric.com/)
* [Formidable](https://formidable.com/)
* [openFDA](https://open.fda.gov/)
  ([source](https://github.com/FDA/open.fda.gov))
* [ReasonML Docs](https://reasonml.github.io/)
  ([source](https://github.com/reasonml/reasonml.github.io))
* [Bricolage.io](https://www.bricolage.io/)
  ([source](https://github.com/KyleAMathews/blog))
* [Hack Club](https://hackclub.com/)
  ([source](https://github.com/hackclub/site))
* [Jamie Henson's Blog](http://jamiehenson.com/)
  ([source](https://github.com/jamiehenson/jh47-gatsby))
* [Sean Coker's Blog](https://sean.is/)
* [Dustin Schau's Blog](https://dustinschau.com/blog/)
  ([source](https://github.com/dschau/blog))
* [The Chiedo Companies Website](https://www.chiedo.com)
* [Damir.io](http://damir.io/)
  ([source](https://github.com/dvzrd/gatsby-sfiction))
* [Ruben's Blog](https://vagr9k.me/) ([source](https://github.com/Vagr9K/Blog))
* [Kostas Bariotis' Blog](https://kostasbariotis.com/)
  ([source](https://github.com/kbariotis/kostasbariotis.com))
* [Thao Am Private Enterprise](http://thaoam.com/)
* [Bakadono](http://bakadono.com/)
* [Travellers.cafe](https://travellers.cafe/)
* [Oliver Benns' Portfolio](https://oliverbenns.com)
  ([source](https://github.com/oliverbenns/oliverbenns.com))
* [angeloocana.com](https://angeloocana.com)
  ([source](https://github.com/angeloocana/angeloocana))
* [knpw.rs](https://knpw.rs) ([source](https://github.com/knpwrs/knpw.rs))
* [Overlap.show](https://overlap.show)
  ([source](https://github.com/pouretrebelle/overlap.show))
* [smartive Company Website](https://smartive.ch)
* [Haboba Find Jobs at Phu Quoc Island](http://haboba.com)
* [Charlie Harrington's Blog](https://charlieharrington.com)
  ([source](https://github.com/whatrocks/blog))
* [Song Wang’s website](https://songwang.io/)
  ([source](https://github.com/wangsongiam/songwang.io))
* [Digital Psychology](http://digitalpsychology.io)
  ([source](https://github.com/danistefanovic/digitalpsychology.io))
* [Magicly's blog](https://magicly.me/)
  ([source](https://github.com/magicly/gatsby-blog))
* [Dalbinaco's website](http://dalbinaco.com/)
  ([source](https://github.com/dalbinaco/dalbinaco.github.io))
* [Phu Quoc Works](http://phuquocworks.net)
* [Kabir Goel's website](https://kbrgl.github.io)
  ([source](https://github.com/kbrgl/kbrgl.github.io))
* [Gabriel Adorf's Portfolio](https://gabrieladorf.com/)
  ([source](https://github.com/gabdorf/gabriel-adorf-portfolio))
* [CSS Grid Playground by MozillaDev](https://mozilladevelopers.github.io/playground/)
  ([source](https://github.com/MozillaDevelopers/playground))
* [David James' Portfolio](http://dfjames.com)
  ([source](https://github.com/daviddeejjames/dfjames-gatsby))
* [Tic Tac Toe AI](https://tic-tac-toe-ai.surge.sh)
  ([source](https://github.com/angeloocana/tic-tac-toe-ai))
* [Etcetera Design](https://etcetera.design)
  ([source](https://github.com/etceteradesign/website))
* [Azer Koçulu](http://azer.bike)
* [Random Screencast](https://randomscreencast.com)
* [Phu Quoc Tea & Coffee Store](http://trasuaphuquoc.com)
* [Steven Natera's blog](https://www.stevennatera.com)
* [LekoArts - Graphic Designer](https://www.lekoarts.de)
* [Georgi Yanev](https://blog.georgi-yanev.com)
  ([source](https://github.com/jumpalottahigh/blog.georgi-yanev.com))
* [OnCallogy.com](https://www.oncallogy.com)
* [doopoll's marketing site](https://doopoll.co)
* [Design Systems Weekly](https://designsystems.email/)
* [Slite landing pages](https://slite.com/)
* [Hallingdata](http://hallingdata.no/)
* [@swyx](http://swyx.io) ([source](https://github.com/sw-yx/swyxdotio))
* [Portfolio of Piotr Fedorczyk](https://piotrf.pl)
* [JavaScript Stuff](https://www.javascriptstuff.com)
* [GRANDstack - GraphQL, React, Apollo, Neo4j Database](http://grandstack.io/)
* [GraphCMS's website](https://graphcms.com)
* [Mannequin.io](https://mannequin.io)
  ([source](https://github.com/LastCallMedia/Mannequin/tree/master/site))
* [Calpa's Blog](https://calpa.me) [(source)](https://github.com/calpa/blog)
* [API Platform](https://api-platform.com)
  ([source](https://github.com/api-platform/website))
* [Bottender Docs](https://bottender.js.org/)
  ([source](https://github.com/bottenderjs/bottenderjs.github.io))
* [How to GraphQL](https://www.howtographql.com/)
  ([source](https://github.com/howtographql/howtographql))
* [greglobinski.com](https://greglobinski.com)
  ([source](https://github.com/greglobinski/greglobinski-com))
* [Vibert Thio's Portfolio](https://vibertthio.com/portfolio/)([source](https://github.com/vibertthio/portfolio))
* [hunterchang.com](https://hunterchang.com)
  ([source](https://github.com/ChangoMan/hc-gatsby))
* [YouFoundRon.com](https://youfoundron.com)
  ([source](https://github.com/rongierlach/yfr-dot-com))
* [heml.io](https://heml.io)
  ([source](https://github.com/SparkPost/heml.io))
* [伊撒尔の窝](https://www.yisaer.com)
* [Artivest's Public Website](https://artivest.co)
* [William Owen UK](http://william-owen.co.uk)
* [NYC Planning Labs (New York City Department of City Planning)](https://planninglabs.nyc)([source](https://github.com/nycplanning/labs-planninglabs-home))
* [The State of European Tech 2017](https://2017.stateofeuropeantech.com)
* [Santa Compañía Creativa](https://santacc.es) ([source](https://github.com/DesarrolloWebSantaCC/santacc-web))
* [Pravdomil](https://pravdomil.com) ([source](https://github.com/pravdomil/pravdomil.com))
* [Fabian Schultz' Portfolio](https://fabianschultz.com)
  ([source](https://github.com/fabe/site))
* [Caddy smells like trees - Free-folk band official page](https://caddysmellsliketrees.ru)
  ([source](https://github.com/podabed/caddysmellsliketrees.github.io))
* [BRIIM](https://bri.im/)
* [KNW Photography](https://www.knw.io)
  ([source](https://github.com/ryanwiemer/knw))
* [NEON](http://neonrated.com)
* [A4 纸网](http://www.a4z.cn)([source](https://github.com/hiooyUI/hiooyui.github.io))
* [manu.ninja](https://manu.ninja/) ([source](https://github.com/Lorti/manu.ninja))
* [Kris Hedstrom's Portfolio](https://k-create.com/) ([source](https://github.com/kristofferh/kristoffer))
* [Chocolate free website](https://chocolate-free.com/) ([source](https://github.com/Khaledgarbaya/chocolate-free-website))
* [Charles Pinnix Website](https://www.charlespinnix.com/)
* [Verious](https://www.verious.io/) ([source](https://github.com/cpinnix/verious))
* [Developer Ecosystem](https://www.developerecosystem.com/)
* [Steve Meredith's Portfolio](http://www.steveeeie.io/)
* [Landing page of Put.io](https://put.io/)
* [Ryan Wiemer's Portfolio](https://www.ryanwiemer.com)
  ([source](https://github.com/ryanwiemer/rw))
* [yerevancoder](https://yerevancoder.com)
  ([source](https://github.com/yerevancoder/yerevancoder.github.io))
* [unrealcpp](https://unrealcpp.com/) ([source](https://github.com/Harrison1/unrealcpp-com))
* [several levels](https://severallevels.io/) ([source](https://github.com/Harrison1/several-levels))
* [Flooring Factories Outlets](https://www.flooringfactoriesoutlets.com/)
* [Nortcast](https://nortcast.com/)
* [VisitGemer](https://visitgemer.sk/)
* [Nexit](https://nexit.sk/)
* [ERC dEX](https://ercdex.com)
* [iContract Blog](https://blog.icontract.co.uk)
* [Dona Rita](https://donarita.co.uk) ([source](https://github.com/peduarte/dona-rita-website))
* [Andy Slezak](https://www.aslezak.com) ([source](https://github.com/amslezak))

## Docs

**[View the docs on gatsbyjs.org](https://www.gatsbyjs.org/docs/)**

[Migrating from v0 to v1?](https://www.gatsbyjs.org/docs/migrating-from-v0-to-v1/)

[v0 docs](https://github.com/gatsbyjs/gatsby/blob/v0.12.48/docs/index.md)

## Packages

This repository is a monorepo managed using
[Lerna](https://github.com/lerna/lerna). This means that we publish
[many packages](/packages) to NPM from the same codebase.

## Thanks

Thanks to our many contributors and sponsors as well as the companies sponsoring
our testing and hosting infrastructure, Travis CI, Appveyor, and Netlify.

## Backers

Support us with a monthly donation and help us continue our activities.
[[Become a backer](https://opencollective.com/gatsby#backer)]

<a href="https://opencollective.com/gatsby/backer/0/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/0/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/1/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/1/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/2/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/2/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/3/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/3/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/4/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/4/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/5/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/5/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/6/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/6/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/7/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/7/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/8/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/8/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/9/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/9/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/10/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/10/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/11/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/11/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/12/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/12/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/13/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/13/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/14/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/14/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/15/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/15/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/16/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/16/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/17/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/17/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/18/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/18/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/19/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/19/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/20/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/20/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/21/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/21/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/22/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/22/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/23/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/23/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/24/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/24/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/25/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/25/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/26/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/26/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/27/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/27/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/28/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/28/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/backer/29/website" target="_blank"><img src="https://opencollective.com/gatsby/backer/29/avatar.svg"></a>

## Sponsors

Become a sponsor and get your logo on our README on GitHub with a link to your
site. [[Become a sponsor](https://opencollective.com/gatsby#sponsor)]

<a href="https://opencollective.com/gatsby/sponsor/0/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/1/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/2/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/3/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/4/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/5/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/6/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/7/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/8/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/9/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/9/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/10/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/10/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/11/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/11/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/12/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/12/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/13/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/13/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/14/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/14/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/15/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/15/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/16/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/16/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/17/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/17/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/18/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/18/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/19/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/19/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/20/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/20/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/21/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/21/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/22/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/22/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/23/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/23/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/24/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/24/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/25/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/25/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/26/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/26/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/27/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/27/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/28/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/28/avatar.svg"></a>
<a href="https://opencollective.com/gatsby/sponsor/29/website" target="_blank"><img src="https://opencollective.com/gatsby/sponsor/29/avatar.svg"></a>
