
[![Logo][jhipster-image]][jhipster-url]

Greetings, Java Hipster!

Full documentation and information is available on our website at [http://www.jhipster.tech/][jhipster-url]

Please read our [guidelines](/CONTRIBUTING.md#submitting-an-issue) before submitting an issue. If your issue is a bug, please use the bug template pre-populated [here](https://github.com/jhipster/generator-jhipster/issues/new). For feature requests and queries you can use [this template][feature-template].

[![NPM version][npm-image]][npm-url]
[![Build Status][travis-image]][travis-url-main]
[![Dependency Status][daviddm-image]][daviddm-url]

## Sponsors

Support this project by becoming a sponsor! [Become a sponsor](https://opencollective.com/generator-jhipster) or [learn more about sponsoring the project](http://www.jhipster.tech/sponsors/).

__Thank you to our sponsors!__

[![Okta][okta-image]][okta-url]

__Thank you to all our backers!__

[![Backers][backers-image]][backers-url]

## Travis Builds

Additional builds on [hipster-labs/jhipster-travis-build](https://github.com/hipster-labs/jhipster-travis-build)

| Type          | Status                                                   | Description                    |
|:--------------|:---------------------------------------------------------|:-------------------------------|
| docker        | [![Build Status][image-docker]][travis-url]              | Build for testing Docker image |
| ng1-maven     | [![Build Status][image-ng1-maven]][travis-url]           | Builds for ng1 Maven           |
| ngx-maven     | [![Build Status][image-ngx-maven]][travis-url]           | Builds for ngx Maven           |
| ngx-gradle    | [![Build Status][image-ngx-gradle]][travis-url]          | Builds for ngx Gradle          |
| microservices | [![Build Status][image-microservices]][travis-url]       | Builds for Microservices       |
| react         | [![Build Status][image-react]][travis-url]               | Builds for React               |

## Analysis of the sample JHipster project

[![sonar-quality-gate][sonar-quality-gate]][sonar-url]
[![sonar-coverage][sonar-coverage]][sonar-url]
[![sonar-bugs][sonar-bugs]][sonar-url]
[![sonar-vulnerabilities][sonar-vulnerabilities]][sonar-url]


[travis-url]: https://travis-ci.org/hipster-labs/jhipster-travis-build/branches
[image-docker]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=docker
[image-ng1-maven]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=ng1-maven
[image-ngx-maven]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=ngx-maven
[image-ngx-gradle]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=ngx-gradle
[image-microservices]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=microservices
[image-react]: https://travis-ci.org/hipster-labs/jhipster-travis-build.svg?branch=react

[sonar-url]: https://sonarcloud.io/dashboard?id=io.github.jhipster.sample%3Ajhipster-sample-application
[sonar-quality-gate]: https://sonarcloud.io/api/badges/gate?key=io.github.jhipster.sample%3Ajhipster-sample-application
[sonar-coverage]: https://sonarcloud.io/api/badges/measure?key=io.github.jhipster.sample%3Ajhipster-sample-application&metric=coverage
[sonar-bugs]: https://sonarcloud.io/api/badges/measure?key=io.github.jhipster.sample%3Ajhipster-sample-application&metric=bugs
[sonar-vulnerabilities]: https://sonarcloud.io/api/badges/measure?key=io.github.jhipster.sample%3Ajhipster-sample-application&metric=vulnerabilities

[jhipster-image]: https://raw.githubusercontent.com/jhipster/jhipster.github.io/master/images/logo/logo-jhipster2x.png
[jhipster-url]: http://www.jhipster.tech/
[npm-image]: https://badge.fury.io/js/generator-jhipster.svg
[npm-url]: https://npmjs.org/package/generator-jhipster
[travis-image]: https://travis-ci.org/jhipster/generator-jhipster.svg?branch=master
[travis-url-main]: https://travis-ci.org/jhipster/generator-jhipster
[daviddm-image]: https://david-dm.org/jhipster/generator-jhipster.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/jhipster/generator-jhipster
[backers-image]: https://opencollective.com/generator-jhipster/tiers/backer.svg?avatarHeight=40&width=890
[backers-url]: https://opencollective.com/generator-jhipster
[okta-image]: http://www.jhipster.tech/images/open-collective/okta.png
[okta-url]: https://developer.okta.com/signup?utm_source=JHipster&utm_medium=logo&utm_campaign=Gold-Sponsor
[feature-template]: https://github.com/jhipster/generator-jhipster/issues/new?body=*%20**Overview%20of%20the%20request**%0A%0A%3C!--%20what%20is%20the%20query%20or%20request%20--%3E%0A%0A*%20**Motivation%20for%20or%20Use%20Case**%20%0A%0A%3C!--%20explain%20why%20this%20is%20a%20required%20for%20you%20--%3E%0A%0A%0A*%20**Browsers%20and%20Operating%20System**%20%0A%0A%3C!--%20is%20this%20a%20problem%20with%20all%20browsers%20or%20only%20IE8%3F%20--%3E%0A%0A%0A*%20**Related%20issues**%20%0A%0A%3C!--%20has%20a%20similar%20issue%20been%20reported%20before%3F%20--%3E%0A%0A*%20**Suggest%20a%20Fix**%20%0A%0A%3C!--%20if%20you%20can%27t%20fix%20this%20yourself%2C%20perhaps%20you%20can%20point%20to%20what%20might%20be%0A%20%20causing%20the%20problem%20(line%20of%20code%20or%20commit)%20--%3E
