[![Bountysource Bounties](https://www.bountysource.com/badge/team?team_id=8742&style=bounties_received)](https://www.bountysource.com/teams/limetext/issues?utm_source=limetext&utm_medium=shield&utm_campaign=bounties_received)
[![Bountysource Raised](https://www.bountysource.com/badge/team?team_id=8742&style=raised)](https://www.bountysource.com/teams/limetext?utm_source=limetext&utm_medium=shield&utm_campaign=raised)

[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/limetext/lime)


# lime

Welcome to the meta project for Lime.

For the backend, please see [limetext/lime-backend](https://github.com/limetext/lime-backend).

There are also three frontends currently in development: [limetext/lime-qml](https://github.com/limetext/lime-qml), [limetext/lime-termbox](https://github.com/limetext/lime-termbox), and [limetext/lime-html](https://github.com/limetext/lime-html).


# Status

The frontends are **not** ready to replace your favourite editor, but the backend isn't too far away.

If you want to help us build Lime, great! We'd love your help. See [here](https://github.com/limetext/lime#contributing) for how you could be most useful.

This project is not yet ready for daily use, and we currently lack the resources to support users. If you need help building, running, or otherwise using Lime, try the [wiki](https://github.com/limetext/lime/wiki/_pages) or your favorite search engine. If you still need help, consider opening an issue in [limetext/support](https://github.com/limetext/support). Issues opened in this project that don't relate to bugs or improvements will be closed.

Your help is needed to move the project forward! Claim an [issue](https://github.com/limetext/lime/issues) and submit a pull request!


# What is Lime?

![Screenshot taken Aug 27 2014](http://limetext.org/assets/img/screenshot.png)

> I love the [Sublime Text](http://www.sublimetext.com) editor. [I have](https://github.com/quarnster/SublimeClang) [created](https://github.com/quarnster/SublimeJava) [several](https://github.com/quarnster/CompleteSharp) [plugins](https://github.com/quarnster/SublimeGDB) [to make](https://github.com/quarnster/ADBView) it even better. One thing that scares me though is that it is not open sourced and the [pace of nightly releases](http://www.sublimetext.com/nightly) have recently been anything but nightly, even now that version 3 is out in Beta.
>
> There was a period of about 6 months after the Sublime Text 2 "stable" version was released where pretty much nothing at all was communicated to the users about what to expect in the future, nor was there much support offered in the forums. People including myself were wondering if the product was dead and I personally wondered what would happen to all the bugs, crashes and annoyances that still existed in ST2. This lack of communication is a dealbreaker to me and I decided that I will not spend any more money on that product because of it.
>
> As none of the other text editors I've tried come close to the love I had for Sublime Text, I decided I had to create my own.
>
> -- @quarnster


### Why API compatibility?

Sublime Text has a good plugin architecture and a [large collection of existing plugins](https://sublime.wbond.net/) created for it. We want users to be able to take advantage of these extensions without requiring developers to support multiple APIs.


# Goals

Please refer to the [Goals](https://github.com/limetext/lime/wiki/Goals) page in the [wiki](https://github.com/limetext/lime/wiki/_pages).


# Build instructions

Please refer to the [Building](https://github.com/limetext/lime/wiki/Building) page in the [wiki](https://github.com/limetext/lime/wiki/_pages).


# Contributing

Want to help build Lime? Awesome! We are always thrilled to receive pull requests, and do our best to process them as fast as possible. Not sure if that typo is worth a pull request? Do it! We will appreciate it.

If your pull request is not accepted on the first try, don't be discouraged! If there's a problem with the implementation, hopefully you received feedback on what to improve.

Where is a good place to start? The [Contributing](https://github.com/limetext/lime/wiki/Contributing) page in the wiki has some suggestions. Think the [wiki](https://github.com/limetext/lime/wiki/_pages) needs clarifying, or something is missing? Go ahead and make the change.

Guidelines for making contributions can be found in [CONTRIBUTING.md](.github/CONTRIBUTING.md).

Want to chat? Find us on [Gitter](https://gitter.im/limetext/lime).


# License

The license of the project is the [2-clause BSD license](LICENSE).
