# Plaid

<img src="screenshots/plaid_demo.gif" width="300" align="right" hspace="20">

*Design news and inspiration.*

Plaid is a showcase of [material design](https://www.google.com/design/spec/) that we hope you will
keep installed. It pulls in news & inspiration from [Designer News](https://www.designernews.co/),
[Dribbble](https://dribbble.com/) & [Product Hunt](https://www.producthunt.com/). It demonstrates
the use of
[material principles](https://www.google.com/design/spec/material-design/introduction.html#introduction-principles)
to create tactile, bold, understandable UIs.

**[Install on Google Play (Beta Testing)](https://play.google.com/apps/testing/io.plaidapp)**


### Screenshots


<img src="screenshots/home_grid_framed.png" width="25%" />
<img src="screenshots/post_story_framed.png" width="25%" />
<img src="screenshots/dn_story_framed.png" width="25%" />
<img src="screenshots/dribbble_shot_framed.png" width="25%" />


##### Non-Goals
Plaid is a UI sample and seeks to demonstrate how to implement material design. To make this as clear as possible it explicitly does not attempt to:
* Provide opinionated **architecture/testing** advice; it utilizes vanilla Android components. For advice on this, I'd recommend [Blueprints](https://github.com/googlesamples/android-architecture).
* Support **pre-Lollipop** devices. Doing so is entirely possible, but complicates things. For advice on doing this, see [this fork](https://github.com/hzsweers/plaid/tree/z/moarbackport).


### License


```
Copyright 2015 Google, Inc.

Licensed to the Apache Software Foundation (ASF) under one or more contributor
license agreements. See the NOTICE file distributed with this work for
additional information regarding copyright ownership. The ASF licenses this
file to you under the Apache License, Version 2.0 (the "License"); you may not
use this file except in compliance with the License. You may obtain a copy of
the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
License for the specific language governing permissions and limitations under
the License.
```
