# 程序员技能图谱
Github 开源项目地址：**[https://github.com/TeamStuQ/skill-map](https://github.com/TeamStuQ/skill-map)**，欢迎 **Star** :)。

## 简介

程序员技能图谱是由极客邦科技 Geekbang（[https://www.geekbang.org/](https://www.geekbang.org/)）发起的一个技术社区开源项目，志在汇集、整理、共建泛 IT 技术领域（人工智能，前端开发，移动开发，云计算，大数据，架构，运维，安全，后端开发，测试，智能硬件等）及互联网产品、运营等领域学习技能图谱，帮助程序员梳理知识框架结构，并尝试提供路径指导和精华资源，方便技术人学习成长。

除非特别声明，本开源项目所有领域技能图谱内容均只代表所参与贡献的技术人员个人立场，与其公司背景无关。本项目出发点旨在抛砖引玉，有任何不同意见和反馈，请提交 [Issue](https://github.com/TeamStuQ/skill-map/issues) 讨论，或发送邮件至 Raymond@geekbang.org，编辑会及时跟进或组织讨论，并持续更新内容版本。请理解并支持，感谢！:)

目前技能图谱已有如下领域，点击标题可以预览文本文件（.md），也可以在[『图片预览版』](https://github.com/TeamStuQ/skill-map/blob/master/data/Preview-source-skillmap-PNG.md)以技能树形式预览图片文件（.png）：

|**领域**（[点击预览](https://github.com/TeamStuQ/skill-map/blob/master/data/source-skillmap-PNG-DesignByStuQ.md)）| **核心贡献者 ID** | **原创链接** |**学习资源**|
|------- | ---- | ---- | ---- |
|[**# 人工智能 AI**]()||||
|[- 机器学习](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MachineLearning.md)|[@徐英凯](https://github.com/kevinhsu)｜闪银机器学习工程师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/26)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-MachineLearning-by-StuQ.png)
|[- Apollo 自动驾驶](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Apollo.md)|[@Apollo 技术布道师团队](http://apollo.auto/index_cn.html)|[原创链接](https://github.com/ApolloAuto/apollo)|[推荐](https://github.com/TeamStuQ/skill-map/issues/26)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Apollo.png)
|[**# 大数据**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-BigDataEngineer.md)|[@祝海林 ](https://github.com/allwefantasy)｜丁香园大数据技术专家|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/12)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-BigData-by-StuQ.png)
||@高扬｜欢聚时代资深大数据技术专家|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/12)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-BigData-by-StuQ.png)
|[- Hadoop ](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Hadoop.md)|[@张丹](http://blog.fens.me)｜况客创始人|[原创链接](http://blog.fens.me/series-hadoop-family/)|[推荐](https://github.com/TeamStuQ/skill-map/issues/22)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Hadoop-by-StuQ.png)
|[**# Web 前端**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-FrontEndEngineer.md)|[@jayli（拔赤）](https://github.com/jayli/)｜阿里巴巴前端技术专家|[原创链接](https://github.com/jayli/jayli.github.com/issues/16)|[推荐](https://github.com/TeamStuQ/skill-map/issues/9)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-FrontEnd-by-StuQ.png)|
| |[@Jackson Tian ](https://github.com/JacksonTian)｜阿里巴巴前端技术专家|[原创链接](https://github.com/JacksonTian/fks)|[推荐](https://github.com/TeamStuQ/skill-map/issues/9)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-FrontEnd-by-StuQ.png)|
|[- 移动性能优化](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobilePerformanceOptimization.md)|[@刘恒兵（河伯）](https://github.com/herbertliu)｜腾讯前端技术专家、IvWeb 负责人|[原创链接](https://github.com/herbertliu/OMS)|[推荐](https://github.com/TeamStuQ/skill-map/issues/9)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-MobileOptimization-by-StuQ.png)|
|[- HTML5 开发](https://github.com/TeamStuQ/skill-map/blob/master/data/map-HTML5.md)|[@Phodal（黄峰达）](https://github.com/Phodal)｜ThoughtWorks 咨询师|[原创链接]()|[推荐](https://github.com/TeamStuQ/skill-map/issues/76)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-HTML5-by-StuQ.png)|
|[- Angular 2](https://github.com/TeamStuQ/skill-map/blob/master/data/map-AngularJS2.md)|[@汤桂川](https://github.com/lightningtgc)｜广发证券前端技术专家|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/9)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Angular2-by-StuQ.png)
|[**# Server 后端**]()||||
|[- 架构师](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Architect.md)|@沈剑｜58到家技术委员会主席／技术总监|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/53)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Architect-by-StuQ.png)
|[- OpenResty](https://github.com/TeamStuQ/skill-map/blob/master/data/map-OpenResty.md)|[@温铭](https://github.com/moonbingbing)｜OpenResty Inc. 合伙人|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/29)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-OpenResty-by-StuQ.png)
|[- 直播技术](https://github.com/TeamStuQ/skill-map/blob/master/data/map-LiveTelecast.md)|[@李雨来](https://github.com/blacktear23)｜SpeedyCloud 迅达云技术 VP|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/55)｜[脑图]()
|[- CDN 技术](https://github.com/TeamStuQ/skill-map/blob/master/data/map-CDN.md)|[@李孟](https://github.com/x8s)｜SpeedyCloud 迅达云首席架构师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/72)｜[脑图]()
|[- DNS 排查](https://github.com/TeamStuQ/skill-map/blob/master/data/map-dns-troubleshoot.md)|[@李孟](https://github.com/x8s)｜SpeedyCloud 迅达云首席架构师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/72)｜[脑图]()
|[**# 云计算**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-CloudComputing.md)|@费良宏｜AWS 首席云计算技术顾问|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/11)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-CloudComputing-by-StuQ.png)
|- OpenStack|@夏艳｜UnitedStack 公共关系总监|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/19)｜脑图
[- 容器 Container](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Container.md)|[@林帆 ](https://github.com/linfan)｜ThoughtWorks DevOps 咨询师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/20)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Container-by-StuQ.png)
[- 微服务 MicroService](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Microservice.md)|[@王磊 ](https://github.com/wldandan)｜西安尚度元科技技术总监|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/23)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-MicroService-by-StuQ.png)
|[**# 安全**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-SecurityEngineer.md)|[@余弦 ](https://github.com/evilcos) ｜知道创宇技术 VP|[原创链接](http://blog.knownsec.com/Knownsec_RD_Checklist/v3.0.html)|[推荐](https://github.com/TeamStuQ/skill-map/issues/13)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Security-by-StuQ.png)
|[**# 智能运维**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-IntelligentDevOps.md)|[@Tanky Woo ](https://github.com/tankywoo)｜知道创宇资深运维工程师|[原创链接](http://blog.knownsec.com/2015/03/how-many-basic-skills-should-a-operation-and-maintenance-engineer-get/)|[推荐](https://github.com/TeamStuQ/skill-map/issues/10)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-IntelligentDevOps-by-StuQ.png)
|[- DBA](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DBA.md)|[@杨一 ]()｜杭州有赞科技有限公司 DBA 专家|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/77)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-DBA-by-StuQ.png)
[- DevOps](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevOps.md)|[@林帆 ](https://github.com/linfan)｜ThoughtWorks DevOps 咨询师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/107)｜[脑图](https://github.com/TeamStuQ/skill-map/blob/master/data/designbyStuQ/png-DevOps-by-StuQ.png)
|[- Kubernetes](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Kubernetes.md)|[@张磊](https://github.com/resouer)｜Hyper HQ & CNCF Meber|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/10)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Kubernetes-by-StuQ.png)
||[@李响](https://github.com/xiang90)｜CoreOS 分布式系统组主管|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/10)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-Kubernetes-by-StuQ.png)
|[**# 测试**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-testing.md)|[@TesterHome 社区](https://testerhome.com/)|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/15)|脑图|
|[- 移动无线测试](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobileWirelessTesting.md)|[@陈晔 Monkey](https://github.com/monkeytest15)|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/15)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-MobileTesting-by-StuQ.png)
|[**# 移动开发**]()|||||
|[- iOS 开发](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobileDev-iOSDev.md)|[@唐巧](https://github.com/tangqiaoboy) ｜猿题库小猿搜题产品技术负责人|[原创链接](https://gist.github.com/tangqiaoboy/5fadd9ba398277680b87)|[推荐](https://github.com/TeamStuQ/skill-map/issues/14)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-iOSDev-by-StuQ.png)
|[- Android App 开发](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobileDev-AndroidDev.md)|[@anly_jun](https://github.com/mingjunli) |[原创链接](http://www.jianshu.com/p/39c63eff3c36)|[推荐](https://github.com/TeamStuQ/skill-map/issues/85)｜脑图
|[- Android ROM 开发](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobileDev-AndroidROMDev.md)|[@anly_jun](https://github.com/mingjunli) |[原创链接](http://www.jianshu.com/p/0a4a33e63338)|[推荐](https://github.com/TeamStuQ/skill-map/issues/85)｜脑图
|[- Android 架构师](https://github.com/TeamStuQ/skill-map/blob/master/data/map-MobileDev-AndroidArchitect.md)|[@顾浩鑫（ASCE1885）](https://github.com/ASCE1885)｜ 平安金融科技移动研发工程师 |-|[推荐](https://github.com/TeamStuQ/skill-map/issues/85)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-AndroidArchitect-by-StuQ.png)
|[**# 智能硬件**]()|||||
|[- 嵌入式开发](https://github.com/TeamStuQ/skill-map/blob/master/data/map-EmbeddedEngineer.md)|[@Phodal（黄峰达）](https://github.com/phodal) ｜ThoughtWorks 咨询师|[原创链接](https://github.com/phodal/eks)|[推荐](https://github.com/TeamStuQ/skill-map/issues/21)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-EmbeddedEngineer-by-StuQ.png)
|[**# 开发语言**](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Total.md)|[@吴坚 ](https://github.com/jamsonwoo)  ｜南航软件工程师|[原创链接](https://github.com/jamsonwoo/StuQ_skill-map)|[推荐](https://github.com/TeamStuQ/skill-map/issues/18)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-ProgrammingLanguage-by-StuQ.png)
|[- Golang](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Golang.md)|[@谢孟军 ](https://github.com/astaxie) ｜Apple 资深技术专家|[原创链接](https://github.com/astaxie/build-web-application-with-golang)|[推荐](https://github.com/TeamStuQ/skill-map/issues/17)｜脑图
|[- Clojure](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Clojure.md)|[@Loretta ](https://github.com/lorettahe) ｜SwiftKey 软件工程师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/25)｜脑图
|[- Python](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Python.md)|[@ZoomQuiet（大妈） ](https://github.com/ZoomQuiet) ｜猎豹移动技术专家|[原创链接](http://wiki.zoomquiet.io/pythonic/Path2Pythoneer)|[推荐](https://github.com/TeamStuQ/skill-map/issues/30)｜脑图
|[- Haskell](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Haskell.md)|[@张淞 ](https://github.com/HaskellZhangSong) ｜网易杭州研究院高级开发工程师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/36)｜脑图
|[- Node.js](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Nodejs.md)|[@桑世龙（i5ting） ](https://github.com/i5ting) ｜去哪儿网前端架构师|[原创链接](https://github.com/nodeonly/stack)|[推荐](https://github.com/TeamStuQ/skill-map/issues/35)｜脑图
|[- Ruby](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Ruby.md)|[@张汉东（Alex） ](https://github.com/ZhangHanDong) |-|[推荐](https://github.com/TeamStuQ/skill-map/issues/40)｜脑图
|[- Java](https://github.com/TeamStuQ/skill-map/blob/master/data/map-DevLang-Java.md)|[@Zhang Wei](https://github.com/zhangwei217245)|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/43)｜脑图
|[**# 开发工具**]()||||||
|[- Git](https://github.com/TeamStuQ/skill-map/blob/master/data/map-Git.md)|[@吴坚 ](https://github.com/jamsonwoo)  ｜南航软件工程师|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/48)｜脑图
|[**# 技术管理**]()||||||
|[- CTO 技能](https://github.com/TeamStuQ/skill-map/blob/master/data/map-CTO.md)|@黄勇｜特赞科技 CTO、EGO 会员|-|[推荐](https://github.com/TeamStuQ/skill-map/issues/103)｜[脑图](https://github.com/TeamStuQ/skill-map/tree/master/data/designbyStuQ/png-CTO-by-StuQ.png)

以及**正在建设中**的领域：

- 服务端开发
- 分布式数据库开发
- IoT 物联网
- PHP 语言
- Swift 语言
- Objective-C 语言
- C++ 语言
- C# 语言

欢迎**贡献**新领域技能图谱，或**推荐**学习路径与资源，有任何改进意见和建议，也可以建立 issue 讨论或发送邮件至 Raymond@geekbang.org。所有参与该项目的社区朋友均有机会获赠礼品／技能图谱纸质印刷 A1 版。

## 改进目标

1. 继续细化各领域的技能节点
2. 提供各领域的参考学习路径
3. 推荐各知识点相关优质资源

## 图谱 MarkDown 分级规范

为了便于编辑和纠错更新，现统一图谱 MarkDown 文件**分级规范**如下：

1. 根据内容考虑用" #,##,### "依次表示高级别主干分级
2. 次级别分支用" -,*,+ "三种符号区分
3. 所有“-”的优先级高于“*”
4. 所有“*”的优先级高于“+”

## 加入我们
- 提交图谱：直接提交 Pull Request，或者联系项目负责人雷蒙德，可发邮件至 Raymond@geekbang.org
- QQ群讨论：254521819，加群时请备注“姓名+职业角色”，如“Ray+前端”
- 微信群讨论：请加StuQ小助手（StuQxiaozhushou）并备注“技能图谱”，小助手会邀请您入群

## 版本信息

### V 1.0
- 更新稳定版本，新增 IT 职业技术重要领域

### v 0.2.0
- IT 技术各主要领域基本覆盖

### v 0.1.2
- 云计算领域新增：OpenStack，容器技术
- 移动开发领域新增：iOS 开发
- 测试领域新增：移动无线测试
- 智能硬件领域新增：嵌入式开发

### v 0.1.1
- 程序员技能图谱第一版发布

## 版权声明
本技能图谱遵循 **[CC-BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/)** 协议。_*商业转载必须征求极客邦科技 Geekbang 授权同意，转载请务必注明[出处](http://www.stuq.org/subject/skill-map/)。*_ **极客邦科技 Geekbang** 保留最终解释权及法律追究权力。

欢迎关注极客邦科技 Geekbang 推出的「极客时间」App，获取更多技术干货。

![极客时间](https://github.com/TeamStuQ/skill-map/blob/master/img/GeekTime-QRCode-200X200.png)

## 特别鸣谢

「程序员技能图谱」开源项目能有精美的展示图片，背后是设计同学在百忙之中配合内容编辑不厌其烦的设计、更新和修正，在此特别鸣谢以下设计同学的贡献（排名不分先后）：

陈接（Jack）、杨旸（Tammy）、谢汝冰（Ice）、王慧娟（Amy）、王硕映（Ray）、张卓（Leslie）。

## 赞助声明

程序员技能图谱项目接受企业或者个人赞助，赞助经费主要用于覆盖图谱编辑、设计、印刷和运营成本。

赞助合作请发邮件至 Raymond@geekbang.org 。


