package rules

import (
	_ "github.com/aquasecurity/defsec/internal/rules/aws/accessanalyzer"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/apigateway"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/athena"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/cloudfront"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/cloudtrail"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/cloudwatch"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/codebuild"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/config"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/documentdb"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/dynamodb"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/ec2"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/ecr"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/ecs"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/efs"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/eks"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/elasticache"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/elasticsearch"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/elb"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/emr"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/iam"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/kinesis"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/kms"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/lambda"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/mq"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/msk"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/neptune"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/rds"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/redshift"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/s3"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/sam"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/sns"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/sqs"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/ssm"
	_ "github.com/aquasecurity/defsec/internal/rules/aws/workspaces"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/appservice"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/authorization"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/compute"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/container"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/database"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/datafactory"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/datalake"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/keyvault"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/monitor"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/network"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/securitycenter"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/storage"
	_ "github.com/aquasecurity/defsec/internal/rules/azure/synapse"
	_ "github.com/aquasecurity/defsec/internal/rules/cloudstack/compute"
	_ "github.com/aquasecurity/defsec/internal/rules/digitalocean/compute"
	_ "github.com/aquasecurity/defsec/internal/rules/digitalocean/spaces"
	_ "github.com/aquasecurity/defsec/internal/rules/github/actions"
	_ "github.com/aquasecurity/defsec/internal/rules/github/branch_protections"
	_ "github.com/aquasecurity/defsec/internal/rules/github/repositories"
	_ "github.com/aquasecurity/defsec/internal/rules/google/bigquery"
	_ "github.com/aquasecurity/defsec/internal/rules/google/compute"
	_ "github.com/aquasecurity/defsec/internal/rules/google/dns"
	_ "github.com/aquasecurity/defsec/internal/rules/google/gke"
	_ "github.com/aquasecurity/defsec/internal/rules/google/iam"
	_ "github.com/aquasecurity/defsec/internal/rules/google/kms"
	_ "github.com/aquasecurity/defsec/internal/rules/google/sql"
	_ "github.com/aquasecurity/defsec/internal/rules/google/storage"
	_ "github.com/aquasecurity/defsec/internal/rules/kubernetes/network"
	_ "github.com/aquasecurity/defsec/internal/rules/openstack/compute"
	_ "github.com/aquasecurity/defsec/internal/rules/openstack/networking"
	_ "github.com/aquasecurity/defsec/internal/rules/oracle/compute"
)
