package yarn

import "github.com/aquasecurity/go-dep-parser/pkg/types"

var (
	// docker run --name node --rm -it node:12-alpine sh
	// yarn init -y
	// yarn add promise jquery
	// yarn list | grep -E -o "\S+@[^\^~]\S+" | awk -F@ 'NR>0 {printf("{\""$1"\", \""$2"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	yarnNormal = []types.Library{
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 5, EndLine: 5}}},
		{Name: "jquery", Version: "3.4.1", Locations: []types.Location{{StartLine: 10, EndLine: 10}}},
		{Name: "promise", Version: "8.0.3", Locations: []types.Location{{StartLine: 15, EndLine: 15}}},
	}

	// ... and
	// yarn add react redux
	// yarn list | grep -E -o "\S+@[^\^~]\S+" | awk -F@ 'NR>0 {printf("{\""$1"\", \""$2"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	yarnReact = []types.Library{
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 5, EndLine: 5}}},
		{Name: "jquery", Version: "3.4.1", Locations: []types.Location{{StartLine: 10, EndLine: 10}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 15, EndLine: 15}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 20, EndLine: 20}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 27, EndLine: 27}}},
		{Name: "promise", Version: "8.0.3", Locations: []types.Location{{StartLine: 32, EndLine: 32}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 39, EndLine: 39}}},
		{Name: "react-is", Version: "16.8.6", Locations: []types.Location{{StartLine: 48, EndLine: 48}}},
		{Name: "react", Version: "16.8.6", Locations: []types.Location{{StartLine: 53, EndLine: 53}}},
		{Name: "redux", Version: "4.0.1", Locations: []types.Location{{StartLine: 63, EndLine: 63}}},
		{Name: "scheduler", Version: "0.13.6", Locations: []types.Location{{StartLine: 71, EndLine: 71}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 79, EndLine: 79}}},
	}

	// ... and
	// yarn add -D mocha
	// yarn list | grep -E -o "\S+@[^\^~]\S+" | awk -F@ 'NR>0 {printf("{\""$1"\", \""$2"\", \"\"},\n")}' | sort | uniq
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	yarnWithDev = []types.Library{
		{Name: "ansi-colors", Version: "3.2.3", Locations: []types.Location{{StartLine: 5, EndLine: 5}}},
		{Name: "ansi-regex", Version: "2.1.1", Locations: []types.Location{{StartLine: 10, EndLine: 10}}},
		{Name: "ansi-regex", Version: "3.0.0", Locations: []types.Location{{StartLine: 15, EndLine: 15}}},
		{Name: "ansi-regex", Version: "4.1.0", Locations: []types.Location{{StartLine: 20, EndLine: 20}}},
		{Name: "ansi-styles", Version: "3.2.1", Locations: []types.Location{{StartLine: 25, EndLine: 25}}},
		{Name: "argparse", Version: "1.0.10", Locations: []types.Location{{StartLine: 32, EndLine: 32}}},
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 39, EndLine: 39}}},
		{Name: "balanced-match", Version: "1.0.0", Locations: []types.Location{{StartLine: 44, EndLine: 44}}},
		{Name: "brace-expansion", Version: "1.1.11", Locations: []types.Location{{StartLine: 49, EndLine: 49}}},
		{Name: "browser-stdout", Version: "1.3.1", Locations: []types.Location{{StartLine: 57, EndLine: 57}}},
		{Name: "camelcase", Version: "5.3.1", Locations: []types.Location{{StartLine: 62, EndLine: 62}}},
		{Name: "chalk", Version: "2.4.2", Locations: []types.Location{{StartLine: 67, EndLine: 67}}},
		{Name: "cliui", Version: "4.1.0", Locations: []types.Location{{StartLine: 76, EndLine: 76}}},
		{Name: "code-point-at", Version: "1.1.0", Locations: []types.Location{{StartLine: 85, EndLine: 85}}},
		{Name: "color-convert", Version: "1.9.3", Locations: []types.Location{{StartLine: 90, EndLine: 90}}},
		{Name: "color-name", Version: "1.1.3", Locations: []types.Location{{StartLine: 97, EndLine: 97}}},
		{Name: "concat-map", Version: "0.0.1", Locations: []types.Location{{StartLine: 102, EndLine: 102}}},
		{Name: "cross-spawn", Version: "6.0.5", Locations: []types.Location{{StartLine: 107, EndLine: 107}}},
		{Name: "debug", Version: "3.2.6", Locations: []types.Location{{StartLine: 118, EndLine: 118}}},
		{Name: "decamelize", Version: "1.2.0", Locations: []types.Location{{StartLine: 125, EndLine: 125}}},
		{Name: "define-properties", Version: "1.1.3", Locations: []types.Location{{StartLine: 130, EndLine: 130}}},
		{Name: "diff", Version: "3.5.0", Locations: []types.Location{{StartLine: 137, EndLine: 137}}},
		{Name: "emoji-regex", Version: "7.0.3", Locations: []types.Location{{StartLine: 142, EndLine: 142}}},
		{Name: "end-of-stream", Version: "1.4.1", Locations: []types.Location{{StartLine: 147, EndLine: 147}}},
		{Name: "es-abstract", Version: "1.13.0", Locations: []types.Location{{StartLine: 154, EndLine: 154}}},
		{Name: "es-to-primitive", Version: "1.2.0", Locations: []types.Location{{StartLine: 166, EndLine: 166}}},
		{Name: "escape-string-regexp", Version: "1.0.5", Locations: []types.Location{{StartLine: 175, EndLine: 175}}},
		{Name: "esprima", Version: "4.0.1", Locations: []types.Location{{StartLine: 180, EndLine: 180}}},
		{Name: "execa", Version: "1.0.0", Locations: []types.Location{{StartLine: 185, EndLine: 185}}},
		{Name: "find-up", Version: "3.0.0", Locations: []types.Location{{StartLine: 198, EndLine: 198}}},
		{Name: "flat", Version: "4.1.0", Locations: []types.Location{{StartLine: 205, EndLine: 205}}},
		{Name: "fs.realpath", Version: "1.0.0", Locations: []types.Location{{StartLine: 212, EndLine: 212}}},
		{Name: "function-bind", Version: "1.1.1", Locations: []types.Location{{StartLine: 217, EndLine: 217}}},
		{Name: "get-caller-file", Version: "1.0.3", Locations: []types.Location{{StartLine: 222, EndLine: 222}}},
		{Name: "get-caller-file", Version: "2.0.5", Locations: []types.Location{{StartLine: 227, EndLine: 227}}},
		{Name: "get-stream", Version: "4.1.0", Locations: []types.Location{{StartLine: 232, EndLine: 232}}},
		{Name: "glob", Version: "7.1.3", Locations: []types.Location{{StartLine: 239, EndLine: 239}}},
		{Name: "growl", Version: "1.10.5", Locations: []types.Location{{StartLine: 251, EndLine: 251}}},
		{Name: "has-flag", Version: "3.0.0", Locations: []types.Location{{StartLine: 256, EndLine: 256}}},
		{Name: "has-symbols", Version: "1.0.0", Locations: []types.Location{{StartLine: 261, EndLine: 261}}},
		{Name: "has", Version: "1.0.3", Locations: []types.Location{{StartLine: 266, EndLine: 266}}},
		{Name: "he", Version: "1.2.0", Locations: []types.Location{{StartLine: 273, EndLine: 273}}},
		{Name: "inflight", Version: "1.0.6", Locations: []types.Location{{StartLine: 278, EndLine: 278}}},
		{Name: "inherits", Version: "2.0.3", Locations: []types.Location{{StartLine: 286, EndLine: 286}}},
		{Name: "invert-kv", Version: "2.0.0", Locations: []types.Location{{StartLine: 291, EndLine: 291}}},
		{Name: "is-buffer", Version: "2.0.3", Locations: []types.Location{{StartLine: 296, EndLine: 296}}},
		{Name: "is-callable", Version: "1.1.4", Locations: []types.Location{{StartLine: 301, EndLine: 301}}},
		{Name: "is-date-object", Version: "1.0.1", Locations: []types.Location{{StartLine: 306, EndLine: 306}}},
		{Name: "is-fullwidth-code-point", Version: "1.0.0", Locations: []types.Location{{StartLine: 311, EndLine: 311}}},
		{Name: "is-fullwidth-code-point", Version: "2.0.0", Locations: []types.Location{{StartLine: 318, EndLine: 318}}},
		{Name: "is-regex", Version: "1.0.4", Locations: []types.Location{{StartLine: 323, EndLine: 323}}},
		{Name: "is-stream", Version: "1.1.0", Locations: []types.Location{{StartLine: 330, EndLine: 330}}},
		{Name: "is-symbol", Version: "1.0.2", Locations: []types.Location{{StartLine: 335, EndLine: 335}}},
		{Name: "isexe", Version: "2.0.0", Locations: []types.Location{{StartLine: 342, EndLine: 342}}},
		{Name: "jquery", Version: "3.4.1", Locations: []types.Location{{StartLine: 347, EndLine: 347}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 352, EndLine: 352}}},
		{Name: "js-yaml", Version: "3.13.1", Locations: []types.Location{{StartLine: 357, EndLine: 357}}},
		{Name: "lcid", Version: "2.0.0", Locations: []types.Location{{StartLine: 365, EndLine: 365}}},
		{Name: "locate-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 372, EndLine: 372}}},
		{Name: "lodash", Version: "4.17.11", Locations: []types.Location{{StartLine: 380, EndLine: 380}}},
		{Name: "log-symbols", Version: "2.2.0", Locations: []types.Location{{StartLine: 385, EndLine: 385}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 392, EndLine: 392}}},
		{Name: "map-age-cleaner", Version: "0.1.3", Locations: []types.Location{{StartLine: 399, EndLine: 399}}},
		{Name: "mem", Version: "4.3.0", Locations: []types.Location{{StartLine: 406, EndLine: 406}}},
		{Name: "mimic-fn", Version: "2.1.0", Locations: []types.Location{{StartLine: 415, EndLine: 415}}},
		{Name: "minimatch", Version: "3.0.4", Locations: []types.Location{{StartLine: 420, EndLine: 420}}},
		{Name: "minimist", Version: "0.0.8", Locations: []types.Location{{StartLine: 427, EndLine: 427}}},
		{Name: "mkdirp", Version: "0.5.1", Locations: []types.Location{{StartLine: 432, EndLine: 432}}},
		{Name: "mocha", Version: "6.1.4", Locations: []types.Location{{StartLine: 439, EndLine: 439}}},
		{Name: "ms", Version: "2.1.1", Locations: []types.Location{{StartLine: 468, EndLine: 468}}},
		{Name: "nice-try", Version: "1.0.5", Locations: []types.Location{{StartLine: 473, EndLine: 473}}},
		{Name: "node-environment-flags", Version: "1.0.5", Locations: []types.Location{{StartLine: 478, EndLine: 478}}},
		{Name: "npm-run-path", Version: "2.0.2", Locations: []types.Location{{StartLine: 486, EndLine: 486}}},
		{Name: "number-is-nan", Version: "1.0.1", Locations: []types.Location{{StartLine: 493, EndLine: 493}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 498, EndLine: 498}}},
		{Name: "object-keys", Version: "1.1.1", Locations: []types.Location{{StartLine: 503, EndLine: 503}}},
		{Name: "object.assign", Version: "4.1.0", Locations: []types.Location{{StartLine: 508, EndLine: 508}}},
		{Name: "object.getownpropertydescriptors", Version: "2.0.3", Locations: []types.Location{{StartLine: 518, EndLine: 518}}},
		{Name: "once", Version: "1.4.0", Locations: []types.Location{{StartLine: 526, EndLine: 526}}},
		{Name: "os-locale", Version: "3.1.0", Locations: []types.Location{{StartLine: 533, EndLine: 533}}},
		{Name: "p-defer", Version: "1.0.0", Locations: []types.Location{{StartLine: 542, EndLine: 542}}},
		{Name: "p-finally", Version: "1.0.0", Locations: []types.Location{{StartLine: 547, EndLine: 547}}},
		{Name: "p-is-promise", Version: "2.1.0", Locations: []types.Location{{StartLine: 552, EndLine: 552}}},
		{Name: "p-limit", Version: "2.2.0", Locations: []types.Location{{StartLine: 557, EndLine: 557}}},
		{Name: "p-locate", Version: "3.0.0", Locations: []types.Location{{StartLine: 564, EndLine: 564}}},
		{Name: "p-try", Version: "2.2.0", Locations: []types.Location{{StartLine: 571, EndLine: 571}}},
		{Name: "path-exists", Version: "3.0.0", Locations: []types.Location{{StartLine: 576, EndLine: 576}}},
		{Name: "path-is-absolute", Version: "1.0.1", Locations: []types.Location{{StartLine: 581, EndLine: 581}}},
		{Name: "path-key", Version: "2.0.1", Locations: []types.Location{{StartLine: 586, EndLine: 586}}},
		{Name: "promise", Version: "8.0.3", Locations: []types.Location{{StartLine: 591, EndLine: 591}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 598, EndLine: 598}}},
		{Name: "pump", Version: "3.0.0", Locations: []types.Location{{StartLine: 607, EndLine: 607}}},
		{Name: "react-is", Version: "16.8.6", Locations: []types.Location{{StartLine: 615, EndLine: 615}}},
		{Name: "react", Version: "16.8.6", Locations: []types.Location{{StartLine: 620, EndLine: 620}}},
		{Name: "redux", Version: "4.0.1", Locations: []types.Location{{StartLine: 630, EndLine: 630}}},
		{Name: "require-directory", Version: "2.1.1", Locations: []types.Location{{StartLine: 638, EndLine: 638}}},
		{Name: "require-main-filename", Version: "1.0.1", Locations: []types.Location{{StartLine: 643, EndLine: 643}}},
		{Name: "require-main-filename", Version: "2.0.0", Locations: []types.Location{{StartLine: 648, EndLine: 648}}},
		{Name: "scheduler", Version: "0.13.6", Locations: []types.Location{{StartLine: 653, EndLine: 653}}},
		{Name: "semver", Version: "5.7.0", Locations: []types.Location{{StartLine: 661, EndLine: 661}}},
		{Name: "set-blocking", Version: "2.0.0", Locations: []types.Location{{StartLine: 666, EndLine: 666}}},
		{Name: "shebang-command", Version: "1.2.0", Locations: []types.Location{{StartLine: 671, EndLine: 671}}},
		{Name: "shebang-regex", Version: "1.0.0", Locations: []types.Location{{StartLine: 678, EndLine: 678}}},
		{Name: "signal-exit", Version: "3.0.2", Locations: []types.Location{{StartLine: 683, EndLine: 683}}},
		{Name: "sprintf-js", Version: "1.0.3", Locations: []types.Location{{StartLine: 688, EndLine: 688}}},
		{Name: "string-width", Version: "1.0.2", Locations: []types.Location{{StartLine: 693, EndLine: 693}}},
		{Name: "string-width", Version: "2.1.1", Locations: []types.Location{{StartLine: 702, EndLine: 702}}},
		{Name: "string-width", Version: "3.1.0", Locations: []types.Location{{StartLine: 710, EndLine: 710}}},
		{Name: "strip-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 719, EndLine: 719}}},
		{Name: "strip-ansi", Version: "4.0.0", Locations: []types.Location{{StartLine: 726, EndLine: 726}}},
		{Name: "strip-ansi", Version: "5.2.0", Locations: []types.Location{{StartLine: 733, EndLine: 733}}},
		{Name: "strip-eof", Version: "1.0.0", Locations: []types.Location{{StartLine: 740, EndLine: 740}}},
		{Name: "strip-json-comments", Version: "2.0.1", Locations: []types.Location{{StartLine: 745, EndLine: 745}}},
		{Name: "supports-color", Version: "6.0.0", Locations: []types.Location{{StartLine: 750, EndLine: 750}}},
		{Name: "supports-color", Version: "5.5.0", Locations: []types.Location{{StartLine: 757, EndLine: 757}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 764, EndLine: 764}}},
		{Name: "which-module", Version: "2.0.0", Locations: []types.Location{{StartLine: 769, EndLine: 769}}},
		{Name: "which", Version: "1.3.1", Locations: []types.Location{{StartLine: 774, EndLine: 774}}},
		{Name: "wide-align", Version: "1.1.3", Locations: []types.Location{{StartLine: 781, EndLine: 781}}},
		{Name: "wrap-ansi", Version: "2.1.0", Locations: []types.Location{{StartLine: 788, EndLine: 788}}},
		{Name: "wrappy", Version: "1.0.2", Locations: []types.Location{{StartLine: 796, EndLine: 796}}},
		{Name: "y18n", Version: "4.0.0", Locations: []types.Location{{StartLine: 801, EndLine: 801}}},
		{Name: "yargs-parser", Version: "13.0.0", Locations: []types.Location{{StartLine: 806, EndLine: 806}}},
		{Name: "yargs-parser", Version: "11.1.1", Locations: []types.Location{{StartLine: 814, EndLine: 814}}},
		{Name: "yargs-parser", Version: "13.1.0", Locations: []types.Location{{StartLine: 822, EndLine: 822}}},
		{Name: "yargs-unparser", Version: "1.5.0", Locations: []types.Location{{StartLine: 830, EndLine: 830}}},
		{Name: "yargs", Version: "13.2.2", Locations: []types.Location{{StartLine: 839, EndLine: 839}}},
		{Name: "yargs", Version: "12.0.5", Locations: []types.Location{{StartLine: 856, EndLine: 856}}},
	}

	// ... and
	// yarn add lodash request chalk commander express async axios vue
	// yarn list | grep -E -o "\S+@[^\^~]\S+" | awk -F@ 'NR>0 {printf("{\""$1"\", \""$2"\", \"\"},\n")}' | sort | uniq
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	yarnMany = []types.Library{
		{Name: "accepts", Version: "1.3.7", Locations: []types.Location{{StartLine: 5, EndLine: 5}}},
		{Name: "ajv", Version: "6.10.0", Locations: []types.Location{{StartLine: 13, EndLine: 13}}},
		{Name: "ansi-colors", Version: "3.2.3", Locations: []types.Location{{StartLine: 23, EndLine: 23}}},
		{Name: "ansi-regex", Version: "2.1.1", Locations: []types.Location{{StartLine: 28, EndLine: 28}}},
		{Name: "ansi-regex", Version: "3.0.0", Locations: []types.Location{{StartLine: 33, EndLine: 33}}},
		{Name: "ansi-regex", Version: "4.1.0", Locations: []types.Location{{StartLine: 38, EndLine: 38}}},
		{Name: "ansi-styles", Version: "3.2.1", Locations: []types.Location{{StartLine: 43, EndLine: 43}}},
		{Name: "argparse", Version: "1.0.10", Locations: []types.Location{{StartLine: 50, EndLine: 50}}},
		{Name: "array-flatten", Version: "1.1.1", Locations: []types.Location{{StartLine: 57, EndLine: 57}}},
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 62, EndLine: 62}}},
		{Name: "asn1", Version: "0.2.4", Locations: []types.Location{{StartLine: 67, EndLine: 67}}},
		{Name: "assert-plus", Version: "1.0.0", Locations: []types.Location{{StartLine: 74, EndLine: 74}}},
		{Name: "async", Version: "2.6.2", Locations: []types.Location{{StartLine: 79, EndLine: 79}}},
		{Name: "asynckit", Version: "0.4.0", Locations: []types.Location{{StartLine: 86, EndLine: 86}}},
		{Name: "aws-sign2", Version: "0.7.0", Locations: []types.Location{{StartLine: 91, EndLine: 91}}},
		{Name: "aws4", Version: "1.8.0", Locations: []types.Location{{StartLine: 96, EndLine: 96}}},
		{Name: "axios", Version: "0.18.0", Locations: []types.Location{{StartLine: 101, EndLine: 101}}},
		{Name: "balanced-match", Version: "1.0.0", Locations: []types.Location{{StartLine: 109, EndLine: 109}}},
		{Name: "bcrypt-pbkdf", Version: "1.0.2", Locations: []types.Location{{StartLine: 114, EndLine: 114}}},
		{Name: "body-parser", Version: "1.18.3", Locations: []types.Location{{StartLine: 121, EndLine: 121}}},
		{Name: "brace-expansion", Version: "1.1.11", Locations: []types.Location{{StartLine: 137, EndLine: 137}}},
		{Name: "browser-stdout", Version: "1.3.1", Locations: []types.Location{{StartLine: 145, EndLine: 145}}},
		{Name: "bytes", Version: "3.0.0", Locations: []types.Location{{StartLine: 150, EndLine: 150}}},
		{Name: "camelcase", Version: "5.3.1", Locations: []types.Location{{StartLine: 155, EndLine: 155}}},
		{Name: "caseless", Version: "0.12.0", Locations: []types.Location{{StartLine: 160, EndLine: 160}}},
		{Name: "chalk", Version: "2.4.2", Locations: []types.Location{{StartLine: 165, EndLine: 165}}},
		{Name: "cliui", Version: "4.1.0", Locations: []types.Location{{StartLine: 174, EndLine: 174}}},
		{Name: "code-point-at", Version: "1.1.0", Locations: []types.Location{{StartLine: 183, EndLine: 183}}},
		{Name: "color-convert", Version: "1.9.3", Locations: []types.Location{{StartLine: 188, EndLine: 188}}},
		{Name: "color-name", Version: "1.1.3", Locations: []types.Location{{StartLine: 195, EndLine: 195}}},
		{Name: "combined-stream", Version: "1.0.8", Locations: []types.Location{{StartLine: 200, EndLine: 200}}},
		{Name: "commander", Version: "2.20.0", Locations: []types.Location{{StartLine: 207, EndLine: 207}}},
		{Name: "concat-map", Version: "0.0.1", Locations: []types.Location{{StartLine: 212, EndLine: 212}}},
		{Name: "content-disposition", Version: "0.5.2", Locations: []types.Location{{StartLine: 217, EndLine: 217}}},
		{Name: "content-type", Version: "1.0.4", Locations: []types.Location{{StartLine: 222, EndLine: 222}}},
		{Name: "cookie-signature", Version: "1.0.6", Locations: []types.Location{{StartLine: 227, EndLine: 227}}},
		{Name: "cookie", Version: "0.3.1", Locations: []types.Location{{StartLine: 232, EndLine: 232}}},
		{Name: "core-util-is", Version: "1.0.2", Locations: []types.Location{{StartLine: 237, EndLine: 237}}},
		{Name: "cross-spawn", Version: "6.0.5", Locations: []types.Location{{StartLine: 242, EndLine: 242}}},
		{Name: "dashdash", Version: "1.14.1", Locations: []types.Location{{StartLine: 253, EndLine: 253}}},
		{Name: "debug", Version: "2.6.9", Locations: []types.Location{{StartLine: 260, EndLine: 260}}},
		{Name: "debug", Version: "3.2.6", Locations: []types.Location{{StartLine: 267, EndLine: 267}}},
		{Name: "decamelize", Version: "1.2.0", Locations: []types.Location{{StartLine: 274, EndLine: 274}}},
		{Name: "define-properties", Version: "1.1.3", Locations: []types.Location{{StartLine: 279, EndLine: 279}}},
		{Name: "delayed-stream", Version: "1.0.0", Locations: []types.Location{{StartLine: 286, EndLine: 286}}},
		{Name: "depd", Version: "1.1.2", Locations: []types.Location{{StartLine: 291, EndLine: 291}}},
		{Name: "destroy", Version: "1.0.4", Locations: []types.Location{{StartLine: 296, EndLine: 296}}},
		{Name: "diff", Version: "3.5.0", Locations: []types.Location{{StartLine: 301, EndLine: 301}}},
		{Name: "ecc-jsbn", Version: "0.1.2", Locations: []types.Location{{StartLine: 306, EndLine: 306}}},
		{Name: "ee-first", Version: "1.1.1", Locations: []types.Location{{StartLine: 314, EndLine: 314}}},
		{Name: "emoji-regex", Version: "7.0.3", Locations: []types.Location{{StartLine: 319, EndLine: 319}}},
		{Name: "encodeurl", Version: "1.0.2", Locations: []types.Location{{StartLine: 324, EndLine: 324}}},
		{Name: "end-of-stream", Version: "1.4.1", Locations: []types.Location{{StartLine: 329, EndLine: 329}}},
		{Name: "es-abstract", Version: "1.13.0", Locations: []types.Location{{StartLine: 336, EndLine: 336}}},
		{Name: "es-to-primitive", Version: "1.2.0", Locations: []types.Location{{StartLine: 348, EndLine: 348}}},
		{Name: "escape-html", Version: "1.0.3", Locations: []types.Location{{StartLine: 357, EndLine: 357}}},
		{Name: "escape-string-regexp", Version: "1.0.5", Locations: []types.Location{{StartLine: 362, EndLine: 362}}},
		{Name: "esprima", Version: "4.0.1", Locations: []types.Location{{StartLine: 367, EndLine: 367}}},
		{Name: "etag", Version: "1.8.1", Locations: []types.Location{{StartLine: 372, EndLine: 372}}},
		{Name: "execa", Version: "1.0.0", Locations: []types.Location{{StartLine: 377, EndLine: 377}}},
		{Name: "express", Version: "4.16.4", Locations: []types.Location{{StartLine: 390, EndLine: 390}}},
		{Name: "extend", Version: "3.0.2", Locations: []types.Location{{StartLine: 426, EndLine: 426}}},
		{Name: "extsprintf", Version: "1.3.0", Locations: []types.Location{{StartLine: 431, EndLine: 431}}},
		{Name: "extsprintf", Version: "1.4.0", Locations: []types.Location{{StartLine: 436, EndLine: 436}}},
		{Name: "fast-deep-equal", Version: "2.0.1", Locations: []types.Location{{StartLine: 441, EndLine: 441}}},
		{Name: "fast-json-stable-stringify", Version: "2.0.0", Locations: []types.Location{{StartLine: 446, EndLine: 446}}},
		{Name: "finalhandler", Version: "1.1.1", Locations: []types.Location{{StartLine: 451, EndLine: 451}}},
		{Name: "find-up", Version: "3.0.0", Locations: []types.Location{{StartLine: 464, EndLine: 464}}},
		{Name: "flat", Version: "4.1.0", Locations: []types.Location{{StartLine: 471, EndLine: 471}}},
		{Name: "follow-redirects", Version: "1.7.0", Locations: []types.Location{{StartLine: 478, EndLine: 478}}},
		{Name: "forever-agent", Version: "0.6.1", Locations: []types.Location{{StartLine: 485, EndLine: 485}}},
		{Name: "form-data", Version: "2.3.3", Locations: []types.Location{{StartLine: 490, EndLine: 490}}},
		{Name: "forwarded", Version: "0.1.2", Locations: []types.Location{{StartLine: 499, EndLine: 499}}},
		{Name: "fresh", Version: "0.5.2", Locations: []types.Location{{StartLine: 504, EndLine: 504}}},
		{Name: "fs.realpath", Version: "1.0.0", Locations: []types.Location{{StartLine: 509, EndLine: 509}}},
		{Name: "function-bind", Version: "1.1.1", Locations: []types.Location{{StartLine: 514, EndLine: 514}}},
		{Name: "get-caller-file", Version: "1.0.3", Locations: []types.Location{{StartLine: 519, EndLine: 519}}},
		{Name: "get-caller-file", Version: "2.0.5", Locations: []types.Location{{StartLine: 524, EndLine: 524}}},
		{Name: "get-stream", Version: "4.1.0", Locations: []types.Location{{StartLine: 529, EndLine: 529}}},
		{Name: "getpass", Version: "0.1.7", Locations: []types.Location{{StartLine: 536, EndLine: 536}}},
		{Name: "glob", Version: "7.1.3", Locations: []types.Location{{StartLine: 543, EndLine: 543}}},
		{Name: "growl", Version: "1.10.5", Locations: []types.Location{{StartLine: 555, EndLine: 555}}},
		{Name: "har-schema", Version: "2.0.0", Locations: []types.Location{{StartLine: 560, EndLine: 560}}},
		{Name: "har-validator", Version: "5.1.3", Locations: []types.Location{{StartLine: 565, EndLine: 565}}},
		{Name: "has-flag", Version: "3.0.0", Locations: []types.Location{{StartLine: 573, EndLine: 573}}},
		{Name: "has-symbols", Version: "1.0.0", Locations: []types.Location{{StartLine: 578, EndLine: 578}}},
		{Name: "has", Version: "1.0.3", Locations: []types.Location{{StartLine: 583, EndLine: 583}}},
		{Name: "he", Version: "1.2.0", Locations: []types.Location{{StartLine: 590, EndLine: 590}}},
		{Name: "http-errors", Version: "1.6.3", Locations: []types.Location{{StartLine: 595, EndLine: 595}}},
		{Name: "http-signature", Version: "1.2.0", Locations: []types.Location{{StartLine: 605, EndLine: 605}}},
		{Name: "iconv-lite", Version: "0.4.23", Locations: []types.Location{{StartLine: 614, EndLine: 614}}},
		{Name: "inflight", Version: "1.0.6", Locations: []types.Location{{StartLine: 621, EndLine: 621}}},
		{Name: "inherits", Version: "2.0.3", Locations: []types.Location{{StartLine: 629, EndLine: 629}}},
		{Name: "invert-kv", Version: "2.0.0", Locations: []types.Location{{StartLine: 634, EndLine: 634}}},
		{Name: "ipaddr.js", Version: "1.9.0", Locations: []types.Location{{StartLine: 639, EndLine: 639}}},
		{Name: "is-buffer", Version: "1.1.6", Locations: []types.Location{{StartLine: 644, EndLine: 644}}},
		{Name: "is-buffer", Version: "2.0.3", Locations: []types.Location{{StartLine: 649, EndLine: 649}}},
		{Name: "is-callable", Version: "1.1.4", Locations: []types.Location{{StartLine: 654, EndLine: 654}}},
		{Name: "is-date-object", Version: "1.0.1", Locations: []types.Location{{StartLine: 659, EndLine: 659}}},
		{Name: "is-fullwidth-code-point", Version: "1.0.0", Locations: []types.Location{{StartLine: 664, EndLine: 664}}},
		{Name: "is-fullwidth-code-point", Version: "2.0.0", Locations: []types.Location{{StartLine: 671, EndLine: 671}}},
		{Name: "is-regex", Version: "1.0.4", Locations: []types.Location{{StartLine: 676, EndLine: 676}}},
		{Name: "is-stream", Version: "1.1.0", Locations: []types.Location{{StartLine: 683, EndLine: 683}}},
		{Name: "is-symbol", Version: "1.0.2", Locations: []types.Location{{StartLine: 688, EndLine: 688}}},
		{Name: "is-typedarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 695, EndLine: 695}}},
		{Name: "isexe", Version: "2.0.0", Locations: []types.Location{{StartLine: 700, EndLine: 700}}},
		{Name: "isstream", Version: "0.1.2", Locations: []types.Location{{StartLine: 705, EndLine: 705}}},
		{Name: "jquery", Version: "3.4.1", Locations: []types.Location{{StartLine: 710, EndLine: 710}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 715, EndLine: 715}}},
		{Name: "js-yaml", Version: "3.13.1", Locations: []types.Location{{StartLine: 720, EndLine: 720}}},
		{Name: "jsbn", Version: "0.1.1", Locations: []types.Location{{StartLine: 728, EndLine: 728}}},
		{Name: "json-schema-traverse", Version: "0.4.1", Locations: []types.Location{{StartLine: 733, EndLine: 733}}},
		{Name: "json-schema", Version: "0.2.3", Locations: []types.Location{{StartLine: 738, EndLine: 738}}},
		{Name: "json-stringify-safe", Version: "5.0.1", Locations: []types.Location{{StartLine: 743, EndLine: 743}}},
		{Name: "jsprim", Version: "1.4.1", Locations: []types.Location{{StartLine: 748, EndLine: 748}}},
		{Name: "lcid", Version: "2.0.0", Locations: []types.Location{{StartLine: 758, EndLine: 758}}},
		{Name: "locate-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 765, EndLine: 765}}},
		{Name: "lodash", Version: "4.17.11", Locations: []types.Location{{StartLine: 773, EndLine: 773}}},
		{Name: "log-symbols", Version: "2.2.0", Locations: []types.Location{{StartLine: 778, EndLine: 778}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 785, EndLine: 785}}},
		{Name: "map-age-cleaner", Version: "0.1.3", Locations: []types.Location{{StartLine: 792, EndLine: 792}}},
		{Name: "media-typer", Version: "0.3.0", Locations: []types.Location{{StartLine: 799, EndLine: 799}}},
		{Name: "mem", Version: "4.3.0", Locations: []types.Location{{StartLine: 804, EndLine: 804}}},
		{Name: "merge-descriptors", Version: "1.0.1", Locations: []types.Location{{StartLine: 813, EndLine: 813}}},
		{Name: "methods", Version: "1.1.2", Locations: []types.Location{{StartLine: 818, EndLine: 818}}},
		{Name: "mime-db", Version: "1.40.0", Locations: []types.Location{{StartLine: 823, EndLine: 823}}},
		{Name: "mime-types", Version: "2.1.24", Locations: []types.Location{{StartLine: 828, EndLine: 828}}},
		{Name: "mime", Version: "1.4.1", Locations: []types.Location{{StartLine: 835, EndLine: 835}}},
		{Name: "mimic-fn", Version: "2.1.0", Locations: []types.Location{{StartLine: 840, EndLine: 840}}},
		{Name: "minimatch", Version: "3.0.4", Locations: []types.Location{{StartLine: 845, EndLine: 845}}},
		{Name: "minimist", Version: "0.0.8", Locations: []types.Location{{StartLine: 852, EndLine: 852}}},
		{Name: "mkdirp", Version: "0.5.1", Locations: []types.Location{{StartLine: 857, EndLine: 857}}},
		{Name: "mocha", Version: "6.1.4", Locations: []types.Location{{StartLine: 864, EndLine: 864}}},
		{Name: "ms", Version: "2.0.0", Locations: []types.Location{{StartLine: 893, EndLine: 893}}},
		{Name: "ms", Version: "2.1.1", Locations: []types.Location{{StartLine: 898, EndLine: 898}}},
		{Name: "negotiator", Version: "0.6.2", Locations: []types.Location{{StartLine: 903, EndLine: 903}}},
		{Name: "nice-try", Version: "1.0.5", Locations: []types.Location{{StartLine: 908, EndLine: 908}}},
		{Name: "node-environment-flags", Version: "1.0.5", Locations: []types.Location{{StartLine: 913, EndLine: 913}}},
		{Name: "npm-run-path", Version: "2.0.2", Locations: []types.Location{{StartLine: 921, EndLine: 921}}},
		{Name: "number-is-nan", Version: "1.0.1", Locations: []types.Location{{StartLine: 928, EndLine: 928}}},
		{Name: "oauth-sign", Version: "0.9.0", Locations: []types.Location{{StartLine: 933, EndLine: 933}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 938, EndLine: 938}}},
		{Name: "object-keys", Version: "1.1.1", Locations: []types.Location{{StartLine: 943, EndLine: 943}}},
		{Name: "object.assign", Version: "4.1.0", Locations: []types.Location{{StartLine: 948, EndLine: 948}}},
		{Name: "object.getownpropertydescriptors", Version: "2.0.3", Locations: []types.Location{{StartLine: 958, EndLine: 958}}},
		{Name: "on-finished", Version: "2.3.0", Locations: []types.Location{{StartLine: 966, EndLine: 966}}},
		{Name: "once", Version: "1.4.0", Locations: []types.Location{{StartLine: 973, EndLine: 973}}},
		{Name: "os-locale", Version: "3.1.0", Locations: []types.Location{{StartLine: 980, EndLine: 980}}},
		{Name: "p-defer", Version: "1.0.0", Locations: []types.Location{{StartLine: 989, EndLine: 989}}},
		{Name: "p-finally", Version: "1.0.0", Locations: []types.Location{{StartLine: 994, EndLine: 994}}},
		{Name: "p-is-promise", Version: "2.1.0", Locations: []types.Location{{StartLine: 999, EndLine: 999}}},
		{Name: "p-limit", Version: "2.2.0", Locations: []types.Location{{StartLine: 1004, EndLine: 1004}}},
		{Name: "p-locate", Version: "3.0.0", Locations: []types.Location{{StartLine: 1011, EndLine: 1011}}},
		{Name: "p-try", Version: "2.2.0", Locations: []types.Location{{StartLine: 1018, EndLine: 1018}}},
		{Name: "parseurl", Version: "1.3.3", Locations: []types.Location{{StartLine: 1023, EndLine: 1023}}},
		{Name: "path-exists", Version: "3.0.0", Locations: []types.Location{{StartLine: 1028, EndLine: 1028}}},
		{Name: "path-is-absolute", Version: "1.0.1", Locations: []types.Location{{StartLine: 1033, EndLine: 1033}}},
		{Name: "path-key", Version: "2.0.1", Locations: []types.Location{{StartLine: 1038, EndLine: 1038}}},
		{Name: "path-to-regexp", Version: "0.1.7", Locations: []types.Location{{StartLine: 1043, EndLine: 1043}}},
		{Name: "performance-now", Version: "2.1.0", Locations: []types.Location{{StartLine: 1048, EndLine: 1048}}},
		{Name: "promise", Version: "8.0.3", Locations: []types.Location{{StartLine: 1053, EndLine: 1053}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 1060, EndLine: 1060}}},
		{Name: "proxy-addr", Version: "2.0.5", Locations: []types.Location{{StartLine: 1069, EndLine: 1069}}},
		{Name: "psl", Version: "1.1.31", Locations: []types.Location{{StartLine: 1077, EndLine: 1077}}},
		{Name: "pump", Version: "3.0.0", Locations: []types.Location{{StartLine: 1082, EndLine: 1082}}},
		{Name: "punycode", Version: "1.4.1", Locations: []types.Location{{StartLine: 1090, EndLine: 1090}}},
		{Name: "punycode", Version: "2.1.1", Locations: []types.Location{{StartLine: 1095, EndLine: 1095}}},
		{Name: "qs", Version: "6.5.2", Locations: []types.Location{{StartLine: 1100, EndLine: 1100}}},
		{Name: "range-parser", Version: "1.2.1", Locations: []types.Location{{StartLine: 1105, EndLine: 1105}}},
		{Name: "raw-body", Version: "2.3.3", Locations: []types.Location{{StartLine: 1110, EndLine: 1110}}},
		{Name: "react-is", Version: "16.8.6", Locations: []types.Location{{StartLine: 1120, EndLine: 1120}}},
		{Name: "react", Version: "16.8.6", Locations: []types.Location{{StartLine: 1125, EndLine: 1125}}},
		{Name: "redux", Version: "4.0.1", Locations: []types.Location{{StartLine: 1135, EndLine: 1135}}},
		{Name: "request", Version: "2.88.0", Locations: []types.Location{{StartLine: 1143, EndLine: 1143}}},
		{Name: "require-directory", Version: "2.1.1", Locations: []types.Location{{StartLine: 1169, EndLine: 1169}}},
		{Name: "require-main-filename", Version: "1.0.1", Locations: []types.Location{{StartLine: 1174, EndLine: 1174}}},
		{Name: "require-main-filename", Version: "2.0.0", Locations: []types.Location{{StartLine: 1179, EndLine: 1179}}},
		{Name: "safe-buffer", Version: "5.1.2", Locations: []types.Location{{StartLine: 1184, EndLine: 1184}}},
		{Name: "safer-buffer", Version: "2.1.2", Locations: []types.Location{{StartLine: 1189, EndLine: 1189}}},
		{Name: "scheduler", Version: "0.13.6", Locations: []types.Location{{StartLine: 1194, EndLine: 1194}}},
		{Name: "semver", Version: "5.7.0", Locations: []types.Location{{StartLine: 1202, EndLine: 1202}}},
		{Name: "send", Version: "0.16.2", Locations: []types.Location{{StartLine: 1207, EndLine: 1207}}},
		{Name: "serve-static", Version: "1.13.2", Locations: []types.Location{{StartLine: 1226, EndLine: 1226}}},
		{Name: "set-blocking", Version: "2.0.0", Locations: []types.Location{{StartLine: 1236, EndLine: 1236}}},
		{Name: "setprototypeof", Version: "1.1.0", Locations: []types.Location{{StartLine: 1241, EndLine: 1241}}},
		{Name: "shebang-command", Version: "1.2.0", Locations: []types.Location{{StartLine: 1246, EndLine: 1246}}},
		{Name: "shebang-regex", Version: "1.0.0", Locations: []types.Location{{StartLine: 1253, EndLine: 1253}}},
		{Name: "signal-exit", Version: "3.0.2", Locations: []types.Location{{StartLine: 1258, EndLine: 1258}}},
		{Name: "sprintf-js", Version: "1.0.3", Locations: []types.Location{{StartLine: 1263, EndLine: 1263}}},
		{Name: "sshpk", Version: "1.16.1", Locations: []types.Location{{StartLine: 1268, EndLine: 1268}}},
		{Name: "statuses", Version: "1.5.0", Locations: []types.Location{{StartLine: 1283, EndLine: 1283}}},
		{Name: "statuses", Version: "1.4.0", Locations: []types.Location{{StartLine: 1288, EndLine: 1288}}},
		{Name: "string-width", Version: "1.0.2", Locations: []types.Location{{StartLine: 1293, EndLine: 1293}}},
		{Name: "string-width", Version: "2.1.1", Locations: []types.Location{{StartLine: 1302, EndLine: 1302}}},
		{Name: "string-width", Version: "3.1.0", Locations: []types.Location{{StartLine: 1310, EndLine: 1310}}},
		{Name: "strip-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 1319, EndLine: 1319}}},
		{Name: "strip-ansi", Version: "4.0.0", Locations: []types.Location{{StartLine: 1326, EndLine: 1326}}},
		{Name: "strip-ansi", Version: "5.2.0", Locations: []types.Location{{StartLine: 1333, EndLine: 1333}}},
		{Name: "strip-eof", Version: "1.0.0", Locations: []types.Location{{StartLine: 1340, EndLine: 1340}}},
		{Name: "strip-json-comments", Version: "2.0.1", Locations: []types.Location{{StartLine: 1345, EndLine: 1345}}},
		{Name: "supports-color", Version: "6.0.0", Locations: []types.Location{{StartLine: 1350, EndLine: 1350}}},
		{Name: "supports-color", Version: "5.5.0", Locations: []types.Location{{StartLine: 1357, EndLine: 1357}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 1364, EndLine: 1364}}},
		{Name: "tough-cookie", Version: "2.4.3", Locations: []types.Location{{StartLine: 1369, EndLine: 1369}}},
		{Name: "tunnel-agent", Version: "0.6.0", Locations: []types.Location{{StartLine: 1377, EndLine: 1377}}},
		{Name: "tweetnacl", Version: "0.14.5", Locations: []types.Location{{StartLine: 1384, EndLine: 1384}}},
		{Name: "type-is", Version: "1.6.18", Locations: []types.Location{{StartLine: 1389, EndLine: 1389}}},
		{Name: "unpipe", Version: "1.0.0", Locations: []types.Location{{StartLine: 1397, EndLine: 1397}}},
		{Name: "uri-js", Version: "4.2.2", Locations: []types.Location{{StartLine: 1402, EndLine: 1402}}},
		{Name: "utils-merge", Version: "1.0.1", Locations: []types.Location{{StartLine: 1409, EndLine: 1409}}},
		{Name: "uuid", Version: "3.3.2", Locations: []types.Location{{StartLine: 1414, EndLine: 1414}}},
		{Name: "vary", Version: "1.1.2", Locations: []types.Location{{StartLine: 1419, EndLine: 1419}}},
		{Name: "verror", Version: "1.10.0", Locations: []types.Location{{StartLine: 1424, EndLine: 1424}}},
		{Name: "vue", Version: "2.6.10", Locations: []types.Location{{StartLine: 1433, EndLine: 1433}}},
		{Name: "which-module", Version: "2.0.0", Locations: []types.Location{{StartLine: 1438, EndLine: 1438}}},
		{Name: "which", Version: "1.3.1", Locations: []types.Location{{StartLine: 1443, EndLine: 1443}}},
		{Name: "wide-align", Version: "1.1.3", Locations: []types.Location{{StartLine: 1450, EndLine: 1450}}},
		{Name: "wrap-ansi", Version: "2.1.0", Locations: []types.Location{{StartLine: 1457, EndLine: 1457}}},
		{Name: "wrappy", Version: "1.0.2", Locations: []types.Location{{StartLine: 1465, EndLine: 1465}}},
		{Name: "y18n", Version: "4.0.0", Locations: []types.Location{{StartLine: 1470, EndLine: 1470}}},
		{Name: "yargs-parser", Version: "13.0.0", Locations: []types.Location{{StartLine: 1475, EndLine: 1475}}},
		{Name: "yargs-parser", Version: "11.1.1", Locations: []types.Location{{StartLine: 1483, EndLine: 1483}}},
		{Name: "yargs-parser", Version: "13.1.0", Locations: []types.Location{{StartLine: 1491, EndLine: 1491}}},
		{Name: "yargs-unparser", Version: "1.5.0", Locations: []types.Location{{StartLine: 1499, EndLine: 1499}}},
		{Name: "yargs", Version: "13.2.2", Locations: []types.Location{{StartLine: 1508, EndLine: 1508}}},
		{Name: "yargs", Version: "12.0.5", Locations: []types.Location{{StartLine: 1525, EndLine: 1525}}},
	}

	// yarn list | grep -E -o "\S+@[^\^~]\S+" | awk -F@ 'NR>0 {printf("{\""$1"\", \""$2"\", \"\"},\n")}' | sort | uniq
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	yarnRealWorld = []types.Library{
		{Name: "@babel/code-frame", Version: "7.0.0", Locations: []types.Location{{StartLine: 5, EndLine: 5}}},
		{Name: "@babel/code-frame", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 12, EndLine: 12}}},
		{Name: "@babel/core", Version: "7.1.0", Locations: []types.Location{{StartLine: 19, EndLine: 19}}},
		{Name: "@babel/core", Version: "7.4.4", Locations: []types.Location{{StartLine: 39, EndLine: 39}}},
		{Name: "@babel/generator", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 59, EndLine: 59}}},
		{Name: "@babel/generator", Version: "7.4.4", Locations: []types.Location{{StartLine: 70, EndLine: 70}}},
		{Name: "@babel/helper-annotate-as-pure", Version: "7.0.0", Locations: []types.Location{{StartLine: 81, EndLine: 81}}},
		{Name: "@babel/helper-builder-binary-assignment-operator-visitor", Version: "7.1.0", Locations: []types.Location{{StartLine: 88, EndLine: 88}}},
		{Name: "@babel/helper-builder-react-jsx", Version: "7.3.0", Locations: []types.Location{{StartLine: 96, EndLine: 96}}},
		{Name: "@babel/helper-call-delegate", Version: "7.4.4", Locations: []types.Location{{StartLine: 104, EndLine: 104}}},
		{Name: "@babel/helper-create-class-features-plugin", Version: "7.4.4", Locations: []types.Location{{StartLine: 113, EndLine: 113}}},
		{Name: "@babel/helper-define-map", Version: "7.4.4", Locations: []types.Location{{StartLine: 125, EndLine: 125}}},
		{Name: "@babel/helper-explode-assignable-expression", Version: "7.1.0", Locations: []types.Location{{StartLine: 134, EndLine: 134}}},
		{Name: "@babel/helper-function-name", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 142, EndLine: 142}}},
		{Name: "@babel/helper-function-name", Version: "7.1.0", Locations: []types.Location{{StartLine: 151, EndLine: 151}}},
		{Name: "@babel/helper-get-function-arity", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 160, EndLine: 160}}},
		{Name: "@babel/helper-get-function-arity", Version: "7.0.0", Locations: []types.Location{{StartLine: 167, EndLine: 167}}},
		{Name: "@babel/helper-hoist-variables", Version: "7.4.4", Locations: []types.Location{{StartLine: 174, EndLine: 174}}},
		{Name: "@babel/helper-member-expression-to-functions", Version: "7.0.0", Locations: []types.Location{{StartLine: 181, EndLine: 181}}},
		{Name: "@babel/helper-module-imports", Version: "7.0.0", Locations: []types.Location{{StartLine: 188, EndLine: 188}}},
		{Name: "@babel/helper-module-transforms", Version: "7.4.4", Locations: []types.Location{{StartLine: 195, EndLine: 195}}},
		{Name: "@babel/helper-optimise-call-expression", Version: "7.0.0", Locations: []types.Location{{StartLine: 207, EndLine: 207}}},
		{Name: "@babel/helper-plugin-utils", Version: "7.0.0", Locations: []types.Location{{StartLine: 214, EndLine: 214}}},
		{Name: "@babel/helper-regex", Version: "7.4.4", Locations: []types.Location{{StartLine: 219, EndLine: 219}}},
		{Name: "@babel/helper-remap-async-to-generator", Version: "7.1.0", Locations: []types.Location{{StartLine: 226, EndLine: 226}}},
		{Name: "@babel/helper-replace-supers", Version: "7.4.4", Locations: []types.Location{{StartLine: 237, EndLine: 237}}},
		{Name: "@babel/helper-simple-access", Version: "7.1.0", Locations: []types.Location{{StartLine: 247, EndLine: 247}}},
		{Name: "@babel/helper-split-export-declaration", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 255, EndLine: 255}}},
		{Name: "@babel/helper-split-export-declaration", Version: "7.4.4", Locations: []types.Location{{StartLine: 262, EndLine: 262}}},
		{Name: "@babel/helper-wrap-function", Version: "7.2.0", Locations: []types.Location{{StartLine: 269, EndLine: 269}}},
		{Name: "@babel/helpers", Version: "7.4.4", Locations: []types.Location{{StartLine: 279, EndLine: 279}}},
		{Name: "@babel/highlight", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 288, EndLine: 288}}},
		{Name: "@babel/highlight", Version: "7.0.0", Locations: []types.Location{{StartLine: 297, EndLine: 297}}},
		{Name: "@babel/parser", Version: "7.4.4", Locations: []types.Location{{StartLine: 306, EndLine: 306}}},
		{Name: "@babel/plugin-proposal-async-generator-functions", Version: "7.2.0", Locations: []types.Location{{StartLine: 311, EndLine: 311}}},
		{Name: "@babel/plugin-proposal-class-properties", Version: "7.1.0", Locations: []types.Location{{StartLine: 320, EndLine: 320}}},
		{Name: "@babel/plugin-proposal-class-properties", Version: "7.4.4", Locations: []types.Location{{StartLine: 332, EndLine: 332}}},
		{Name: "@babel/plugin-proposal-decorators", Version: "7.1.2", Locations: []types.Location{{StartLine: 340, EndLine: 340}}},
		{Name: "@babel/plugin-proposal-json-strings", Version: "7.2.0", Locations: []types.Location{{StartLine: 350, EndLine: 350}}},
		{Name: "@babel/plugin-proposal-object-rest-spread", Version: "7.0.0", Locations: []types.Location{{StartLine: 358, EndLine: 358}}},
		{Name: "@babel/plugin-proposal-object-rest-spread", Version: "7.4.4", Locations: []types.Location{{StartLine: 366, EndLine: 366}}},
		{Name: "@babel/plugin-proposal-optional-catch-binding", Version: "7.2.0", Locations: []types.Location{{StartLine: 374, EndLine: 374}}},
		{Name: "@babel/plugin-proposal-unicode-property-regex", Version: "7.4.4", Locations: []types.Location{{StartLine: 382, EndLine: 382}}},
		{Name: "@babel/plugin-syntax-async-generators", Version: "7.2.0", Locations: []types.Location{{StartLine: 391, EndLine: 391}}},
		{Name: "@babel/plugin-syntax-class-properties", Version: "7.2.0", Locations: []types.Location{{StartLine: 398, EndLine: 398}}},
		{Name: "@babel/plugin-syntax-decorators", Version: "7.2.0", Locations: []types.Location{{StartLine: 405, EndLine: 405}}},
		{Name: "@babel/plugin-syntax-dynamic-import", Version: "7.0.0", Locations: []types.Location{{StartLine: 412, EndLine: 412}}},
		{Name: "@babel/plugin-syntax-dynamic-import", Version: "7.2.0", Locations: []types.Location{{StartLine: 419, EndLine: 419}}},
		{Name: "@babel/plugin-syntax-flow", Version: "7.2.0", Locations: []types.Location{{StartLine: 426, EndLine: 426}}},
		{Name: "@babel/plugin-syntax-json-strings", Version: "7.2.0", Locations: []types.Location{{StartLine: 433, EndLine: 433}}},
		{Name: "@babel/plugin-syntax-jsx", Version: "7.2.0", Locations: []types.Location{{StartLine: 440, EndLine: 440}}},
		{Name: "@babel/plugin-syntax-object-rest-spread", Version: "7.2.0", Locations: []types.Location{{StartLine: 447, EndLine: 447}}},
		{Name: "@babel/plugin-syntax-optional-catch-binding", Version: "7.2.0", Locations: []types.Location{{StartLine: 454, EndLine: 454}}},
		{Name: "@babel/plugin-syntax-typescript", Version: "7.3.3", Locations: []types.Location{{StartLine: 461, EndLine: 461}}},
		{Name: "@babel/plugin-transform-arrow-functions", Version: "7.2.0", Locations: []types.Location{{StartLine: 468, EndLine: 468}}},
		{Name: "@babel/plugin-transform-async-to-generator", Version: "7.4.4", Locations: []types.Location{{StartLine: 475, EndLine: 475}}},
		{Name: "@babel/plugin-transform-block-scoped-functions", Version: "7.2.0", Locations: []types.Location{{StartLine: 484, EndLine: 484}}},
		{Name: "@babel/plugin-transform-block-scoping", Version: "7.4.4", Locations: []types.Location{{StartLine: 491, EndLine: 491}}},
		{Name: "@babel/plugin-transform-classes", Version: "7.1.0", Locations: []types.Location{{StartLine: 499, EndLine: 499}}},
		{Name: "@babel/plugin-transform-classes", Version: "7.4.4", Locations: []types.Location{{StartLine: 513, EndLine: 513}}},
		{Name: "@babel/plugin-transform-computed-properties", Version: "7.2.0", Locations: []types.Location{{StartLine: 527, EndLine: 527}}},
		{Name: "@babel/plugin-transform-destructuring", Version: "7.0.0", Locations: []types.Location{{StartLine: 534, EndLine: 534}}},
		{Name: "@babel/plugin-transform-destructuring", Version: "7.4.4", Locations: []types.Location{{StartLine: 541, EndLine: 541}}},
		{Name: "@babel/plugin-transform-dotall-regex", Version: "7.4.4", Locations: []types.Location{{StartLine: 548, EndLine: 548}}},
		{Name: "@babel/plugin-transform-duplicate-keys", Version: "7.2.0", Locations: []types.Location{{StartLine: 557, EndLine: 557}}},
		{Name: "@babel/plugin-transform-exponentiation-operator", Version: "7.2.0", Locations: []types.Location{{StartLine: 564, EndLine: 564}}},
		{Name: "@babel/plugin-transform-flow-strip-types", Version: "7.0.0", Locations: []types.Location{{StartLine: 572, EndLine: 572}}},
		{Name: "@babel/plugin-transform-flow-strip-types", Version: "7.4.4", Locations: []types.Location{{StartLine: 580, EndLine: 580}}},
		{Name: "@babel/plugin-transform-for-of", Version: "7.4.4", Locations: []types.Location{{StartLine: 588, EndLine: 588}}},
		{Name: "@babel/plugin-transform-function-name", Version: "7.4.4", Locations: []types.Location{{StartLine: 595, EndLine: 595}}},
		{Name: "@babel/plugin-transform-literals", Version: "7.2.0", Locations: []types.Location{{StartLine: 603, EndLine: 603}}},
		{Name: "@babel/plugin-transform-member-expression-literals", Version: "7.2.0", Locations: []types.Location{{StartLine: 610, EndLine: 610}}},
		{Name: "@babel/plugin-transform-modules-amd", Version: "7.2.0", Locations: []types.Location{{StartLine: 617, EndLine: 617}}},
		{Name: "@babel/plugin-transform-modules-commonjs", Version: "7.4.4", Locations: []types.Location{{StartLine: 625, EndLine: 625}}},
		{Name: "@babel/plugin-transform-modules-systemjs", Version: "7.4.4", Locations: []types.Location{{StartLine: 634, EndLine: 634}}},
		{Name: "@babel/plugin-transform-modules-umd", Version: "7.2.0", Locations: []types.Location{{StartLine: 642, EndLine: 642}}},
		{Name: "@babel/plugin-transform-named-capturing-groups-regex", Version: "7.4.4", Locations: []types.Location{{StartLine: 650, EndLine: 650}}},
		{Name: "@babel/plugin-transform-new-target", Version: "7.4.4", Locations: []types.Location{{StartLine: 657, EndLine: 657}}},
		{Name: "@babel/plugin-transform-object-super", Version: "7.2.0", Locations: []types.Location{{StartLine: 664, EndLine: 664}}},
		{Name: "@babel/plugin-transform-parameters", Version: "7.4.4", Locations: []types.Location{{StartLine: 672, EndLine: 672}}},
		{Name: "@babel/plugin-transform-property-literals", Version: "7.2.0", Locations: []types.Location{{StartLine: 681, EndLine: 681}}},
		{Name: "@babel/plugin-transform-react-constant-elements", Version: "7.0.0", Locations: []types.Location{{StartLine: 688, EndLine: 688}}},
		{Name: "@babel/plugin-transform-react-constant-elements", Version: "7.2.0", Locations: []types.Location{{StartLine: 696, EndLine: 696}}},
		{Name: "@babel/plugin-transform-react-display-name", Version: "7.0.0", Locations: []types.Location{{StartLine: 704, EndLine: 704}}},
		{Name: "@babel/plugin-transform-react-display-name", Version: "7.2.0", Locations: []types.Location{{StartLine: 711, EndLine: 711}}},
		{Name: "@babel/plugin-transform-react-jsx-self", Version: "7.2.0", Locations: []types.Location{{StartLine: 718, EndLine: 718}}},
		{Name: "@babel/plugin-transform-react-jsx-source", Version: "7.2.0", Locations: []types.Location{{StartLine: 726, EndLine: 726}}},
		{Name: "@babel/plugin-transform-react-jsx", Version: "7.3.0", Locations: []types.Location{{StartLine: 734, EndLine: 734}}},
		{Name: "@babel/plugin-transform-regenerator", Version: "7.4.4", Locations: []types.Location{{StartLine: 743, EndLine: 743}}},
		{Name: "@babel/plugin-transform-reserved-words", Version: "7.2.0", Locations: []types.Location{{StartLine: 750, EndLine: 750}}},
		{Name: "@babel/plugin-transform-runtime", Version: "7.1.0", Locations: []types.Location{{StartLine: 757, EndLine: 757}}},
		{Name: "@babel/plugin-transform-shorthand-properties", Version: "7.2.0", Locations: []types.Location{{StartLine: 767, EndLine: 767}}},
		{Name: "@babel/plugin-transform-spread", Version: "7.2.2", Locations: []types.Location{{StartLine: 774, EndLine: 774}}},
		{Name: "@babel/plugin-transform-sticky-regex", Version: "7.2.0", Locations: []types.Location{{StartLine: 781, EndLine: 781}}},
		{Name: "@babel/plugin-transform-template-literals", Version: "7.4.4", Locations: []types.Location{{StartLine: 789, EndLine: 789}}},
		{Name: "@babel/plugin-transform-typeof-symbol", Version: "7.2.0", Locations: []types.Location{{StartLine: 797, EndLine: 797}}},
		{Name: "@babel/plugin-transform-typescript", Version: "7.4.4", Locations: []types.Location{{StartLine: 804, EndLine: 804}}},
		{Name: "@babel/plugin-transform-unicode-regex", Version: "7.4.4", Locations: []types.Location{{StartLine: 812, EndLine: 812}}},
		{Name: "@babel/preset-env", Version: "7.1.0", Locations: []types.Location{{StartLine: 821, EndLine: 821}}},
		{Name: "@babel/preset-env", Version: "7.4.4", Locations: []types.Location{{StartLine: 868, EndLine: 868}}},
		{Name: "@babel/preset-flow", Version: "7.0.0", Locations: []types.Location{{StartLine: 922, EndLine: 922}}},
		{Name: "@babel/preset-react", Version: "7.0.0", Locations: []types.Location{{StartLine: 930, EndLine: 930}}},
		{Name: "@babel/preset-typescript", Version: "7.1.0", Locations: []types.Location{{StartLine: 941, EndLine: 941}}},
		{Name: "@babel/register", Version: "7.4.4", Locations: []types.Location{{StartLine: 949, EndLine: 949}}},
		{Name: "@babel/runtime", Version: "7.0.0", Locations: []types.Location{{StartLine: 961, EndLine: 961}}},
		{Name: "@babel/runtime", Version: "7.4.4", Locations: []types.Location{{StartLine: 968, EndLine: 968}}},
		{Name: "@babel/template", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 975, EndLine: 975}}},
		{Name: "@babel/template", Version: "7.4.4", Locations: []types.Location{{StartLine: 985, EndLine: 985}}},
		{Name: "@babel/traverse", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 994, EndLine: 994}}},
		{Name: "@babel/traverse", Version: "7.4.4", Locations: []types.Location{{StartLine: 1010, EndLine: 1010}}},
		{Name: "@babel/types", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 1025, EndLine: 1025}}},
		{Name: "@babel/types", Version: "7.4.4", Locations: []types.Location{{StartLine: 1034, EndLine: 1034}}},
		{Name: "@emotion/cache", Version: "0.8.8", Locations: []types.Location{{StartLine: 1043, EndLine: 1043}}},
		{Name: "@emotion/core", Version: "0.13.1", Locations: []types.Location{{StartLine: 1052, EndLine: 1052}}},
		{Name: "@emotion/css", Version: "0.9.8", Locations: []types.Location{{StartLine: 1063, EndLine: 1063}}},
		{Name: "@emotion/hash", Version: "0.6.6", Locations: []types.Location{{StartLine: 1071, EndLine: 1071}}},
		{Name: "@emotion/is-prop-valid", Version: "0.6.8", Locations: []types.Location{{StartLine: 1076, EndLine: 1076}}},
		{Name: "@emotion/is-prop-valid", Version: "0.7.3", Locations: []types.Location{{StartLine: 1083, EndLine: 1083}}},
		{Name: "@emotion/memoize", Version: "0.7.1", Locations: []types.Location{{StartLine: 1090, EndLine: 1090}}},
		{Name: "@emotion/memoize", Version: "0.6.6", Locations: []types.Location{{StartLine: 1095, EndLine: 1095}}},
		{Name: "@emotion/provider", Version: "0.11.2", Locations: []types.Location{{StartLine: 1100, EndLine: 1100}}},
		{Name: "@emotion/serialize", Version: "0.9.1", Locations: []types.Location{{StartLine: 1108, EndLine: 1108}}},
		{Name: "@emotion/sheet", Version: "0.8.1", Locations: []types.Location{{StartLine: 1118, EndLine: 1118}}},
		{Name: "@emotion/styled-base", Version: "0.10.6", Locations: []types.Location{{StartLine: 1123, EndLine: 1123}}},
		{Name: "@emotion/styled", Version: "0.10.6", Locations: []types.Location{{StartLine: 1132, EndLine: 1132}}},
		{Name: "@emotion/stylis", Version: "0.7.1", Locations: []types.Location{{StartLine: 1139, EndLine: 1139}}},
		{Name: "@emotion/unitless", Version: "0.6.7", Locations: []types.Location{{StartLine: 1144, EndLine: 1144}}},
		{Name: "@emotion/unitless", Version: "0.7.3", Locations: []types.Location{{StartLine: 1149, EndLine: 1149}}},
		{Name: "@emotion/utils", Version: "0.8.2", Locations: []types.Location{{StartLine: 1154, EndLine: 1154}}},
		{Name: "@emotion/weak-memoize", Version: "0.1.3", Locations: []types.Location{{StartLine: 1159, EndLine: 1159}}},
		{Name: "@icons/material", Version: "0.2.4", Locations: []types.Location{{StartLine: 1164, EndLine: 1164}}},
		{Name: "@loadable/component", Version: "5.10.1", Locations: []types.Location{{StartLine: 1169, EndLine: 1169}}},
		{Name: "@material-ui/core", Version: "3.9.3", Locations: []types.Location{{StartLine: 1177, EndLine: 1177}}},
		{Name: "@material-ui/icons", Version: "3.0.2", Locations: []types.Location{{StartLine: 1210, EndLine: 1210}}},
		{Name: "@material-ui/system", Version: "3.0.0-alpha.2", Locations: []types.Location{{StartLine: 1218, EndLine: 1218}}},
		{Name: "@material-ui/utils", Version: "3.0.0-alpha.3", Locations: []types.Location{{StartLine: 1228, EndLine: 1228}}},
		{Name: "@mrmlnc/readdir-enhanced", Version: "2.2.1", Locations: []types.Location{{StartLine: 1237, EndLine: 1237}}},
		{Name: "@nodelib/fs.stat", Version: "1.1.3", Locations: []types.Location{{StartLine: 1245, EndLine: 1245}}},
		{Name: "@octokit/rest", Version: "15.18.1", Locations: []types.Location{{StartLine: 1250, EndLine: 1250}}},
		{Name: "@samverschueren/stream-to-observable", Version: "0.3.0", Locations: []types.Location{{StartLine: 1265, EndLine: 1265}}},
		{Name: "@storybook/addon-actions", Version: "4.1.18", Locations: []types.Location{{StartLine: 1272, EndLine: 1272}}},
		{Name: "@storybook/addon-info", Version: "4.1.18", Locations: []types.Location{{StartLine: 1292, EndLine: 1292}}},
		{Name: "@storybook/addon-knobs", Version: "4.1.18", Locations: []types.Location{{StartLine: 1309, EndLine: 1309}}},
		{Name: "@storybook/addons", Version: "4.1.18", Locations: []types.Location{{StartLine: 1329, EndLine: 1329}}},
		{Name: "@storybook/channel-postmessage", Version: "4.1.18", Locations: []types.Location{{StartLine: 1339, EndLine: 1339}}},
		{Name: "@storybook/channels", Version: "4.1.18", Locations: []types.Location{{StartLine: 1348, EndLine: 1348}}},
		{Name: "@storybook/cli", Version: "4.1.18", Locations: []types.Location{{StartLine: 1353, EndLine: 1353}}},
		{Name: "@storybook/client-logger", Version: "4.1.18", Locations: []types.Location{{StartLine: 1374, EndLine: 1374}}},
		{Name: "@storybook/codemod", Version: "4.1.18", Locations: []types.Location{{StartLine: 1379, EndLine: 1379}}},
		{Name: "@storybook/components", Version: "4.1.18", Locations: []types.Location{{StartLine: 1388, EndLine: 1388}}},
		{Name: "@storybook/core-events", Version: "4.1.18", Locations: []types.Location{{StartLine: 1404, EndLine: 1404}}},
		{Name: "@storybook/core", Version: "4.1.18", Locations: []types.Location{{StartLine: 1409, EndLine: 1409}}},
		{Name: "@storybook/mantra-core", Version: "1.7.2", Locations: []types.Location{{StartLine: 1479, EndLine: 1479}}},
		{Name: "@storybook/node-logger", Version: "4.1.18", Locations: []types.Location{{StartLine: 1488, EndLine: 1488}}},
		{Name: "@storybook/podda", Version: "1.2.3", Locations: []types.Location{{StartLine: 1499, EndLine: 1499}}},
		{Name: "@storybook/react-komposer", Version: "2.0.5", Locations: []types.Location{{StartLine: 1507, EndLine: 1507}}},
		{Name: "@storybook/react-simple-di", Version: "1.3.0", Locations: []types.Location{{StartLine: 1518, EndLine: 1518}}},
		{Name: "@storybook/react-stubber", Version: "1.0.1", Locations: []types.Location{{StartLine: 1528, EndLine: 1528}}},
		{Name: "@storybook/react", Version: "4.1.18", Locations: []types.Location{{StartLine: 1535, EndLine: 1535}}},
		{Name: "@storybook/ui", Version: "4.1.18", Locations: []types.Location{{StartLine: 1561, EndLine: 1561}}},
		{Name: "@svgr/babel-plugin-add-jsx-attribute", Version: "4.2.0", Locations: []types.Location{{StartLine: 1589, EndLine: 1589}}},
		{Name: "@svgr/babel-plugin-remove-jsx-attribute", Version: "4.2.0", Locations: []types.Location{{StartLine: 1594, EndLine: 1594}}},
		{Name: "@svgr/babel-plugin-remove-jsx-empty-expression", Version: "4.2.0", Locations: []types.Location{{StartLine: 1599, EndLine: 1599}}},
		{Name: "@svgr/babel-plugin-replace-jsx-attribute-value", Version: "4.2.0", Locations: []types.Location{{StartLine: 1604, EndLine: 1604}}},
		{Name: "@svgr/babel-plugin-svg-dynamic-title", Version: "4.2.0", Locations: []types.Location{{StartLine: 1609, EndLine: 1609}}},
		{Name: "@svgr/babel-plugin-svg-em-dimensions", Version: "4.2.0", Locations: []types.Location{{StartLine: 1614, EndLine: 1614}}},
		{Name: "@svgr/babel-plugin-transform-react-native-svg", Version: "4.2.0", Locations: []types.Location{{StartLine: 1619, EndLine: 1619}}},
		{Name: "@svgr/babel-plugin-transform-svg-component", Version: "4.2.0", Locations: []types.Location{{StartLine: 1624, EndLine: 1624}}},
		{Name: "@svgr/babel-preset", Version: "4.2.0", Locations: []types.Location{{StartLine: 1629, EndLine: 1629}}},
		{Name: "@svgr/core", Version: "4.2.0", Locations: []types.Location{{StartLine: 1643, EndLine: 1643}}},
		{Name: "@svgr/hast-util-to-babel-ast", Version: "4.2.0", Locations: []types.Location{{StartLine: 1652, EndLine: 1652}}},
		{Name: "@svgr/plugin-jsx", Version: "4.2.0", Locations: []types.Location{{StartLine: 1659, EndLine: 1659}}},
		{Name: "@svgr/plugin-svgo", Version: "4.2.0", Locations: []types.Location{{StartLine: 1671, EndLine: 1671}}},
		{Name: "@svgr/webpack", Version: "4.2.0", Locations: []types.Location{{StartLine: 1680, EndLine: 1680}}},
		{Name: "@types/events", Version: "3.0.0", Locations: []types.Location{{StartLine: 1694, EndLine: 1694}}},
		{Name: "@types/glob", Version: "7.1.1", Locations: []types.Location{{StartLine: 1699, EndLine: 1699}}},
		{Name: "@types/jss", Version: "9.5.8", Locations: []types.Location{{StartLine: 1708, EndLine: 1708}}},
		{Name: "@types/minimatch", Version: "3.0.3", Locations: []types.Location{{StartLine: 1716, EndLine: 1716}}},
		{Name: "@types/node", Version: "12.0.2", Locations: []types.Location{{StartLine: 1721, EndLine: 1721}}},
		{Name: "@types/prop-types", Version: "15.7.1", Locations: []types.Location{{StartLine: 1726, EndLine: 1726}}},
		{Name: "@types/q", Version: "1.5.2", Locations: []types.Location{{StartLine: 1731, EndLine: 1731}}},
		{Name: "@types/react-transition-group", Version: "2.9.1", Locations: []types.Location{{StartLine: 1736, EndLine: 1736}}},
		{Name: "@types/react", Version: "16.8.17", Locations: []types.Location{{StartLine: 1743, EndLine: 1743}}},
		{Name: "@types/unist", Version: "2.0.3", Locations: []types.Location{{StartLine: 1751, EndLine: 1751}}},
		{Name: "@types/vfile-message", Version: "1.0.1", Locations: []types.Location{{StartLine: 1756, EndLine: 1756}}},
		{Name: "@types/vfile", Version: "3.0.2", Locations: []types.Location{{StartLine: 1764, EndLine: 1764}}},
		{Name: "@webassemblyjs/ast", Version: "1.8.5", Locations: []types.Location{{StartLine: 1773, EndLine: 1773}}},
		{Name: "@webassemblyjs/floating-point-hex-parser", Version: "1.8.5", Locations: []types.Location{{StartLine: 1782, EndLine: 1782}}},
		{Name: "@webassemblyjs/helper-api-error", Version: "1.8.5", Locations: []types.Location{{StartLine: 1787, EndLine: 1787}}},
		{Name: "@webassemblyjs/helper-buffer", Version: "1.8.5", Locations: []types.Location{{StartLine: 1792, EndLine: 1792}}},
		{Name: "@webassemblyjs/helper-code-frame", Version: "1.8.5", Locations: []types.Location{{StartLine: 1797, EndLine: 1797}}},
		{Name: "@webassemblyjs/helper-fsm", Version: "1.8.5", Locations: []types.Location{{StartLine: 1804, EndLine: 1804}}},
		{Name: "@webassemblyjs/helper-module-context", Version: "1.8.5", Locations: []types.Location{{StartLine: 1809, EndLine: 1809}}},
		{Name: "@webassemblyjs/helper-wasm-bytecode", Version: "1.8.5", Locations: []types.Location{{StartLine: 1817, EndLine: 1817}}},
		{Name: "@webassemblyjs/helper-wasm-section", Version: "1.8.5", Locations: []types.Location{{StartLine: 1822, EndLine: 1822}}},
		{Name: "@webassemblyjs/ieee754", Version: "1.8.5", Locations: []types.Location{{StartLine: 1832, EndLine: 1832}}},
		{Name: "@webassemblyjs/leb128", Version: "1.8.5", Locations: []types.Location{{StartLine: 1839, EndLine: 1839}}},
		{Name: "@webassemblyjs/utf8", Version: "1.8.5", Locations: []types.Location{{StartLine: 1846, EndLine: 1846}}},
		{Name: "@webassemblyjs/wasm-edit", Version: "1.8.5", Locations: []types.Location{{StartLine: 1851, EndLine: 1851}}},
		{Name: "@webassemblyjs/wasm-gen", Version: "1.8.5", Locations: []types.Location{{StartLine: 1865, EndLine: 1865}}},
		{Name: "@webassemblyjs/wasm-opt", Version: "1.8.5", Locations: []types.Location{{StartLine: 1876, EndLine: 1876}}},
		{Name: "@webassemblyjs/wasm-parser", Version: "1.8.5", Locations: []types.Location{{StartLine: 1886, EndLine: 1886}}},
		{Name: "@webassemblyjs/wast-parser", Version: "1.8.5", Locations: []types.Location{{StartLine: 1898, EndLine: 1898}}},
		{Name: "@webassemblyjs/wast-printer", Version: "1.8.5", Locations: []types.Location{{StartLine: 1910, EndLine: 1910}}},
		{Name: "@xtuc/ieee754", Version: "1.2.0", Locations: []types.Location{{StartLine: 1919, EndLine: 1919}}},
		{Name: "@xtuc/long", Version: "4.2.2", Locations: []types.Location{{StartLine: 1924, EndLine: 1924}}},
		{Name: "JSONStream", Version: "1.3.5", Locations: []types.Location{{StartLine: 1929, EndLine: 1929}}},
		{Name: "abab", Version: "2.0.0", Locations: []types.Location{{StartLine: 1937, EndLine: 1937}}},
		{Name: "abbrev", Version: "1.1.1", Locations: []types.Location{{StartLine: 1942, EndLine: 1942}}},
		{Name: "accepts", Version: "1.3.7", Locations: []types.Location{{StartLine: 1947, EndLine: 1947}}},
		{Name: "acorn-dynamic-import", Version: "4.0.0", Locations: []types.Location{{StartLine: 1955, EndLine: 1955}}},
		{Name: "acorn-globals", Version: "4.3.2", Locations: []types.Location{{StartLine: 1960, EndLine: 1960}}},
		{Name: "acorn-jsx", Version: "5.0.1", Locations: []types.Location{{StartLine: 1968, EndLine: 1968}}},
		{Name: "acorn-walk", Version: "6.1.1", Locations: []types.Location{{StartLine: 1973, EndLine: 1973}}},
		{Name: "acorn", Version: "5.7.3", Locations: []types.Location{{StartLine: 1978, EndLine: 1978}}},
		{Name: "acorn", Version: "6.1.1", Locations: []types.Location{{StartLine: 1983, EndLine: 1983}}},
		{Name: "address", Version: "1.0.3", Locations: []types.Location{{StartLine: 1988, EndLine: 1988}}},
		{Name: "address", Version: "1.1.0", Locations: []types.Location{{StartLine: 1993, EndLine: 1993}}},
		{Name: "after", Version: "0.8.2", Locations: []types.Location{{StartLine: 1998, EndLine: 1998}}},
		{Name: "agent-base", Version: "4.2.1", Locations: []types.Location{{StartLine: 2003, EndLine: 2003}}},
		{Name: "agentkeepalive", Version: "3.5.2", Locations: []types.Location{{StartLine: 2010, EndLine: 2010}}},
		{Name: "airbnb-js-shims", Version: "2.2.0", Locations: []types.Location{{StartLine: 2017, EndLine: 2017}}},
		{Name: "airbnb-prop-types", Version: "2.13.2", Locations: []types.Location{{StartLine: 2040, EndLine: 2040}}},
		{Name: "ajv-errors", Version: "1.0.1", Locations: []types.Location{{StartLine: 2056, EndLine: 2056}}},
		{Name: "ajv-keywords", Version: "3.4.0", Locations: []types.Location{{StartLine: 2061, EndLine: 2061}}},
		{Name: "ajv", Version: "6.10.0", Locations: []types.Location{{StartLine: 2066, EndLine: 2066}}},
		{Name: "ansi-align", Version: "2.0.0", Locations: []types.Location{{StartLine: 2076, EndLine: 2076}}},
		{Name: "ansi-align", Version: "3.0.0", Locations: []types.Location{{StartLine: 2083, EndLine: 2083}}},
		{Name: "ansi-colors", Version: "3.2.4", Locations: []types.Location{{StartLine: 2090, EndLine: 2090}}},
		{Name: "ansi-escapes", Version: "1.4.0", Locations: []types.Location{{StartLine: 2095, EndLine: 2095}}},
		{Name: "ansi-escapes", Version: "3.2.0", Locations: []types.Location{{StartLine: 2100, EndLine: 2100}}},
		{Name: "ansi-html", Version: "0.0.7", Locations: []types.Location{{StartLine: 2105, EndLine: 2105}}},
		{Name: "ansi-regex", Version: "2.1.1", Locations: []types.Location{{StartLine: 2110, EndLine: 2110}}},
		{Name: "ansi-regex", Version: "3.0.0", Locations: []types.Location{{StartLine: 2115, EndLine: 2115}}},
		{Name: "ansi-regex", Version: "4.1.0", Locations: []types.Location{{StartLine: 2120, EndLine: 2120}}},
		{Name: "ansi-styles", Version: "2.2.1", Locations: []types.Location{{StartLine: 2125, EndLine: 2125}}},
		{Name: "ansi-styles", Version: "3.2.1", Locations: []types.Location{{StartLine: 2130, EndLine: 2130}}},
		{Name: "ansi-styles", Version: "1.0.0", Locations: []types.Location{{StartLine: 2137, EndLine: 2137}}},
		{Name: "ansicolors", Version: "0.3.2", Locations: []types.Location{{StartLine: 2142, EndLine: 2142}}},
		{Name: "ansistyles", Version: "0.1.3", Locations: []types.Location{{StartLine: 2147, EndLine: 2147}}},
		{Name: "any-observable", Version: "0.3.0", Locations: []types.Location{{StartLine: 2152, EndLine: 2152}}},
		{Name: "anymatch", Version: "1.3.2", Locations: []types.Location{{StartLine: 2157, EndLine: 2157}}},
		{Name: "anymatch", Version: "2.0.0", Locations: []types.Location{{StartLine: 2165, EndLine: 2165}}},
		{Name: "app-root-dir", Version: "1.0.2", Locations: []types.Location{{StartLine: 2173, EndLine: 2173}}},
		{Name: "append-transform", Version: "0.4.0", Locations: []types.Location{{StartLine: 2178, EndLine: 2178}}},
		{Name: "aproba", Version: "1.2.0", Locations: []types.Location{{StartLine: 2185, EndLine: 2185}}},
		{Name: "aproba", Version: "2.0.0", Locations: []types.Location{{StartLine: 2190, EndLine: 2190}}},
		{Name: "archy", Version: "1.0.0", Locations: []types.Location{{StartLine: 2195, EndLine: 2195}}},
		{Name: "are-we-there-yet", Version: "1.1.5", Locations: []types.Location{{StartLine: 2200, EndLine: 2200}}},
		{Name: "argparse", Version: "1.0.10", Locations: []types.Location{{StartLine: 2208, EndLine: 2208}}},
		{Name: "aria-query", Version: "3.0.0", Locations: []types.Location{{StartLine: 2215, EndLine: 2215}}},
		{Name: "arr-diff", Version: "2.0.0", Locations: []types.Location{{StartLine: 2223, EndLine: 2223}}},
		{Name: "arr-diff", Version: "4.0.0", Locations: []types.Location{{StartLine: 2230, EndLine: 2230}}},
		{Name: "arr-flatten", Version: "1.1.0", Locations: []types.Location{{StartLine: 2235, EndLine: 2235}}},
		{Name: "arr-union", Version: "3.1.0", Locations: []types.Location{{StartLine: 2240, EndLine: 2240}}},
		{Name: "array-equal", Version: "1.0.0", Locations: []types.Location{{StartLine: 2245, EndLine: 2245}}},
		{Name: "array-filter", Version: "1.0.0", Locations: []types.Location{{StartLine: 2250, EndLine: 2250}}},
		{Name: "array-filter", Version: "0.0.1", Locations: []types.Location{{StartLine: 2255, EndLine: 2255}}},
		{Name: "array-flatten", Version: "1.1.1", Locations: []types.Location{{StartLine: 2260, EndLine: 2260}}},
		{Name: "array-flatten", Version: "2.1.2", Locations: []types.Location{{StartLine: 2265, EndLine: 2265}}},
		{Name: "array-includes", Version: "3.0.3", Locations: []types.Location{{StartLine: 2270, EndLine: 2270}}},
		{Name: "array-map", Version: "0.0.0", Locations: []types.Location{{StartLine: 2278, EndLine: 2278}}},
		{Name: "array-reduce", Version: "0.0.0", Locations: []types.Location{{StartLine: 2283, EndLine: 2283}}},
		{Name: "array-union", Version: "1.0.2", Locations: []types.Location{{StartLine: 2288, EndLine: 2288}}},
		{Name: "array-uniq", Version: "1.0.3", Locations: []types.Location{{StartLine: 2295, EndLine: 2295}}},
		{Name: "array-unique", Version: "0.2.1", Locations: []types.Location{{StartLine: 2300, EndLine: 2300}}},
		{Name: "array-unique", Version: "0.3.2", Locations: []types.Location{{StartLine: 2305, EndLine: 2305}}},
		{Name: "array.prototype.find", Version: "2.0.4", Locations: []types.Location{{StartLine: 2310, EndLine: 2310}}},
		{Name: "array.prototype.flat", Version: "1.2.1", Locations: []types.Location{{StartLine: 2318, EndLine: 2318}}},
		{Name: "array.prototype.flatmap", Version: "1.2.1", Locations: []types.Location{{StartLine: 2327, EndLine: 2327}}},
		{Name: "arraybuffer.slice", Version: "0.0.7", Locations: []types.Location{{StartLine: 2336, EndLine: 2336}}},
		{Name: "arrify", Version: "1.0.1", Locations: []types.Location{{StartLine: 2341, EndLine: 2341}}},
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 2346, EndLine: 2346}}},
		{Name: "asn1.js", Version: "4.10.1", Locations: []types.Location{{StartLine: 2351, EndLine: 2351}}},
		{Name: "asn1", Version: "0.2.4", Locations: []types.Location{{StartLine: 2360, EndLine: 2360}}},
		{Name: "assert-plus", Version: "1.0.0", Locations: []types.Location{{StartLine: 2367, EndLine: 2367}}},
		{Name: "assert", Version: "1.5.0", Locations: []types.Location{{StartLine: 2372, EndLine: 2372}}},
		{Name: "assign-symbols", Version: "1.0.0", Locations: []types.Location{{StartLine: 2380, EndLine: 2380}}},
		{Name: "ast-types-flow", Version: "0.0.7", Locations: []types.Location{{StartLine: 2385, EndLine: 2385}}},
		{Name: "ast-types", Version: "0.11.3", Locations: []types.Location{{StartLine: 2390, EndLine: 2390}}},
		{Name: "ast-types", Version: "0.11.5", Locations: []types.Location{{StartLine: 2395, EndLine: 2395}}},
		{Name: "ast-types", Version: "0.11.7", Locations: []types.Location{{StartLine: 2400, EndLine: 2400}}},
		{Name: "astral-regex", Version: "1.0.0", Locations: []types.Location{{StartLine: 2405, EndLine: 2405}}},
		{Name: "async-each", Version: "1.0.3", Locations: []types.Location{{StartLine: 2410, EndLine: 2410}}},
		{Name: "async-limiter", Version: "1.0.0", Locations: []types.Location{{StartLine: 2415, EndLine: 2415}}},
		{Name: "async", Version: "1.5.2", Locations: []types.Location{{StartLine: 2420, EndLine: 2420}}},
		{Name: "async", Version: "2.6.2", Locations: []types.Location{{StartLine: 2425, EndLine: 2425}}},
		{Name: "asynckit", Version: "0.4.0", Locations: []types.Location{{StartLine: 2432, EndLine: 2432}}},
		{Name: "atob", Version: "2.1.2", Locations: []types.Location{{StartLine: 2437, EndLine: 2437}}},
		{Name: "attr-accept", Version: "1.1.3", Locations: []types.Location{{StartLine: 2442, EndLine: 2442}}},
		{Name: "autodll-webpack-plugin", Version: "0.4.2", Locations: []types.Location{{StartLine: 2449, EndLine: 2449}}},
		{Name: "autoprefixer", Version: "8.6.5", Locations: []types.Location{{StartLine: 2465, EndLine: 2465}}},
		{Name: "autoprefixer", Version: "9.5.1", Locations: []types.Location{{StartLine: 2477, EndLine: 2477}}},
		{Name: "aws-sign2", Version: "0.7.0", Locations: []types.Location{{StartLine: 2489, EndLine: 2489}}},
		{Name: "aws4", Version: "1.8.0", Locations: []types.Location{{StartLine: 2494, EndLine: 2494}}},
		{Name: "axios", Version: "0.18.0", Locations: []types.Location{{StartLine: 2499, EndLine: 2499}}},
		{Name: "axobject-query", Version: "2.0.2", Locations: []types.Location{{StartLine: 2507, EndLine: 2507}}},
		{Name: "babel-cli", Version: "6.26.0", Locations: []types.Location{{StartLine: 2514, EndLine: 2514}}},
		{Name: "babel-code-frame", Version: "6.26.0", Locations: []types.Location{{StartLine: 2536, EndLine: 2536}}},
		{Name: "babel-core", Version: "6.26.3", Locations: []types.Location{{StartLine: 2545, EndLine: 2545}}},
		{Name: "babel-eslint", Version: "8.2.6", Locations: []types.Location{{StartLine: 2570, EndLine: 2570}}},
		{Name: "babel-generator", Version: "6.26.1", Locations: []types.Location{{StartLine: 2582, EndLine: 2582}}},
		{Name: "babel-helper-bindify-decorators", Version: "6.24.1", Locations: []types.Location{{StartLine: 2596, EndLine: 2596}}},
		{Name: "babel-helper-builder-binary-assignment-operator-visitor", Version: "6.24.1", Locations: []types.Location{{StartLine: 2605, EndLine: 2605}}},
		{Name: "babel-helper-builder-react-jsx", Version: "6.26.0", Locations: []types.Location{{StartLine: 2614, EndLine: 2614}}},
		{Name: "babel-helper-call-delegate", Version: "6.24.1", Locations: []types.Location{{StartLine: 2623, EndLine: 2623}}},
		{Name: "babel-helper-define-map", Version: "6.26.0", Locations: []types.Location{{StartLine: 2633, EndLine: 2633}}},
		{Name: "babel-helper-evaluate-path", Version: "0.5.0", Locations: []types.Location{{StartLine: 2643, EndLine: 2643}}},
		{Name: "babel-helper-explode-assignable-expression", Version: "6.24.1", Locations: []types.Location{{StartLine: 2648, EndLine: 2648}}},
		{Name: "babel-helper-explode-class", Version: "6.24.1", Locations: []types.Location{{StartLine: 2657, EndLine: 2657}}},
		{Name: "babel-helper-flip-expressions", Version: "0.4.3", Locations: []types.Location{{StartLine: 2667, EndLine: 2667}}},
		{Name: "babel-helper-function-name", Version: "6.24.1", Locations: []types.Location{{StartLine: 2672, EndLine: 2672}}},
		{Name: "babel-helper-get-function-arity", Version: "6.24.1", Locations: []types.Location{{StartLine: 2683, EndLine: 2683}}},
		{Name: "babel-helper-hoist-variables", Version: "6.24.1", Locations: []types.Location{{StartLine: 2691, EndLine: 2691}}},
		{Name: "babel-helper-is-nodes-equiv", Version: "0.0.1", Locations: []types.Location{{StartLine: 2699, EndLine: 2699}}},
		{Name: "babel-helper-is-void-0", Version: "0.4.3", Locations: []types.Location{{StartLine: 2704, EndLine: 2704}}},
		{Name: "babel-helper-mark-eval-scopes", Version: "0.4.3", Locations: []types.Location{{StartLine: 2709, EndLine: 2709}}},
		{Name: "babel-helper-optimise-call-expression", Version: "6.24.1", Locations: []types.Location{{StartLine: 2714, EndLine: 2714}}},
		{Name: "babel-helper-regex", Version: "6.26.0", Locations: []types.Location{{StartLine: 2722, EndLine: 2722}}},
		{Name: "babel-helper-remap-async-to-generator", Version: "6.24.1", Locations: []types.Location{{StartLine: 2731, EndLine: 2731}}},
		{Name: "babel-helper-remove-or-void", Version: "0.4.3", Locations: []types.Location{{StartLine: 2742, EndLine: 2742}}},
		{Name: "babel-helper-replace-supers", Version: "6.24.1", Locations: []types.Location{{StartLine: 2747, EndLine: 2747}}},
		{Name: "babel-helper-to-multiple-sequence-expressions", Version: "0.5.0", Locations: []types.Location{{StartLine: 2759, EndLine: 2759}}},
		{Name: "babel-helpers", Version: "6.24.1", Locations: []types.Location{{StartLine: 2764, EndLine: 2764}}},
		{Name: "babel-jest", Version: "23.6.0", Locations: []types.Location{{StartLine: 2772, EndLine: 2772}}},
		{Name: "babel-loader", Version: "8.0.4", Locations: []types.Location{{StartLine: 2780, EndLine: 2780}}},
		{Name: "babel-loader", Version: "7.1.5", Locations: []types.Location{{StartLine: 2790, EndLine: 2790}}},
		{Name: "babel-messages", Version: "6.23.0", Locations: []types.Location{{StartLine: 2799, EndLine: 2799}}},
		{Name: "babel-plugin-check-es2015-constants", Version: "6.22.0", Locations: []types.Location{{StartLine: 2806, EndLine: 2806}}},
		{Name: "babel-plugin-dynamic-import-node", Version: "2.2.0", Locations: []types.Location{{StartLine: 2813, EndLine: 2813}}},
		{Name: "babel-plugin-istanbul", Version: "4.1.6", Locations: []types.Location{{StartLine: 2820, EndLine: 2820}}},
		{Name: "babel-plugin-jest-hoist", Version: "23.2.0", Locations: []types.Location{{StartLine: 2830, EndLine: 2830}}},
		{Name: "babel-plugin-macros", Version: "2.4.2", Locations: []types.Location{{StartLine: 2835, EndLine: 2835}}},
		{Name: "babel-plugin-macros", Version: "2.5.1", Locations: []types.Location{{StartLine: 2843, EndLine: 2843}}},
		{Name: "babel-plugin-minify-builtins", Version: "0.5.0", Locations: []types.Location{{StartLine: 2852, EndLine: 2852}}},
		{Name: "babel-plugin-minify-constant-folding", Version: "0.5.0", Locations: []types.Location{{StartLine: 2857, EndLine: 2857}}},
		{Name: "babel-plugin-minify-dead-code-elimination", Version: "0.5.0", Locations: []types.Location{{StartLine: 2864, EndLine: 2864}}},
		{Name: "babel-plugin-minify-flip-comparisons", Version: "0.4.3", Locations: []types.Location{{StartLine: 2874, EndLine: 2874}}},
		{Name: "babel-plugin-minify-guarded-expressions", Version: "0.4.3", Locations: []types.Location{{StartLine: 2881, EndLine: 2881}}},
		{Name: "babel-plugin-minify-infinity", Version: "0.4.3", Locations: []types.Location{{StartLine: 2888, EndLine: 2888}}},
		{Name: "babel-plugin-minify-mangle-names", Version: "0.5.0", Locations: []types.Location{{StartLine: 2893, EndLine: 2893}}},
		{Name: "babel-plugin-minify-numeric-literals", Version: "0.4.3", Locations: []types.Location{{StartLine: 2900, EndLine: 2900}}},
		{Name: "babel-plugin-minify-replace", Version: "0.5.0", Locations: []types.Location{{StartLine: 2905, EndLine: 2905}}},
		{Name: "babel-plugin-minify-simplify", Version: "0.5.0", Locations: []types.Location{{StartLine: 2910, EndLine: 2910}}},
		{Name: "babel-plugin-minify-type-constructors", Version: "0.4.3", Locations: []types.Location{{StartLine: 2919, EndLine: 2919}}},
		{Name: "babel-plugin-named-asset-import", Version: "0.2.3", Locations: []types.Location{{StartLine: 2926, EndLine: 2926}}},
		{Name: "babel-plugin-react-docgen", Version: "2.0.2", Locations: []types.Location{{StartLine: 2931, EndLine: 2931}}},
		{Name: "babel-plugin-react-html-attrs", Version: "2.1.0", Locations: []types.Location{{StartLine: 2940, EndLine: 2940}}},
		{Name: "babel-plugin-styled-components", Version: "1.10.0", Locations: []types.Location{{StartLine: 2945, EndLine: 2945}}},
		{Name: "babel-plugin-syntax-async-functions", Version: "6.13.0", Locations: []types.Location{{StartLine: 2955, EndLine: 2955}}},
		{Name: "babel-plugin-syntax-async-generators", Version: "6.13.0", Locations: []types.Location{{StartLine: 2960, EndLine: 2960}}},
		{Name: "babel-plugin-syntax-class-constructor-call", Version: "6.18.0", Locations: []types.Location{{StartLine: 2965, EndLine: 2965}}},
		{Name: "babel-plugin-syntax-class-properties", Version: "6.13.0", Locations: []types.Location{{StartLine: 2970, EndLine: 2970}}},
		{Name: "babel-plugin-syntax-decorators", Version: "6.13.0", Locations: []types.Location{{StartLine: 2975, EndLine: 2975}}},
		{Name: "babel-plugin-syntax-dynamic-import", Version: "6.18.0", Locations: []types.Location{{StartLine: 2980, EndLine: 2980}}},
		{Name: "babel-plugin-syntax-exponentiation-operator", Version: "6.13.0", Locations: []types.Location{{StartLine: 2985, EndLine: 2985}}},
		{Name: "babel-plugin-syntax-export-extensions", Version: "6.13.0", Locations: []types.Location{{StartLine: 2990, EndLine: 2990}}},
		{Name: "babel-plugin-syntax-flow", Version: "6.18.0", Locations: []types.Location{{StartLine: 2995, EndLine: 2995}}},
		{Name: "babel-plugin-syntax-jsx", Version: "6.18.0", Locations: []types.Location{{StartLine: 3000, EndLine: 3000}}},
		{Name: "babel-plugin-syntax-object-rest-spread", Version: "6.13.0", Locations: []types.Location{{StartLine: 3005, EndLine: 3005}}},
		{Name: "babel-plugin-syntax-trailing-function-commas", Version: "6.22.0", Locations: []types.Location{{StartLine: 3010, EndLine: 3010}}},
		{Name: "babel-plugin-transform-async-generator-functions", Version: "6.24.1", Locations: []types.Location{{StartLine: 3015, EndLine: 3015}}},
		{Name: "babel-plugin-transform-async-to-generator", Version: "6.24.1", Locations: []types.Location{{StartLine: 3024, EndLine: 3024}}},
		{Name: "babel-plugin-transform-class-constructor-call", Version: "6.24.1", Locations: []types.Location{{StartLine: 3033, EndLine: 3033}}},
		{Name: "babel-plugin-transform-class-properties", Version: "6.24.1", Locations: []types.Location{{StartLine: 3042, EndLine: 3042}}},
		{Name: "babel-plugin-transform-decorators", Version: "6.24.1", Locations: []types.Location{{StartLine: 3052, EndLine: 3052}}},
		{Name: "babel-plugin-transform-es2015-arrow-functions", Version: "6.22.0", Locations: []types.Location{{StartLine: 3063, EndLine: 3063}}},
		{Name: "babel-plugin-transform-es2015-block-scoped-functions", Version: "6.22.0", Locations: []types.Location{{StartLine: 3070, EndLine: 3070}}},
		{Name: "babel-plugin-transform-es2015-block-scoping", Version: "6.26.0", Locations: []types.Location{{StartLine: 3077, EndLine: 3077}}},
		{Name: "babel-plugin-transform-es2015-classes", Version: "6.24.1", Locations: []types.Location{{StartLine: 3088, EndLine: 3088}}},
		{Name: "babel-plugin-transform-es2015-computed-properties", Version: "6.24.1", Locations: []types.Location{{StartLine: 3103, EndLine: 3103}}},
		{Name: "babel-plugin-transform-es2015-destructuring", Version: "6.23.0", Locations: []types.Location{{StartLine: 3111, EndLine: 3111}}},
		{Name: "babel-plugin-transform-es2015-duplicate-keys", Version: "6.24.1", Locations: []types.Location{{StartLine: 3118, EndLine: 3118}}},
		{Name: "babel-plugin-transform-es2015-for-of", Version: "6.23.0", Locations: []types.Location{{StartLine: 3126, EndLine: 3126}}},
		{Name: "babel-plugin-transform-es2015-function-name", Version: "6.24.1", Locations: []types.Location{{StartLine: 3133, EndLine: 3133}}},
		{Name: "babel-plugin-transform-es2015-literals", Version: "6.22.0", Locations: []types.Location{{StartLine: 3142, EndLine: 3142}}},
		{Name: "babel-plugin-transform-es2015-modules-amd", Version: "6.24.1", Locations: []types.Location{{StartLine: 3149, EndLine: 3149}}},
		{Name: "babel-plugin-transform-es2015-modules-commonjs", Version: "6.26.2", Locations: []types.Location{{StartLine: 3158, EndLine: 3158}}},
		{Name: "babel-plugin-transform-es2015-modules-systemjs", Version: "6.24.1", Locations: []types.Location{{StartLine: 3168, EndLine: 3168}}},
		{Name: "babel-plugin-transform-es2015-modules-umd", Version: "6.24.1", Locations: []types.Location{{StartLine: 3177, EndLine: 3177}}},
		{Name: "babel-plugin-transform-es2015-object-super", Version: "6.24.1", Locations: []types.Location{{StartLine: 3186, EndLine: 3186}}},
		{Name: "babel-plugin-transform-es2015-parameters", Version: "6.24.1", Locations: []types.Location{{StartLine: 3194, EndLine: 3194}}},
		{Name: "babel-plugin-transform-es2015-shorthand-properties", Version: "6.24.1", Locations: []types.Location{{StartLine: 3206, EndLine: 3206}}},
		{Name: "babel-plugin-transform-es2015-spread", Version: "6.22.0", Locations: []types.Location{{StartLine: 3214, EndLine: 3214}}},
		{Name: "babel-plugin-transform-es2015-sticky-regex", Version: "6.24.1", Locations: []types.Location{{StartLine: 3221, EndLine: 3221}}},
		{Name: "babel-plugin-transform-es2015-template-literals", Version: "6.22.0", Locations: []types.Location{{StartLine: 3230, EndLine: 3230}}},
		{Name: "babel-plugin-transform-es2015-typeof-symbol", Version: "6.23.0", Locations: []types.Location{{StartLine: 3237, EndLine: 3237}}},
		{Name: "babel-plugin-transform-es2015-unicode-regex", Version: "6.24.1", Locations: []types.Location{{StartLine: 3244, EndLine: 3244}}},
		{Name: "babel-plugin-transform-exponentiation-operator", Version: "6.24.1", Locations: []types.Location{{StartLine: 3253, EndLine: 3253}}},
		{Name: "babel-plugin-transform-export-extensions", Version: "6.22.0", Locations: []types.Location{{StartLine: 3262, EndLine: 3262}}},
		{Name: "babel-plugin-transform-flow-strip-types", Version: "6.22.0", Locations: []types.Location{{StartLine: 3270, EndLine: 3270}}},
		{Name: "babel-plugin-transform-inline-consecutive-adds", Version: "0.4.3", Locations: []types.Location{{StartLine: 3278, EndLine: 3278}}},
		{Name: "babel-plugin-transform-member-expression-literals", Version: "6.9.4", Locations: []types.Location{{StartLine: 3283, EndLine: 3283}}},
		{Name: "babel-plugin-transform-merge-sibling-variables", Version: "6.9.4", Locations: []types.Location{{StartLine: 3288, EndLine: 3288}}},
		{Name: "babel-plugin-transform-minify-booleans", Version: "6.9.4", Locations: []types.Location{{StartLine: 3293, EndLine: 3293}}},
		{Name: "babel-plugin-transform-object-rest-spread", Version: "6.26.0", Locations: []types.Location{{StartLine: 3298, EndLine: 3298}}},
		{Name: "babel-plugin-transform-property-literals", Version: "6.9.4", Locations: []types.Location{{StartLine: 3306, EndLine: 3306}}},
		{Name: "babel-plugin-transform-react-display-name", Version: "6.25.0", Locations: []types.Location{{StartLine: 3313, EndLine: 3313}}},
		{Name: "babel-plugin-transform-react-jsx-self", Version: "6.22.0", Locations: []types.Location{{StartLine: 3320, EndLine: 3320}}},
		{Name: "babel-plugin-transform-react-jsx-source", Version: "6.22.0", Locations: []types.Location{{StartLine: 3328, EndLine: 3328}}},
		{Name: "babel-plugin-transform-react-jsx", Version: "6.24.1", Locations: []types.Location{{StartLine: 3336, EndLine: 3336}}},
		{Name: "babel-plugin-transform-react-remove-prop-types", Version: "0.4.18", Locations: []types.Location{{StartLine: 3345, EndLine: 3345}}},
		{Name: "babel-plugin-transform-regenerator", Version: "6.26.0", Locations: []types.Location{{StartLine: 3350, EndLine: 3350}}},
		{Name: "babel-plugin-transform-regexp-constructors", Version: "0.4.3", Locations: []types.Location{{StartLine: 3357, EndLine: 3357}}},
		{Name: "babel-plugin-transform-remove-console", Version: "6.9.4", Locations: []types.Location{{StartLine: 3362, EndLine: 3362}}},
		{Name: "babel-plugin-transform-remove-debugger", Version: "6.9.4", Locations: []types.Location{{StartLine: 3367, EndLine: 3367}}},
		{Name: "babel-plugin-transform-remove-undefined", Version: "0.5.0", Locations: []types.Location{{StartLine: 3372, EndLine: 3372}}},
		{Name: "babel-plugin-transform-runtime", Version: "6.23.0", Locations: []types.Location{{StartLine: 3379, EndLine: 3379}}},
		{Name: "babel-plugin-transform-simplify-comparison-operators", Version: "6.9.4", Locations: []types.Location{{StartLine: 3386, EndLine: 3386}}},
		{Name: "babel-plugin-transform-strict-mode", Version: "6.24.1", Locations: []types.Location{{StartLine: 3391, EndLine: 3391}}},
		{Name: "babel-plugin-transform-undefined-to-void", Version: "6.9.4", Locations: []types.Location{{StartLine: 3399, EndLine: 3399}}},
		{Name: "babel-polyfill", Version: "6.26.0", Locations: []types.Location{{StartLine: 3404, EndLine: 3404}}},
		{Name: "babel-preset-env", Version: "1.7.0", Locations: []types.Location{{StartLine: 3413, EndLine: 3413}}},
		{Name: "babel-preset-es2015", Version: "6.24.1", Locations: []types.Location{{StartLine: 3449, EndLine: 3449}}},
		{Name: "babel-preset-flow", Version: "6.23.0", Locations: []types.Location{{StartLine: 3479, EndLine: 3479}}},
		{Name: "babel-preset-jest", Version: "23.2.0", Locations: []types.Location{{StartLine: 3486, EndLine: 3486}}},
		{Name: "babel-preset-minify", Version: "0.5.0", Locations: []types.Location{{StartLine: 3494, EndLine: 3494}}},
		{Name: "babel-preset-react-app", Version: "6.1.0", Locations: []types.Location{{StartLine: 3523, EndLine: 3523}}},
		{Name: "babel-preset-react", Version: "6.24.1", Locations: []types.Location{{StartLine: 3548, EndLine: 3548}}},
		{Name: "babel-preset-stage-1", Version: "6.24.1", Locations: []types.Location{{StartLine: 3560, EndLine: 3560}}},
		{Name: "babel-preset-stage-2", Version: "6.24.1", Locations: []types.Location{{StartLine: 3569, EndLine: 3569}}},
		{Name: "babel-preset-stage-3", Version: "6.24.1", Locations: []types.Location{{StartLine: 3579, EndLine: 3579}}},
		{Name: "babel-register", Version: "6.26.0", Locations: []types.Location{{StartLine: 3590, EndLine: 3590}}},
		{Name: "babel-runtime", Version: "6.26.0", Locations: []types.Location{{StartLine: 3603, EndLine: 3603}}},
		{Name: "babel-standalone", Version: "6.26.0", Locations: []types.Location{{StartLine: 3611, EndLine: 3611}}},
		{Name: "babel-template", Version: "6.26.0", Locations: []types.Location{{StartLine: 3616, EndLine: 3616}}},
		{Name: "babel-traverse", Version: "6.26.0", Locations: []types.Location{{StartLine: 3627, EndLine: 3627}}},
		{Name: "babel-types", Version: "6.26.0", Locations: []types.Location{{StartLine: 3642, EndLine: 3642}}},
		{Name: "babylon", Version: "7.0.0-beta.44", Locations: []types.Location{{StartLine: 3652, EndLine: 3652}}},
		{Name: "babylon", Version: "6.18.0", Locations: []types.Location{{StartLine: 3657, EndLine: 3657}}},
		{Name: "babylon", Version: "7.0.0-beta.47", Locations: []types.Location{{StartLine: 3662, EndLine: 3662}}},
		{Name: "backo2", Version: "1.0.2", Locations: []types.Location{{StartLine: 3667, EndLine: 3667}}},
		{Name: "bail", Version: "1.0.4", Locations: []types.Location{{StartLine: 3672, EndLine: 3672}}},
		{Name: "balanced-match", Version: "1.0.0", Locations: []types.Location{{StartLine: 3677, EndLine: 3677}}},
		{Name: "base64-arraybuffer", Version: "0.1.5", Locations: []types.Location{{StartLine: 3682, EndLine: 3682}}},
		{Name: "base64-js", Version: "1.3.0", Locations: []types.Location{{StartLine: 3687, EndLine: 3687}}},
		{Name: "base64id", Version: "1.0.0", Locations: []types.Location{{StartLine: 3692, EndLine: 3692}}},
		{Name: "base", Version: "0.11.2", Locations: []types.Location{{StartLine: 3697, EndLine: 3697}}},
		{Name: "batch", Version: "0.6.1", Locations: []types.Location{{StartLine: 3710, EndLine: 3710}}},
		{Name: "bcrypt-pbkdf", Version: "1.0.2", Locations: []types.Location{{StartLine: 3715, EndLine: 3715}}},
		{Name: "before-after-hook", Version: "1.4.0", Locations: []types.Location{{StartLine: 3722, EndLine: 3722}}},
		{Name: "better-assert", Version: "1.0.2", Locations: []types.Location{{StartLine: 3727, EndLine: 3727}}},
		{Name: "bfj", Version: "6.1.1", Locations: []types.Location{{StartLine: 3734, EndLine: 3734}}},
		{Name: "big-integer", Version: "1.6.43", Locations: []types.Location{{StartLine: 3744, EndLine: 3744}}},
		{Name: "big.js", Version: "3.2.0", Locations: []types.Location{{StartLine: 3749, EndLine: 3749}}},
		{Name: "big.js", Version: "5.2.2", Locations: []types.Location{{StartLine: 3754, EndLine: 3754}}},
		{Name: "bin-links", Version: "1.1.2", Locations: []types.Location{{StartLine: 3759, EndLine: 3759}}},
		{Name: "binary-extensions", Version: "1.13.1", Locations: []types.Location{{StartLine: 3770, EndLine: 3770}}},
		{Name: "binary", Version: "0.3.0", Locations: []types.Location{{StartLine: 3775, EndLine: 3775}}},
		{Name: "blob", Version: "0.0.5", Locations: []types.Location{{StartLine: 3783, EndLine: 3783}}},
		{Name: "block-stream", Version: "0.0.9", Locations: []types.Location{{StartLine: 3788, EndLine: 3788}}},
		{Name: "bluebird", Version: "3.5.4", Locations: []types.Location{{StartLine: 3795, EndLine: 3795}}},
		{Name: "bluebird", Version: "3.4.7", Locations: []types.Location{{StartLine: 3800, EndLine: 3800}}},
		{Name: "bn.js", Version: "4.11.8", Locations: []types.Location{{StartLine: 3805, EndLine: 3805}}},
		{Name: "body-parser", Version: "1.18.3", Locations: []types.Location{{StartLine: 3810, EndLine: 3810}}},
		{Name: "bonjour", Version: "3.5.0", Locations: []types.Location{{StartLine: 3826, EndLine: 3826}}},
		{Name: "boolbase", Version: "1.0.0", Locations: []types.Location{{StartLine: 3838, EndLine: 3838}}},
		{Name: "boxen", Version: "1.3.0", Locations: []types.Location{{StartLine: 3843, EndLine: 3843}}},
		{Name: "boxen", Version: "2.1.0", Locations: []types.Location{{StartLine: 3856, EndLine: 3856}}},
		{Name: "brace-expansion", Version: "1.1.11", Locations: []types.Location{{StartLine: 3869, EndLine: 3869}}},
		{Name: "braces", Version: "1.8.5", Locations: []types.Location{{StartLine: 3877, EndLine: 3877}}},
		{Name: "braces", Version: "2.3.2", Locations: []types.Location{{StartLine: 3886, EndLine: 3886}}},
		{Name: "brcast", Version: "3.0.1", Locations: []types.Location{{StartLine: 3902, EndLine: 3902}}},
		{Name: "brorand", Version: "1.1.0", Locations: []types.Location{{StartLine: 3907, EndLine: 3907}}},
		{Name: "browser-process-hrtime", Version: "0.1.3", Locations: []types.Location{{StartLine: 3912, EndLine: 3912}}},
		{Name: "browser-resolve", Version: "1.11.3", Locations: []types.Location{{StartLine: 3917, EndLine: 3917}}},
		{Name: "browserify-aes", Version: "1.2.0", Locations: []types.Location{{StartLine: 3924, EndLine: 3924}}},
		{Name: "browserify-cipher", Version: "1.0.1", Locations: []types.Location{{StartLine: 3936, EndLine: 3936}}},
		{Name: "browserify-des", Version: "1.0.2", Locations: []types.Location{{StartLine: 3945, EndLine: 3945}}},
		{Name: "browserify-rsa", Version: "4.0.1", Locations: []types.Location{{StartLine: 3955, EndLine: 3955}}},
		{Name: "browserify-sign", Version: "4.0.4", Locations: []types.Location{{StartLine: 3963, EndLine: 3963}}},
		{Name: "browserify-zlib", Version: "0.2.0", Locations: []types.Location{{StartLine: 3976, EndLine: 3976}}},
		{Name: "browserslist", Version: "4.1.1", Locations: []types.Location{{StartLine: 3983, EndLine: 3983}}},
		{Name: "browserslist", Version: "3.2.8", Locations: []types.Location{{StartLine: 3992, EndLine: 3992}}},
		{Name: "browserslist", Version: "4.6.0", Locations: []types.Location{{StartLine: 4000, EndLine: 4000}}},
		{Name: "bser", Version: "2.0.0", Locations: []types.Location{{StartLine: 4009, EndLine: 4009}}},
		{Name: "btoa-lite", Version: "1.0.0", Locations: []types.Location{{StartLine: 4016, EndLine: 4016}}},
		{Name: "buffer-from", Version: "1.1.1", Locations: []types.Location{{StartLine: 4021, EndLine: 4021}}},
		{Name: "buffer-indexof-polyfill", Version: "1.0.1", Locations: []types.Location{{StartLine: 4026, EndLine: 4026}}},
		{Name: "buffer-indexof", Version: "1.1.1", Locations: []types.Location{{StartLine: 4031, EndLine: 4031}}},
		{Name: "buffer-shims", Version: "1.0.0", Locations: []types.Location{{StartLine: 4036, EndLine: 4036}}},
		{Name: "buffer-xor", Version: "1.0.3", Locations: []types.Location{{StartLine: 4041, EndLine: 4041}}},
		{Name: "buffer", Version: "4.9.1", Locations: []types.Location{{StartLine: 4046, EndLine: 4046}}},
		{Name: "buffers", Version: "0.1.1", Locations: []types.Location{{StartLine: 4055, EndLine: 4055}}},
		{Name: "builtin-status-codes", Version: "3.0.0", Locations: []types.Location{{StartLine: 4060, EndLine: 4060}}},
		{Name: "builtins", Version: "1.0.3", Locations: []types.Location{{StartLine: 4065, EndLine: 4065}}},
		{Name: "byline", Version: "5.0.0", Locations: []types.Location{{StartLine: 4070, EndLine: 4070}}},
		{Name: "byte-size", Version: "5.0.1", Locations: []types.Location{{StartLine: 4075, EndLine: 4075}}},
		{Name: "bytes", Version: "3.0.0", Locations: []types.Location{{StartLine: 4080, EndLine: 4080}}},
		{Name: "cacache", Version: "10.0.4", Locations: []types.Location{{StartLine: 4085, EndLine: 4085}}},
		{Name: "cacache", Version: "11.3.2", Locations: []types.Location{{StartLine: 4104, EndLine: 4104}}},
		{Name: "cache-base", Version: "1.0.1", Locations: []types.Location{{StartLine: 4124, EndLine: 4124}}},
		{Name: "cache-loader", Version: "1.2.5", Locations: []types.Location{{StartLine: 4139, EndLine: 4139}}},
		{Name: "call-limit", Version: "1.1.0", Locations: []types.Location{{StartLine: 4149, EndLine: 4149}}},
		{Name: "call-me-maybe", Version: "1.0.1", Locations: []types.Location{{StartLine: 4154, EndLine: 4154}}},
		{Name: "caller-callsite", Version: "2.0.0", Locations: []types.Location{{StartLine: 4159, EndLine: 4159}}},
		{Name: "caller-path", Version: "2.0.0", Locations: []types.Location{{StartLine: 4166, EndLine: 4166}}},
		{Name: "callsite", Version: "1.0.0", Locations: []types.Location{{StartLine: 4173, EndLine: 4173}}},
		{Name: "callsites", Version: "2.0.0", Locations: []types.Location{{StartLine: 4178, EndLine: 4178}}},
		{Name: "callsites", Version: "3.1.0", Locations: []types.Location{{StartLine: 4183, EndLine: 4183}}},
		{Name: "camel-case", Version: "3.0.0", Locations: []types.Location{{StartLine: 4188, EndLine: 4188}}},
		{Name: "camelcase", Version: "3.0.0", Locations: []types.Location{{StartLine: 4196, EndLine: 4196}}},
		{Name: "camelcase", Version: "4.1.0", Locations: []types.Location{{StartLine: 4201, EndLine: 4201}}},
		{Name: "camelcase", Version: "5.3.1", Locations: []types.Location{{StartLine: 4206, EndLine: 4206}}},
		{Name: "camelize", Version: "1.0.0", Locations: []types.Location{{StartLine: 4211, EndLine: 4211}}},
		{Name: "caniuse-lite", Version: "1.0.30000967", Locations: []types.Location{{StartLine: 4216, EndLine: 4216}}},
		{Name: "capture-exit", Version: "1.2.0", Locations: []types.Location{{StartLine: 4221, EndLine: 4221}}},
		{Name: "capture-stack-trace", Version: "1.0.1", Locations: []types.Location{{StartLine: 4228, EndLine: 4228}}},
		{Name: "case-sensitive-paths-webpack-plugin", Version: "2.2.0", Locations: []types.Location{{StartLine: 4233, EndLine: 4233}}},
		{Name: "caseless", Version: "0.12.0", Locations: []types.Location{{StartLine: 4238, EndLine: 4238}}},
		{Name: "ccount", Version: "1.0.4", Locations: []types.Location{{StartLine: 4243, EndLine: 4243}}},
		{Name: "chainsaw", Version: "0.1.0", Locations: []types.Location{{StartLine: 4248, EndLine: 4248}}},
		{Name: "chalk", Version: "2.4.1", Locations: []types.Location{{StartLine: 4255, EndLine: 4255}}},
		{Name: "chalk", Version: "1.1.3", Locations: []types.Location{{StartLine: 4264, EndLine: 4264}}},
		{Name: "chalk", Version: "2.4.2", Locations: []types.Location{{StartLine: 4275, EndLine: 4275}}},
		{Name: "chalk", Version: "0.4.0", Locations: []types.Location{{StartLine: 4284, EndLine: 4284}}},
		{Name: "change-emitter", Version: "0.1.6", Locations: []types.Location{{StartLine: 4293, EndLine: 4293}}},
		{Name: "chardet", Version: "0.7.0", Locations: []types.Location{{StartLine: 4298, EndLine: 4298}}},
		{Name: "charenc", Version: "0.0.2", Locations: []types.Location{{StartLine: 4303, EndLine: 4303}}},
		{Name: "check-types", Version: "7.4.0", Locations: []types.Location{{StartLine: 4308, EndLine: 4308}}},
		{Name: "cheerio", Version: "1.0.0-rc.3", Locations: []types.Location{{StartLine: 4313, EndLine: 4313}}},
		{Name: "child-process-promise", Version: "2.2.1", Locations: []types.Location{{StartLine: 4325, EndLine: 4325}}},
		{Name: "chokidar", Version: "1.7.0", Locations: []types.Location{{StartLine: 4334, EndLine: 4334}}},
		{Name: "chokidar", Version: "2.1.5", Locations: []types.Location{{StartLine: 4350, EndLine: 4350}}},
		{Name: "chownr", Version: "1.1.1", Locations: []types.Location{{StartLine: 4369, EndLine: 4369}}},
		{Name: "chrome-trace-event", Version: "1.0.0", Locations: []types.Location{{StartLine: 4374, EndLine: 4374}}},
		{Name: "ci-info", Version: "1.6.0", Locations: []types.Location{{StartLine: 4381, EndLine: 4381}}},
		{Name: "ci-info", Version: "2.0.0", Locations: []types.Location{{StartLine: 4386, EndLine: 4386}}},
		{Name: "cidr-regex", Version: "2.0.10", Locations: []types.Location{{StartLine: 4391, EndLine: 4391}}},
		{Name: "cipher-base", Version: "1.0.4", Locations: []types.Location{{StartLine: 4398, EndLine: 4398}}},
		{Name: "class-utils", Version: "0.3.6", Locations: []types.Location{{StartLine: 4406, EndLine: 4406}}},
		{Name: "classnames", Version: "2.2.6", Locations: []types.Location{{StartLine: 4416, EndLine: 4416}}},
		{Name: "clean-css", Version: "4.2.1", Locations: []types.Location{{StartLine: 4421, EndLine: 4421}}},
		{Name: "clean-webpack-plugin", Version: "0.1.19", Locations: []types.Location{{StartLine: 4428, EndLine: 4428}}},
		{Name: "cli-boxes", Version: "1.0.0", Locations: []types.Location{{StartLine: 4435, EndLine: 4435}}},
		{Name: "cli-columns", Version: "3.1.2", Locations: []types.Location{{StartLine: 4440, EndLine: 4440}}},
		{Name: "cli-cursor", Version: "1.0.2", Locations: []types.Location{{StartLine: 4448, EndLine: 4448}}},
		{Name: "cli-cursor", Version: "2.1.0", Locations: []types.Location{{StartLine: 4455, EndLine: 4455}}},
		{Name: "cli-table3", Version: "0.5.1", Locations: []types.Location{{StartLine: 4462, EndLine: 4462}}},
		{Name: "cli-truncate", Version: "0.2.1", Locations: []types.Location{{StartLine: 4472, EndLine: 4472}}},
		{Name: "cli-width", Version: "1.1.1", Locations: []types.Location{{StartLine: 4480, EndLine: 4480}}},
		{Name: "cli-width", Version: "2.2.0", Locations: []types.Location{{StartLine: 4485, EndLine: 4485}}},
		{Name: "cliui", Version: "3.2.0", Locations: []types.Location{{StartLine: 4490, EndLine: 4490}}},
		{Name: "cliui", Version: "4.1.0", Locations: []types.Location{{StartLine: 4499, EndLine: 4499}}},
		{Name: "clone-deep", Version: "0.2.4", Locations: []types.Location{{StartLine: 4508, EndLine: 4508}}},
		{Name: "clone", Version: "1.0.4", Locations: []types.Location{{StartLine: 4519, EndLine: 4519}}},
		{Name: "clsx", Version: "1.0.4", Locations: []types.Location{{StartLine: 4524, EndLine: 4524}}},
		{Name: "cmd-shim", Version: "2.0.2", Locations: []types.Location{{StartLine: 4529, EndLine: 4529}}},
		{Name: "co", Version: "4.6.0", Locations: []types.Location{{StartLine: 4537, EndLine: 4537}}},
		{Name: "coa", Version: "2.0.2", Locations: []types.Location{{StartLine: 4542, EndLine: 4542}}},
		{Name: "code-point-at", Version: "1.1.0", Locations: []types.Location{{StartLine: 4551, EndLine: 4551}}},
		{Name: "collection-visit", Version: "1.0.0", Locations: []types.Location{{StartLine: 4556, EndLine: 4556}}},
		{Name: "color-convert", Version: "1.9.3", Locations: []types.Location{{StartLine: 4564, EndLine: 4564}}},
		{Name: "color-name", Version: "1.1.3", Locations: []types.Location{{StartLine: 4571, EndLine: 4571}}},
		{Name: "colors", Version: "1.3.3", Locations: []types.Location{{StartLine: 4576, EndLine: 4576}}},
		{Name: "columnify", Version: "1.5.4", Locations: []types.Location{{StartLine: 4581, EndLine: 4581}}},
		{Name: "combined-stream", Version: "1.0.8", Locations: []types.Location{{StartLine: 4589, EndLine: 4589}}},
		{Name: "comma-separated-tokens", Version: "1.0.7", Locations: []types.Location{{StartLine: 4596, EndLine: 4596}}},
		{Name: "commander", Version: "2.17.1", Locations: []types.Location{{StartLine: 4601, EndLine: 4601}}},
		{Name: "commander", Version: "2.20.0", Locations: []types.Location{{StartLine: 4606, EndLine: 4606}}},
		{Name: "commander", Version: "2.19.0", Locations: []types.Location{{StartLine: 4611, EndLine: 4611}}},
		{Name: "common-tags", Version: "1.8.0", Locations: []types.Location{{StartLine: 4616, EndLine: 4616}}},
		{Name: "commondir", Version: "1.0.1", Locations: []types.Location{{StartLine: 4621, EndLine: 4621}}},
		{Name: "component-bind", Version: "1.0.0", Locations: []types.Location{{StartLine: 4626, EndLine: 4626}}},
		{Name: "component-emitter", Version: "1.2.1", Locations: []types.Location{{StartLine: 4631, EndLine: 4631}}},
		{Name: "component-emitter", Version: "1.3.0", Locations: []types.Location{{StartLine: 4636, EndLine: 4636}}},
		{Name: "component-inherit", Version: "0.0.3", Locations: []types.Location{{StartLine: 4641, EndLine: 4641}}},
		{Name: "compressible", Version: "2.0.17", Locations: []types.Location{{StartLine: 4646, EndLine: 4646}}},
		{Name: "compression", Version: "1.7.4", Locations: []types.Location{{StartLine: 4653, EndLine: 4653}}},
		{Name: "concat-map", Version: "0.0.1", Locations: []types.Location{{StartLine: 4666, EndLine: 4666}}},
		{Name: "concat-stream", Version: "1.6.2", Locations: []types.Location{{StartLine: 4671, EndLine: 4671}}},
		{Name: "config-chain", Version: "1.1.12", Locations: []types.Location{{StartLine: 4681, EndLine: 4681}}},
		{Name: "configstore", Version: "3.1.2", Locations: []types.Location{{StartLine: 4689, EndLine: 4689}}},
		{Name: "connect-history-api-fallback", Version: "1.6.0", Locations: []types.Location{{StartLine: 4701, EndLine: 4701}}},
		{Name: "console-browserify", Version: "1.1.0", Locations: []types.Location{{StartLine: 4706, EndLine: 4706}}},
		{Name: "console-control-strings", Version: "1.1.0", Locations: []types.Location{{StartLine: 4713, EndLine: 4713}}},
		{Name: "console-polyfill", Version: "0.3.0", Locations: []types.Location{{StartLine: 4718, EndLine: 4718}}},
		{Name: "constants-browserify", Version: "1.0.0", Locations: []types.Location{{StartLine: 4723, EndLine: 4723}}},
		{Name: "contains-path", Version: "0.1.0", Locations: []types.Location{{StartLine: 4728, EndLine: 4728}}},
		{Name: "content-disposition", Version: "0.5.2", Locations: []types.Location{{StartLine: 4733, EndLine: 4733}}},
		{Name: "content-type", Version: "1.0.4", Locations: []types.Location{{StartLine: 4738, EndLine: 4738}}},
		{Name: "convert-source-map", Version: "1.6.0", Locations: []types.Location{{StartLine: 4743, EndLine: 4743}}},
		{Name: "cookie-signature", Version: "1.0.6", Locations: []types.Location{{StartLine: 4750, EndLine: 4750}}},
		{Name: "cookie", Version: "0.3.1", Locations: []types.Location{{StartLine: 4755, EndLine: 4755}}},
		{Name: "copy-concurrently", Version: "1.0.5", Locations: []types.Location{{StartLine: 4760, EndLine: 4760}}},
		{Name: "copy-descriptor", Version: "0.1.1", Locations: []types.Location{{StartLine: 4772, EndLine: 4772}}},
		{Name: "copy-to-clipboard", Version: "3.2.0", Locations: []types.Location{{StartLine: 4777, EndLine: 4777}}},
		{Name: "copy-webpack-plugin", Version: "4.6.0", Locations: []types.Location{{StartLine: 4784, EndLine: 4784}}},
		{Name: "core-js-compat", Version: "3.0.1", Locations: []types.Location{{StartLine: 4798, EndLine: 4798}}},
		{Name: "core-js-pure", Version: "3.0.1", Locations: []types.Location{{StartLine: 4808, EndLine: 4808}}},
		{Name: "core-js", Version: "3.0.1", Locations: []types.Location{{StartLine: 4813, EndLine: 4813}}},
		{Name: "core-js", Version: "1.2.7", Locations: []types.Location{{StartLine: 4818, EndLine: 4818}}},
		{Name: "core-js", Version: "2.6.5", Locations: []types.Location{{StartLine: 4823, EndLine: 4823}}},
		{Name: "core-util-is", Version: "1.0.2", Locations: []types.Location{{StartLine: 4828, EndLine: 4828}}},
		{Name: "cosmiconfig", Version: "4.0.0", Locations: []types.Location{{StartLine: 4833, EndLine: 4833}}},
		{Name: "cosmiconfig", Version: "5.2.1", Locations: []types.Location{{StartLine: 4843, EndLine: 4843}}},
		{Name: "create-ecdh", Version: "4.0.3", Locations: []types.Location{{StartLine: 4853, EndLine: 4853}}},
		{Name: "create-error-class", Version: "3.0.2", Locations: []types.Location{{StartLine: 4861, EndLine: 4861}}},
		{Name: "create-hash", Version: "1.2.0", Locations: []types.Location{{StartLine: 4868, EndLine: 4868}}},
		{Name: "create-hmac", Version: "1.1.7", Locations: []types.Location{{StartLine: 4879, EndLine: 4879}}},
		{Name: "create-react-class", Version: "15.6.3", Locations: []types.Location{{StartLine: 4891, EndLine: 4891}}},
		{Name: "create-react-context", Version: "0.2.2", Locations: []types.Location{{StartLine: 4900, EndLine: 4900}}},
		{Name: "create-react-context", Version: "0.2.3", Locations: []types.Location{{StartLine: 4908, EndLine: 4908}}},
		{Name: "cross-spawn", Version: "6.0.5", Locations: []types.Location{{StartLine: 4916, EndLine: 4916}}},
		{Name: "cross-spawn", Version: "4.0.2", Locations: []types.Location{{StartLine: 4927, EndLine: 4927}}},
		{Name: "cross-spawn", Version: "5.1.0", Locations: []types.Location{{StartLine: 4935, EndLine: 4935}}},
		{Name: "crypt", Version: "0.0.2", Locations: []types.Location{{StartLine: 4944, EndLine: 4944}}},
		{Name: "crypto-browserify", Version: "3.12.0", Locations: []types.Location{{StartLine: 4949, EndLine: 4949}}},
		{Name: "crypto-random-string", Version: "1.0.0", Locations: []types.Location{{StartLine: 4966, EndLine: 4966}}},
		{Name: "css-color-keywords", Version: "1.0.0", Locations: []types.Location{{StartLine: 4971, EndLine: 4971}}},
		{Name: "css-loader", Version: "1.0.1", Locations: []types.Location{{StartLine: 4976, EndLine: 4976}}},
		{Name: "css-select-base-adapter", Version: "0.1.1", Locations: []types.Location{{StartLine: 4994, EndLine: 4994}}},
		{Name: "css-select", Version: "1.2.0", Locations: []types.Location{{StartLine: 4999, EndLine: 4999}}},
		{Name: "css-select", Version: "2.0.2", Locations: []types.Location{{StartLine: 5009, EndLine: 5009}}},
		{Name: "css-selector-tokenizer", Version: "0.7.1", Locations: []types.Location{{StartLine: 5019, EndLine: 5019}}},
		{Name: "css-to-react-native", Version: "2.3.1", Locations: []types.Location{{StartLine: 5028, EndLine: 5028}}},
		{Name: "css-tree", Version: "1.0.0-alpha.28", Locations: []types.Location{{StartLine: 5037, EndLine: 5037}}},
		{Name: "css-tree", Version: "1.0.0-alpha.29", Locations: []types.Location{{StartLine: 5045, EndLine: 5045}}},
		{Name: "css-url-regex", Version: "1.1.0", Locations: []types.Location{{StartLine: 5053, EndLine: 5053}}},
		{Name: "css-vendor", Version: "0.3.8", Locations: []types.Location{{StartLine: 5058, EndLine: 5058}}},
		{Name: "css-what", Version: "2.1.3", Locations: []types.Location{{StartLine: 5065, EndLine: 5065}}},
		{Name: "cssesc", Version: "0.1.0", Locations: []types.Location{{StartLine: 5070, EndLine: 5070}}},
		{Name: "csso", Version: "3.5.1", Locations: []types.Location{{StartLine: 5075, EndLine: 5075}}},
		{Name: "cssom", Version: "0.3.6", Locations: []types.Location{{StartLine: 5082, EndLine: 5082}}},
		{Name: "cssstyle", Version: "1.2.2", Locations: []types.Location{{StartLine: 5087, EndLine: 5087}}},
		{Name: "csstype", Version: "2.6.4", Locations: []types.Location{{StartLine: 5094, EndLine: 5094}}},
		{Name: "cyclist", Version: "0.2.2", Locations: []types.Location{{StartLine: 5099, EndLine: 5099}}},
		{Name: "damerau-levenshtein", Version: "1.0.5", Locations: []types.Location{{StartLine: 5104, EndLine: 5104}}},
		{Name: "dashdash", Version: "1.14.1", Locations: []types.Location{{StartLine: 5109, EndLine: 5109}}},
		{Name: "data-urls", Version: "1.1.0", Locations: []types.Location{{StartLine: 5116, EndLine: 5116}}},
		{Name: "date-fns", Version: "1.30.1", Locations: []types.Location{{StartLine: 5125, EndLine: 5125}}},
		{Name: "date-fns", Version: "2.0.0-alpha.27", Locations: []types.Location{{StartLine: 5130, EndLine: 5130}}},
		{Name: "date-now", Version: "0.1.4", Locations: []types.Location{{StartLine: 5135, EndLine: 5135}}},
		{Name: "debounce", Version: "1.2.0", Locations: []types.Location{{StartLine: 5140, EndLine: 5140}}},
		{Name: "debug", Version: "2.6.9", Locations: []types.Location{{StartLine: 5145, EndLine: 5145}}},
		{Name: "debug", Version: "3.1.0", Locations: []types.Location{{StartLine: 5152, EndLine: 5152}}},
		{Name: "debug", Version: "3.2.6", Locations: []types.Location{{StartLine: 5159, EndLine: 5159}}},
		{Name: "debug", Version: "4.1.1", Locations: []types.Location{{StartLine: 5166, EndLine: 5166}}},
		{Name: "debuglog", Version: "1.0.1", Locations: []types.Location{{StartLine: 5173, EndLine: 5173}}},
		{Name: "decamelize", Version: "1.2.0", Locations: []types.Location{{StartLine: 5178, EndLine: 5178}}},
		{Name: "decode-uri-component", Version: "0.2.0", Locations: []types.Location{{StartLine: 5183, EndLine: 5183}}},
		{Name: "decompress-response", Version: "3.3.0", Locations: []types.Location{{StartLine: 5188, EndLine: 5188}}},
		{Name: "dedent", Version: "0.7.0", Locations: []types.Location{{StartLine: 5195, EndLine: 5195}}},
		{Name: "deep-equal", Version: "1.0.1", Locations: []types.Location{{StartLine: 5200, EndLine: 5200}}},
		{Name: "deep-extend", Version: "0.6.0", Locations: []types.Location{{StartLine: 5205, EndLine: 5205}}},
		{Name: "deep-is", Version: "0.1.3", Locations: []types.Location{{StartLine: 5210, EndLine: 5210}}},
		{Name: "deepmerge", Version: "2.2.1", Locations: []types.Location{{StartLine: 5215, EndLine: 5215}}},
		{Name: "deepmerge", Version: "3.2.0", Locations: []types.Location{{StartLine: 5220, EndLine: 5220}}},
		{Name: "default-gateway", Version: "4.2.0", Locations: []types.Location{{StartLine: 5225, EndLine: 5225}}},
		{Name: "default-require-extensions", Version: "1.0.0", Locations: []types.Location{{StartLine: 5233, EndLine: 5233}}},
		{Name: "defaults", Version: "1.0.3", Locations: []types.Location{{StartLine: 5240, EndLine: 5240}}},
		{Name: "define-properties", Version: "1.1.3", Locations: []types.Location{{StartLine: 5247, EndLine: 5247}}},
		{Name: "define-property", Version: "0.2.5", Locations: []types.Location{{StartLine: 5254, EndLine: 5254}}},
		{Name: "define-property", Version: "1.0.0", Locations: []types.Location{{StartLine: 5261, EndLine: 5261}}},
		{Name: "define-property", Version: "2.0.2", Locations: []types.Location{{StartLine: 5268, EndLine: 5268}}},
		{Name: "del", Version: "3.0.0", Locations: []types.Location{{StartLine: 5276, EndLine: 5276}}},
		{Name: "del", Version: "4.1.1", Locations: []types.Location{{StartLine: 5288, EndLine: 5288}}},
		{Name: "delayed-stream", Version: "1.0.0", Locations: []types.Location{{StartLine: 5301, EndLine: 5301}}},
		{Name: "delegates", Version: "1.0.0", Locations: []types.Location{{StartLine: 5306, EndLine: 5306}}},
		{Name: "depd", Version: "1.1.2", Locations: []types.Location{{StartLine: 5311, EndLine: 5311}}},
		{Name: "des.js", Version: "1.0.0", Locations: []types.Location{{StartLine: 5316, EndLine: 5316}}},
		{Name: "destroy", Version: "1.0.4", Locations: []types.Location{{StartLine: 5324, EndLine: 5324}}},
		{Name: "detect-file", Version: "1.0.0", Locations: []types.Location{{StartLine: 5329, EndLine: 5329}}},
		{Name: "detect-indent", Version: "4.0.0", Locations: []types.Location{{StartLine: 5334, EndLine: 5334}}},
		{Name: "detect-indent", Version: "5.0.0", Locations: []types.Location{{StartLine: 5341, EndLine: 5341}}},
		{Name: "detect-libc", Version: "1.0.3", Locations: []types.Location{{StartLine: 5346, EndLine: 5346}}},
		{Name: "detect-newline", Version: "2.1.0", Locations: []types.Location{{StartLine: 5351, EndLine: 5351}}},
		{Name: "detect-node", Version: "2.0.4", Locations: []types.Location{{StartLine: 5356, EndLine: 5356}}},
		{Name: "detect-port-alt", Version: "1.1.6", Locations: []types.Location{{StartLine: 5361, EndLine: 5361}}},
		{Name: "detect-port", Version: "1.3.0", Locations: []types.Location{{StartLine: 5369, EndLine: 5369}}},
		{Name: "dezalgo", Version: "1.0.3", Locations: []types.Location{{StartLine: 5377, EndLine: 5377}}},
		{Name: "diff", Version: "3.5.0", Locations: []types.Location{{StartLine: 5385, EndLine: 5385}}},
		{Name: "diffie-hellman", Version: "5.0.3", Locations: []types.Location{{StartLine: 5390, EndLine: 5390}}},
		{Name: "dir-glob", Version: "2.2.2", Locations: []types.Location{{StartLine: 5399, EndLine: 5399}}},
		{Name: "discontinuous-range", Version: "1.0.0", Locations: []types.Location{{StartLine: 5406, EndLine: 5406}}},
		{Name: "dns-equal", Version: "1.0.0", Locations: []types.Location{{StartLine: 5411, EndLine: 5411}}},
		{Name: "dns-packet", Version: "1.3.1", Locations: []types.Location{{StartLine: 5416, EndLine: 5416}}},
		{Name: "dns-txt", Version: "2.0.2", Locations: []types.Location{{StartLine: 5424, EndLine: 5424}}},
		{Name: "doctrine", Version: "1.5.0", Locations: []types.Location{{StartLine: 5431, EndLine: 5431}}},
		{Name: "doctrine", Version: "2.1.0", Locations: []types.Location{{StartLine: 5439, EndLine: 5439}}},
		{Name: "doctrine", Version: "3.0.0", Locations: []types.Location{{StartLine: 5446, EndLine: 5446}}},
		{Name: "dom-converter", Version: "0.2.0", Locations: []types.Location{{StartLine: 5453, EndLine: 5453}}},
		{Name: "dom-helpers", Version: "3.4.0", Locations: []types.Location{{StartLine: 5460, EndLine: 5460}}},
		{Name: "dom-serializer", Version: "0.1.1", Locations: []types.Location{{StartLine: 5467, EndLine: 5467}}},
		{Name: "dom-walk", Version: "0.1.1", Locations: []types.Location{{StartLine: 5475, EndLine: 5475}}},
		{Name: "domain-browser", Version: "1.2.0", Locations: []types.Location{{StartLine: 5480, EndLine: 5480}}},
		{Name: "domelementtype", Version: "1.3.1", Locations: []types.Location{{StartLine: 5485, EndLine: 5485}}},
		{Name: "domexception", Version: "1.0.1", Locations: []types.Location{{StartLine: 5490, EndLine: 5490}}},
		{Name: "domhandler", Version: "2.4.2", Locations: []types.Location{{StartLine: 5497, EndLine: 5497}}},
		{Name: "domutils", Version: "1.5.1", Locations: []types.Location{{StartLine: 5504, EndLine: 5504}}},
		{Name: "domutils", Version: "1.7.0", Locations: []types.Location{{StartLine: 5512, EndLine: 5512}}},
		{Name: "dot-prop", Version: "4.2.0", Locations: []types.Location{{StartLine: 5520, EndLine: 5520}}},
		{Name: "dotenv-defaults", Version: "1.0.2", Locations: []types.Location{{StartLine: 5527, EndLine: 5527}}},
		{Name: "dotenv-expand", Version: "4.2.0", Locations: []types.Location{{StartLine: 5534, EndLine: 5534}}},
		{Name: "dotenv-webpack", Version: "1.7.0", Locations: []types.Location{{StartLine: 5539, EndLine: 5539}}},
		{Name: "dotenv", Version: "5.0.1", Locations: []types.Location{{StartLine: 5546, EndLine: 5546}}},
		{Name: "dotenv", Version: "6.2.0", Locations: []types.Location{{StartLine: 5551, EndLine: 5551}}},
		{Name: "duplexer2", Version: "0.1.4", Locations: []types.Location{{StartLine: 5556, EndLine: 5556}}},
		{Name: "duplexer3", Version: "0.1.4", Locations: []types.Location{{StartLine: 5563, EndLine: 5563}}},
		{Name: "duplexer", Version: "0.1.1", Locations: []types.Location{{StartLine: 5568, EndLine: 5568}}},
		{Name: "duplexify", Version: "3.7.1", Locations: []types.Location{{StartLine: 5573, EndLine: 5573}}},
		{Name: "ecc-jsbn", Version: "0.1.2", Locations: []types.Location{{StartLine: 5583, EndLine: 5583}}},
		{Name: "editor", Version: "1.0.0", Locations: []types.Location{{StartLine: 5591, EndLine: 5591}}},
		{Name: "ee-first", Version: "1.1.1", Locations: []types.Location{{StartLine: 5596, EndLine: 5596}}},
		{Name: "ejs", Version: "2.6.1", Locations: []types.Location{{StartLine: 5601, EndLine: 5601}}},
		{Name: "electron-to-chromium", Version: "1.3.134", Locations: []types.Location{{StartLine: 5606, EndLine: 5606}}},
		{Name: "elegant-spinner", Version: "1.0.1", Locations: []types.Location{{StartLine: 5611, EndLine: 5611}}},
		{Name: "elliptic", Version: "6.4.1", Locations: []types.Location{{StartLine: 5616, EndLine: 5616}}},
		{Name: "emoji-regex", Version: "7.0.3", Locations: []types.Location{{StartLine: 5629, EndLine: 5629}}},
		{Name: "emojis-list", Version: "2.1.0", Locations: []types.Location{{StartLine: 5634, EndLine: 5634}}},
		{Name: "encodeurl", Version: "1.0.2", Locations: []types.Location{{StartLine: 5639, EndLine: 5639}}},
		{Name: "encoding", Version: "0.1.12", Locations: []types.Location{{StartLine: 5644, EndLine: 5644}}},
		{Name: "end-of-stream", Version: "1.4.1", Locations: []types.Location{{StartLine: 5651, EndLine: 5651}}},
		{Name: "engine.io-client", Version: "3.3.2", Locations: []types.Location{{StartLine: 5658, EndLine: 5658}}},
		{Name: "engine.io-parser", Version: "2.1.3", Locations: []types.Location{{StartLine: 5675, EndLine: 5675}}},
		{Name: "engine.io", Version: "3.3.2", Locations: []types.Location{{StartLine: 5686, EndLine: 5686}}},
		{Name: "enhanced-resolve", Version: "4.1.0", Locations: []types.Location{{StartLine: 5698, EndLine: 5698}}},
		{Name: "entities", Version: "1.1.2", Locations: []types.Location{{StartLine: 5707, EndLine: 5707}}},
		{Name: "enzyme-adapter-react-16", Version: "1.13.0", Locations: []types.Location{{StartLine: 5712, EndLine: 5712}}},
		{Name: "enzyme-adapter-utils", Version: "1.12.0", Locations: []types.Location{{StartLine: 5725, EndLine: 5725}}},
		{Name: "enzyme", Version: "3.9.0", Locations: []types.Location{{StartLine: 5737, EndLine: 5737}}},
		{Name: "err-code", Version: "1.1.2", Locations: []types.Location{{StartLine: 5764, EndLine: 5764}}},
		{Name: "errno", Version: "0.1.7", Locations: []types.Location{{StartLine: 5769, EndLine: 5769}}},
		{Name: "error-ex", Version: "1.3.2", Locations: []types.Location{{StartLine: 5776, EndLine: 5776}}},
		{Name: "es-abstract", Version: "1.13.0", Locations: []types.Location{{StartLine: 5783, EndLine: 5783}}},
		{Name: "es-to-primitive", Version: "1.2.0", Locations: []types.Location{{StartLine: 5795, EndLine: 5795}}},
		{Name: "es5-shim", Version: "4.5.13", Locations: []types.Location{{StartLine: 5804, EndLine: 5804}}},
		{Name: "es6-promise-promise", Version: "1.0.0", Locations: []types.Location{{StartLine: 5809, EndLine: 5809}}},
		{Name: "es6-promise", Version: "3.3.1", Locations: []types.Location{{StartLine: 5816, EndLine: 5816}}},
		{Name: "es6-promise", Version: "4.2.6", Locations: []types.Location{{StartLine: 5821, EndLine: 5821}}},
		{Name: "es6-promisify", Version: "5.0.0", Locations: []types.Location{{StartLine: 5826, EndLine: 5826}}},
		{Name: "es6-shim", Version: "0.35.5", Locations: []types.Location{{StartLine: 5833, EndLine: 5833}}},
		{Name: "escape-html", Version: "1.0.3", Locations: []types.Location{{StartLine: 5838, EndLine: 5838}}},
		{Name: "escape-string-regexp", Version: "1.0.5", Locations: []types.Location{{StartLine: 5843, EndLine: 5843}}},
		{Name: "escodegen", Version: "1.11.1", Locations: []types.Location{{StartLine: 5848, EndLine: 5848}}},
		{Name: "eslint-config-airbnb-base", Version: "13.1.0", Locations: []types.Location{{StartLine: 5860, EndLine: 5860}}},
		{Name: "eslint-config-airbnb", Version: "17.1.0", Locations: []types.Location{{StartLine: 5869, EndLine: 5869}}},
		{Name: "eslint-import-resolver-node", Version: "0.3.2", Locations: []types.Location{{StartLine: 5878, EndLine: 5878}}},
		{Name: "eslint-loader", Version: "2.1.2", Locations: []types.Location{{StartLine: 5886, EndLine: 5886}}},
		{Name: "eslint-module-utils", Version: "2.4.0", Locations: []types.Location{{StartLine: 5897, EndLine: 5897}}},
		{Name: "eslint-plugin-import", Version: "2.17.2", Locations: []types.Location{{StartLine: 5905, EndLine: 5905}}},
		{Name: "eslint-plugin-jsx-a11y", Version: "6.2.1", Locations: []types.Location{{StartLine: 5922, EndLine: 5922}}},
		{Name: "eslint-plugin-react", Version: "7.13.0", Locations: []types.Location{{StartLine: 5936, EndLine: 5936}}},
		{Name: "eslint-restricted-globals", Version: "0.1.1", Locations: []types.Location{{StartLine: 5949, EndLine: 5949}}},
		{Name: "eslint-scope", Version: "3.7.1", Locations: []types.Location{{StartLine: 5954, EndLine: 5954}}},
		{Name: "eslint-scope", Version: "4.0.3", Locations: []types.Location{{StartLine: 5962, EndLine: 5962}}},
		{Name: "eslint-utils", Version: "1.3.1", Locations: []types.Location{{StartLine: 5970, EndLine: 5970}}},
		{Name: "eslint-visitor-keys", Version: "1.0.0", Locations: []types.Location{{StartLine: 5975, EndLine: 5975}}},
		{Name: "eslint", Version: "5.16.0", Locations: []types.Location{{StartLine: 5980, EndLine: 5980}}},
		{Name: "espree", Version: "5.0.1", Locations: []types.Location{{StartLine: 6022, EndLine: 6022}}},
		{Name: "esprima", Version: "3.1.3", Locations: []types.Location{{StartLine: 6031, EndLine: 6031}}},
		{Name: "esprima", Version: "4.0.1", Locations: []types.Location{{StartLine: 6036, EndLine: 6036}}},
		{Name: "esquery", Version: "1.0.1", Locations: []types.Location{{StartLine: 6041, EndLine: 6041}}},
		{Name: "esrecurse", Version: "4.2.1", Locations: []types.Location{{StartLine: 6048, EndLine: 6048}}},
		{Name: "estraverse", Version: "4.2.0", Locations: []types.Location{{StartLine: 6055, EndLine: 6055}}},
		{Name: "esutils", Version: "2.0.2", Locations: []types.Location{{StartLine: 6060, EndLine: 6060}}},
		{Name: "etag", Version: "1.8.1", Locations: []types.Location{{StartLine: 6065, EndLine: 6065}}},
		{Name: "eventemitter3", Version: "3.1.2", Locations: []types.Location{{StartLine: 6070, EndLine: 6070}}},
		{Name: "events", Version: "3.0.0", Locations: []types.Location{{StartLine: 6075, EndLine: 6075}}},
		{Name: "eventsource", Version: "0.1.6", Locations: []types.Location{{StartLine: 6080, EndLine: 6080}}},
		{Name: "eventsource", Version: "1.0.7", Locations: []types.Location{{StartLine: 6087, EndLine: 6087}}},
		{Name: "evp_bytestokey", Version: "1.0.3", Locations: []types.Location{{StartLine: 6094, EndLine: 6094}}},
		{Name: "exec-sh", Version: "0.2.2", Locations: []types.Location{{StartLine: 6102, EndLine: 6102}}},
		{Name: "execa", Version: "0.7.0", Locations: []types.Location{{StartLine: 6109, EndLine: 6109}}},
		{Name: "execa", Version: "0.9.0", Locations: []types.Location{{StartLine: 6122, EndLine: 6122}}},
		{Name: "execa", Version: "1.0.0", Locations: []types.Location{{StartLine: 6135, EndLine: 6135}}},
		{Name: "exenv", Version: "1.2.2", Locations: []types.Location{{StartLine: 6148, EndLine: 6148}}},
		{Name: "exit-hook", Version: "1.1.1", Locations: []types.Location{{StartLine: 6153, EndLine: 6153}}},
		{Name: "exit", Version: "0.1.2", Locations: []types.Location{{StartLine: 6158, EndLine: 6158}}},
		{Name: "expand-brackets", Version: "0.1.5", Locations: []types.Location{{StartLine: 6163, EndLine: 6163}}},
		{Name: "expand-brackets", Version: "2.1.4", Locations: []types.Location{{StartLine: 6170, EndLine: 6170}}},
		{Name: "expand-range", Version: "1.8.2", Locations: []types.Location{{StartLine: 6183, EndLine: 6183}}},
		{Name: "expand-tilde", Version: "2.0.2", Locations: []types.Location{{StartLine: 6190, EndLine: 6190}}},
		{Name: "expect", Version: "23.6.0", Locations: []types.Location{{StartLine: 6197, EndLine: 6197}}},
		{Name: "express", Version: "4.16.4", Locations: []types.Location{{StartLine: 6209, EndLine: 6209}}},
		{Name: "extend-shallow", Version: "2.0.1", Locations: []types.Location{{StartLine: 6245, EndLine: 6245}}},
		{Name: "extend-shallow", Version: "3.0.2", Locations: []types.Location{{StartLine: 6252, EndLine: 6252}}},
		{Name: "extend", Version: "3.0.2", Locations: []types.Location{{StartLine: 6260, EndLine: 6260}}},
		{Name: "external-editor", Version: "3.0.3", Locations: []types.Location{{StartLine: 6265, EndLine: 6265}}},
		{Name: "extglob", Version: "0.3.2", Locations: []types.Location{{StartLine: 6274, EndLine: 6274}}},
		{Name: "extglob", Version: "2.0.4", Locations: []types.Location{{StartLine: 6281, EndLine: 6281}}},
		{Name: "extract-text-webpack-plugin", Version: "4.0.0-beta.0", Locations: []types.Location{{StartLine: 6295, EndLine: 6295}}},
		{Name: "extsprintf", Version: "1.3.0", Locations: []types.Location{{StartLine: 6305, EndLine: 6305}}},
		{Name: "extsprintf", Version: "1.4.0", Locations: []types.Location{{StartLine: 6310, EndLine: 6310}}},
		{Name: "faker", Version: "4.1.0", Locations: []types.Location{{StartLine: 6315, EndLine: 6315}}},
		{Name: "fast-deep-equal", Version: "2.0.1", Locations: []types.Location{{StartLine: 6320, EndLine: 6320}}},
		{Name: "fast-glob", Version: "2.2.6", Locations: []types.Location{{StartLine: 6325, EndLine: 6325}}},
		{Name: "fast-json-stable-stringify", Version: "2.0.0", Locations: []types.Location{{StartLine: 6337, EndLine: 6337}}},
		{Name: "fast-levenshtein", Version: "2.0.6", Locations: []types.Location{{StartLine: 6342, EndLine: 6342}}},
		{Name: "fastparse", Version: "1.1.2", Locations: []types.Location{{StartLine: 6347, EndLine: 6347}}},
		{Name: "faye-websocket", Version: "0.10.0", Locations: []types.Location{{StartLine: 6352, EndLine: 6352}}},
		{Name: "faye-websocket", Version: "0.11.1", Locations: []types.Location{{StartLine: 6359, EndLine: 6359}}},
		{Name: "fb-watchman", Version: "2.0.0", Locations: []types.Location{{StartLine: 6366, EndLine: 6366}}},
		{Name: "fbjs", Version: "0.8.17", Locations: []types.Location{{StartLine: 6373, EndLine: 6373}}},
		{Name: "figgy-pudding", Version: "3.5.1", Locations: []types.Location{{StartLine: 6386, EndLine: 6386}}},
		{Name: "figures", Version: "1.7.0", Locations: []types.Location{{StartLine: 6391, EndLine: 6391}}},
		{Name: "figures", Version: "2.0.0", Locations: []types.Location{{StartLine: 6399, EndLine: 6399}}},
		{Name: "file-entry-cache", Version: "5.0.1", Locations: []types.Location{{StartLine: 6406, EndLine: 6406}}},
		{Name: "file-loader", Version: "1.1.11", Locations: []types.Location{{StartLine: 6413, EndLine: 6413}}},
		{Name: "file-loader", Version: "2.0.0", Locations: []types.Location{{StartLine: 6421, EndLine: 6421}}},
		{Name: "file-selector", Version: "0.1.11", Locations: []types.Location{{StartLine: 6429, EndLine: 6429}}},
		{Name: "file-system-cache", Version: "1.0.5", Locations: []types.Location{{StartLine: 6436, EndLine: 6436}}},
		{Name: "filename-regex", Version: "2.0.1", Locations: []types.Location{{StartLine: 6445, EndLine: 6445}}},
		{Name: "fileset", Version: "2.0.3", Locations: []types.Location{{StartLine: 6450, EndLine: 6450}}},
		{Name: "filesize", Version: "3.6.1", Locations: []types.Location{{StartLine: 6458, EndLine: 6458}}},
		{Name: "fill-range", Version: "2.2.4", Locations: []types.Location{{StartLine: 6463, EndLine: 6463}}},
		{Name: "fill-range", Version: "4.0.0", Locations: []types.Location{{StartLine: 6474, EndLine: 6474}}},
		{Name: "finalhandler", Version: "1.1.1", Locations: []types.Location{{StartLine: 6484, EndLine: 6484}}},
		{Name: "find-cache-dir", Version: "0.1.1", Locations: []types.Location{{StartLine: 6497, EndLine: 6497}}},
		{Name: "find-cache-dir", Version: "1.0.0", Locations: []types.Location{{StartLine: 6506, EndLine: 6506}}},
		{Name: "find-cache-dir", Version: "2.1.0", Locations: []types.Location{{StartLine: 6515, EndLine: 6515}}},
		{Name: "find-npm-prefix", Version: "1.0.2", Locations: []types.Location{{StartLine: 6524, EndLine: 6524}}},
		{Name: "find-parent-dir", Version: "0.3.0", Locations: []types.Location{{StartLine: 6529, EndLine: 6529}}},
		{Name: "find-up", Version: "3.0.0", Locations: []types.Location{{StartLine: 6534, EndLine: 6534}}},
		{Name: "find-up", Version: "1.1.2", Locations: []types.Location{{StartLine: 6541, EndLine: 6541}}},
		{Name: "find-up", Version: "2.1.0", Locations: []types.Location{{StartLine: 6549, EndLine: 6549}}},
		{Name: "findup-sync", Version: "2.0.0", Locations: []types.Location{{StartLine: 6556, EndLine: 6556}}},
		{Name: "flat-cache", Version: "2.0.1", Locations: []types.Location{{StartLine: 6566, EndLine: 6566}}},
		{Name: "flatted", Version: "2.0.0", Locations: []types.Location{{StartLine: 6575, EndLine: 6575}}},
		{Name: "flow-bin", Version: "0.89.0", Locations: []types.Location{{StartLine: 6580, EndLine: 6580}}},
		{Name: "flow-parser", Version: "0.98.1", Locations: []types.Location{{StartLine: 6585, EndLine: 6585}}},
		{Name: "flow-typed", Version: "2.5.1", Locations: []types.Location{{StartLine: 6590, EndLine: 6590}}},
		{Name: "flush-write-stream", Version: "1.1.1", Locations: []types.Location{{StartLine: 6611, EndLine: 6611}}},
		{Name: "follow-redirects", Version: "1.7.0", Locations: []types.Location{{StartLine: 6619, EndLine: 6619}}},
		{Name: "for-in", Version: "0.1.8", Locations: []types.Location{{StartLine: 6626, EndLine: 6626}}},
		{Name: "for-in", Version: "1.0.2", Locations: []types.Location{{StartLine: 6631, EndLine: 6631}}},
		{Name: "for-own", Version: "0.1.5", Locations: []types.Location{{StartLine: 6636, EndLine: 6636}}},
		{Name: "forever-agent", Version: "0.6.1", Locations: []types.Location{{StartLine: 6643, EndLine: 6643}}},
		{Name: "form-data", Version: "2.3.3", Locations: []types.Location{{StartLine: 6648, EndLine: 6648}}},
		{Name: "formik", Version: "1.5.1", Locations: []types.Location{{StartLine: 6657, EndLine: 6657}}},
		{Name: "forwarded", Version: "0.1.2", Locations: []types.Location{{StartLine: 6672, EndLine: 6672}}},
		{Name: "fragment-cache", Version: "0.2.1", Locations: []types.Location{{StartLine: 6677, EndLine: 6677}}},
		{Name: "fresh", Version: "0.5.2", Locations: []types.Location{{StartLine: 6684, EndLine: 6684}}},
		{Name: "from2", Version: "1.3.0", Locations: []types.Location{{StartLine: 6689, EndLine: 6689}}},
		{Name: "from2", Version: "2.3.0", Locations: []types.Location{{StartLine: 6697, EndLine: 6697}}},
		{Name: "fs-extra", Version: "0.30.0", Locations: []types.Location{{StartLine: 6705, EndLine: 6705}}},
		{Name: "fs-extra", Version: "5.0.0", Locations: []types.Location{{StartLine: 6716, EndLine: 6716}}},
		{Name: "fs-extra", Version: "7.0.1", Locations: []types.Location{{StartLine: 6725, EndLine: 6725}}},
		{Name: "fs-minipass", Version: "1.2.5", Locations: []types.Location{{StartLine: 6734, EndLine: 6734}}},
		{Name: "fs-readdir-recursive", Version: "1.1.0", Locations: []types.Location{{StartLine: 6741, EndLine: 6741}}},
		{Name: "fs-vacuum", Version: "1.2.10", Locations: []types.Location{{StartLine: 6746, EndLine: 6746}}},
		{Name: "fs-write-stream-atomic", Version: "1.0.10", Locations: []types.Location{{StartLine: 6755, EndLine: 6755}}},
		{Name: "fs.realpath", Version: "1.0.0", Locations: []types.Location{{StartLine: 6765, EndLine: 6765}}},
		{Name: "fsevents", Version: "1.2.9", Locations: []types.Location{{StartLine: 6770, EndLine: 6770}}},
		{Name: "fstream", Version: "1.0.12", Locations: []types.Location{{StartLine: 6778, EndLine: 6778}}},
		{Name: "function-bind", Version: "1.1.1", Locations: []types.Location{{StartLine: 6788, EndLine: 6788}}},
		{Name: "function.prototype.name", Version: "1.1.0", Locations: []types.Location{{StartLine: 6793, EndLine: 6793}}},
		{Name: "functional-red-black-tree", Version: "1.0.1", Locations: []types.Location{{StartLine: 6802, EndLine: 6802}}},
		{Name: "fuse.js", Version: "3.4.4", Locations: []types.Location{{StartLine: 6807, EndLine: 6807}}},
		{Name: "gauge", Version: "2.7.4", Locations: []types.Location{{StartLine: 6812, EndLine: 6812}}},
		{Name: "genfun", Version: "5.0.0", Locations: []types.Location{{StartLine: 6826, EndLine: 6826}}},
		{Name: "gentle-fs", Version: "2.0.1", Locations: []types.Location{{StartLine: 6831, EndLine: 6831}}},
		{Name: "get-caller-file", Version: "1.0.3", Locations: []types.Location{{StartLine: 6845, EndLine: 6845}}},
		{Name: "get-own-enumerable-property-symbols", Version: "3.0.0", Locations: []types.Location{{StartLine: 6850, EndLine: 6850}}},
		{Name: "get-stdin", Version: "6.0.0", Locations: []types.Location{{StartLine: 6855, EndLine: 6855}}},
		{Name: "get-stream", Version: "3.0.0", Locations: []types.Location{{StartLine: 6860, EndLine: 6860}}},
		{Name: "get-stream", Version: "4.1.0", Locations: []types.Location{{StartLine: 6865, EndLine: 6865}}},
		{Name: "get-value", Version: "2.0.6", Locations: []types.Location{{StartLine: 6872, EndLine: 6872}}},
		{Name: "getpass", Version: "0.1.7", Locations: []types.Location{{StartLine: 6877, EndLine: 6877}}},
		{Name: "glob-base", Version: "0.3.0", Locations: []types.Location{{StartLine: 6884, EndLine: 6884}}},
		{Name: "glob-parent", Version: "2.0.0", Locations: []types.Location{{StartLine: 6892, EndLine: 6892}}},
		{Name: "glob-parent", Version: "3.1.0", Locations: []types.Location{{StartLine: 6899, EndLine: 6899}}},
		{Name: "glob-to-regexp", Version: "0.3.0", Locations: []types.Location{{StartLine: 6907, EndLine: 6907}}},
		{Name: "glob", Version: "7.1.4", Locations: []types.Location{{StartLine: 6912, EndLine: 6912}}},
		{Name: "global-dirs", Version: "0.1.1", Locations: []types.Location{{StartLine: 6924, EndLine: 6924}}},
		{Name: "global-modules", Version: "1.0.0", Locations: []types.Location{{StartLine: 6931, EndLine: 6931}}},
		{Name: "global-prefix", Version: "1.0.2", Locations: []types.Location{{StartLine: 6940, EndLine: 6940}}},
		{Name: "global", Version: "4.3.2", Locations: []types.Location{{StartLine: 6951, EndLine: 6951}}},
		{Name: "globals", Version: "11.12.0", Locations: []types.Location{{StartLine: 6959, EndLine: 6959}}},
		{Name: "globals", Version: "9.18.0", Locations: []types.Location{{StartLine: 6964, EndLine: 6964}}},
		{Name: "globalthis", Version: "1.0.0", Locations: []types.Location{{StartLine: 6969, EndLine: 6969}}},
		{Name: "globby", Version: "8.0.1", Locations: []types.Location{{StartLine: 6978, EndLine: 6978}}},
		{Name: "globby", Version: "6.1.0", Locations: []types.Location{{StartLine: 6991, EndLine: 6991}}},
		{Name: "globby", Version: "7.1.1", Locations: []types.Location{{StartLine: 7002, EndLine: 7002}}},
		{Name: "got", Version: "6.7.1", Locations: []types.Location{{StartLine: 7014, EndLine: 7014}}},
		{Name: "got", Version: "7.1.0", Locations: []types.Location{{StartLine: 7031, EndLine: 7031}}},
		{Name: "graceful-fs", Version: "4.1.15", Locations: []types.Location{{StartLine: 7051, EndLine: 7051}}},
		{Name: "growly", Version: "1.3.0", Locations: []types.Location{{StartLine: 7056, EndLine: 7056}}},
		{Name: "gud", Version: "1.0.0", Locations: []types.Location{{StartLine: 7061, EndLine: 7061}}},
		{Name: "gzip-size", Version: "5.0.0", Locations: []types.Location{{StartLine: 7066, EndLine: 7066}}},
		{Name: "gzip-size", Version: "5.1.0", Locations: []types.Location{{StartLine: 7074, EndLine: 7074}}},
		{Name: "handle-thing", Version: "2.0.0", Locations: []types.Location{{StartLine: 7082, EndLine: 7082}}},
		{Name: "handlebars", Version: "4.1.2", Locations: []types.Location{{StartLine: 7087, EndLine: 7087}}},
		{Name: "har-schema", Version: "2.0.0", Locations: []types.Location{{StartLine: 7098, EndLine: 7098}}},
		{Name: "har-validator", Version: "5.1.3", Locations: []types.Location{{StartLine: 7103, EndLine: 7103}}},
		{Name: "hard-source-webpack-plugin", Version: "0.13.1", Locations: []types.Location{{StartLine: 7111, EndLine: 7111}}},
		{Name: "has-ansi", Version: "2.0.0", Locations: []types.Location{{StartLine: 7130, EndLine: 7130}}},
		{Name: "has-binary2", Version: "1.0.3", Locations: []types.Location{{StartLine: 7137, EndLine: 7137}}},
		{Name: "has-color", Version: "0.1.7", Locations: []types.Location{{StartLine: 7144, EndLine: 7144}}},
		{Name: "has-cors", Version: "1.1.0", Locations: []types.Location{{StartLine: 7149, EndLine: 7149}}},
		{Name: "has-flag", Version: "1.0.0", Locations: []types.Location{{StartLine: 7154, EndLine: 7154}}},
		{Name: "has-flag", Version: "3.0.0", Locations: []types.Location{{StartLine: 7159, EndLine: 7159}}},
		{Name: "has-symbol-support-x", Version: "1.4.2", Locations: []types.Location{{StartLine: 7164, EndLine: 7164}}},
		{Name: "has-symbols", Version: "1.0.0", Locations: []types.Location{{StartLine: 7169, EndLine: 7169}}},
		{Name: "has-to-string-tag-x", Version: "1.4.1", Locations: []types.Location{{StartLine: 7174, EndLine: 7174}}},
		{Name: "has-unicode", Version: "2.0.1", Locations: []types.Location{{StartLine: 7181, EndLine: 7181}}},
		{Name: "has-value", Version: "0.3.1", Locations: []types.Location{{StartLine: 7186, EndLine: 7186}}},
		{Name: "has-value", Version: "1.0.0", Locations: []types.Location{{StartLine: 7195, EndLine: 7195}}},
		{Name: "has-values", Version: "0.1.4", Locations: []types.Location{{StartLine: 7204, EndLine: 7204}}},
		{Name: "has-values", Version: "1.0.0", Locations: []types.Location{{StartLine: 7209, EndLine: 7209}}},
		{Name: "has", Version: "1.0.3", Locations: []types.Location{{StartLine: 7217, EndLine: 7217}}},
		{Name: "hash-base", Version: "3.0.4", Locations: []types.Location{{StartLine: 7224, EndLine: 7224}}},
		{Name: "hash.js", Version: "1.1.7", Locations: []types.Location{{StartLine: 7232, EndLine: 7232}}},
		{Name: "hast-util-from-parse5", Version: "5.0.0", Locations: []types.Location{{StartLine: 7240, EndLine: 7240}}},
		{Name: "hast-util-parse-selector", Version: "2.2.1", Locations: []types.Location{{StartLine: 7251, EndLine: 7251}}},
		{Name: "hastscript", Version: "5.0.0", Locations: []types.Location{{StartLine: 7256, EndLine: 7256}}},
		{Name: "he", Version: "1.2.0", Locations: []types.Location{{StartLine: 7266, EndLine: 7266}}},
		{Name: "history", Version: "4.9.0", Locations: []types.Location{{StartLine: 7271, EndLine: 7271}}},
		{Name: "hmac-drbg", Version: "1.0.1", Locations: []types.Location{{StartLine: 7283, EndLine: 7283}}},
		{Name: "hoist-non-react-statics", Version: "1.2.0", Locations: []types.Location{{StartLine: 7292, EndLine: 7292}}},
		{Name: "hoist-non-react-statics", Version: "2.5.5", Locations: []types.Location{{StartLine: 7297, EndLine: 7297}}},
		{Name: "hoist-non-react-statics", Version: "3.3.0", Locations: []types.Location{{StartLine: 7302, EndLine: 7302}}},
		{Name: "home-or-tmp", Version: "2.0.0", Locations: []types.Location{{StartLine: 7309, EndLine: 7309}}},
		{Name: "homedir-polyfill", Version: "1.0.3", Locations: []types.Location{{StartLine: 7317, EndLine: 7317}}},
		{Name: "hoopy", Version: "0.1.4", Locations: []types.Location{{StartLine: 7324, EndLine: 7324}}},
		{Name: "hosted-git-info", Version: "2.7.1", Locations: []types.Location{{StartLine: 7329, EndLine: 7329}}},
		{Name: "hpack.js", Version: "2.1.6", Locations: []types.Location{{StartLine: 7334, EndLine: 7334}}},
		{Name: "html-element-map", Version: "1.0.1", Locations: []types.Location{{StartLine: 7344, EndLine: 7344}}},
		{Name: "html-encoding-sniffer", Version: "1.0.2", Locations: []types.Location{{StartLine: 7351, EndLine: 7351}}},
		{Name: "html-entities", Version: "1.2.1", Locations: []types.Location{{StartLine: 7358, EndLine: 7358}}},
		{Name: "html-minifier", Version: "3.5.21", Locations: []types.Location{{StartLine: 7363, EndLine: 7363}}},
		{Name: "html-webpack-harddisk-plugin", Version: "1.0.1", Locations: []types.Location{{StartLine: 7376, EndLine: 7376}}},
		{Name: "html-webpack-plugin", Version: "3.2.0", Locations: []types.Location{{StartLine: 7383, EndLine: 7383}}},
		{Name: "html-webpack-plugin", Version: "4.0.0-beta.5", Locations: []types.Location{{StartLine: 7396, EndLine: 7396}}},
		{Name: "htmlparser2", Version: "3.10.1", Locations: []types.Location{{StartLine: 7408, EndLine: 7408}}},
		{Name: "http-cache-semantics", Version: "3.8.1", Locations: []types.Location{{StartLine: 7420, EndLine: 7420}}},
		{Name: "http-deceiver", Version: "1.2.7", Locations: []types.Location{{StartLine: 7425, EndLine: 7425}}},
		{Name: "http-errors", Version: "1.6.3", Locations: []types.Location{{StartLine: 7430, EndLine: 7430}}},
		{Name: "http-parser-js", Version: "0.5.0", Locations: []types.Location{{StartLine: 7440, EndLine: 7440}}},
		{Name: "http-proxy-agent", Version: "2.1.0", Locations: []types.Location{{StartLine: 7445, EndLine: 7445}}},
		{Name: "http-proxy-middleware", Version: "0.19.1", Locations: []types.Location{{StartLine: 7453, EndLine: 7453}}},
		{Name: "http-proxy", Version: "1.17.0", Locations: []types.Location{{StartLine: 7463, EndLine: 7463}}},
		{Name: "http-signature", Version: "1.2.0", Locations: []types.Location{{StartLine: 7472, EndLine: 7472}}},
		{Name: "https-browserify", Version: "1.0.0", Locations: []types.Location{{StartLine: 7481, EndLine: 7481}}},
		{Name: "https-proxy-agent", Version: "2.2.1", Locations: []types.Location{{StartLine: 7486, EndLine: 7486}}},
		{Name: "humanize-ms", Version: "1.2.1", Locations: []types.Location{{StartLine: 7494, EndLine: 7494}}},
		{Name: "husky", Version: "1.3.1", Locations: []types.Location{{StartLine: 7501, EndLine: 7501}}},
		{Name: "hyphenate-style-name", Version: "1.0.3", Locations: []types.Location{{StartLine: 7517, EndLine: 7517}}},
		{Name: "i", Version: "0.3.6", Locations: []types.Location{{StartLine: 7522, EndLine: 7522}}},
		{Name: "iconv-lite", Version: "0.4.23", Locations: []types.Location{{StartLine: 7527, EndLine: 7527}}},
		{Name: "iconv-lite", Version: "0.4.24", Locations: []types.Location{{StartLine: 7534, EndLine: 7534}}},
		{Name: "icss-replace-symbols", Version: "1.1.0", Locations: []types.Location{{StartLine: 7541, EndLine: 7541}}},
		{Name: "icss-utils", Version: "2.1.0", Locations: []types.Location{{StartLine: 7546, EndLine: 7546}}},
		{Name: "ieee754", Version: "1.1.13", Locations: []types.Location{{StartLine: 7553, EndLine: 7553}}},
		{Name: "iferr", Version: "0.1.5", Locations: []types.Location{{StartLine: 7558, EndLine: 7558}}},
		{Name: "iferr", Version: "1.0.2", Locations: []types.Location{{StartLine: 7563, EndLine: 7563}}},
		{Name: "ignore-walk", Version: "3.0.1", Locations: []types.Location{{StartLine: 7568, EndLine: 7568}}},
		{Name: "ignore", Version: "3.3.10", Locations: []types.Location{{StartLine: 7575, EndLine: 7575}}},
		{Name: "ignore", Version: "4.0.6", Locations: []types.Location{{StartLine: 7580, EndLine: 7580}}},
		{Name: "immer", Version: "1.7.2", Locations: []types.Location{{StartLine: 7585, EndLine: 7585}}},
		{Name: "immutable", Version: "3.8.2", Locations: []types.Location{{StartLine: 7590, EndLine: 7590}}},
		{Name: "import-cwd", Version: "2.1.0", Locations: []types.Location{{StartLine: 7595, EndLine: 7595}}},
		{Name: "import-fresh", Version: "2.0.0", Locations: []types.Location{{StartLine: 7602, EndLine: 7602}}},
		{Name: "import-fresh", Version: "3.0.0", Locations: []types.Location{{StartLine: 7610, EndLine: 7610}}},
		{Name: "import-from", Version: "2.1.0", Locations: []types.Location{{StartLine: 7618, EndLine: 7618}}},
		{Name: "import-lazy", Version: "2.1.0", Locations: []types.Location{{StartLine: 7625, EndLine: 7625}}},
		{Name: "import-local", Version: "1.0.0", Locations: []types.Location{{StartLine: 7630, EndLine: 7630}}},
		{Name: "import-local", Version: "2.0.0", Locations: []types.Location{{StartLine: 7638, EndLine: 7638}}},
		{Name: "imurmurhash", Version: "0.1.4", Locations: []types.Location{{StartLine: 7646, EndLine: 7646}}},
		{Name: "indefinite-observable", Version: "1.0.2", Locations: []types.Location{{StartLine: 7651, EndLine: 7651}}},
		{Name: "indent-string", Version: "3.2.0", Locations: []types.Location{{StartLine: 7658, EndLine: 7658}}},
		{Name: "indexof", Version: "0.0.1", Locations: []types.Location{{StartLine: 7663, EndLine: 7663}}},
		{Name: "inflight", Version: "1.0.6", Locations: []types.Location{{StartLine: 7668, EndLine: 7668}}},
		{Name: "inherits", Version: "2.0.3", Locations: []types.Location{{StartLine: 7676, EndLine: 7676}}},
		{Name: "inherits", Version: "2.0.1", Locations: []types.Location{{StartLine: 7681, EndLine: 7681}}},
		{Name: "ini", Version: "1.3.5", Locations: []types.Location{{StartLine: 7686, EndLine: 7686}}},
		{Name: "init-package-json", Version: "1.10.3", Locations: []types.Location{{StartLine: 7691, EndLine: 7691}}},
		{Name: "inquirer", Version: "6.2.0", Locations: []types.Location{{StartLine: 7705, EndLine: 7705}}},
		{Name: "inquirer", Version: "0.11.4", Locations: []types.Location{{StartLine: 7724, EndLine: 7724}}},
		{Name: "inquirer", Version: "6.3.1", Locations: []types.Location{{StartLine: 7743, EndLine: 7743}}},
		{Name: "internal-ip", Version: "4.3.0", Locations: []types.Location{{StartLine: 7762, EndLine: 7762}}},
		{Name: "interpret", Version: "1.2.0", Locations: []types.Location{{StartLine: 7770, EndLine: 7770}}},
		{Name: "intl-messageformat-parser", Version: "1.4.0", Locations: []types.Location{{StartLine: 7775, EndLine: 7775}}},
		{Name: "intl-messageformat", Version: "2.2.0", Locations: []types.Location{{StartLine: 7780, EndLine: 7780}}},
		{Name: "intl", Version: "1.2.5", Locations: []types.Location{{StartLine: 7787, EndLine: 7787}}},
		{Name: "invariant", Version: "2.2.4", Locations: []types.Location{{StartLine: 7792, EndLine: 7792}}},
		{Name: "invert-kv", Version: "1.0.0", Locations: []types.Location{{StartLine: 7799, EndLine: 7799}}},
		{Name: "invert-kv", Version: "2.0.0", Locations: []types.Location{{StartLine: 7804, EndLine: 7804}}},
		{Name: "ip-regex", Version: "2.1.0", Locations: []types.Location{{StartLine: 7809, EndLine: 7809}}},
		{Name: "ip", Version: "1.1.5", Locations: []types.Location{{StartLine: 7814, EndLine: 7814}}},
		{Name: "ipaddr.js", Version: "1.9.0", Locations: []types.Location{{StartLine: 7819, EndLine: 7819}}},
		{Name: "is-accessor-descriptor", Version: "0.1.6", Locations: []types.Location{{StartLine: 7824, EndLine: 7824}}},
		{Name: "is-accessor-descriptor", Version: "1.0.0", Locations: []types.Location{{StartLine: 7831, EndLine: 7831}}},
		{Name: "is-arrayish", Version: "0.2.1", Locations: []types.Location{{StartLine: 7838, EndLine: 7838}}},
		{Name: "is-binary-path", Version: "1.0.1", Locations: []types.Location{{StartLine: 7843, EndLine: 7843}}},
		{Name: "is-boolean-object", Version: "1.0.0", Locations: []types.Location{{StartLine: 7850, EndLine: 7850}}},
		{Name: "is-buffer", Version: "1.1.6", Locations: []types.Location{{StartLine: 7855, EndLine: 7855}}},
		{Name: "is-buffer", Version: "2.0.3", Locations: []types.Location{{StartLine: 7860, EndLine: 7860}}},
		{Name: "is-callable", Version: "1.1.4", Locations: []types.Location{{StartLine: 7865, EndLine: 7865}}},
		{Name: "is-ci", Version: "1.2.1", Locations: []types.Location{{StartLine: 7870, EndLine: 7870}}},
		{Name: "is-ci", Version: "2.0.0", Locations: []types.Location{{StartLine: 7877, EndLine: 7877}}},
		{Name: "is-cidr", Version: "3.0.0", Locations: []types.Location{{StartLine: 7884, EndLine: 7884}}},
		{Name: "is-data-descriptor", Version: "0.1.4", Locations: []types.Location{{StartLine: 7891, EndLine: 7891}}},
		{Name: "is-data-descriptor", Version: "1.0.0", Locations: []types.Location{{StartLine: 7898, EndLine: 7898}}},
		{Name: "is-date-object", Version: "1.0.1", Locations: []types.Location{{StartLine: 7905, EndLine: 7905}}},
		{Name: "is-descriptor", Version: "0.1.6", Locations: []types.Location{{StartLine: 7910, EndLine: 7910}}},
		{Name: "is-descriptor", Version: "1.0.2", Locations: []types.Location{{StartLine: 7919, EndLine: 7919}}},
		{Name: "is-directory", Version: "0.3.1", Locations: []types.Location{{StartLine: 7928, EndLine: 7928}}},
		{Name: "is-dom", Version: "1.0.9", Locations: []types.Location{{StartLine: 7933, EndLine: 7933}}},
		{Name: "is-dotfile", Version: "1.0.3", Locations: []types.Location{{StartLine: 7938, EndLine: 7938}}},
		{Name: "is-electron", Version: "2.2.0", Locations: []types.Location{{StartLine: 7943, EndLine: 7943}}},
		{Name: "is-equal-shallow", Version: "0.1.3", Locations: []types.Location{{StartLine: 7948, EndLine: 7948}}},
		{Name: "is-extendable", Version: "0.1.1", Locations: []types.Location{{StartLine: 7955, EndLine: 7955}}},
		{Name: "is-extendable", Version: "1.0.1", Locations: []types.Location{{StartLine: 7960, EndLine: 7960}}},
		{Name: "is-extglob", Version: "1.0.0", Locations: []types.Location{{StartLine: 7967, EndLine: 7967}}},
		{Name: "is-extglob", Version: "2.1.1", Locations: []types.Location{{StartLine: 7972, EndLine: 7972}}},
		{Name: "is-finite", Version: "1.0.2", Locations: []types.Location{{StartLine: 7977, EndLine: 7977}}},
		{Name: "is-fullwidth-code-point", Version: "1.0.0", Locations: []types.Location{{StartLine: 7984, EndLine: 7984}}},
		{Name: "is-fullwidth-code-point", Version: "2.0.0", Locations: []types.Location{{StartLine: 7991, EndLine: 7991}}},
		{Name: "is-generator-fn", Version: "1.0.0", Locations: []types.Location{{StartLine: 7996, EndLine: 7996}}},
		{Name: "is-glob", Version: "2.0.1", Locations: []types.Location{{StartLine: 8001, EndLine: 8001}}},
		{Name: "is-glob", Version: "3.1.0", Locations: []types.Location{{StartLine: 8008, EndLine: 8008}}},
		{Name: "is-glob", Version: "4.0.1", Locations: []types.Location{{StartLine: 8015, EndLine: 8015}}},
		{Name: "is-in-browser", Version: "1.1.3", Locations: []types.Location{{StartLine: 8022, EndLine: 8022}}},
		{Name: "is-installed-globally", Version: "0.1.0", Locations: []types.Location{{StartLine: 8027, EndLine: 8027}}},
		{Name: "is-npm", Version: "1.0.0", Locations: []types.Location{{StartLine: 8035, EndLine: 8035}}},
		{Name: "is-number-object", Version: "1.0.3", Locations: []types.Location{{StartLine: 8040, EndLine: 8040}}},
		{Name: "is-number", Version: "2.1.0", Locations: []types.Location{{StartLine: 8045, EndLine: 8045}}},
		{Name: "is-number", Version: "3.0.0", Locations: []types.Location{{StartLine: 8052, EndLine: 8052}}},
		{Name: "is-number", Version: "4.0.0", Locations: []types.Location{{StartLine: 8059, EndLine: 8059}}},
		{Name: "is-obj", Version: "1.0.1", Locations: []types.Location{{StartLine: 8064, EndLine: 8064}}},
		{Name: "is-object", Version: "1.0.1", Locations: []types.Location{{StartLine: 8069, EndLine: 8069}}},
		{Name: "is-observable", Version: "1.1.0", Locations: []types.Location{{StartLine: 8074, EndLine: 8074}}},
		{Name: "is-path-cwd", Version: "1.0.0", Locations: []types.Location{{StartLine: 8081, EndLine: 8081}}},
		{Name: "is-path-cwd", Version: "2.1.0", Locations: []types.Location{{StartLine: 8086, EndLine: 8086}}},
		{Name: "is-path-in-cwd", Version: "1.0.1", Locations: []types.Location{{StartLine: 8091, EndLine: 8091}}},
		{Name: "is-path-in-cwd", Version: "2.1.0", Locations: []types.Location{{StartLine: 8098, EndLine: 8098}}},
		{Name: "is-path-inside", Version: "1.0.1", Locations: []types.Location{{StartLine: 8105, EndLine: 8105}}},
		{Name: "is-path-inside", Version: "2.1.0", Locations: []types.Location{{StartLine: 8112, EndLine: 8112}}},
		{Name: "is-plain-obj", Version: "1.1.0", Locations: []types.Location{{StartLine: 8119, EndLine: 8119}}},
		{Name: "is-plain-object", Version: "2.0.4", Locations: []types.Location{{StartLine: 8124, EndLine: 8124}}},
		{Name: "is-posix-bracket", Version: "0.1.1", Locations: []types.Location{{StartLine: 8131, EndLine: 8131}}},
		{Name: "is-primitive", Version: "2.0.0", Locations: []types.Location{{StartLine: 8136, EndLine: 8136}}},
		{Name: "is-promise", Version: "2.1.0", Locations: []types.Location{{StartLine: 8141, EndLine: 8141}}},
		{Name: "is-redirect", Version: "1.0.0", Locations: []types.Location{{StartLine: 8146, EndLine: 8146}}},
		{Name: "is-regex", Version: "1.0.4", Locations: []types.Location{{StartLine: 8151, EndLine: 8151}}},
		{Name: "is-regexp", Version: "1.0.0", Locations: []types.Location{{StartLine: 8158, EndLine: 8158}}},
		{Name: "is-retry-allowed", Version: "1.1.0", Locations: []types.Location{{StartLine: 8163, EndLine: 8163}}},
		{Name: "is-root", Version: "2.0.0", Locations: []types.Location{{StartLine: 8168, EndLine: 8168}}},
		{Name: "is-stream", Version: "1.1.0", Locations: []types.Location{{StartLine: 8173, EndLine: 8173}}},
		{Name: "is-string", Version: "1.0.4", Locations: []types.Location{{StartLine: 8178, EndLine: 8178}}},
		{Name: "is-subset", Version: "0.1.1", Locations: []types.Location{{StartLine: 8183, EndLine: 8183}}},
		{Name: "is-symbol", Version: "1.0.2", Locations: []types.Location{{StartLine: 8188, EndLine: 8188}}},
		{Name: "is-typedarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 8195, EndLine: 8195}}},
		{Name: "is-utf8", Version: "0.2.1", Locations: []types.Location{{StartLine: 8200, EndLine: 8200}}},
		{Name: "is-windows", Version: "1.0.2", Locations: []types.Location{{StartLine: 8205, EndLine: 8205}}},
		{Name: "is-wsl", Version: "1.1.0", Locations: []types.Location{{StartLine: 8210, EndLine: 8210}}},
		{Name: "isarray", Version: "0.0.1", Locations: []types.Location{{StartLine: 8215, EndLine: 8215}}},
		{Name: "isarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 8220, EndLine: 8220}}},
		{Name: "isarray", Version: "2.0.1", Locations: []types.Location{{StartLine: 8225, EndLine: 8225}}},
		{Name: "isexe", Version: "2.0.0", Locations: []types.Location{{StartLine: 8230, EndLine: 8230}}},
		{Name: "isobject", Version: "2.1.0", Locations: []types.Location{{StartLine: 8235, EndLine: 8235}}},
		{Name: "isobject", Version: "3.0.1", Locations: []types.Location{{StartLine: 8242, EndLine: 8242}}},
		{Name: "isomorphic-fetch", Version: "2.2.1", Locations: []types.Location{{StartLine: 8247, EndLine: 8247}}},
		{Name: "isstream", Version: "0.1.2", Locations: []types.Location{{StartLine: 8255, EndLine: 8255}}},
		{Name: "istanbul-api", Version: "1.3.7", Locations: []types.Location{{StartLine: 8260, EndLine: 8260}}},
		{Name: "istanbul-lib-coverage", Version: "1.2.1", Locations: []types.Location{{StartLine: 8277, EndLine: 8277}}},
		{Name: "istanbul-lib-hook", Version: "1.2.2", Locations: []types.Location{{StartLine: 8282, EndLine: 8282}}},
		{Name: "istanbul-lib-instrument", Version: "1.10.2", Locations: []types.Location{{StartLine: 8289, EndLine: 8289}}},
		{Name: "istanbul-lib-report", Version: "1.1.5", Locations: []types.Location{{StartLine: 8302, EndLine: 8302}}},
		{Name: "istanbul-lib-source-maps", Version: "1.2.6", Locations: []types.Location{{StartLine: 8312, EndLine: 8312}}},
		{Name: "istanbul-reports", Version: "1.5.1", Locations: []types.Location{{StartLine: 8323, EndLine: 8323}}},
		{Name: "isurl", Version: "1.0.0", Locations: []types.Location{{StartLine: 8330, EndLine: 8330}}},
		{Name: "jest-changed-files", Version: "23.4.2", Locations: []types.Location{{StartLine: 8338, EndLine: 8338}}},
		{Name: "jest-cli", Version: "23.6.0", Locations: []types.Location{{StartLine: 8345, EndLine: 8345}}},
		{Name: "jest-config", Version: "23.6.0", Locations: []types.Location{{StartLine: 8387, EndLine: 8387}}},
		{Name: "jest-diff", Version: "23.6.0", Locations: []types.Location{{StartLine: 8407, EndLine: 8407}}},
		{Name: "jest-docblock", Version: "23.2.0", Locations: []types.Location{{StartLine: 8417, EndLine: 8417}}},
		{Name: "jest-each", Version: "23.6.0", Locations: []types.Location{{StartLine: 8424, EndLine: 8424}}},
		{Name: "jest-environment-jsdom", Version: "23.4.0", Locations: []types.Location{{StartLine: 8432, EndLine: 8432}}},
		{Name: "jest-environment-node", Version: "23.4.0", Locations: []types.Location{{StartLine: 8441, EndLine: 8441}}},
		{Name: "jest-get-type", Version: "22.4.3", Locations: []types.Location{{StartLine: 8449, EndLine: 8449}}},
		{Name: "jest-haste-map", Version: "23.6.0", Locations: []types.Location{{StartLine: 8454, EndLine: 8454}}},
		{Name: "jest-jasmine2", Version: "23.6.0", Locations: []types.Location{{StartLine: 8468, EndLine: 8468}}},
		{Name: "jest-leak-detector", Version: "23.6.0", Locations: []types.Location{{StartLine: 8486, EndLine: 8486}}},
		{Name: "jest-matcher-utils", Version: "23.6.0", Locations: []types.Location{{StartLine: 8493, EndLine: 8493}}},
		{Name: "jest-message-util", Version: "23.4.0", Locations: []types.Location{{StartLine: 8502, EndLine: 8502}}},
		{Name: "jest-mock", Version: "23.2.0", Locations: []types.Location{{StartLine: 8513, EndLine: 8513}}},
		{Name: "jest-regex-util", Version: "23.3.0", Locations: []types.Location{{StartLine: 8518, EndLine: 8518}}},
		{Name: "jest-resolve-dependencies", Version: "23.6.0", Locations: []types.Location{{StartLine: 8523, EndLine: 8523}}},
		{Name: "jest-resolve", Version: "23.6.0", Locations: []types.Location{{StartLine: 8531, EndLine: 8531}}},
		{Name: "jest-runner", Version: "23.6.0", Locations: []types.Location{{StartLine: 8540, EndLine: 8540}}},
		{Name: "jest-runtime", Version: "23.6.0", Locations: []types.Location{{StartLine: 8559, EndLine: 8559}}},
		{Name: "jest-serializer", Version: "23.0.1", Locations: []types.Location{{StartLine: 8586, EndLine: 8586}}},
		{Name: "jest-snapshot", Version: "23.6.0", Locations: []types.Location{{StartLine: 8591, EndLine: 8591}}},
		{Name: "jest-util", Version: "23.4.0", Locations: []types.Location{{StartLine: 8607, EndLine: 8607}}},
		{Name: "jest-validate", Version: "23.6.0", Locations: []types.Location{{StartLine: 8621, EndLine: 8621}}},
		{Name: "jest-watcher", Version: "23.4.0", Locations: []types.Location{{StartLine: 8631, EndLine: 8631}}},
		{Name: "jest-worker", Version: "23.2.0", Locations: []types.Location{{StartLine: 8640, EndLine: 8640}}},
		{Name: "jest", Version: "23.6.0", Locations: []types.Location{{StartLine: 8647, EndLine: 8647}}},
		{Name: "js-file-download", Version: "0.4.5", Locations: []types.Location{{StartLine: 8655, EndLine: 8655}}},
		{Name: "js-levenshtein", Version: "1.1.6", Locations: []types.Location{{StartLine: 8660, EndLine: 8660}}},
		{Name: "js-tokens", Version: "3.0.2", Locations: []types.Location{{StartLine: 8665, EndLine: 8665}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 8670, EndLine: 8670}}},
		{Name: "js-yaml", Version: "3.13.1", Locations: []types.Location{{StartLine: 8675, EndLine: 8675}}},
		{Name: "jsbn", Version: "0.1.1", Locations: []types.Location{{StartLine: 8683, EndLine: 8683}}},
		{Name: "jscodeshift", Version: "0.5.1", Locations: []types.Location{{StartLine: 8688, EndLine: 8688}}},
		{Name: "jsdom", Version: "11.12.0", Locations: []types.Location{{StartLine: 8709, EndLine: 8709}}},
		{Name: "jsesc", Version: "1.3.0", Locations: []types.Location{{StartLine: 8741, EndLine: 8741}}},
		{Name: "jsesc", Version: "2.5.2", Locations: []types.Location{{StartLine: 8746, EndLine: 8746}}},
		{Name: "jsesc", Version: "0.5.0", Locations: []types.Location{{StartLine: 8751, EndLine: 8751}}},
		{Name: "json-parse-better-errors", Version: "1.0.2", Locations: []types.Location{{StartLine: 8756, EndLine: 8756}}},
		{Name: "json-schema-traverse", Version: "0.4.1", Locations: []types.Location{{StartLine: 8761, EndLine: 8761}}},
		{Name: "json-schema", Version: "0.2.3", Locations: []types.Location{{StartLine: 8766, EndLine: 8766}}},
		{Name: "json-stable-stringify-without-jsonify", Version: "1.0.1", Locations: []types.Location{{StartLine: 8771, EndLine: 8771}}},
		{Name: "json-stringify-safe", Version: "5.0.1", Locations: []types.Location{{StartLine: 8776, EndLine: 8776}}},
		{Name: "json3", Version: "3.3.2", Locations: []types.Location{{StartLine: 8781, EndLine: 8781}}},
		{Name: "json5", Version: "0.5.1", Locations: []types.Location{{StartLine: 8786, EndLine: 8786}}},
		{Name: "json5", Version: "1.0.1", Locations: []types.Location{{StartLine: 8791, EndLine: 8791}}},
		{Name: "json5", Version: "2.1.0", Locations: []types.Location{{StartLine: 8798, EndLine: 8798}}},
		{Name: "jsonfile", Version: "2.4.0", Locations: []types.Location{{StartLine: 8805, EndLine: 8805}}},
		{Name: "jsonfile", Version: "4.0.0", Locations: []types.Location{{StartLine: 8812, EndLine: 8812}}},
		{Name: "jsonify", Version: "0.0.0", Locations: []types.Location{{StartLine: 8819, EndLine: 8819}}},
		{Name: "jsonparse", Version: "1.3.1", Locations: []types.Location{{StartLine: 8824, EndLine: 8824}}},
		{Name: "jsprim", Version: "1.4.1", Locations: []types.Location{{StartLine: 8829, EndLine: 8829}}},
		{Name: "jss-camel-case", Version: "6.1.0", Locations: []types.Location{{StartLine: 8839, EndLine: 8839}}},
		{Name: "jss-default-unit", Version: "8.0.2", Locations: []types.Location{{StartLine: 8846, EndLine: 8846}}},
		{Name: "jss-global", Version: "3.0.0", Locations: []types.Location{{StartLine: 8851, EndLine: 8851}}},
		{Name: "jss-nested", Version: "6.0.1", Locations: []types.Location{{StartLine: 8856, EndLine: 8856}}},
		{Name: "jss-props-sort", Version: "6.0.0", Locations: []types.Location{{StartLine: 8863, EndLine: 8863}}},
		{Name: "jss-vendor-prefixer", Version: "7.0.0", Locations: []types.Location{{StartLine: 8868, EndLine: 8868}}},
		{Name: "jss", Version: "9.8.7", Locations: []types.Location{{StartLine: 8875, EndLine: 8875}}},
		{Name: "jsx-ast-utils", Version: "2.1.0", Locations: []types.Location{{StartLine: 8884, EndLine: 8884}}},
		{Name: "keycode", Version: "2.2.0", Locations: []types.Location{{StartLine: 8891, EndLine: 8891}}},
		{Name: "killable", Version: "1.0.1", Locations: []types.Location{{StartLine: 8896, EndLine: 8896}}},
		{Name: "kind-of", Version: "2.0.1", Locations: []types.Location{{StartLine: 8901, EndLine: 8901}}},
		{Name: "kind-of", Version: "3.2.2", Locations: []types.Location{{StartLine: 8908, EndLine: 8908}}},
		{Name: "kind-of", Version: "4.0.0", Locations: []types.Location{{StartLine: 8915, EndLine: 8915}}},
		{Name: "kind-of", Version: "5.1.0", Locations: []types.Location{{StartLine: 8922, EndLine: 8922}}},
		{Name: "kind-of", Version: "6.0.2", Locations: []types.Location{{StartLine: 8927, EndLine: 8927}}},
		{Name: "klaw", Version: "1.3.1", Locations: []types.Location{{StartLine: 8932, EndLine: 8932}}},
		{Name: "kleur", Version: "2.0.2", Locations: []types.Location{{StartLine: 8939, EndLine: 8939}}},
		{Name: "latest-version", Version: "3.1.0", Locations: []types.Location{{StartLine: 8944, EndLine: 8944}}},
		{Name: "lazy-cache", Version: "0.2.7", Locations: []types.Location{{StartLine: 8951, EndLine: 8951}}},
		{Name: "lazy-cache", Version: "1.0.4", Locations: []types.Location{{StartLine: 8956, EndLine: 8956}}},
		{Name: "lazy-property", Version: "1.0.0", Locations: []types.Location{{StartLine: 8961, EndLine: 8961}}},
		{Name: "lazy-universal-dotenv", Version: "2.0.0", Locations: []types.Location{{StartLine: 8966, EndLine: 8966}}},
		{Name: "lcid", Version: "1.0.0", Locations: []types.Location{{StartLine: 8977, EndLine: 8977}}},
		{Name: "lcid", Version: "2.0.0", Locations: []types.Location{{StartLine: 8984, EndLine: 8984}}},
		{Name: "left-pad", Version: "1.3.0", Locations: []types.Location{{StartLine: 8991, EndLine: 8991}}},
		{Name: "leven", Version: "2.1.0", Locations: []types.Location{{StartLine: 8996, EndLine: 8996}}},
		{Name: "levn", Version: "0.3.0", Locations: []types.Location{{StartLine: 9001, EndLine: 9001}}},
		{Name: "libcipm", Version: "3.0.3", Locations: []types.Location{{StartLine: 9009, EndLine: 9009}}},
		{Name: "libnpm", Version: "2.0.1", Locations: []types.Location{{StartLine: 9030, EndLine: 9030}}},
		{Name: "libnpmaccess", Version: "3.0.1", Locations: []types.Location{{StartLine: 9056, EndLine: 9056}}},
		{Name: "libnpmconfig", Version: "1.2.1", Locations: []types.Location{{StartLine: 9066, EndLine: 9066}}},
		{Name: "libnpmhook", Version: "5.0.2", Locations: []types.Location{{StartLine: 9075, EndLine: 9075}}},
		{Name: "libnpmorg", Version: "1.0.0", Locations: []types.Location{{StartLine: 9085, EndLine: 9085}}},
		{Name: "libnpmpublish", Version: "1.1.1", Locations: []types.Location{{StartLine: 9095, EndLine: 9095}}},
		{Name: "libnpmsearch", Version: "2.0.0", Locations: []types.Location{{StartLine: 9110, EndLine: 9110}}},
		{Name: "libnpmteam", Version: "1.0.1", Locations: []types.Location{{StartLine: 9119, EndLine: 9119}}},
		{Name: "libnpx", Version: "10.2.0", Locations: []types.Location{{StartLine: 9129, EndLine: 9129}}},
		{Name: "linear-layout-vector", Version: "0.0.1", Locations: []types.Location{{StartLine: 9143, EndLine: 9143}}},
		{Name: "lint-staged", Version: "7.3.0", Locations: []types.Location{{StartLine: 9148, EndLine: 9148}}},
		{Name: "listenercount", Version: "1.0.1", Locations: []types.Location{{StartLine: 9176, EndLine: 9176}}},
		{Name: "listr-silent-renderer", Version: "1.1.1", Locations: []types.Location{{StartLine: 9181, EndLine: 9181}}},
		{Name: "listr-update-renderer", Version: "0.5.0", Locations: []types.Location{{StartLine: 9186, EndLine: 9186}}},
		{Name: "listr-verbose-renderer", Version: "0.5.0", Locations: []types.Location{{StartLine: 9200, EndLine: 9200}}},
		{Name: "listr", Version: "0.14.3", Locations: []types.Location{{StartLine: 9210, EndLine: 9210}}},
		{Name: "load-json-file", Version: "1.1.0", Locations: []types.Location{{StartLine: 9225, EndLine: 9225}}},
		{Name: "load-json-file", Version: "2.0.0", Locations: []types.Location{{StartLine: 9236, EndLine: 9236}}},
		{Name: "load-json-file", Version: "4.0.0", Locations: []types.Location{{StartLine: 9246, EndLine: 9246}}},
		{Name: "load-script", Version: "1.0.0", Locations: []types.Location{{StartLine: 9256, EndLine: 9256}}},
		{Name: "loader-fs-cache", Version: "1.0.2", Locations: []types.Location{{StartLine: 9261, EndLine: 9261}}},
		{Name: "loader-runner", Version: "2.4.0", Locations: []types.Location{{StartLine: 9269, EndLine: 9269}}},
		{Name: "loader-utils", Version: "1.1.0", Locations: []types.Location{{StartLine: 9274, EndLine: 9274}}},
		{Name: "loader-utils", Version: "0.2.17", Locations: []types.Location{{StartLine: 9283, EndLine: 9283}}},
		{Name: "loader-utils", Version: "1.2.3", Locations: []types.Location{{StartLine: 9293, EndLine: 9293}}},
		{Name: "locate-path", Version: "2.0.0", Locations: []types.Location{{StartLine: 9302, EndLine: 9302}}},
		{Name: "locate-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 9310, EndLine: 9310}}},
		{Name: "lock-verify", Version: "2.1.0", Locations: []types.Location{{StartLine: 9318, EndLine: 9318}}},
		{Name: "lockfile", Version: "1.0.4", Locations: []types.Location{{StartLine: 9326, EndLine: 9326}}},
		{Name: "lodash-es", Version: "4.17.11", Locations: []types.Location{{StartLine: 9333, EndLine: 9333}}},
		{Name: "lodash._baseuniq", Version: "4.6.0", Locations: []types.Location{{StartLine: 9338, EndLine: 9338}}},
		{Name: "lodash._createset", Version: "4.0.3", Locations: []types.Location{{StartLine: 9346, EndLine: 9346}}},
		{Name: "lodash._root", Version: "3.0.1", Locations: []types.Location{{StartLine: 9351, EndLine: 9351}}},
		{Name: "lodash.assign", Version: "4.2.0", Locations: []types.Location{{StartLine: 9356, EndLine: 9356}}},
		{Name: "lodash.clonedeep", Version: "4.5.0", Locations: []types.Location{{StartLine: 9361, EndLine: 9361}}},
		{Name: "lodash.escape", Version: "4.0.1", Locations: []types.Location{{StartLine: 9366, EndLine: 9366}}},
		{Name: "lodash.flattendeep", Version: "4.4.0", Locations: []types.Location{{StartLine: 9371, EndLine: 9371}}},
		{Name: "lodash.isequal", Version: "4.5.0", Locations: []types.Location{{StartLine: 9376, EndLine: 9376}}},
		{Name: "lodash.isplainobject", Version: "4.0.6", Locations: []types.Location{{StartLine: 9381, EndLine: 9381}}},
		{Name: "lodash.merge", Version: "4.6.1", Locations: []types.Location{{StartLine: 9386, EndLine: 9386}}},
		{Name: "lodash.some", Version: "4.6.0", Locations: []types.Location{{StartLine: 9391, EndLine: 9391}}},
		{Name: "lodash.sortby", Version: "4.7.0", Locations: []types.Location{{StartLine: 9396, EndLine: 9396}}},
		{Name: "lodash.union", Version: "4.6.0", Locations: []types.Location{{StartLine: 9401, EndLine: 9401}}},
		{Name: "lodash.uniq", Version: "4.5.0", Locations: []types.Location{{StartLine: 9406, EndLine: 9406}}},
		{Name: "lodash.without", Version: "4.4.0", Locations: []types.Location{{StartLine: 9411, EndLine: 9411}}},
		{Name: "lodash", Version: "4.17.11", Locations: []types.Location{{StartLine: 9416, EndLine: 9416}}},
		{Name: "lodash", Version: "3.10.1", Locations: []types.Location{{StartLine: 9421, EndLine: 9421}}},
		{Name: "log-symbols", Version: "1.0.2", Locations: []types.Location{{StartLine: 9426, EndLine: 9426}}},
		{Name: "log-symbols", Version: "2.2.0", Locations: []types.Location{{StartLine: 9433, EndLine: 9433}}},
		{Name: "log-update", Version: "2.3.0", Locations: []types.Location{{StartLine: 9440, EndLine: 9440}}},
		{Name: "loglevel", Version: "1.6.1", Locations: []types.Location{{StartLine: 9449, EndLine: 9449}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 9454, EndLine: 9454}}},
		{Name: "lower-case", Version: "1.1.4", Locations: []types.Location{{StartLine: 9461, EndLine: 9461}}},
		{Name: "lowercase-keys", Version: "1.0.1", Locations: []types.Location{{StartLine: 9466, EndLine: 9466}}},
		{Name: "lru-cache", Version: "4.1.5", Locations: []types.Location{{StartLine: 9471, EndLine: 9471}}},
		{Name: "lru-cache", Version: "5.1.1", Locations: []types.Location{{StartLine: 9479, EndLine: 9479}}},
		{Name: "macos-release", Version: "2.2.0", Locations: []types.Location{{StartLine: 9486, EndLine: 9486}}},
		{Name: "make-dir", Version: "1.3.0", Locations: []types.Location{{StartLine: 9491, EndLine: 9491}}},
		{Name: "make-dir", Version: "2.1.0", Locations: []types.Location{{StartLine: 9498, EndLine: 9498}}},
		{Name: "make-error", Version: "1.3.5", Locations: []types.Location{{StartLine: 9506, EndLine: 9506}}},
		{Name: "make-fetch-happen", Version: "4.0.1", Locations: []types.Location{{StartLine: 9511, EndLine: 9511}}},
		{Name: "makeerror", Version: "1.0.11", Locations: []types.Location{{StartLine: 9528, EndLine: 9528}}},
		{Name: "mamacro", Version: "0.0.3", Locations: []types.Location{{StartLine: 9535, EndLine: 9535}}},
		{Name: "map-age-cleaner", Version: "0.1.3", Locations: []types.Location{{StartLine: 9540, EndLine: 9540}}},
		{Name: "map-cache", Version: "0.2.2", Locations: []types.Location{{StartLine: 9547, EndLine: 9547}}},
		{Name: "map-visit", Version: "1.0.0", Locations: []types.Location{{StartLine: 9552, EndLine: 9552}}},
		{Name: "marked", Version: "0.3.19", Locations: []types.Location{{StartLine: 9559, EndLine: 9559}}},
		{Name: "marksy", Version: "6.1.0", Locations: []types.Location{{StartLine: 9564, EndLine: 9564}}},
		{Name: "material-colors", Version: "1.2.6", Locations: []types.Location{{StartLine: 9573, EndLine: 9573}}},
		{Name: "math-random", Version: "1.0.4", Locations: []types.Location{{StartLine: 9578, EndLine: 9578}}},
		{Name: "md5.js", Version: "1.3.5", Locations: []types.Location{{StartLine: 9583, EndLine: 9583}}},
		{Name: "md5", Version: "2.2.1", Locations: []types.Location{{StartLine: 9592, EndLine: 9592}}},
		{Name: "mdn-data", Version: "1.1.4", Locations: []types.Location{{StartLine: 9601, EndLine: 9601}}},
		{Name: "meant", Version: "1.0.1", Locations: []types.Location{{StartLine: 9606, EndLine: 9606}}},
		{Name: "media-typer", Version: "0.3.0", Locations: []types.Location{{StartLine: 9611, EndLine: 9611}}},
		{Name: "mem", Version: "1.1.0", Locations: []types.Location{{StartLine: 9616, EndLine: 9616}}},
		{Name: "mem", Version: "4.3.0", Locations: []types.Location{{StartLine: 9623, EndLine: 9623}}},
		{Name: "memoize-one", Version: "4.1.0", Locations: []types.Location{{StartLine: 9632, EndLine: 9632}}},
		{Name: "memory-fs", Version: "0.4.1", Locations: []types.Location{{StartLine: 9637, EndLine: 9637}}},
		{Name: "memorystream", Version: "0.3.1", Locations: []types.Location{{StartLine: 9645, EndLine: 9645}}},
		{Name: "merge-deep", Version: "3.0.2", Locations: []types.Location{{StartLine: 9650, EndLine: 9650}}},
		{Name: "merge-descriptors", Version: "1.0.1", Locations: []types.Location{{StartLine: 9659, EndLine: 9659}}},
		{Name: "merge-dirs", Version: "0.2.1", Locations: []types.Location{{StartLine: 9664, EndLine: 9664}}},
		{Name: "merge-stream", Version: "1.0.1", Locations: []types.Location{{StartLine: 9674, EndLine: 9674}}},
		{Name: "merge2", Version: "1.2.3", Locations: []types.Location{{StartLine: 9681, EndLine: 9681}}},
		{Name: "merge", Version: "1.2.1", Locations: []types.Location{{StartLine: 9686, EndLine: 9686}}},
		{Name: "methods", Version: "1.1.2", Locations: []types.Location{{StartLine: 9691, EndLine: 9691}}},
		{Name: "micromatch", Version: "2.3.11", Locations: []types.Location{{StartLine: 9696, EndLine: 9696}}},
		{Name: "micromatch", Version: "3.1.10", Locations: []types.Location{{StartLine: 9715, EndLine: 9715}}},
		{Name: "miller-rabin", Version: "4.0.1", Locations: []types.Location{{StartLine: 9734, EndLine: 9734}}},
		{Name: "mime-db", Version: "1.40.0", Locations: []types.Location{{StartLine: 9742, EndLine: 9742}}},
		{Name: "mime-types", Version: "2.1.24", Locations: []types.Location{{StartLine: 9747, EndLine: 9747}}},
		{Name: "mime", Version: "1.4.1", Locations: []types.Location{{StartLine: 9754, EndLine: 9754}}},
		{Name: "mime", Version: "2.4.2", Locations: []types.Location{{StartLine: 9759, EndLine: 9759}}},
		{Name: "mimic-fn", Version: "1.2.0", Locations: []types.Location{{StartLine: 9764, EndLine: 9764}}},
		{Name: "mimic-fn", Version: "2.1.0", Locations: []types.Location{{StartLine: 9769, EndLine: 9769}}},
		{Name: "mimic-response", Version: "1.0.1", Locations: []types.Location{{StartLine: 9774, EndLine: 9774}}},
		{Name: "min-document", Version: "2.19.0", Locations: []types.Location{{StartLine: 9779, EndLine: 9779}}},
		{Name: "mini-css-extract-plugin", Version: "0.4.5", Locations: []types.Location{{StartLine: 9786, EndLine: 9786}}},
		{Name: "minimalistic-assert", Version: "1.0.1", Locations: []types.Location{{StartLine: 9795, EndLine: 9795}}},
		{Name: "minimalistic-crypto-utils", Version: "1.0.1", Locations: []types.Location{{StartLine: 9800, EndLine: 9800}}},
		{Name: "minimatch", Version: "3.0.4", Locations: []types.Location{{StartLine: 9805, EndLine: 9805}}},
		{Name: "minimist", Version: "0.0.8", Locations: []types.Location{{StartLine: 9812, EndLine: 9812}}},
		{Name: "minimist", Version: "1.2.0", Locations: []types.Location{{StartLine: 9817, EndLine: 9817}}},
		{Name: "minimist", Version: "0.0.10", Locations: []types.Location{{StartLine: 9822, EndLine: 9822}}},
		{Name: "minipass", Version: "2.3.5", Locations: []types.Location{{StartLine: 9827, EndLine: 9827}}},
		{Name: "minizlib", Version: "1.2.1", Locations: []types.Location{{StartLine: 9835, EndLine: 9835}}},
		{Name: "mississippi", Version: "2.0.0", Locations: []types.Location{{StartLine: 9842, EndLine: 9842}}},
		{Name: "mississippi", Version: "3.0.0", Locations: []types.Location{{StartLine: 9858, EndLine: 9858}}},
		{Name: "mixin-deep", Version: "1.3.1", Locations: []types.Location{{StartLine: 9874, EndLine: 9874}}},
		{Name: "mixin-object", Version: "2.0.1", Locations: []types.Location{{StartLine: 9882, EndLine: 9882}}},
		{Name: "mkdirp", Version: "0.5.1", Locations: []types.Location{{StartLine: 9890, EndLine: 9890}}},
		{Name: "moment-timezone", Version: "0.5.23", Locations: []types.Location{{StartLine: 9897, EndLine: 9897}}},
		{Name: "moment", Version: "2.23.0", Locations: []types.Location{{StartLine: 9904, EndLine: 9904}}},
		{Name: "moment", Version: "2.24.0", Locations: []types.Location{{StartLine: 9909, EndLine: 9909}}},
		{Name: "moo", Version: "0.4.3", Locations: []types.Location{{StartLine: 9914, EndLine: 9914}}},
		{Name: "move-concurrently", Version: "1.0.1", Locations: []types.Location{{StartLine: 9919, EndLine: 9919}}},
		{Name: "ms", Version: "2.0.0", Locations: []types.Location{{StartLine: 9931, EndLine: 9931}}},
		{Name: "ms", Version: "2.1.1", Locations: []types.Location{{StartLine: 9936, EndLine: 9936}}},
		{Name: "multicast-dns-service-types", Version: "1.1.0", Locations: []types.Location{{StartLine: 9941, EndLine: 9941}}},
		{Name: "multicast-dns", Version: "6.2.3", Locations: []types.Location{{StartLine: 9946, EndLine: 9946}}},
		{Name: "mute-stream", Version: "0.0.5", Locations: []types.Location{{StartLine: 9954, EndLine: 9954}}},
		{Name: "mute-stream", Version: "0.0.7", Locations: []types.Location{{StartLine: 9959, EndLine: 9959}}},
		{Name: "mute-stream", Version: "0.0.8", Locations: []types.Location{{StartLine: 9964, EndLine: 9964}}},
		{Name: "nan", Version: "2.13.2", Locations: []types.Location{{StartLine: 9969, EndLine: 9969}}},
		{Name: "nanomatch", Version: "1.2.13", Locations: []types.Location{{StartLine: 9974, EndLine: 9974}}},
		{Name: "natural-compare", Version: "1.4.0", Locations: []types.Location{{StartLine: 9991, EndLine: 9991}}},
		{Name: "nearley", Version: "2.16.0", Locations: []types.Location{{StartLine: 9996, EndLine: 9996}}},
		{Name: "needle", Version: "2.4.0", Locations: []types.Location{{StartLine: 10007, EndLine: 10007}}},
		{Name: "negotiator", Version: "0.6.2", Locations: []types.Location{{StartLine: 10016, EndLine: 10016}}},
		{Name: "neo-async", Version: "2.6.1", Locations: []types.Location{{StartLine: 10021, EndLine: 10021}}},
		{Name: "nested-object-assign", Version: "1.0.3", Locations: []types.Location{{StartLine: 10026, EndLine: 10026}}},
		{Name: "nice-try", Version: "1.0.5", Locations: []types.Location{{StartLine: 10031, EndLine: 10031}}},
		{Name: "no-case", Version: "2.3.2", Locations: []types.Location{{StartLine: 10036, EndLine: 10036}}},
		{Name: "node-dir", Version: "0.1.8", Locations: []types.Location{{StartLine: 10043, EndLine: 10043}}},
		{Name: "node-dir", Version: "0.1.17", Locations: []types.Location{{StartLine: 10048, EndLine: 10048}}},
		{Name: "node-fetch-npm", Version: "2.0.2", Locations: []types.Location{{StartLine: 10055, EndLine: 10055}}},
		{Name: "node-fetch", Version: "1.7.3", Locations: []types.Location{{StartLine: 10064, EndLine: 10064}}},
		{Name: "node-fetch", Version: "2.5.0", Locations: []types.Location{{StartLine: 10072, EndLine: 10072}}},
		{Name: "node-forge", Version: "0.7.5", Locations: []types.Location{{StartLine: 10077, EndLine: 10077}}},
		{Name: "node-fs", Version: "0.1.7", Locations: []types.Location{{StartLine: 10082, EndLine: 10082}}},
		{Name: "node-gyp", Version: "3.8.0", Locations: []types.Location{{StartLine: 10087, EndLine: 10087}}},
		{Name: "node-gyp", Version: "4.0.0", Locations: []types.Location{{StartLine: 10105, EndLine: 10105}}},
		{Name: "node-int64", Version: "0.4.0", Locations: []types.Location{{StartLine: 10122, EndLine: 10122}}},
		{Name: "node-libs-browser", Version: "2.2.0", Locations: []types.Location{{StartLine: 10127, EndLine: 10127}}},
		{Name: "node-modules-regexp", Version: "1.0.0", Locations: []types.Location{{StartLine: 10156, EndLine: 10156}}},
		{Name: "node-notifier", Version: "5.4.0", Locations: []types.Location{{StartLine: 10161, EndLine: 10161}}},
		{Name: "node-object-hash", Version: "1.4.2", Locations: []types.Location{{StartLine: 10172, EndLine: 10172}}},
		{Name: "node-pre-gyp", Version: "0.12.0", Locations: []types.Location{{StartLine: 10177, EndLine: 10177}}},
		{Name: "node-releases", Version: "1.1.19", Locations: []types.Location{{StartLine: 10193, EndLine: 10193}}},
		{Name: "node-version", Version: "1.2.0", Locations: []types.Location{{StartLine: 10200, EndLine: 10200}}},
		{Name: "nomnom", Version: "1.8.1", Locations: []types.Location{{StartLine: 10205, EndLine: 10205}}},
		{Name: "nopt", Version: "3.0.6", Locations: []types.Location{{StartLine: 10213, EndLine: 10213}}},
		{Name: "nopt", Version: "4.0.1", Locations: []types.Location{{StartLine: 10220, EndLine: 10220}}},
		{Name: "normalize-package-data", Version: "2.5.0", Locations: []types.Location{{StartLine: 10228, EndLine: 10228}}},
		{Name: "normalize-path", Version: "2.1.1", Locations: []types.Location{{StartLine: 10238, EndLine: 10238}}},
		{Name: "normalize-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 10245, EndLine: 10245}}},
		{Name: "normalize-range", Version: "0.1.2", Locations: []types.Location{{StartLine: 10250, EndLine: 10250}}},
		{Name: "normalize-scroll-left", Version: "0.1.2", Locations: []types.Location{{StartLine: 10255, EndLine: 10255}}},
		{Name: "npm-audit-report", Version: "1.3.2", Locations: []types.Location{{StartLine: 10260, EndLine: 10260}}},
		{Name: "npm-bundled", Version: "1.0.6", Locations: []types.Location{{StartLine: 10268, EndLine: 10268}}},
		{Name: "npm-cache-filename", Version: "1.0.2", Locations: []types.Location{{StartLine: 10273, EndLine: 10273}}},
		{Name: "npm-install-checks", Version: "3.0.0", Locations: []types.Location{{StartLine: 10278, EndLine: 10278}}},
		{Name: "npm-lifecycle", Version: "2.1.1", Locations: []types.Location{{StartLine: 10285, EndLine: 10285}}},
		{Name: "npm-logical-tree", Version: "1.2.1", Locations: []types.Location{{StartLine: 10299, EndLine: 10299}}},
		{Name: "npm-package-arg", Version: "6.1.0", Locations: []types.Location{{StartLine: 10304, EndLine: 10304}}},
		{Name: "npm-packlist", Version: "1.4.1", Locations: []types.Location{{StartLine: 10314, EndLine: 10314}}},
		{Name: "npm-path", Version: "2.0.4", Locations: []types.Location{{StartLine: 10322, EndLine: 10322}}},
		{Name: "npm-pick-manifest", Version: "2.2.3", Locations: []types.Location{{StartLine: 10329, EndLine: 10329}}},
		{Name: "npm-profile", Version: "4.0.1", Locations: []types.Location{{StartLine: 10338, EndLine: 10338}}},
		{Name: "npm-registry-fetch", Version: "3.9.0", Locations: []types.Location{{StartLine: 10347, EndLine: 10347}}},
		{Name: "npm-run-all", Version: "4.1.5", Locations: []types.Location{{StartLine: 10359, EndLine: 10359}}},
		{Name: "npm-run-path", Version: "2.0.2", Locations: []types.Location{{StartLine: 10374, EndLine: 10374}}},
		{Name: "npm-user-validate", Version: "1.0.0", Locations: []types.Location{{StartLine: 10381, EndLine: 10381}}},
		{Name: "npm-which", Version: "3.0.1", Locations: []types.Location{{StartLine: 10386, EndLine: 10386}}},
		{Name: "npm", Version: "6.9.0", Locations: []types.Location{{StartLine: 10395, EndLine: 10395}}},
		{Name: "npmlog", Version: "4.1.2", Locations: []types.Location{{StartLine: 10509, EndLine: 10509}}},
		{Name: "nth-check", Version: "1.0.2", Locations: []types.Location{{StartLine: 10519, EndLine: 10519}}},
		{Name: "num2fraction", Version: "1.2.2", Locations: []types.Location{{StartLine: 10526, EndLine: 10526}}},
		{Name: "number-is-nan", Version: "1.0.1", Locations: []types.Location{{StartLine: 10531, EndLine: 10531}}},
		{Name: "nwsapi", Version: "2.1.4", Locations: []types.Location{{StartLine: 10536, EndLine: 10536}}},
		{Name: "oauth-sign", Version: "0.9.0", Locations: []types.Location{{StartLine: 10541, EndLine: 10541}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 10546, EndLine: 10546}}},
		{Name: "object-component", Version: "0.0.3", Locations: []types.Location{{StartLine: 10551, EndLine: 10551}}},
		{Name: "object-copy", Version: "0.1.0", Locations: []types.Location{{StartLine: 10556, EndLine: 10556}}},
		{Name: "object-hash", Version: "1.3.1", Locations: []types.Location{{StartLine: 10565, EndLine: 10565}}},
		{Name: "object-inspect", Version: "1.6.0", Locations: []types.Location{{StartLine: 10570, EndLine: 10570}}},
		{Name: "object-is", Version: "1.0.1", Locations: []types.Location{{StartLine: 10575, EndLine: 10575}}},
		{Name: "object-keys", Version: "1.1.1", Locations: []types.Location{{StartLine: 10580, EndLine: 10580}}},
		{Name: "object-visit", Version: "1.0.1", Locations: []types.Location{{StartLine: 10585, EndLine: 10585}}},
		{Name: "object.assign", Version: "4.1.0", Locations: []types.Location{{StartLine: 10592, EndLine: 10592}}},
		{Name: "object.entries", Version: "1.1.0", Locations: []types.Location{{StartLine: 10602, EndLine: 10602}}},
		{Name: "object.fromentries", Version: "2.0.0", Locations: []types.Location{{StartLine: 10612, EndLine: 10612}}},
		{Name: "object.getownpropertydescriptors", Version: "2.0.3", Locations: []types.Location{{StartLine: 10622, EndLine: 10622}}},
		{Name: "object.omit", Version: "2.0.1", Locations: []types.Location{{StartLine: 10630, EndLine: 10630}}},
		{Name: "object.pick", Version: "1.3.0", Locations: []types.Location{{StartLine: 10638, EndLine: 10638}}},
		{Name: "object.values", Version: "1.1.0", Locations: []types.Location{{StartLine: 10645, EndLine: 10645}}},
		{Name: "obuf", Version: "1.1.2", Locations: []types.Location{{StartLine: 10655, EndLine: 10655}}},
		{Name: "on-finished", Version: "2.3.0", Locations: []types.Location{{StartLine: 10660, EndLine: 10660}}},
		{Name: "on-headers", Version: "1.0.2", Locations: []types.Location{{StartLine: 10667, EndLine: 10667}}},
		{Name: "once", Version: "1.4.0", Locations: []types.Location{{StartLine: 10672, EndLine: 10672}}},
		{Name: "onetime", Version: "1.1.0", Locations: []types.Location{{StartLine: 10679, EndLine: 10679}}},
		{Name: "onetime", Version: "2.0.1", Locations: []types.Location{{StartLine: 10684, EndLine: 10684}}},
		{Name: "opener", Version: "1.5.1", Locations: []types.Location{{StartLine: 10691, EndLine: 10691}}},
		{Name: "opn", Version: "5.4.0", Locations: []types.Location{{StartLine: 10696, EndLine: 10696}}},
		{Name: "opn", Version: "5.5.0", Locations: []types.Location{{StartLine: 10703, EndLine: 10703}}},
		{Name: "optimist", Version: "0.6.1", Locations: []types.Location{{StartLine: 10710, EndLine: 10710}}},
		{Name: "optionator", Version: "0.8.2", Locations: []types.Location{{StartLine: 10718, EndLine: 10718}}},
		{Name: "original", Version: "1.0.2", Locations: []types.Location{{StartLine: 10730, EndLine: 10730}}},
		{Name: "os-browserify", Version: "0.3.0", Locations: []types.Location{{StartLine: 10737, EndLine: 10737}}},
		{Name: "os-homedir", Version: "1.0.2", Locations: []types.Location{{StartLine: 10742, EndLine: 10742}}},
		{Name: "os-locale", Version: "1.4.0", Locations: []types.Location{{StartLine: 10747, EndLine: 10747}}},
		{Name: "os-locale", Version: "2.1.0", Locations: []types.Location{{StartLine: 10754, EndLine: 10754}}},
		{Name: "os-locale", Version: "3.1.0", Locations: []types.Location{{StartLine: 10763, EndLine: 10763}}},
		{Name: "os-name", Version: "3.1.0", Locations: []types.Location{{StartLine: 10772, EndLine: 10772}}},
		{Name: "os-tmpdir", Version: "1.0.2", Locations: []types.Location{{StartLine: 10780, EndLine: 10780}}},
		{Name: "osenv", Version: "0.1.5", Locations: []types.Location{{StartLine: 10785, EndLine: 10785}}},
		{Name: "output-file-sync", Version: "1.1.2", Locations: []types.Location{{StartLine: 10793, EndLine: 10793}}},
		{Name: "p-cancelable", Version: "0.3.0", Locations: []types.Location{{StartLine: 10802, EndLine: 10802}}},
		{Name: "p-defer", Version: "1.0.0", Locations: []types.Location{{StartLine: 10807, EndLine: 10807}}},
		{Name: "p-finally", Version: "1.0.0", Locations: []types.Location{{StartLine: 10812, EndLine: 10812}}},
		{Name: "p-is-promise", Version: "2.1.0", Locations: []types.Location{{StartLine: 10817, EndLine: 10817}}},
		{Name: "p-limit", Version: "1.3.0", Locations: []types.Location{{StartLine: 10822, EndLine: 10822}}},
		{Name: "p-limit", Version: "2.2.0", Locations: []types.Location{{StartLine: 10829, EndLine: 10829}}},
		{Name: "p-locate", Version: "2.0.0", Locations: []types.Location{{StartLine: 10836, EndLine: 10836}}},
		{Name: "p-locate", Version: "3.0.0", Locations: []types.Location{{StartLine: 10843, EndLine: 10843}}},
		{Name: "p-map", Version: "1.2.0", Locations: []types.Location{{StartLine: 10850, EndLine: 10850}}},
		{Name: "p-map", Version: "2.1.0", Locations: []types.Location{{StartLine: 10855, EndLine: 10855}}},
		{Name: "p-timeout", Version: "1.2.1", Locations: []types.Location{{StartLine: 10860, EndLine: 10860}}},
		{Name: "p-try", Version: "1.0.0", Locations: []types.Location{{StartLine: 10867, EndLine: 10867}}},
		{Name: "p-try", Version: "2.2.0", Locations: []types.Location{{StartLine: 10872, EndLine: 10872}}},
		{Name: "package-json", Version: "4.0.1", Locations: []types.Location{{StartLine: 10877, EndLine: 10877}}},
		{Name: "pacote", Version: "9.5.0", Locations: []types.Location{{StartLine: 10887, EndLine: 10887}}},
		{Name: "pako", Version: "1.0.10", Locations: []types.Location{{StartLine: 10920, EndLine: 10920}}},
		{Name: "parallel-transform", Version: "1.1.0", Locations: []types.Location{{StartLine: 10925, EndLine: 10925}}},
		{Name: "param-case", Version: "2.1.1", Locations: []types.Location{{StartLine: 10934, EndLine: 10934}}},
		{Name: "parent-module", Version: "1.0.1", Locations: []types.Location{{StartLine: 10941, EndLine: 10941}}},
		{Name: "parse-asn1", Version: "5.1.4", Locations: []types.Location{{StartLine: 10948, EndLine: 10948}}},
		{Name: "parse-glob", Version: "3.0.4", Locations: []types.Location{{StartLine: 10960, EndLine: 10960}}},
		{Name: "parse-json", Version: "2.2.0", Locations: []types.Location{{StartLine: 10970, EndLine: 10970}}},
		{Name: "parse-json", Version: "4.0.0", Locations: []types.Location{{StartLine: 10977, EndLine: 10977}}},
		{Name: "parse-passwd", Version: "1.0.0", Locations: []types.Location{{StartLine: 10985, EndLine: 10985}}},
		{Name: "parse5", Version: "4.0.0", Locations: []types.Location{{StartLine: 10990, EndLine: 10990}}},
		{Name: "parse5", Version: "3.0.3", Locations: []types.Location{{StartLine: 10995, EndLine: 10995}}},
		{Name: "parse5", Version: "5.1.0", Locations: []types.Location{{StartLine: 11002, EndLine: 11002}}},
		{Name: "parseqs", Version: "0.0.5", Locations: []types.Location{{StartLine: 11007, EndLine: 11007}}},
		{Name: "parseuri", Version: "0.0.5", Locations: []types.Location{{StartLine: 11014, EndLine: 11014}}},
		{Name: "parseurl", Version: "1.3.3", Locations: []types.Location{{StartLine: 11021, EndLine: 11021}}},
		{Name: "pascalcase", Version: "0.1.1", Locations: []types.Location{{StartLine: 11026, EndLine: 11026}}},
		{Name: "path-browserify", Version: "0.0.0", Locations: []types.Location{{StartLine: 11031, EndLine: 11031}}},
		{Name: "path-dirname", Version: "1.0.2", Locations: []types.Location{{StartLine: 11036, EndLine: 11036}}},
		{Name: "path-exists", Version: "2.1.0", Locations: []types.Location{{StartLine: 11041, EndLine: 11041}}},
		{Name: "path-exists", Version: "3.0.0", Locations: []types.Location{{StartLine: 11048, EndLine: 11048}}},
		{Name: "path-is-absolute", Version: "1.0.1", Locations: []types.Location{{StartLine: 11053, EndLine: 11053}}},
		{Name: "path-is-inside", Version: "1.0.2", Locations: []types.Location{{StartLine: 11058, EndLine: 11058}}},
		{Name: "path-key", Version: "2.0.1", Locations: []types.Location{{StartLine: 11063, EndLine: 11063}}},
		{Name: "path-parse", Version: "1.0.6", Locations: []types.Location{{StartLine: 11068, EndLine: 11068}}},
		{Name: "path-to-regexp", Version: "0.1.7", Locations: []types.Location{{StartLine: 11073, EndLine: 11073}}},
		{Name: "path-to-regexp", Version: "1.7.0", Locations: []types.Location{{StartLine: 11078, EndLine: 11078}}},
		{Name: "path-type", Version: "1.1.0", Locations: []types.Location{{StartLine: 11085, EndLine: 11085}}},
		{Name: "path-type", Version: "2.0.0", Locations: []types.Location{{StartLine: 11094, EndLine: 11094}}},
		{Name: "path-type", Version: "3.0.0", Locations: []types.Location{{StartLine: 11101, EndLine: 11101}}},
		{Name: "path", Version: "0.12.7", Locations: []types.Location{{StartLine: 11108, EndLine: 11108}}},
		{Name: "pbkdf2", Version: "3.0.17", Locations: []types.Location{{StartLine: 11116, EndLine: 11116}}},
		{Name: "performance-now", Version: "2.1.0", Locations: []types.Location{{StartLine: 11127, EndLine: 11127}}},
		{Name: "pidtree", Version: "0.3.0", Locations: []types.Location{{StartLine: 11132, EndLine: 11132}}},
		{Name: "pify", Version: "2.3.0", Locations: []types.Location{{StartLine: 11137, EndLine: 11137}}},
		{Name: "pify", Version: "3.0.0", Locations: []types.Location{{StartLine: 11142, EndLine: 11142}}},
		{Name: "pify", Version: "4.0.1", Locations: []types.Location{{StartLine: 11147, EndLine: 11147}}},
		{Name: "pinkie-promise", Version: "2.0.1", Locations: []types.Location{{StartLine: 11152, EndLine: 11152}}},
		{Name: "pinkie", Version: "2.0.4", Locations: []types.Location{{StartLine: 11159, EndLine: 11159}}},
		{Name: "pirates", Version: "4.0.1", Locations: []types.Location{{StartLine: 11164, EndLine: 11164}}},
		{Name: "pkg-dir", Version: "1.0.0", Locations: []types.Location{{StartLine: 11171, EndLine: 11171}}},
		{Name: "pkg-dir", Version: "2.0.0", Locations: []types.Location{{StartLine: 11178, EndLine: 11178}}},
		{Name: "pkg-dir", Version: "3.0.0", Locations: []types.Location{{StartLine: 11185, EndLine: 11185}}},
		{Name: "pkg-up", Version: "2.0.0", Locations: []types.Location{{StartLine: 11192, EndLine: 11192}}},
		{Name: "please-upgrade-node", Version: "3.1.1", Locations: []types.Location{{StartLine: 11199, EndLine: 11199}}},
		{Name: "pn", Version: "1.1.0", Locations: []types.Location{{StartLine: 11206, EndLine: 11206}}},
		{Name: "popper.js", Version: "1.15.0", Locations: []types.Location{{StartLine: 11211, EndLine: 11211}}},
		{Name: "portfinder", Version: "1.0.20", Locations: []types.Location{{StartLine: 11216, EndLine: 11216}}},
		{Name: "posix-character-classes", Version: "0.1.1", Locations: []types.Location{{StartLine: 11225, EndLine: 11225}}},
		{Name: "postcss-flexbugs-fixes", Version: "4.1.0", Locations: []types.Location{{StartLine: 11230, EndLine: 11230}}},
		{Name: "postcss-load-config", Version: "2.0.0", Locations: []types.Location{{StartLine: 11237, EndLine: 11237}}},
		{Name: "postcss-loader", Version: "3.0.0", Locations: []types.Location{{StartLine: 11245, EndLine: 11245}}},
		{Name: "postcss-modules-extract-imports", Version: "1.2.1", Locations: []types.Location{{StartLine: 11255, EndLine: 11255}}},
		{Name: "postcss-modules-local-by-default", Version: "1.2.0", Locations: []types.Location{{StartLine: 11262, EndLine: 11262}}},
		{Name: "postcss-modules-scope", Version: "1.1.0", Locations: []types.Location{{StartLine: 11270, EndLine: 11270}}},
		{Name: "postcss-modules-values", Version: "1.3.0", Locations: []types.Location{{StartLine: 11278, EndLine: 11278}}},
		{Name: "postcss-value-parser", Version: "3.3.1", Locations: []types.Location{{StartLine: 11286, EndLine: 11286}}},
		{Name: "postcss", Version: "6.0.23", Locations: []types.Location{{StartLine: 11291, EndLine: 11291}}},
		{Name: "postcss", Version: "7.0.16", Locations: []types.Location{{StartLine: 11300, EndLine: 11300}}},
		{Name: "prelude-ls", Version: "1.1.2", Locations: []types.Location{{StartLine: 11309, EndLine: 11309}}},
		{Name: "prepend-http", Version: "1.0.4", Locations: []types.Location{{StartLine: 11314, EndLine: 11314}}},
		{Name: "preserve", Version: "0.2.0", Locations: []types.Location{{StartLine: 11319, EndLine: 11319}}},
		{Name: "pretty-error", Version: "2.1.1", Locations: []types.Location{{StartLine: 11324, EndLine: 11324}}},
		{Name: "pretty-format", Version: "23.6.0", Locations: []types.Location{{StartLine: 11332, EndLine: 11332}}},
		{Name: "pretty-hrtime", Version: "1.0.3", Locations: []types.Location{{StartLine: 11340, EndLine: 11340}}},
		{Name: "private", Version: "0.1.8", Locations: []types.Location{{StartLine: 11345, EndLine: 11345}}},
		{Name: "process-nextick-args", Version: "1.0.7", Locations: []types.Location{{StartLine: 11350, EndLine: 11350}}},
		{Name: "process-nextick-args", Version: "2.0.0", Locations: []types.Location{{StartLine: 11355, EndLine: 11355}}},
		{Name: "process", Version: "0.11.10", Locations: []types.Location{{StartLine: 11360, EndLine: 11360}}},
		{Name: "process", Version: "0.5.2", Locations: []types.Location{{StartLine: 11365, EndLine: 11365}}},
		{Name: "progress", Version: "2.0.3", Locations: []types.Location{{StartLine: 11370, EndLine: 11370}}},
		{Name: "promise-inflight", Version: "1.0.1", Locations: []types.Location{{StartLine: 11375, EndLine: 11375}}},
		{Name: "promise-polyfill", Version: "6.1.0", Locations: []types.Location{{StartLine: 11380, EndLine: 11380}}},
		{Name: "promise-retry", Version: "1.1.1", Locations: []types.Location{{StartLine: 11385, EndLine: 11385}}},
		{Name: "promise.allsettled", Version: "1.0.1", Locations: []types.Location{{StartLine: 11393, EndLine: 11393}}},
		{Name: "promise.prototype.finally", Version: "3.1.0", Locations: []types.Location{{StartLine: 11402, EndLine: 11402}}},
		{Name: "promise", Version: "7.3.1", Locations: []types.Location{{StartLine: 11411, EndLine: 11411}}},
		{Name: "prompts", Version: "0.1.14", Locations: []types.Location{{StartLine: 11418, EndLine: 11418}}},
		{Name: "promzard", Version: "0.3.0", Locations: []types.Location{{StartLine: 11426, EndLine: 11426}}},
		{Name: "prop-types-exact", Version: "1.2.0", Locations: []types.Location{{StartLine: 11433, EndLine: 11433}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 11442, EndLine: 11442}}},
		{Name: "property-information", Version: "5.1.0", Locations: []types.Location{{StartLine: 11451, EndLine: 11451}}},
		{Name: "proto-list", Version: "1.2.4", Locations: []types.Location{{StartLine: 11458, EndLine: 11458}}},
		{Name: "protoduck", Version: "5.0.1", Locations: []types.Location{{StartLine: 11463, EndLine: 11463}}},
		{Name: "proxy-addr", Version: "2.0.5", Locations: []types.Location{{StartLine: 11470, EndLine: 11470}}},
		{Name: "prr", Version: "1.0.1", Locations: []types.Location{{StartLine: 11478, EndLine: 11478}}},
		{Name: "pseudomap", Version: "1.0.2", Locations: []types.Location{{StartLine: 11483, EndLine: 11483}}},
		{Name: "psl", Version: "1.1.31", Locations: []types.Location{{StartLine: 11488, EndLine: 11488}}},
		{Name: "public-encrypt", Version: "4.0.3", Locations: []types.Location{{StartLine: 11493, EndLine: 11493}}},
		{Name: "pump", Version: "2.0.1", Locations: []types.Location{{StartLine: 11505, EndLine: 11505}}},
		{Name: "pump", Version: "3.0.0", Locations: []types.Location{{StartLine: 11513, EndLine: 11513}}},
		{Name: "pumpify", Version: "1.5.1", Locations: []types.Location{{StartLine: 11521, EndLine: 11521}}},
		{Name: "punycode", Version: "1.3.2", Locations: []types.Location{{StartLine: 11530, EndLine: 11530}}},
		{Name: "punycode", Version: "1.4.1", Locations: []types.Location{{StartLine: 11535, EndLine: 11535}}},
		{Name: "punycode", Version: "2.1.1", Locations: []types.Location{{StartLine: 11540, EndLine: 11540}}},
		{Name: "q", Version: "1.5.1", Locations: []types.Location{{StartLine: 11545, EndLine: 11545}}},
		{Name: "qrcode-terminal", Version: "0.12.0", Locations: []types.Location{{StartLine: 11550, EndLine: 11550}}},
		{Name: "qs", Version: "6.5.2", Locations: []types.Location{{StartLine: 11555, EndLine: 11555}}},
		{Name: "qs", Version: "6.7.0", Locations: []types.Location{{StartLine: 11560, EndLine: 11560}}},
		{Name: "query-string", Version: "6.5.0", Locations: []types.Location{{StartLine: 11565, EndLine: 11565}}},
		{Name: "querystring-es3", Version: "0.2.1", Locations: []types.Location{{StartLine: 11574, EndLine: 11574}}},
		{Name: "querystring", Version: "0.2.0", Locations: []types.Location{{StartLine: 11579, EndLine: 11579}}},
		{Name: "querystringify", Version: "2.1.1", Locations: []types.Location{{StartLine: 11584, EndLine: 11584}}},
		{Name: "qw", Version: "1.0.1", Locations: []types.Location{{StartLine: 11589, EndLine: 11589}}},
		{Name: "raf", Version: "3.4.1", Locations: []types.Location{{StartLine: 11594, EndLine: 11594}}},
		{Name: "railroad-diagrams", Version: "1.0.0", Locations: []types.Location{{StartLine: 11601, EndLine: 11601}}},
		{Name: "ramda", Version: "0.21.0", Locations: []types.Location{{StartLine: 11606, EndLine: 11606}}},
		{Name: "randexp", Version: "0.4.6", Locations: []types.Location{{StartLine: 11611, EndLine: 11611}}},
		{Name: "randomatic", Version: "3.1.1", Locations: []types.Location{{StartLine: 11619, EndLine: 11619}}},
		{Name: "randombytes", Version: "2.1.0", Locations: []types.Location{{StartLine: 11628, EndLine: 11628}}},
		{Name: "randomfill", Version: "1.0.4", Locations: []types.Location{{StartLine: 11635, EndLine: 11635}}},
		{Name: "range-parser", Version: "1.2.1", Locations: []types.Location{{StartLine: 11643, EndLine: 11643}}},
		{Name: "raven-for-redux", Version: "1.4.0", Locations: []types.Location{{StartLine: 11648, EndLine: 11648}}},
		{Name: "raven-js", Version: "3.27.0", Locations: []types.Location{{StartLine: 11653, EndLine: 11653}}},
		{Name: "raw-body", Version: "2.3.3", Locations: []types.Location{{StartLine: 11658, EndLine: 11658}}},
		{Name: "raw-loader", Version: "0.5.1", Locations: []types.Location{{StartLine: 11668, EndLine: 11668}}},
		{Name: "rc", Version: "1.2.8", Locations: []types.Location{{StartLine: 11673, EndLine: 11673}}},
		{Name: "react-addons-create-fragment", Version: "15.6.2", Locations: []types.Location{{StartLine: 11683, EndLine: 11683}}},
		{Name: "react-color", Version: "2.17.3", Locations: []types.Location{{StartLine: 11692, EndLine: 11692}}},
		{Name: "react-datepicker", Version: "2.5.0", Locations: []types.Location{{StartLine: 11704, EndLine: 11704}}},
		{Name: "react-dev-utils", Version: "6.1.1", Locations: []types.Location{{StartLine: 11715, EndLine: 11715}}},
		{Name: "react-docgen", Version: "3.0.0", Locations: []types.Location{{StartLine: 11745, EndLine: 11745}}},
		{Name: "react-dom", Version: "16.8.3", Locations: []types.Location{{StartLine: 11758, EndLine: 11758}}},
		{Name: "react-dom", Version: "16.8.6", Locations: []types.Location{{StartLine: 11768, EndLine: 11768}}},
		{Name: "react-dropzone", Version: "10.1.4", Locations: []types.Location{{StartLine: 11778, EndLine: 11778}}},
		{Name: "react-error-overlay", Version: "5.1.6", Locations: []types.Location{{StartLine: 11787, EndLine: 11787}}},
		{Name: "react-event-listener", Version: "0.6.6", Locations: []types.Location{{StartLine: 11792, EndLine: 11792}}},
		{Name: "react-fast-compare", Version: "2.0.4", Locations: []types.Location{{StartLine: 11801, EndLine: 11801}}},
		{Name: "react-fuzzy", Version: "0.5.2", Locations: []types.Location{{StartLine: 11806, EndLine: 11806}}},
		{Name: "react-ga", Version: "2.5.7", Locations: []types.Location{{StartLine: 11816, EndLine: 11816}}},
		{Name: "react-gateway", Version: "3.0.0", Locations: []types.Location{{StartLine: 11821, EndLine: 11821}}},
		{Name: "react-inspector", Version: "2.3.1", Locations: []types.Location{{StartLine: 11829, EndLine: 11829}}},
		{Name: "react-intl-universal", Version: "1.16.2", Locations: []types.Location{{StartLine: 11838, EndLine: 11838}}},
		{Name: "react-is", Version: "16.8.6", Locations: []types.Location{{StartLine: 11855, EndLine: 11855}}},
		{Name: "react-lifecycles-compat", Version: "3.0.4", Locations: []types.Location{{StartLine: 11860, EndLine: 11860}}},
		{Name: "react-modal", Version: "3.8.1", Locations: []types.Location{{StartLine: 11865, EndLine: 11865}}},
		{Name: "react-onclickoutside", Version: "6.8.0", Locations: []types.Location{{StartLine: 11875, EndLine: 11875}}},
		{Name: "react-popper", Version: "1.3.3", Locations: []types.Location{{StartLine: 11880, EndLine: 11880}}},
		{Name: "react-prop-types", Version: "0.4.0", Locations: []types.Location{{StartLine: 11892, EndLine: 11892}}},
		{Name: "react-redux", Version: "6.0.1", Locations: []types.Location{{StartLine: 11899, EndLine: 11899}}},
		{Name: "react-router-dom", Version: "4.3.1", Locations: []types.Location{{StartLine: 11911, EndLine: 11911}}},
		{Name: "react-router", Version: "4.3.1", Locations: []types.Location{{StartLine: 11923, EndLine: 11923}}},
		{Name: "react-split-pane", Version: "0.1.87", Locations: []types.Location{{StartLine: 11936, EndLine: 11936}}},
		{Name: "react-style-proptype", Version: "3.2.2", Locations: []types.Location{{StartLine: 11945, EndLine: 11945}}},
		{Name: "react-test-renderer", Version: "16.8.6", Locations: []types.Location{{StartLine: 11952, EndLine: 11952}}},
		{Name: "react-textarea-autosize", Version: "7.1.0", Locations: []types.Location{{StartLine: 11962, EndLine: 11962}}},
		{Name: "react-transition-group", Version: "2.9.0", Locations: []types.Location{{StartLine: 11970, EndLine: 11970}}},
		{Name: "react-treebeard", Version: "3.1.0", Locations: []types.Location{{StartLine: 11980, EndLine: 11980}}},
		{Name: "react-virtualized", Version: "9.21.1", Locations: []types.Location{{StartLine: 11993, EndLine: 11993}}},
		{Name: "react", Version: "16.8.3", Locations: []types.Location{{StartLine: 12006, EndLine: 12006}}},
		{Name: "react", Version: "16.8.6", Locations: []types.Location{{StartLine: 12016, EndLine: 12016}}},
		{Name: "reactcss", Version: "1.2.3", Locations: []types.Location{{StartLine: 12026, EndLine: 12026}}},
		{Name: "read-cmd-shim", Version: "1.0.1", Locations: []types.Location{{StartLine: 12033, EndLine: 12033}}},
		{Name: "read-installed", Version: "4.0.3", Locations: []types.Location{{StartLine: 12040, EndLine: 12040}}},
		{Name: "read-package-json", Version: "2.0.13", Locations: []types.Location{{StartLine: 12054, EndLine: 12054}}},
		{Name: "read-package-tree", Version: "5.2.2", Locations: []types.Location{{StartLine: 12066, EndLine: 12066}}},
		{Name: "read-pkg-up", Version: "1.0.1", Locations: []types.Location{{StartLine: 12077, EndLine: 12077}}},
		{Name: "read-pkg-up", Version: "2.0.0", Locations: []types.Location{{StartLine: 12085, EndLine: 12085}}},
		{Name: "read-pkg", Version: "1.1.0", Locations: []types.Location{{StartLine: 12093, EndLine: 12093}}},
		{Name: "read-pkg", Version: "2.0.0", Locations: []types.Location{{StartLine: 12102, EndLine: 12102}}},
		{Name: "read-pkg", Version: "3.0.0", Locations: []types.Location{{StartLine: 12111, EndLine: 12111}}},
		{Name: "read-pkg", Version: "4.0.1", Locations: []types.Location{{StartLine: 12120, EndLine: 12120}}},
		{Name: "read", Version: "1.0.7", Locations: []types.Location{{StartLine: 12129, EndLine: 12129}}},
		{Name: "readable-stream", Version: "2.3.6", Locations: []types.Location{{StartLine: 12136, EndLine: 12136}}},
		{Name: "readable-stream", Version: "3.3.0", Locations: []types.Location{{StartLine: 12149, EndLine: 12149}}},
		{Name: "readable-stream", Version: "1.1.14", Locations: []types.Location{{StartLine: 12158, EndLine: 12158}}},
		{Name: "readable-stream", Version: "2.1.5", Locations: []types.Location{{StartLine: 12168, EndLine: 12168}}},
		{Name: "readdir-scoped-modules", Version: "1.0.2", Locations: []types.Location{{StartLine: 12181, EndLine: 12181}}},
		{Name: "readdirp", Version: "2.2.1", Locations: []types.Location{{StartLine: 12191, EndLine: 12191}}},
		{Name: "readline2", Version: "1.0.1", Locations: []types.Location{{StartLine: 12200, EndLine: 12200}}},
		{Name: "realpath-native", Version: "1.1.0", Locations: []types.Location{{StartLine: 12209, EndLine: 12209}}},
		{Name: "recast", Version: "0.14.7", Locations: []types.Location{{StartLine: 12216, EndLine: 12216}}},
		{Name: "recast", Version: "0.15.5", Locations: []types.Location{{StartLine: 12226, EndLine: 12226}}},
		{Name: "recast", Version: "0.16.2", Locations: []types.Location{{StartLine: 12236, EndLine: 12236}}},
		{Name: "rechoir", Version: "0.6.2", Locations: []types.Location{{StartLine: 12246, EndLine: 12246}}},
		{Name: "recompose", Version: "0.30.0", Locations: []types.Location{{StartLine: 12253, EndLine: 12253}}},
		{Name: "recursive-readdir", Version: "2.2.2", Locations: []types.Location{{StartLine: 12265, EndLine: 12265}}},
		{Name: "redux-thunk", Version: "2.3.0", Locations: []types.Location{{StartLine: 12272, EndLine: 12272}}},
		{Name: "redux", Version: "4.0.1", Locations: []types.Location{{StartLine: 12277, EndLine: 12277}}},
		{Name: "reflect.ownkeys", Version: "0.2.0", Locations: []types.Location{{StartLine: 12285, EndLine: 12285}}},
		{Name: "regenerate-unicode-properties", Version: "8.1.0", Locations: []types.Location{{StartLine: 12290, EndLine: 12290}}},
		{Name: "regenerate", Version: "1.4.0", Locations: []types.Location{{StartLine: 12297, EndLine: 12297}}},
		{Name: "regenerator-runtime", Version: "0.10.5", Locations: []types.Location{{StartLine: 12302, EndLine: 12302}}},
		{Name: "regenerator-runtime", Version: "0.11.1", Locations: []types.Location{{StartLine: 12307, EndLine: 12307}}},
		{Name: "regenerator-runtime", Version: "0.12.1", Locations: []types.Location{{StartLine: 12312, EndLine: 12312}}},
		{Name: "regenerator-runtime", Version: "0.13.2", Locations: []types.Location{{StartLine: 12317, EndLine: 12317}}},
		{Name: "regenerator-transform", Version: "0.10.1", Locations: []types.Location{{StartLine: 12322, EndLine: 12322}}},
		{Name: "regenerator-transform", Version: "0.13.4", Locations: []types.Location{{StartLine: 12331, EndLine: 12331}}},
		{Name: "regex-cache", Version: "0.4.4", Locations: []types.Location{{StartLine: 12338, EndLine: 12338}}},
		{Name: "regex-not", Version: "1.0.2", Locations: []types.Location{{StartLine: 12345, EndLine: 12345}}},
		{Name: "regexp-tree", Version: "0.1.6", Locations: []types.Location{{StartLine: 12353, EndLine: 12353}}},
		{Name: "regexp.prototype.flags", Version: "1.2.0", Locations: []types.Location{{StartLine: 12358, EndLine: 12358}}},
		{Name: "regexpp", Version: "2.0.1", Locations: []types.Location{{StartLine: 12365, EndLine: 12365}}},
		{Name: "regexpu-core", Version: "1.0.0", Locations: []types.Location{{StartLine: 12370, EndLine: 12370}}},
		{Name: "regexpu-core", Version: "2.0.0", Locations: []types.Location{{StartLine: 12379, EndLine: 12379}}},
		{Name: "regexpu-core", Version: "4.5.4", Locations: []types.Location{{StartLine: 12388, EndLine: 12388}}},
		{Name: "registry-auth-token", Version: "3.4.0", Locations: []types.Location{{StartLine: 12400, EndLine: 12400}}},
		{Name: "registry-url", Version: "3.1.0", Locations: []types.Location{{StartLine: 12408, EndLine: 12408}}},
		{Name: "regjsgen", Version: "0.2.0", Locations: []types.Location{{StartLine: 12415, EndLine: 12415}}},
		{Name: "regjsgen", Version: "0.5.0", Locations: []types.Location{{StartLine: 12420, EndLine: 12420}}},
		{Name: "regjsparser", Version: "0.1.5", Locations: []types.Location{{StartLine: 12425, EndLine: 12425}}},
		{Name: "regjsparser", Version: "0.6.0", Locations: []types.Location{{StartLine: 12432, EndLine: 12432}}},
		{Name: "rehype-parse", Version: "6.0.0", Locations: []types.Location{{StartLine: 12439, EndLine: 12439}}},
		{Name: "relateurl", Version: "0.2.7", Locations: []types.Location{{StartLine: 12448, EndLine: 12448}}},
		{Name: "remove-trailing-separator", Version: "1.1.0", Locations: []types.Location{{StartLine: 12453, EndLine: 12453}}},
		{Name: "render-fragment", Version: "0.1.1", Locations: []types.Location{{StartLine: 12458, EndLine: 12458}}},
		{Name: "renderkid", Version: "2.0.3", Locations: []types.Location{{StartLine: 12463, EndLine: 12463}}},
		{Name: "repeat-element", Version: "1.1.3", Locations: []types.Location{{StartLine: 12474, EndLine: 12474}}},
		{Name: "repeat-string", Version: "1.6.1", Locations: []types.Location{{StartLine: 12479, EndLine: 12479}}},
		{Name: "repeating", Version: "2.0.1", Locations: []types.Location{{StartLine: 12484, EndLine: 12484}}},
		{Name: "replace-ext", Version: "1.0.0", Locations: []types.Location{{StartLine: 12491, EndLine: 12491}}},
		{Name: "request-promise-core", Version: "1.1.2", Locations: []types.Location{{StartLine: 12496, EndLine: 12496}}},
		{Name: "request-promise-native", Version: "1.0.7", Locations: []types.Location{{StartLine: 12503, EndLine: 12503}}},
		{Name: "request", Version: "2.88.0", Locations: []types.Location{{StartLine: 12512, EndLine: 12512}}},
		{Name: "require-directory", Version: "2.1.1", Locations: []types.Location{{StartLine: 12538, EndLine: 12538}}},
		{Name: "require-from-string", Version: "2.0.2", Locations: []types.Location{{StartLine: 12543, EndLine: 12543}}},
		{Name: "require-main-filename", Version: "1.0.1", Locations: []types.Location{{StartLine: 12548, EndLine: 12548}}},
		{Name: "requires-port", Version: "1.0.0", Locations: []types.Location{{StartLine: 12553, EndLine: 12553}}},
		{Name: "resolve-cwd", Version: "2.0.0", Locations: []types.Location{{StartLine: 12558, EndLine: 12558}}},
		{Name: "resolve-dir", Version: "1.0.1", Locations: []types.Location{{StartLine: 12565, EndLine: 12565}}},
		{Name: "resolve-from", Version: "3.0.0", Locations: []types.Location{{StartLine: 12573, EndLine: 12573}}},
		{Name: "resolve-from", Version: "4.0.0", Locations: []types.Location{{StartLine: 12578, EndLine: 12578}}},
		{Name: "resolve-pathname", Version: "2.2.0", Locations: []types.Location{{StartLine: 12583, EndLine: 12583}}},
		{Name: "resolve-url", Version: "0.2.1", Locations: []types.Location{{StartLine: 12588, EndLine: 12588}}},
		{Name: "resolve", Version: "1.1.7", Locations: []types.Location{{StartLine: 12593, EndLine: 12593}}},
		{Name: "resolve", Version: "1.10.1", Locations: []types.Location{{StartLine: 12598, EndLine: 12598}}},
		{Name: "restore-cursor", Version: "1.0.1", Locations: []types.Location{{StartLine: 12605, EndLine: 12605}}},
		{Name: "restore-cursor", Version: "2.0.0", Locations: []types.Location{{StartLine: 12613, EndLine: 12613}}},
		{Name: "ret", Version: "0.1.15", Locations: []types.Location{{StartLine: 12621, EndLine: 12621}}},
		{Name: "retry", Version: "0.10.1", Locations: []types.Location{{StartLine: 12626, EndLine: 12626}}},
		{Name: "retry", Version: "0.12.0", Locations: []types.Location{{StartLine: 12631, EndLine: 12631}}},
		{Name: "rimraf", Version: "2.6.3", Locations: []types.Location{{StartLine: 12636, EndLine: 12636}}},
		{Name: "rimraf", Version: "2.2.8", Locations: []types.Location{{StartLine: 12643, EndLine: 12643}}},
		{Name: "ripemd160", Version: "2.0.2", Locations: []types.Location{{StartLine: 12648, EndLine: 12648}}},
		{Name: "rst-selector-parser", Version: "2.2.3", Locations: []types.Location{{StartLine: 12656, EndLine: 12656}}},
		{Name: "rsvp", Version: "3.6.2", Locations: []types.Location{{StartLine: 12664, EndLine: 12664}}},
		{Name: "run-async", Version: "0.1.0", Locations: []types.Location{{StartLine: 12669, EndLine: 12669}}},
		{Name: "run-async", Version: "2.3.0", Locations: []types.Location{{StartLine: 12676, EndLine: 12676}}},
		{Name: "run-node", Version: "1.0.0", Locations: []types.Location{{StartLine: 12683, EndLine: 12683}}},
		{Name: "run-queue", Version: "1.0.3", Locations: []types.Location{{StartLine: 12688, EndLine: 12688}}},
		{Name: "rx-lite", Version: "3.1.2", Locations: []types.Location{{StartLine: 12695, EndLine: 12695}}},
		{Name: "rxjs", Version: "6.5.2", Locations: []types.Location{{StartLine: 12700, EndLine: 12700}}},
		{Name: "safe-buffer", Version: "5.1.1", Locations: []types.Location{{StartLine: 12707, EndLine: 12707}}},
		{Name: "safe-buffer", Version: "5.1.2", Locations: []types.Location{{StartLine: 12712, EndLine: 12712}}},
		{Name: "safe-regex", Version: "1.1.0", Locations: []types.Location{{StartLine: 12717, EndLine: 12717}}},
		{Name: "safer-buffer", Version: "2.1.2", Locations: []types.Location{{StartLine: 12724, EndLine: 12724}}},
		{Name: "sane", Version: "2.5.2", Locations: []types.Location{{StartLine: 12729, EndLine: 12729}}},
		{Name: "sax", Version: "1.2.4", Locations: []types.Location{{StartLine: 12745, EndLine: 12745}}},
		{Name: "scheduler", Version: "0.13.6", Locations: []types.Location{{StartLine: 12750, EndLine: 12750}}},
		{Name: "schema-utils", Version: "0.4.7", Locations: []types.Location{{StartLine: 12758, EndLine: 12758}}},
		{Name: "schema-utils", Version: "1.0.0", Locations: []types.Location{{StartLine: 12766, EndLine: 12766}}},
		{Name: "select-hose", Version: "2.0.0", Locations: []types.Location{{StartLine: 12775, EndLine: 12775}}},
		{Name: "selfsigned", Version: "1.10.4", Locations: []types.Location{{StartLine: 12780, EndLine: 12780}}},
		{Name: "semver-compare", Version: "1.0.0", Locations: []types.Location{{StartLine: 12787, EndLine: 12787}}},
		{Name: "semver-diff", Version: "2.1.0", Locations: []types.Location{{StartLine: 12792, EndLine: 12792}}},
		{Name: "semver", Version: "5.7.0", Locations: []types.Location{{StartLine: 12799, EndLine: 12799}}},
		{Name: "semver", Version: "6.0.0", Locations: []types.Location{{StartLine: 12804, EndLine: 12804}}},
		{Name: "semver", Version: "5.3.0", Locations: []types.Location{{StartLine: 12809, EndLine: 12809}}},
		{Name: "send", Version: "0.16.2", Locations: []types.Location{{StartLine: 12814, EndLine: 12814}}},
		{Name: "serialize-javascript", Version: "1.7.0", Locations: []types.Location{{StartLine: 12833, EndLine: 12833}}},
		{Name: "serve-favicon", Version: "2.5.0", Locations: []types.Location{{StartLine: 12838, EndLine: 12838}}},
		{Name: "serve-index", Version: "1.9.1", Locations: []types.Location{{StartLine: 12849, EndLine: 12849}}},
		{Name: "serve-static", Version: "1.13.2", Locations: []types.Location{{StartLine: 12862, EndLine: 12862}}},
		{Name: "set-blocking", Version: "2.0.0", Locations: []types.Location{{StartLine: 12872, EndLine: 12872}}},
		{Name: "set-value", Version: "0.4.3", Locations: []types.Location{{StartLine: 12877, EndLine: 12877}}},
		{Name: "set-value", Version: "2.0.0", Locations: []types.Location{{StartLine: 12887, EndLine: 12887}}},
		{Name: "setimmediate", Version: "1.0.5", Locations: []types.Location{{StartLine: 12897, EndLine: 12897}}},
		{Name: "setprototypeof", Version: "1.1.0", Locations: []types.Location{{StartLine: 12902, EndLine: 12902}}},
		{Name: "sha.js", Version: "2.4.11", Locations: []types.Location{{StartLine: 12907, EndLine: 12907}}},
		{Name: "sha", Version: "2.0.1", Locations: []types.Location{{StartLine: 12915, EndLine: 12915}}},
		{Name: "shallow-clone", Version: "0.1.2", Locations: []types.Location{{StartLine: 12923, EndLine: 12923}}},
		{Name: "shallowequal", Version: "1.1.0", Locations: []types.Location{{StartLine: 12933, EndLine: 12933}}},
		{Name: "shebang-command", Version: "1.2.0", Locations: []types.Location{{StartLine: 12938, EndLine: 12938}}},
		{Name: "shebang-regex", Version: "1.0.0", Locations: []types.Location{{StartLine: 12945, EndLine: 12945}}},
		{Name: "shell-quote", Version: "1.6.1", Locations: []types.Location{{StartLine: 12950, EndLine: 12950}}},
		{Name: "shelljs", Version: "0.8.3", Locations: []types.Location{{StartLine: 12960, EndLine: 12960}}},
		{Name: "shellwords", Version: "0.1.1", Locations: []types.Location{{StartLine: 12969, EndLine: 12969}}},
		{Name: "signal-exit", Version: "3.0.2", Locations: []types.Location{{StartLine: 12974, EndLine: 12974}}},
		{Name: "sisteransi", Version: "0.1.1", Locations: []types.Location{{StartLine: 12979, EndLine: 12979}}},
		{Name: "slash", Version: "1.0.0", Locations: []types.Location{{StartLine: 12984, EndLine: 12984}}},
		{Name: "slash", Version: "2.0.0", Locations: []types.Location{{StartLine: 12989, EndLine: 12989}}},
		{Name: "slice-ansi", Version: "0.0.4", Locations: []types.Location{{StartLine: 12994, EndLine: 12994}}},
		{Name: "slice-ansi", Version: "1.0.0", Locations: []types.Location{{StartLine: 12999, EndLine: 12999}}},
		{Name: "slice-ansi", Version: "2.1.0", Locations: []types.Location{{StartLine: 13006, EndLine: 13006}}},
		{Name: "slide", Version: "1.1.6", Locations: []types.Location{{StartLine: 13015, EndLine: 13015}}},
		{Name: "smart-buffer", Version: "4.0.2", Locations: []types.Location{{StartLine: 13020, EndLine: 13020}}},
		{Name: "snapdragon-node", Version: "2.1.1", Locations: []types.Location{{StartLine: 13025, EndLine: 13025}}},
		{Name: "snapdragon-util", Version: "3.0.1", Locations: []types.Location{{StartLine: 13034, EndLine: 13034}}},
		{Name: "snapdragon", Version: "0.8.2", Locations: []types.Location{{StartLine: 13041, EndLine: 13041}}},
		{Name: "socket.io-adapter", Version: "1.1.1", Locations: []types.Location{{StartLine: 13055, EndLine: 13055}}},
		{Name: "socket.io-client", Version: "2.2.0", Locations: []types.Location{{StartLine: 13060, EndLine: 13060}}},
		{Name: "socket.io-parser", Version: "3.3.0", Locations: []types.Location{{StartLine: 13080, EndLine: 13080}}},
		{Name: "socket.io", Version: "2.2.0", Locations: []types.Location{{StartLine: 13089, EndLine: 13089}}},
		{Name: "sockjs-client", Version: "1.1.5", Locations: []types.Location{{StartLine: 13101, EndLine: 13101}}},
		{Name: "sockjs-client", Version: "1.3.0", Locations: []types.Location{{StartLine: 13113, EndLine: 13113}}},
		{Name: "sockjs", Version: "0.3.19", Locations: []types.Location{{StartLine: 13125, EndLine: 13125}}},
		{Name: "socks-proxy-agent", Version: "4.0.2", Locations: []types.Location{{StartLine: 13133, EndLine: 13133}}},
		{Name: "socks", Version: "2.3.2", Locations: []types.Location{{StartLine: 13141, EndLine: 13141}}},
		{Name: "sort-keys", Version: "2.0.0", Locations: []types.Location{{StartLine: 13149, EndLine: 13149}}},
		{Name: "sorted-object", Version: "2.0.1", Locations: []types.Location{{StartLine: 13156, EndLine: 13156}}},
		{Name: "sorted-union-stream", Version: "2.1.3", Locations: []types.Location{{StartLine: 13161, EndLine: 13161}}},
		{Name: "source-list-map", Version: "2.0.1", Locations: []types.Location{{StartLine: 13169, EndLine: 13169}}},
		{Name: "source-map-resolve", Version: "0.5.2", Locations: []types.Location{{StartLine: 13174, EndLine: 13174}}},
		{Name: "source-map-support", Version: "0.4.18", Locations: []types.Location{{StartLine: 13185, EndLine: 13185}}},
		{Name: "source-map-support", Version: "0.5.12", Locations: []types.Location{{StartLine: 13192, EndLine: 13192}}},
		{Name: "source-map-url", Version: "0.4.0", Locations: []types.Location{{StartLine: 13200, EndLine: 13200}}},
		{Name: "source-map", Version: "0.5.7", Locations: []types.Location{{StartLine: 13205, EndLine: 13205}}},
		{Name: "source-map", Version: "0.6.1", Locations: []types.Location{{StartLine: 13210, EndLine: 13210}}},
		{Name: "space-separated-tokens", Version: "1.1.4", Locations: []types.Location{{StartLine: 13215, EndLine: 13215}}},
		{Name: "spawn-promise", Version: "0.1.8", Locations: []types.Location{{StartLine: 13220, EndLine: 13220}}},
		{Name: "spdx-correct", Version: "3.1.0", Locations: []types.Location{{StartLine: 13227, EndLine: 13227}}},
		{Name: "spdx-exceptions", Version: "2.2.0", Locations: []types.Location{{StartLine: 13235, EndLine: 13235}}},
		{Name: "spdx-expression-parse", Version: "3.0.0", Locations: []types.Location{{StartLine: 13240, EndLine: 13240}}},
		{Name: "spdx-license-ids", Version: "3.0.4", Locations: []types.Location{{StartLine: 13248, EndLine: 13248}}},
		{Name: "spdy-transport", Version: "3.0.0", Locations: []types.Location{{StartLine: 13253, EndLine: 13253}}},
		{Name: "spdy", Version: "4.0.0", Locations: []types.Location{{StartLine: 13265, EndLine: 13265}}},
		{Name: "split-on-first", Version: "1.1.0", Locations: []types.Location{{StartLine: 13276, EndLine: 13276}}},
		{Name: "split-string", Version: "3.1.0", Locations: []types.Location{{StartLine: 13281, EndLine: 13281}}},
		{Name: "sprintf-js", Version: "1.0.3", Locations: []types.Location{{StartLine: 13288, EndLine: 13288}}},
		{Name: "sshpk", Version: "1.16.1", Locations: []types.Location{{StartLine: 13293, EndLine: 13293}}},
		{Name: "ssri", Version: "5.3.0", Locations: []types.Location{{StartLine: 13308, EndLine: 13308}}},
		{Name: "ssri", Version: "6.0.1", Locations: []types.Location{{StartLine: 13315, EndLine: 13315}}},
		{Name: "stable", Version: "0.1.8", Locations: []types.Location{{StartLine: 13322, EndLine: 13322}}},
		{Name: "stack-utils", Version: "1.0.2", Locations: []types.Location{{StartLine: 13327, EndLine: 13327}}},
		{Name: "staged-git-files", Version: "1.1.1", Locations: []types.Location{{StartLine: 13332, EndLine: 13332}}},
		{Name: "static-extend", Version: "0.1.2", Locations: []types.Location{{StartLine: 13337, EndLine: 13337}}},
		{Name: "statuses", Version: "1.5.0", Locations: []types.Location{{StartLine: 13345, EndLine: 13345}}},
		{Name: "statuses", Version: "1.4.0", Locations: []types.Location{{StartLine: 13350, EndLine: 13350}}},
		{Name: "stealthy-require", Version: "1.1.1", Locations: []types.Location{{StartLine: 13355, EndLine: 13355}}},
		{Name: "stream-browserify", Version: "2.0.2", Locations: []types.Location{{StartLine: 13360, EndLine: 13360}}},
		{Name: "stream-each", Version: "1.2.3", Locations: []types.Location{{StartLine: 13368, EndLine: 13368}}},
		{Name: "stream-http", Version: "2.8.3", Locations: []types.Location{{StartLine: 13376, EndLine: 13376}}},
		{Name: "stream-iterate", Version: "1.2.0", Locations: []types.Location{{StartLine: 13387, EndLine: 13387}}},
		{Name: "stream-shift", Version: "1.0.0", Locations: []types.Location{{StartLine: 13395, EndLine: 13395}}},
		{Name: "strict-uri-encode", Version: "2.0.0", Locations: []types.Location{{StartLine: 13400, EndLine: 13400}}},
		{Name: "string-argv", Version: "0.0.2", Locations: []types.Location{{StartLine: 13405, EndLine: 13405}}},
		{Name: "string-length", Version: "2.0.0", Locations: []types.Location{{StartLine: 13410, EndLine: 13410}}},
		{Name: "string-width", Version: "1.0.2", Locations: []types.Location{{StartLine: 13418, EndLine: 13418}}},
		{Name: "string-width", Version: "2.1.1", Locations: []types.Location{{StartLine: 13427, EndLine: 13427}}},
		{Name: "string-width", Version: "3.1.0", Locations: []types.Location{{StartLine: 13435, EndLine: 13435}}},
		{Name: "string.prototype.matchall", Version: "3.0.1", Locations: []types.Location{{StartLine: 13444, EndLine: 13444}}},
		{Name: "string.prototype.padend", Version: "3.0.0", Locations: []types.Location{{StartLine: 13455, EndLine: 13455}}},
		{Name: "string.prototype.padstart", Version: "3.0.0", Locations: []types.Location{{StartLine: 13464, EndLine: 13464}}},
		{Name: "string.prototype.trim", Version: "1.1.2", Locations: []types.Location{{StartLine: 13473, EndLine: 13473}}},
		{Name: "string_decoder", Version: "1.2.0", Locations: []types.Location{{StartLine: 13482, EndLine: 13482}}},
		{Name: "string_decoder", Version: "0.10.31", Locations: []types.Location{{StartLine: 13489, EndLine: 13489}}},
		{Name: "string_decoder", Version: "1.1.1", Locations: []types.Location{{StartLine: 13494, EndLine: 13494}}},
		{Name: "stringify-object", Version: "3.3.0", Locations: []types.Location{{StartLine: 13501, EndLine: 13501}}},
		{Name: "stringify-package", Version: "1.0.0", Locations: []types.Location{{StartLine: 13510, EndLine: 13510}}},
		{Name: "strip-ansi", Version: "4.0.0", Locations: []types.Location{{StartLine: 13515, EndLine: 13515}}},
		{Name: "strip-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 13522, EndLine: 13522}}},
		{Name: "strip-ansi", Version: "5.2.0", Locations: []types.Location{{StartLine: 13529, EndLine: 13529}}},
		{Name: "strip-ansi", Version: "0.1.1", Locations: []types.Location{{StartLine: 13536, EndLine: 13536}}},
		{Name: "strip-bom", Version: "3.0.0", Locations: []types.Location{{StartLine: 13541, EndLine: 13541}}},
		{Name: "strip-bom", Version: "2.0.0", Locations: []types.Location{{StartLine: 13546, EndLine: 13546}}},
		{Name: "strip-eof", Version: "1.0.0", Locations: []types.Location{{StartLine: 13553, EndLine: 13553}}},
		{Name: "strip-json-comments", Version: "2.0.1", Locations: []types.Location{{StartLine: 13558, EndLine: 13558}}},
		{Name: "style-loader", Version: "0.23.1", Locations: []types.Location{{StartLine: 13563, EndLine: 13563}}},
		{Name: "styled-components", Version: "4.1.3", Locations: []types.Location{{StartLine: 13571, EndLine: 13571}}},
		{Name: "stylis-rule-sheet", Version: "0.0.10", Locations: []types.Location{{StartLine: 13588, EndLine: 13588}}},
		{Name: "stylis", Version: "3.5.4", Locations: []types.Location{{StartLine: 13593, EndLine: 13593}}},
		{Name: "supports-color", Version: "2.0.0", Locations: []types.Location{{StartLine: 13598, EndLine: 13598}}},
		{Name: "supports-color", Version: "3.2.3", Locations: []types.Location{{StartLine: 13603, EndLine: 13603}}},
		{Name: "supports-color", Version: "5.5.0", Locations: []types.Location{{StartLine: 13610, EndLine: 13610}}},
		{Name: "supports-color", Version: "6.1.0", Locations: []types.Location{{StartLine: 13617, EndLine: 13617}}},
		{Name: "svg-url-loader", Version: "2.3.2", Locations: []types.Location{{StartLine: 13624, EndLine: 13624}}},
		{Name: "svgo", Version: "1.2.2", Locations: []types.Location{{StartLine: 13632, EndLine: 13632}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 13652, EndLine: 13652}}},
		{Name: "symbol-tree", Version: "3.2.2", Locations: []types.Location{{StartLine: 13657, EndLine: 13657}}},
		{Name: "symbol.prototype.description", Version: "1.0.0", Locations: []types.Location{{StartLine: 13662, EndLine: 13662}}},
		{Name: "table", Version: "4.0.3", Locations: []types.Location{{StartLine: 13669, EndLine: 13669}}},
		{Name: "table", Version: "5.3.3", Locations: []types.Location{{StartLine: 13681, EndLine: 13681}}},
		{Name: "tapable", Version: "1.1.3", Locations: []types.Location{{StartLine: 13691, EndLine: 13691}}},
		{Name: "tar", Version: "2.2.2", Locations: []types.Location{{StartLine: 13696, EndLine: 13696}}},
		{Name: "tar", Version: "4.4.8", Locations: []types.Location{{StartLine: 13705, EndLine: 13705}}},
		{Name: "temp", Version: "0.8.3", Locations: []types.Location{{StartLine: 13718, EndLine: 13718}}},
		{Name: "term-size", Version: "1.2.0", Locations: []types.Location{{StartLine: 13726, EndLine: 13726}}},
		{Name: "terser-webpack-plugin", Version: "1.2.4", Locations: []types.Location{{StartLine: 13733, EndLine: 13733}}},
		{Name: "terser", Version: "3.17.0", Locations: []types.Location{{StartLine: 13748, EndLine: 13748}}},
		{Name: "test-exclude", Version: "4.2.3", Locations: []types.Location{{StartLine: 13757, EndLine: 13757}}},
		{Name: "text-table", Version: "0.2.0", Locations: []types.Location{{StartLine: 13768, EndLine: 13768}}},
		{Name: "throat", Version: "4.1.0", Locations: []types.Location{{StartLine: 13773, EndLine: 13773}}},
		{Name: "through2", Version: "2.0.5", Locations: []types.Location{{StartLine: 13778, EndLine: 13778}}},
		{Name: "through", Version: "2.3.8", Locations: []types.Location{{StartLine: 13786, EndLine: 13786}}},
		{Name: "thunky", Version: "1.0.3", Locations: []types.Location{{StartLine: 13791, EndLine: 13791}}},
		{Name: "timed-out", Version: "4.0.1", Locations: []types.Location{{StartLine: 13796, EndLine: 13796}}},
		{Name: "timers-browserify", Version: "2.0.10", Locations: []types.Location{{StartLine: 13801, EndLine: 13801}}},
		{Name: "tiny-invariant", Version: "1.0.4", Locations: []types.Location{{StartLine: 13808, EndLine: 13808}}},
		{Name: "tiny-relative-date", Version: "1.3.0", Locations: []types.Location{{StartLine: 13813, EndLine: 13813}}},
		{Name: "tiny-warning", Version: "1.0.2", Locations: []types.Location{{StartLine: 13818, EndLine: 13818}}},
		{Name: "tinycolor2", Version: "1.4.1", Locations: []types.Location{{StartLine: 13823, EndLine: 13823}}},
		{Name: "tmp", Version: "0.0.33", Locations: []types.Location{{StartLine: 13828, EndLine: 13828}}},
		{Name: "tmpl", Version: "1.0.4", Locations: []types.Location{{StartLine: 13835, EndLine: 13835}}},
		{Name: "to-array", Version: "0.1.4", Locations: []types.Location{{StartLine: 13840, EndLine: 13840}}},
		{Name: "to-arraybuffer", Version: "1.0.1", Locations: []types.Location{{StartLine: 13845, EndLine: 13845}}},
		{Name: "to-fast-properties", Version: "1.0.3", Locations: []types.Location{{StartLine: 13850, EndLine: 13850}}},
		{Name: "to-fast-properties", Version: "2.0.0", Locations: []types.Location{{StartLine: 13855, EndLine: 13855}}},
		{Name: "to-object-path", Version: "0.3.0", Locations: []types.Location{{StartLine: 13860, EndLine: 13860}}},
		{Name: "to-regex-range", Version: "2.1.1", Locations: []types.Location{{StartLine: 13867, EndLine: 13867}}},
		{Name: "to-regex", Version: "3.0.2", Locations: []types.Location{{StartLine: 13875, EndLine: 13875}}},
		{Name: "toggle-selection", Version: "1.0.6", Locations: []types.Location{{StartLine: 13885, EndLine: 13885}}},
		{Name: "toposort", Version: "1.0.7", Locations: []types.Location{{StartLine: 13890, EndLine: 13890}}},
		{Name: "tough-cookie", Version: "2.5.0", Locations: []types.Location{{StartLine: 13895, EndLine: 13895}}},
		{Name: "tough-cookie", Version: "2.4.3", Locations: []types.Location{{StartLine: 13903, EndLine: 13903}}},
		{Name: "tr46", Version: "1.0.1", Locations: []types.Location{{StartLine: 13911, EndLine: 13911}}},
		{Name: "traverse", Version: "0.3.9", Locations: []types.Location{{StartLine: 13918, EndLine: 13918}}},
		{Name: "trim-right", Version: "1.0.1", Locations: []types.Location{{StartLine: 13923, EndLine: 13923}}},
		{Name: "trough", Version: "1.0.4", Locations: []types.Location{{StartLine: 13928, EndLine: 13928}}},
		{Name: "tryer", Version: "1.0.1", Locations: []types.Location{{StartLine: 13933, EndLine: 13933}}},
		{Name: "tslib", Version: "1.9.3", Locations: []types.Location{{StartLine: 13938, EndLine: 13938}}},
		{Name: "tty-browserify", Version: "0.0.0", Locations: []types.Location{{StartLine: 13943, EndLine: 13943}}},
		{Name: "tunnel-agent", Version: "0.6.0", Locations: []types.Location{{StartLine: 13948, EndLine: 13948}}},
		{Name: "tweetnacl", Version: "0.14.5", Locations: []types.Location{{StartLine: 13955, EndLine: 13955}}},
		{Name: "type-check", Version: "0.3.2", Locations: []types.Location{{StartLine: 13960, EndLine: 13960}}},
		{Name: "type-is", Version: "1.6.18", Locations: []types.Location{{StartLine: 13967, EndLine: 13967}}},
		{Name: "typed-styles", Version: "0.0.7", Locations: []types.Location{{StartLine: 13975, EndLine: 13975}}},
		{Name: "typedarray", Version: "0.0.6", Locations: []types.Location{{StartLine: 13980, EndLine: 13980}}},
		{Name: "ua-parser-js", Version: "0.7.19", Locations: []types.Location{{StartLine: 13985, EndLine: 13985}}},
		{Name: "uglify-js", Version: "3.4.10", Locations: []types.Location{{StartLine: 13990, EndLine: 13990}}},
		{Name: "uglify-js", Version: "3.5.12", Locations: []types.Location{{StartLine: 13998, EndLine: 13998}}},
		{Name: "uid-number", Version: "0.0.6", Locations: []types.Location{{StartLine: 14006, EndLine: 14006}}},
		{Name: "umask", Version: "1.1.0", Locations: []types.Location{{StartLine: 14011, EndLine: 14011}}},
		{Name: "underscore", Version: "1.6.0", Locations: []types.Location{{StartLine: 14016, EndLine: 14016}}},
		{Name: "unicode-canonical-property-names-ecmascript", Version: "1.0.4", Locations: []types.Location{{StartLine: 14021, EndLine: 14021}}},
		{Name: "unicode-match-property-ecmascript", Version: "1.0.4", Locations: []types.Location{{StartLine: 14026, EndLine: 14026}}},
		{Name: "unicode-match-property-value-ecmascript", Version: "1.1.0", Locations: []types.Location{{StartLine: 14034, EndLine: 14034}}},
		{Name: "unicode-property-aliases-ecmascript", Version: "1.0.5", Locations: []types.Location{{StartLine: 14039, EndLine: 14039}}},
		{Name: "unified", Version: "7.1.0", Locations: []types.Location{{StartLine: 14044, EndLine: 14044}}},
		{Name: "union-value", Version: "1.0.0", Locations: []types.Location{{StartLine: 14058, EndLine: 14058}}},
		{Name: "unique-filename", Version: "1.1.1", Locations: []types.Location{{StartLine: 14068, EndLine: 14068}}},
		{Name: "unique-slug", Version: "2.0.1", Locations: []types.Location{{StartLine: 14075, EndLine: 14075}}},
		{Name: "unique-string", Version: "1.0.0", Locations: []types.Location{{StartLine: 14082, EndLine: 14082}}},
		{Name: "unist-util-stringify-position", Version: "1.1.2", Locations: []types.Location{{StartLine: 14089, EndLine: 14089}}},
		{Name: "unist-util-stringify-position", Version: "2.0.0", Locations: []types.Location{{StartLine: 14094, EndLine: 14094}}},
		{Name: "universal-user-agent", Version: "2.1.0", Locations: []types.Location{{StartLine: 14101, EndLine: 14101}}},
		{Name: "universalify", Version: "0.1.2", Locations: []types.Location{{StartLine: 14108, EndLine: 14108}}},
		{Name: "unpipe", Version: "1.0.0", Locations: []types.Location{{StartLine: 14113, EndLine: 14113}}},
		{Name: "unquote", Version: "1.1.1", Locations: []types.Location{{StartLine: 14118, EndLine: 14118}}},
		{Name: "unset-value", Version: "1.0.0", Locations: []types.Location{{StartLine: 14123, EndLine: 14123}}},
		{Name: "unzip-response", Version: "2.0.1", Locations: []types.Location{{StartLine: 14131, EndLine: 14131}}},
		{Name: "unzipper", Version: "0.8.14", Locations: []types.Location{{StartLine: 14136, EndLine: 14136}}},
		{Name: "upath", Version: "1.1.2", Locations: []types.Location{{StartLine: 14151, EndLine: 14151}}},
		{Name: "update-notifier", Version: "2.5.0", Locations: []types.Location{{StartLine: 14156, EndLine: 14156}}},
		{Name: "upper-case", Version: "1.1.3", Locations: []types.Location{{StartLine: 14172, EndLine: 14172}}},
		{Name: "uri-js", Version: "4.2.2", Locations: []types.Location{{StartLine: 14177, EndLine: 14177}}},
		{Name: "urix", Version: "0.1.0", Locations: []types.Location{{StartLine: 14184, EndLine: 14184}}},
		{Name: "url-loader", Version: "1.1.2", Locations: []types.Location{{StartLine: 14189, EndLine: 14189}}},
		{Name: "url-parse-lax", Version: "1.0.0", Locations: []types.Location{{StartLine: 14198, EndLine: 14198}}},
		{Name: "url-parse", Version: "1.4.7", Locations: []types.Location{{StartLine: 14205, EndLine: 14205}}},
		{Name: "url-template", Version: "2.0.8", Locations: []types.Location{{StartLine: 14213, EndLine: 14213}}},
		{Name: "url-to-options", Version: "1.0.1", Locations: []types.Location{{StartLine: 14218, EndLine: 14218}}},
		{Name: "url", Version: "0.11.0", Locations: []types.Location{{StartLine: 14223, EndLine: 14223}}},
		{Name: "use", Version: "3.1.1", Locations: []types.Location{{StartLine: 14231, EndLine: 14231}}},
		{Name: "user-home", Version: "1.1.1", Locations: []types.Location{{StartLine: 14236, EndLine: 14236}}},
		{Name: "util-deprecate", Version: "1.0.2", Locations: []types.Location{{StartLine: 14241, EndLine: 14241}}},
		{Name: "util-extend", Version: "1.0.3", Locations: []types.Location{{StartLine: 14246, EndLine: 14246}}},
		{Name: "util.promisify", Version: "1.0.0", Locations: []types.Location{{StartLine: 14251, EndLine: 14251}}},
		{Name: "util", Version: "0.10.3", Locations: []types.Location{{StartLine: 14259, EndLine: 14259}}},
		{Name: "util", Version: "0.10.4", Locations: []types.Location{{StartLine: 14266, EndLine: 14266}}},
		{Name: "util", Version: "0.11.1", Locations: []types.Location{{StartLine: 14273, EndLine: 14273}}},
		{Name: "utila", Version: "0.4.0", Locations: []types.Location{{StartLine: 14280, EndLine: 14280}}},
		{Name: "utils-merge", Version: "1.0.1", Locations: []types.Location{{StartLine: 14285, EndLine: 14285}}},
		{Name: "uuid", Version: "3.3.2", Locations: []types.Location{{StartLine: 14290, EndLine: 14290}}},
		{Name: "v8-compile-cache", Version: "2.0.3", Locations: []types.Location{{StartLine: 14295, EndLine: 14295}}},
		{Name: "v8flags", Version: "2.1.1", Locations: []types.Location{{StartLine: 14300, EndLine: 14300}}},
		{Name: "validate-npm-package-license", Version: "3.0.4", Locations: []types.Location{{StartLine: 14307, EndLine: 14307}}},
		{Name: "validate-npm-package-name", Version: "3.0.0", Locations: []types.Location{{StartLine: 14315, EndLine: 14315}}},
		{Name: "value-equal", Version: "0.4.0", Locations: []types.Location{{StartLine: 14322, EndLine: 14322}}},
		{Name: "vary", Version: "1.1.2", Locations: []types.Location{{StartLine: 14327, EndLine: 14327}}},
		{Name: "velocity-animate", Version: "1.5.2", Locations: []types.Location{{StartLine: 14332, EndLine: 14332}}},
		{Name: "velocity-react", Version: "1.4.3", Locations: []types.Location{{StartLine: 14337, EndLine: 14337}}},
		{Name: "verror", Version: "1.10.0", Locations: []types.Location{{StartLine: 14347, EndLine: 14347}}},
		{Name: "vfile-message", Version: "1.1.1", Locations: []types.Location{{StartLine: 14356, EndLine: 14356}}},
		{Name: "vfile-message", Version: "2.0.0", Locations: []types.Location{{StartLine: 14363, EndLine: 14363}}},
		{Name: "vfile", Version: "3.0.1", Locations: []types.Location{{StartLine: 14371, EndLine: 14371}}},
		{Name: "vfile", Version: "4.0.0", Locations: []types.Location{{StartLine: 14381, EndLine: 14381}}},
		{Name: "vm-browserify", Version: "0.0.4", Locations: []types.Location{{StartLine: 14392, EndLine: 14392}}},
		{Name: "w3c-hr-time", Version: "1.0.1", Locations: []types.Location{{StartLine: 14399, EndLine: 14399}}},
		{Name: "walker", Version: "1.0.7", Locations: []types.Location{{StartLine: 14406, EndLine: 14406}}},
		{Name: "warning", Version: "3.0.0", Locations: []types.Location{{StartLine: 14413, EndLine: 14413}}},
		{Name: "warning", Version: "4.0.3", Locations: []types.Location{{StartLine: 14420, EndLine: 14420}}},
		{Name: "watch", Version: "0.18.0", Locations: []types.Location{{StartLine: 14427, EndLine: 14427}}},
		{Name: "watchpack", Version: "1.6.0", Locations: []types.Location{{StartLine: 14435, EndLine: 14435}}},
		{Name: "wbuf", Version: "1.7.3", Locations: []types.Location{{StartLine: 14444, EndLine: 14444}}},
		{Name: "wcwidth", Version: "1.0.1", Locations: []types.Location{{StartLine: 14451, EndLine: 14451}}},
		{Name: "web-namespaces", Version: "1.1.3", Locations: []types.Location{{StartLine: 14458, EndLine: 14458}}},
		{Name: "webidl-conversions", Version: "4.0.2", Locations: []types.Location{{StartLine: 14463, EndLine: 14463}}},
		{Name: "webpack-bundle-analyzer", Version: "3.3.2", Locations: []types.Location{{StartLine: 14468, EndLine: 14468}}},
		{Name: "webpack-cli", Version: "3.3.2", Locations: []types.Location{{StartLine: 14487, EndLine: 14487}}},
		{Name: "webpack-dev-middleware", Version: "3.7.0", Locations: []types.Location{{StartLine: 14504, EndLine: 14504}}},
		{Name: "webpack-dev-server", Version: "3.3.1", Locations: []types.Location{{StartLine: 14514, EndLine: 14514}}},
		{Name: "webpack-hot-middleware", Version: "2.25.0", Locations: []types.Location{{StartLine: 14550, EndLine: 14550}}},
		{Name: "webpack-log", Version: "2.0.0", Locations: []types.Location{{StartLine: 14560, EndLine: 14560}}},
		{Name: "webpack-merge", Version: "4.2.1", Locations: []types.Location{{StartLine: 14568, EndLine: 14568}}},
		{Name: "webpack-sources", Version: "1.3.0", Locations: []types.Location{{StartLine: 14575, EndLine: 14575}}},
		{Name: "webpack", Version: "4.31.0", Locations: []types.Location{{StartLine: 14583, EndLine: 14583}}},
		{Name: "websocket-driver", Version: "0.7.0", Locations: []types.Location{{StartLine: 14613, EndLine: 14613}}},
		{Name: "websocket-extensions", Version: "0.1.3", Locations: []types.Location{{StartLine: 14621, EndLine: 14621}}},
		{Name: "whatwg-encoding", Version: "1.0.5", Locations: []types.Location{{StartLine: 14626, EndLine: 14626}}},
		{Name: "whatwg-fetch", Version: "3.0.0", Locations: []types.Location{{StartLine: 14633, EndLine: 14633}}},
		{Name: "whatwg-mimetype", Version: "2.3.0", Locations: []types.Location{{StartLine: 14638, EndLine: 14638}}},
		{Name: "whatwg-url", Version: "6.5.0", Locations: []types.Location{{StartLine: 14643, EndLine: 14643}}},
		{Name: "whatwg-url", Version: "7.0.0", Locations: []types.Location{{StartLine: 14652, EndLine: 14652}}},
		{Name: "which-module", Version: "1.0.0", Locations: []types.Location{{StartLine: 14661, EndLine: 14661}}},
		{Name: "which-module", Version: "2.0.0", Locations: []types.Location{{StartLine: 14666, EndLine: 14666}}},
		{Name: "which", Version: "1.3.1", Locations: []types.Location{{StartLine: 14671, EndLine: 14671}}},
		{Name: "wide-align", Version: "1.1.3", Locations: []types.Location{{StartLine: 14678, EndLine: 14678}}},
		{Name: "widest-line", Version: "2.0.1", Locations: []types.Location{{StartLine: 14685, EndLine: 14685}}},
		{Name: "window-size", Version: "0.2.0", Locations: []types.Location{{StartLine: 14692, EndLine: 14692}}},
		{Name: "windows-release", Version: "3.2.0", Locations: []types.Location{{StartLine: 14697, EndLine: 14697}}},
		{Name: "wordwrap", Version: "0.0.3", Locations: []types.Location{{StartLine: 14704, EndLine: 14704}}},
		{Name: "wordwrap", Version: "1.0.0", Locations: []types.Location{{StartLine: 14709, EndLine: 14709}}},
		{Name: "worker-farm", Version: "1.7.0", Locations: []types.Location{{StartLine: 14714, EndLine: 14714}}},
		{Name: "wrap-ansi", Version: "2.1.0", Locations: []types.Location{{StartLine: 14721, EndLine: 14721}}},
		{Name: "wrap-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 14729, EndLine: 14729}}},
		{Name: "wrappy", Version: "1.0.2", Locations: []types.Location{{StartLine: 14737, EndLine: 14737}}},
		{Name: "write-file-atomic", Version: "1.3.4", Locations: []types.Location{{StartLine: 14742, EndLine: 14742}}},
		{Name: "write-file-atomic", Version: "2.4.2", Locations: []types.Location{{StartLine: 14751, EndLine: 14751}}},
		{Name: "write-json-file", Version: "2.3.0", Locations: []types.Location{{StartLine: 14760, EndLine: 14760}}},
		{Name: "write", Version: "1.0.3", Locations: []types.Location{{StartLine: 14772, EndLine: 14772}}},
		{Name: "ws", Version: "5.2.2", Locations: []types.Location{{StartLine: 14779, EndLine: 14779}}},
		{Name: "ws", Version: "6.2.1", Locations: []types.Location{{StartLine: 14786, EndLine: 14786}}},
		{Name: "ws", Version: "6.1.4", Locations: []types.Location{{StartLine: 14793, EndLine: 14793}}},
		{Name: "x-is-string", Version: "0.1.0", Locations: []types.Location{{StartLine: 14800, EndLine: 14800}}},
		{Name: "xdg-basedir", Version: "3.0.0", Locations: []types.Location{{StartLine: 14805, EndLine: 14805}}},
		{Name: "xml-name-validator", Version: "3.0.0", Locations: []types.Location{{StartLine: 14810, EndLine: 14810}}},
		{Name: "xmlhttprequest-ssl", Version: "1.5.5", Locations: []types.Location{{StartLine: 14815, EndLine: 14815}}},
		{Name: "xtend", Version: "4.0.1", Locations: []types.Location{{StartLine: 14820, EndLine: 14820}}},
		{Name: "y18n", Version: "3.2.1", Locations: []types.Location{{StartLine: 14825, EndLine: 14825}}},
		{Name: "y18n", Version: "4.0.0", Locations: []types.Location{{StartLine: 14830, EndLine: 14830}}},
		{Name: "yallist", Version: "2.1.2", Locations: []types.Location{{StartLine: 14835, EndLine: 14835}}},
		{Name: "yallist", Version: "3.0.3", Locations: []types.Location{{StartLine: 14840, EndLine: 14840}}},
		{Name: "yargs-parser", Version: "11.1.1", Locations: []types.Location{{StartLine: 14845, EndLine: 14845}}},
		{Name: "yargs-parser", Version: "2.4.1", Locations: []types.Location{{StartLine: 14853, EndLine: 14853}}},
		{Name: "yargs-parser", Version: "9.0.2", Locations: []types.Location{{StartLine: 14861, EndLine: 14861}}},
		{Name: "yargs", Version: "12.0.5", Locations: []types.Location{{StartLine: 14868, EndLine: 14868}}},
		{Name: "yargs", Version: "11.1.0", Locations: []types.Location{{StartLine: 14886, EndLine: 14886}}},
		{Name: "yargs", Version: "4.8.1", Locations: []types.Location{{StartLine: 14904, EndLine: 14904}}},
		{Name: "yeast", Version: "0.1.2", Locations: []types.Location{{StartLine: 14924, EndLine: 14924}}},
	}

	// docker run --name yarn2 --rm -it -w /code node:12-alpine sh
	// yarn set version berry
	// apk add git
	// yarn init
	// yarn add promise jquery
	// yarn info --recursive --dependents --json | jq -r .value | grep -v workspace | awk -F'[@:]' '{printf("{\""$1"\", \""$3"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	// and remove 'code@workspace' dependency
	yarnV2Normal = []types.Library{
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 8, EndLine: 8}}},
		{Name: "jquery", Version: "3.5.1", Locations: []types.Location{{StartLine: 24, EndLine: 24}}},
		{Name: "promise", Version: "8.1.0", Locations: []types.Location{{StartLine: 31, EndLine: 31}}},
	}

	// ... and
	// yarn add react redux
	// yarn info --recursive --dependents --json | jq -r .value | grep -v workspace | awk -F'[@:]' '{printf("{\""$1"\", \""$3"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	// and remove 'code@workspace' and 'fsevents@patch' dependencies
	yarnV2React = []types.Library{
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 8, EndLine: 8}}},
		{Name: "jquery", Version: "3.5.1", Locations: []types.Location{{StartLine: 26, EndLine: 26}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 33, EndLine: 33}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 40, EndLine: 40}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 51, EndLine: 51}}},
		{Name: "promise", Version: "8.1.0", Locations: []types.Location{{StartLine: 58, EndLine: 58}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 67, EndLine: 67}}},
		{Name: "react-is", Version: "16.13.1", Locations: []types.Location{{StartLine: 78, EndLine: 78}}},
		{Name: "react", Version: "16.13.1", Locations: []types.Location{{StartLine: 85, EndLine: 85}}},
		{Name: "redux", Version: "4.0.5", Locations: []types.Location{{StartLine: 96, EndLine: 96}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 106, EndLine: 106}}},
	}

	// ... and
	// yarn add -D mocha
	// yarn info --recursive --dependents --json | jq -r .value | grep -v workspace | awk -F'[@:]' '{printf("{\""$1"\", \""$3"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	// and remove 'code@workspace' and 'fsevents@patch' dependencies
	yarnV2WithDev = []types.Library{
		{Name: "@types/color-name", Version: "1.1.1", Locations: []types.Location{{StartLine: 8, EndLine: 8}}},
		{Name: "abbrev", Version: "1.1.1", Locations: []types.Location{{StartLine: 15, EndLine: 15}}},
		{Name: "ajv", Version: "6.12.4", Locations: []types.Location{{StartLine: 22, EndLine: 22}}},
		{Name: "ansi-colors", Version: "4.1.1", Locations: []types.Location{{StartLine: 34, EndLine: 34}}},
		{Name: "ansi-regex", Version: "2.1.1", Locations: []types.Location{{StartLine: 41, EndLine: 41}}},
		{Name: "ansi-regex", Version: "3.0.0", Locations: []types.Location{{StartLine: 48, EndLine: 48}}},
		{Name: "ansi-regex", Version: "4.1.0", Locations: []types.Location{{StartLine: 55, EndLine: 55}}},
		{Name: "ansi-styles", Version: "3.2.1", Locations: []types.Location{{StartLine: 62, EndLine: 62}}},
		{Name: "ansi-styles", Version: "4.2.1", Locations: []types.Location{{StartLine: 71, EndLine: 71}}},
		{Name: "anymatch", Version: "3.1.1", Locations: []types.Location{{StartLine: 81, EndLine: 81}}},
		{Name: "aproba", Version: "1.2.0", Locations: []types.Location{{StartLine: 91, EndLine: 91}}},
		{Name: "are-we-there-yet", Version: "1.1.5", Locations: []types.Location{{StartLine: 98, EndLine: 98}}},
		{Name: "argparse", Version: "1.0.10", Locations: []types.Location{{StartLine: 108, EndLine: 108}}},
		{Name: "array.prototype.map", Version: "1.0.2", Locations: []types.Location{{StartLine: 117, EndLine: 117}}},
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 129, EndLine: 129}}},
		{Name: "asn1", Version: "0.2.4", Locations: []types.Location{{StartLine: 136, EndLine: 136}}},
		{Name: "assert-plus", Version: "1.0.0", Locations: []types.Location{{StartLine: 145, EndLine: 145}}},
		{Name: "asynckit", Version: "0.4.0", Locations: []types.Location{{StartLine: 152, EndLine: 152}}},
		{Name: "aws-sign2", Version: "0.7.0", Locations: []types.Location{{StartLine: 159, EndLine: 159}}},
		{Name: "aws4", Version: "1.10.1", Locations: []types.Location{{StartLine: 166, EndLine: 166}}},
		{Name: "balanced-match", Version: "1.0.0", Locations: []types.Location{{StartLine: 173, EndLine: 173}}},
		{Name: "bcrypt-pbkdf", Version: "1.0.2", Locations: []types.Location{{StartLine: 180, EndLine: 180}}},
		{Name: "binary-extensions", Version: "2.1.0", Locations: []types.Location{{StartLine: 189, EndLine: 189}}},
		{Name: "brace-expansion", Version: "1.1.11", Locations: []types.Location{{StartLine: 196, EndLine: 196}}},
		{Name: "braces", Version: "3.0.2", Locations: []types.Location{{StartLine: 206, EndLine: 206}}},
		{Name: "browser-stdout", Version: "1.3.1", Locations: []types.Location{{StartLine: 215, EndLine: 215}}},
		{Name: "camelcase", Version: "5.3.1", Locations: []types.Location{{StartLine: 222, EndLine: 222}}},
		{Name: "caseless", Version: "0.12.0", Locations: []types.Location{{StartLine: 229, EndLine: 229}}},
		{Name: "chalk", Version: "4.1.0", Locations: []types.Location{{StartLine: 236, EndLine: 236}}},
		{Name: "chokidar", Version: "3.4.2", Locations: []types.Location{{StartLine: 246, EndLine: 246}}},
		{Name: "chownr", Version: "2.0.0", Locations: []types.Location{{StartLine: 265, EndLine: 265}}},
		{Name: "cliui", Version: "5.0.0", Locations: []types.Location{{StartLine: 272, EndLine: 272}}},
		{Name: "code-point-at", Version: "1.1.0", Locations: []types.Location{{StartLine: 283, EndLine: 283}}},
		{Name: "color-convert", Version: "1.9.3", Locations: []types.Location{{StartLine: 302, EndLine: 302}}},
		{Name: "color-convert", Version: "2.0.1", Locations: []types.Location{{StartLine: 311, EndLine: 311}}},
		{Name: "color-name", Version: "1.1.3", Locations: []types.Location{{StartLine: 320, EndLine: 320}}},
		{Name: "color-name", Version: "1.1.4", Locations: []types.Location{{StartLine: 327, EndLine: 327}}},
		{Name: "combined-stream", Version: "1.0.8", Locations: []types.Location{{StartLine: 334, EndLine: 334}}},
		{Name: "concat-map", Version: "0.0.1", Locations: []types.Location{{StartLine: 343, EndLine: 343}}},
		{Name: "console-control-strings", Version: "1.1.0", Locations: []types.Location{{StartLine: 350, EndLine: 350}}},
		{Name: "core-util-is", Version: "1.0.2", Locations: []types.Location{{StartLine: 357, EndLine: 357}}},
		{Name: "dashdash", Version: "1.14.1", Locations: []types.Location{{StartLine: 364, EndLine: 364}}},
		{Name: "debug", Version: "4.1.1", Locations: []types.Location{{StartLine: 373, EndLine: 373}}},
		{Name: "decamelize", Version: "1.2.0", Locations: []types.Location{{StartLine: 382, EndLine: 382}}},
		{Name: "define-properties", Version: "1.1.3", Locations: []types.Location{{StartLine: 389, EndLine: 389}}},
		{Name: "delayed-stream", Version: "1.0.0", Locations: []types.Location{{StartLine: 398, EndLine: 398}}},
		{Name: "delegates", Version: "1.0.0", Locations: []types.Location{{StartLine: 405, EndLine: 405}}},
		{Name: "diff", Version: "4.0.2", Locations: []types.Location{{StartLine: 412, EndLine: 412}}},
		{Name: "ecc-jsbn", Version: "0.1.2", Locations: []types.Location{{StartLine: 419, EndLine: 419}}},
		{Name: "emoji-regex", Version: "7.0.3", Locations: []types.Location{{StartLine: 429, EndLine: 429}}},
		{Name: "env-paths", Version: "2.2.0", Locations: []types.Location{{StartLine: 436, EndLine: 436}}},
		{Name: "es-abstract", Version: "1.17.6", Locations: []types.Location{{StartLine: 443, EndLine: 443}}},
		{Name: "es-array-method-boxes-properly", Version: "1.0.0", Locations: []types.Location{{StartLine: 462, EndLine: 462}}},
		{Name: "es-get-iterator", Version: "1.1.0", Locations: []types.Location{{StartLine: 469, EndLine: 469}}},
		{Name: "es-to-primitive", Version: "1.2.1", Locations: []types.Location{{StartLine: 484, EndLine: 484}}},
		{Name: "escape-string-regexp", Version: "4.0.0", Locations: []types.Location{{StartLine: 495, EndLine: 495}}},
		{Name: "esprima", Version: "4.0.1", Locations: []types.Location{{StartLine: 502, EndLine: 502}}},
		{Name: "extend", Version: "3.0.2", Locations: []types.Location{{StartLine: 512, EndLine: 512}}},
		{Name: "extsprintf", Version: "1.3.0", Locations: []types.Location{{StartLine: 519, EndLine: 519}}},
		{Name: "fast-deep-equal", Version: "3.1.3", Locations: []types.Location{{StartLine: 526, EndLine: 526}}},
		{Name: "fast-json-stable-stringify", Version: "2.1.0", Locations: []types.Location{{StartLine: 533, EndLine: 533}}},
		{Name: "fill-range", Version: "7.0.1", Locations: []types.Location{{StartLine: 540, EndLine: 540}}},
		{Name: "find-up", Version: "5.0.0", Locations: []types.Location{{StartLine: 549, EndLine: 549}}},
		{Name: "find-up", Version: "3.0.0", Locations: []types.Location{{StartLine: 559, EndLine: 559}}},
		{Name: "flat", Version: "4.1.0", Locations: []types.Location{{StartLine: 568, EndLine: 568}}},
		{Name: "forever-agent", Version: "0.6.1", Locations: []types.Location{{StartLine: 579, EndLine: 579}}},
		{Name: "form-data", Version: "2.3.3", Locations: []types.Location{{StartLine: 586, EndLine: 586}}},
		{Name: "fs-minipass", Version: "2.1.0", Locations: []types.Location{{StartLine: 597, EndLine: 597}}},
		{Name: "fs.realpath", Version: "1.0.0", Locations: []types.Location{{StartLine: 606, EndLine: 606}}},
		{Name: "fsevents", Version: "2.1.3", Locations: []types.Location{{StartLine: 622, EndLine: 622}}},
		{Name: "function-bind", Version: "1.1.1", Locations: []types.Location{{StartLine: 631, EndLine: 631}}},
		{Name: "gauge", Version: "2.7.4", Locations: []types.Location{{StartLine: 638, EndLine: 638}}},
		{Name: "get-caller-file", Version: "2.0.5", Locations: []types.Location{{StartLine: 654, EndLine: 654}}},
		{Name: "getpass", Version: "0.1.7", Locations: []types.Location{{StartLine: 661, EndLine: 661}}},
		{Name: "glob-parent", Version: "5.1.1", Locations: []types.Location{{StartLine: 670, EndLine: 670}}},
		{Name: "glob", Version: "7.1.6", Locations: []types.Location{{StartLine: 679, EndLine: 679}}},
		{Name: "graceful-fs", Version: "4.2.4", Locations: []types.Location{{StartLine: 693, EndLine: 693}}},
		{Name: "growl", Version: "1.10.5", Locations: []types.Location{{StartLine: 700, EndLine: 700}}},
		{Name: "har-schema", Version: "2.0.0", Locations: []types.Location{{StartLine: 707, EndLine: 707}}},
		{Name: "har-validator", Version: "5.1.5", Locations: []types.Location{{StartLine: 714, EndLine: 714}}},
		{Name: "has-flag", Version: "4.0.0", Locations: []types.Location{{StartLine: 724, EndLine: 724}}},
		{Name: "has-symbols", Version: "1.0.1", Locations: []types.Location{{StartLine: 731, EndLine: 731}}},
		{Name: "has-unicode", Version: "2.0.1", Locations: []types.Location{{StartLine: 738, EndLine: 738}}},
		{Name: "has", Version: "1.0.3", Locations: []types.Location{{StartLine: 745, EndLine: 745}}},
		{Name: "he", Version: "1.2.0", Locations: []types.Location{{StartLine: 754, EndLine: 754}}},
		{Name: "http-signature", Version: "1.2.0", Locations: []types.Location{{StartLine: 763, EndLine: 763}}},
		{Name: "inflight", Version: "1.0.6", Locations: []types.Location{{StartLine: 774, EndLine: 774}}},
		{Name: "inherits", Version: "2.0.4", Locations: []types.Location{{StartLine: 784, EndLine: 784}}},
		{Name: "is-arguments", Version: "1.0.4", Locations: []types.Location{{StartLine: 791, EndLine: 791}}},
		{Name: "is-binary-path", Version: "2.1.0", Locations: []types.Location{{StartLine: 798, EndLine: 798}}},
		{Name: "is-buffer", Version: "2.0.4", Locations: []types.Location{{StartLine: 807, EndLine: 807}}},
		{Name: "is-callable", Version: "1.2.0", Locations: []types.Location{{StartLine: 814, EndLine: 814}}},
		{Name: "is-date-object", Version: "1.0.2", Locations: []types.Location{{StartLine: 821, EndLine: 821}}},
		{Name: "is-extglob", Version: "2.1.1", Locations: []types.Location{{StartLine: 828, EndLine: 828}}},
		{Name: "is-fullwidth-code-point", Version: "1.0.0", Locations: []types.Location{{StartLine: 835, EndLine: 835}}},
		{Name: "is-fullwidth-code-point", Version: "2.0.0", Locations: []types.Location{{StartLine: 844, EndLine: 844}}},
		{Name: "is-glob", Version: "4.0.1", Locations: []types.Location{{StartLine: 851, EndLine: 851}}},
		{Name: "is-map", Version: "2.0.1", Locations: []types.Location{{StartLine: 860, EndLine: 860}}},
		{Name: "is-number", Version: "7.0.0", Locations: []types.Location{{StartLine: 867, EndLine: 867}}},
		{Name: "is-plain-obj", Version: "1.1.0", Locations: []types.Location{{StartLine: 874, EndLine: 874}}},
		{Name: "is-regex", Version: "1.1.1", Locations: []types.Location{{StartLine: 881, EndLine: 881}}},
		{Name: "is-set", Version: "2.0.1", Locations: []types.Location{{StartLine: 890, EndLine: 890}}},
		{Name: "is-string", Version: "1.0.5", Locations: []types.Location{{StartLine: 897, EndLine: 897}}},
		{Name: "is-symbol", Version: "1.0.3", Locations: []types.Location{{StartLine: 904, EndLine: 904}}},
		{Name: "is-typedarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 913, EndLine: 913}}},
		{Name: "isarray", Version: "2.0.5", Locations: []types.Location{{StartLine: 920, EndLine: 920}}},
		{Name: "isarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 927, EndLine: 927}}},
		{Name: "isexe", Version: "2.0.0", Locations: []types.Location{{StartLine: 934, EndLine: 934}}},
		{Name: "isstream", Version: "0.1.2", Locations: []types.Location{{StartLine: 941, EndLine: 941}}},
		{Name: "iterate-iterator", Version: "1.0.1", Locations: []types.Location{{StartLine: 948, EndLine: 948}}},
		{Name: "iterate-value", Version: "1.0.2", Locations: []types.Location{{StartLine: 955, EndLine: 955}}},
		{Name: "jquery", Version: "3.5.1", Locations: []types.Location{{StartLine: 965, EndLine: 965}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 972, EndLine: 972}}},
		{Name: "js-yaml", Version: "3.14.0", Locations: []types.Location{{StartLine: 979, EndLine: 979}}},
		{Name: "jsbn", Version: "0.1.1", Locations: []types.Location{{StartLine: 991, EndLine: 991}}},
		{Name: "json-schema-traverse", Version: "0.4.1", Locations: []types.Location{{StartLine: 998, EndLine: 998}}},
		{Name: "json-schema", Version: "0.2.3", Locations: []types.Location{{StartLine: 1005, EndLine: 1005}}},
		{Name: "json-stringify-safe", Version: "5.0.1", Locations: []types.Location{{StartLine: 1012, EndLine: 1012}}},
		{Name: "jsprim", Version: "1.4.1", Locations: []types.Location{{StartLine: 1019, EndLine: 1019}}},
		{Name: "locate-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 1031, EndLine: 1031}}},
		{Name: "locate-path", Version: "6.0.0", Locations: []types.Location{{StartLine: 1041, EndLine: 1041}}},
		{Name: "log-symbols", Version: "4.0.0", Locations: []types.Location{{StartLine: 1050, EndLine: 1050}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 1059, EndLine: 1059}}},
		{Name: "mime-db", Version: "1.44.0", Locations: []types.Location{{StartLine: 1070, EndLine: 1070}}},
		{Name: "mime-types", Version: "2.1.27", Locations: []types.Location{{StartLine: 1077, EndLine: 1077}}},
		{Name: "minimatch", Version: "3.0.4", Locations: []types.Location{{StartLine: 1086, EndLine: 1086}}},
		{Name: "minipass", Version: "3.1.3", Locations: []types.Location{{StartLine: 1095, EndLine: 1095}}},
		{Name: "minizlib", Version: "2.1.2", Locations: []types.Location{{StartLine: 1104, EndLine: 1104}}},
		{Name: "mkdirp", Version: "1.0.4", Locations: []types.Location{{StartLine: 1114, EndLine: 1114}}},
		{Name: "mocha", Version: "8.1.3", Locations: []types.Location{{StartLine: 1123, EndLine: 1123}}},
		{Name: "ms", Version: "2.1.2", Locations: []types.Location{{StartLine: 1159, EndLine: 1159}}},
		{Name: "node-gyp", Version: "7.1.0", Locations: []types.Location{{StartLine: 1166, EndLine: 1166}}},
		{Name: "nopt", Version: "4.0.3", Locations: []types.Location{{StartLine: 1186, EndLine: 1186}}},
		{Name: "normalize-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 1198, EndLine: 1198}}},
		{Name: "npmlog", Version: "4.1.2", Locations: []types.Location{{StartLine: 1205, EndLine: 1205}}},
		{Name: "number-is-nan", Version: "1.0.1", Locations: []types.Location{{StartLine: 1217, EndLine: 1217}}},
		{Name: "oauth-sign", Version: "0.9.0", Locations: []types.Location{{StartLine: 1224, EndLine: 1224}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 1231, EndLine: 1231}}},
		{Name: "object-inspect", Version: "1.8.0", Locations: []types.Location{{StartLine: 1238, EndLine: 1238}}},
		{Name: "object-keys", Version: "1.1.1", Locations: []types.Location{{StartLine: 1245, EndLine: 1245}}},
		{Name: "object.assign", Version: "4.1.0", Locations: []types.Location{{StartLine: 1252, EndLine: 1252}}},
		{Name: "once", Version: "1.4.0", Locations: []types.Location{{StartLine: 1264, EndLine: 1264}}},
		{Name: "os-homedir", Version: "1.0.2", Locations: []types.Location{{StartLine: 1273, EndLine: 1273}}},
		{Name: "os-tmpdir", Version: "1.0.2", Locations: []types.Location{{StartLine: 1280, EndLine: 1280}}},
		{Name: "osenv", Version: "0.1.5", Locations: []types.Location{{StartLine: 1287, EndLine: 1287}}},
		{Name: "p-limit", Version: "2.3.0", Locations: []types.Location{{StartLine: 1297, EndLine: 1297}}},
		{Name: "p-limit", Version: "3.0.2", Locations: []types.Location{{StartLine: 1306, EndLine: 1306}}},
		{Name: "p-locate", Version: "3.0.0", Locations: []types.Location{{StartLine: 1315, EndLine: 1315}}},
		{Name: "p-locate", Version: "5.0.0", Locations: []types.Location{{StartLine: 1324, EndLine: 1324}}},
		{Name: "p-try", Version: "2.2.0", Locations: []types.Location{{StartLine: 1333, EndLine: 1333}}},
		{Name: "path-exists", Version: "3.0.0", Locations: []types.Location{{StartLine: 1340, EndLine: 1340}}},
		{Name: "path-exists", Version: "4.0.0", Locations: []types.Location{{StartLine: 1347, EndLine: 1347}}},
		{Name: "path-is-absolute", Version: "1.0.1", Locations: []types.Location{{StartLine: 1354, EndLine: 1354}}},
		{Name: "performance-now", Version: "2.1.0", Locations: []types.Location{{StartLine: 1361, EndLine: 1361}}},
		{Name: "picomatch", Version: "2.2.2", Locations: []types.Location{{StartLine: 1368, EndLine: 1368}}},
		{Name: "process-nextick-args", Version: "2.0.1", Locations: []types.Location{{StartLine: 1375, EndLine: 1375}}},
		{Name: "promise.allsettled", Version: "1.0.2", Locations: []types.Location{{StartLine: 1382, EndLine: 1382}}},
		{Name: "promise", Version: "8.1.0", Locations: []types.Location{{StartLine: 1395, EndLine: 1395}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 1404, EndLine: 1404}}},
		{Name: "psl", Version: "1.8.0", Locations: []types.Location{{StartLine: 1415, EndLine: 1415}}},
		{Name: "punycode", Version: "2.1.1", Locations: []types.Location{{StartLine: 1422, EndLine: 1422}}},
		{Name: "qs", Version: "6.5.2", Locations: []types.Location{{StartLine: 1429, EndLine: 1429}}},
		{Name: "randombytes", Version: "2.1.0", Locations: []types.Location{{StartLine: 1436, EndLine: 1436}}},
		{Name: "react-is", Version: "16.13.1", Locations: []types.Location{{StartLine: 1445, EndLine: 1445}}},
		{Name: "react", Version: "16.13.1", Locations: []types.Location{{StartLine: 1452, EndLine: 1452}}},
		{Name: "readable-stream", Version: "2.3.7", Locations: []types.Location{{StartLine: 1463, EndLine: 1463}}},
		{Name: "readdirp", Version: "3.4.0", Locations: []types.Location{{StartLine: 1478, EndLine: 1478}}},
		{Name: "redux", Version: "4.0.5", Locations: []types.Location{{StartLine: 1487, EndLine: 1487}}},
		{Name: "request", Version: "2.88.2", Locations: []types.Location{{StartLine: 1497, EndLine: 1497}}},
		{Name: "require-directory", Version: "2.1.1", Locations: []types.Location{{StartLine: 1525, EndLine: 1525}}},
		{Name: "require-main-filename", Version: "2.0.0", Locations: []types.Location{{StartLine: 1532, EndLine: 1532}}},
		{Name: "rimraf", Version: "2.7.1", Locations: []types.Location{{StartLine: 1539, EndLine: 1539}}},
		{Name: "safe-buffer", Version: "5.2.1", Locations: []types.Location{{StartLine: 1550, EndLine: 1550}}},
		{Name: "safe-buffer", Version: "5.1.2", Locations: []types.Location{{StartLine: 1557, EndLine: 1557}}},
		{Name: "safer-buffer", Version: "2.1.2", Locations: []types.Location{{StartLine: 1564, EndLine: 1564}}},
		{Name: "semver", Version: "7.3.2", Locations: []types.Location{{StartLine: 1571, EndLine: 1571}}},
		{Name: "serialize-javascript", Version: "4.0.0", Locations: []types.Location{{StartLine: 1580, EndLine: 1580}}},
		{Name: "set-blocking", Version: "2.0.0", Locations: []types.Location{{StartLine: 1589, EndLine: 1589}}},
		{Name: "signal-exit", Version: "3.0.3", Locations: []types.Location{{StartLine: 1596, EndLine: 1596}}},
		{Name: "sprintf-js", Version: "1.0.3", Locations: []types.Location{{StartLine: 1603, EndLine: 1603}}},
		{Name: "sshpk", Version: "1.16.1", Locations: []types.Location{{StartLine: 1610, EndLine: 1610}}},
		{Name: "string-width", Version: "1.0.2", Locations: []types.Location{{StartLine: 1631, EndLine: 1631}}},
		{Name: "string-width", Version: "2.1.1", Locations: []types.Location{{StartLine: 1642, EndLine: 1642}}},
		{Name: "string-width", Version: "3.1.0", Locations: []types.Location{{StartLine: 1652, EndLine: 1652}}},
		{Name: "string.prototype.trimend", Version: "1.0.1", Locations: []types.Location{{StartLine: 1663, EndLine: 1663}}},
		{Name: "string.prototype.trimstart", Version: "1.0.1", Locations: []types.Location{{StartLine: 1673, EndLine: 1673}}},
		{Name: "string_decoder", Version: "1.1.1", Locations: []types.Location{{StartLine: 1683, EndLine: 1683}}},
		{Name: "strip-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 1692, EndLine: 1692}}},
		{Name: "strip-ansi", Version: "4.0.0", Locations: []types.Location{{StartLine: 1701, EndLine: 1701}}},
		{Name: "strip-ansi", Version: "5.2.0", Locations: []types.Location{{StartLine: 1710, EndLine: 1710}}},
		{Name: "strip-json-comments", Version: "3.0.1", Locations: []types.Location{{StartLine: 1719, EndLine: 1719}}},
		{Name: "supports-color", Version: "7.1.0", Locations: []types.Location{{StartLine: 1726, EndLine: 1726}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 1735, EndLine: 1735}}},
		{Name: "tar", Version: "6.0.5", Locations: []types.Location{{StartLine: 1742, EndLine: 1742}}},
		{Name: "to-regex-range", Version: "5.0.1", Locations: []types.Location{{StartLine: 1756, EndLine: 1756}}},
		{Name: "tough-cookie", Version: "2.5.0", Locations: []types.Location{{StartLine: 1765, EndLine: 1765}}},
		{Name: "tunnel-agent", Version: "0.6.0", Locations: []types.Location{{StartLine: 1775, EndLine: 1775}}},
		{Name: "tweetnacl", Version: "0.14.5", Locations: []types.Location{{StartLine: 1784, EndLine: 1784}}},
		{Name: "uri-js", Version: "4.4.0", Locations: []types.Location{{StartLine: 1791, EndLine: 1791}}},
		{Name: "util-deprecate", Version: "1.0.2", Locations: []types.Location{{StartLine: 1800, EndLine: 1800}}},
		{Name: "uuid", Version: "3.4.0", Locations: []types.Location{{StartLine: 1807, EndLine: 1807}}},
		{Name: "verror", Version: "1.10.0", Locations: []types.Location{{StartLine: 1816, EndLine: 1816}}},
		{Name: "which-module", Version: "2.0.0", Locations: []types.Location{{StartLine: 1827, EndLine: 1827}}},
		{Name: "which", Version: "2.0.2", Locations: []types.Location{{StartLine: 1834, EndLine: 1834}}},
		{Name: "wide-align", Version: "1.1.3", Locations: []types.Location{{StartLine: 1845, EndLine: 1845}}},
		{Name: "workerpool", Version: "6.0.0", Locations: []types.Location{{StartLine: 1854, EndLine: 1854}}},
		{Name: "wrap-ansi", Version: "5.1.0", Locations: []types.Location{{StartLine: 1861, EndLine: 1861}}},
		{Name: "wrappy", Version: "1.0.2", Locations: []types.Location{{StartLine: 1872, EndLine: 1872}}},
		{Name: "y18n", Version: "4.0.0", Locations: []types.Location{{StartLine: 1879, EndLine: 1879}}},
		{Name: "yallist", Version: "4.0.0", Locations: []types.Location{{StartLine: 1886, EndLine: 1886}}},
		{Name: "yargs-parser", Version: "13.1.2", Locations: []types.Location{{StartLine: 1893, EndLine: 1893}}},
		{Name: "yargs-parser", Version: "15.0.1", Locations: []types.Location{{StartLine: 1903, EndLine: 1903}}},
		{Name: "yargs-unparser", Version: "1.6.1", Locations: []types.Location{{StartLine: 1913, EndLine: 1913}}},
		{Name: "yargs", Version: "13.3.2", Locations: []types.Location{{StartLine: 1926, EndLine: 1926}}},
		{Name: "yargs", Version: "14.2.3", Locations: []types.Location{{StartLine: 1944, EndLine: 1944}}},
	}

	// ... and
	// yarn add lodash request chalk commander express async axios vue
	// yarn info --recursive --dependents --json | jq -r .value | grep -v workspace | awk -F'[@:]' '{printf("{\""$1"\", \""$3"\", \"\"},\n")}'
	// to get deps with locations from lock file use following commands:
	// grep -n -E "^\S+@[~^*]?(>= )?[0-9.]*" -A 1 | awk 'BEGIN {s=""}; {($0=="--") ? (s=s"\n") : (s=s$0)}; END { print s}' | sed -E 's/@([0-9~><*\^]|npm).*version:? "?/:/' | sed 's/"//g' | awk -F":" '{print "{Name: \""$2"\", Version: \""$3"\", Locations: []types.Location{{StartLine: "$1", EndLine: "$1"}}},"}'
	// and remove 'code@workspace' and 'fsevents@patch' dependencies
	yarnV2Many = []types.Library{
		{Name: "@types/color-name", Version: "1.1.1", Locations: []types.Location{{StartLine: 8, EndLine: 8}}},
		{Name: "abbrev", Version: "1.1.1", Locations: []types.Location{{StartLine: 15, EndLine: 15}}},
		{Name: "accepts", Version: "1.3.7", Locations: []types.Location{{StartLine: 22, EndLine: 22}}},
		{Name: "ajv", Version: "6.12.4", Locations: []types.Location{{StartLine: 32, EndLine: 32}}},
		{Name: "ansi-colors", Version: "4.1.1", Locations: []types.Location{{StartLine: 44, EndLine: 44}}},
		{Name: "ansi-regex", Version: "2.1.1", Locations: []types.Location{{StartLine: 51, EndLine: 51}}},
		{Name: "ansi-regex", Version: "3.0.0", Locations: []types.Location{{StartLine: 58, EndLine: 58}}},
		{Name: "ansi-regex", Version: "4.1.0", Locations: []types.Location{{StartLine: 65, EndLine: 65}}},
		{Name: "ansi-styles", Version: "3.2.1", Locations: []types.Location{{StartLine: 72, EndLine: 72}}},
		{Name: "ansi-styles", Version: "4.2.1", Locations: []types.Location{{StartLine: 81, EndLine: 81}}},
		{Name: "anymatch", Version: "3.1.1", Locations: []types.Location{{StartLine: 91, EndLine: 91}}},
		{Name: "aproba", Version: "1.2.0", Locations: []types.Location{{StartLine: 101, EndLine: 101}}},
		{Name: "are-we-there-yet", Version: "1.1.5", Locations: []types.Location{{StartLine: 108, EndLine: 108}}},
		{Name: "argparse", Version: "1.0.10", Locations: []types.Location{{StartLine: 118, EndLine: 118}}},
		{Name: "array-flatten", Version: "1.1.1", Locations: []types.Location{{StartLine: 127, EndLine: 127}}},
		{Name: "array.prototype.map", Version: "1.0.2", Locations: []types.Location{{StartLine: 134, EndLine: 134}}},
		{Name: "asap", Version: "2.0.6", Locations: []types.Location{{StartLine: 146, EndLine: 146}}},
		{Name: "asn1", Version: "0.2.4", Locations: []types.Location{{StartLine: 153, EndLine: 153}}},
		{Name: "assert-plus", Version: "1.0.0", Locations: []types.Location{{StartLine: 162, EndLine: 162}}},
		{Name: "async", Version: "3.2.0", Locations: []types.Location{{StartLine: 169, EndLine: 169}}},
		{Name: "asynckit", Version: "0.4.0", Locations: []types.Location{{StartLine: 176, EndLine: 176}}},
		{Name: "aws-sign2", Version: "0.7.0", Locations: []types.Location{{StartLine: 183, EndLine: 183}}},
		{Name: "aws4", Version: "1.10.1", Locations: []types.Location{{StartLine: 190, EndLine: 190}}},
		{Name: "axios", Version: "0.20.0", Locations: []types.Location{{StartLine: 197, EndLine: 197}}},
		{Name: "balanced-match", Version: "1.0.0", Locations: []types.Location{{StartLine: 206, EndLine: 206}}},
		{Name: "bcrypt-pbkdf", Version: "1.0.2", Locations: []types.Location{{StartLine: 213, EndLine: 213}}},
		{Name: "binary-extensions", Version: "2.1.0", Locations: []types.Location{{StartLine: 222, EndLine: 222}}},
		{Name: "body-parser", Version: "1.19.0", Locations: []types.Location{{StartLine: 229, EndLine: 229}}},
		{Name: "brace-expansion", Version: "1.1.11", Locations: []types.Location{{StartLine: 247, EndLine: 247}}},
		{Name: "braces", Version: "3.0.2", Locations: []types.Location{{StartLine: 257, EndLine: 257}}},
		{Name: "browser-stdout", Version: "1.3.1", Locations: []types.Location{{StartLine: 266, EndLine: 266}}},
		{Name: "bytes", Version: "3.1.0", Locations: []types.Location{{StartLine: 273, EndLine: 273}}},
		{Name: "camelcase", Version: "5.3.1", Locations: []types.Location{{StartLine: 280, EndLine: 280}}},
		{Name: "caseless", Version: "0.12.0", Locations: []types.Location{{StartLine: 287, EndLine: 287}}},
		{Name: "chalk", Version: "4.1.0", Locations: []types.Location{{StartLine: 294, EndLine: 294}}},
		{Name: "chokidar", Version: "3.4.2", Locations: []types.Location{{StartLine: 304, EndLine: 304}}},
		{Name: "chownr", Version: "2.0.0", Locations: []types.Location{{StartLine: 323, EndLine: 323}}},
		{Name: "cliui", Version: "5.0.0", Locations: []types.Location{{StartLine: 330, EndLine: 330}}},
		{Name: "code-point-at", Version: "1.1.0", Locations: []types.Location{{StartLine: 341, EndLine: 341}}},
		{Name: "color-convert", Version: "1.9.3", Locations: []types.Location{{StartLine: 368, EndLine: 368}}},
		{Name: "color-convert", Version: "2.0.1", Locations: []types.Location{{StartLine: 377, EndLine: 377}}},
		{Name: "color-name", Version: "1.1.3", Locations: []types.Location{{StartLine: 386, EndLine: 386}}},
		{Name: "color-name", Version: "1.1.4", Locations: []types.Location{{StartLine: 393, EndLine: 393}}},
		{Name: "combined-stream", Version: "1.0.8", Locations: []types.Location{{StartLine: 400, EndLine: 400}}},
		{Name: "commander", Version: "6.1.0", Locations: []types.Location{{StartLine: 409, EndLine: 409}}},
		{Name: "concat-map", Version: "0.0.1", Locations: []types.Location{{StartLine: 416, EndLine: 416}}},
		{Name: "console-control-strings", Version: "1.1.0", Locations: []types.Location{{StartLine: 423, EndLine: 423}}},
		{Name: "content-disposition", Version: "0.5.3", Locations: []types.Location{{StartLine: 430, EndLine: 430}}},
		{Name: "content-type", Version: "1.0.4", Locations: []types.Location{{StartLine: 439, EndLine: 439}}},
		{Name: "cookie-signature", Version: "1.0.6", Locations: []types.Location{{StartLine: 446, EndLine: 446}}},
		{Name: "cookie", Version: "0.4.0", Locations: []types.Location{{StartLine: 453, EndLine: 453}}},
		{Name: "core-util-is", Version: "1.0.2", Locations: []types.Location{{StartLine: 460, EndLine: 460}}},
		{Name: "dashdash", Version: "1.14.1", Locations: []types.Location{{StartLine: 467, EndLine: 467}}},
		{Name: "debug", Version: "2.6.9", Locations: []types.Location{{StartLine: 476, EndLine: 476}}},
		{Name: "debug", Version: "4.1.1", Locations: []types.Location{{StartLine: 485, EndLine: 485}}},
		{Name: "decamelize", Version: "1.2.0", Locations: []types.Location{{StartLine: 494, EndLine: 494}}},
		{Name: "define-properties", Version: "1.1.3", Locations: []types.Location{{StartLine: 501, EndLine: 501}}},
		{Name: "delayed-stream", Version: "1.0.0", Locations: []types.Location{{StartLine: 510, EndLine: 510}}},
		{Name: "delegates", Version: "1.0.0", Locations: []types.Location{{StartLine: 517, EndLine: 517}}},
		{Name: "depd", Version: "1.1.2", Locations: []types.Location{{StartLine: 524, EndLine: 524}}},
		{Name: "destroy", Version: "1.0.4", Locations: []types.Location{{StartLine: 531, EndLine: 531}}},
		{Name: "diff", Version: "4.0.2", Locations: []types.Location{{StartLine: 538, EndLine: 538}}},
		{Name: "ecc-jsbn", Version: "0.1.2", Locations: []types.Location{{StartLine: 545, EndLine: 545}}},
		{Name: "ee-first", Version: "1.1.1", Locations: []types.Location{{StartLine: 555, EndLine: 555}}},
		{Name: "emoji-regex", Version: "7.0.3", Locations: []types.Location{{StartLine: 562, EndLine: 562}}},
		{Name: "encodeurl", Version: "1.0.2", Locations: []types.Location{{StartLine: 569, EndLine: 569}}},
		{Name: "env-paths", Version: "2.2.0", Locations: []types.Location{{StartLine: 576, EndLine: 576}}},
		{Name: "es-abstract", Version: "1.17.6", Locations: []types.Location{{StartLine: 583, EndLine: 583}}},
		{Name: "es-array-method-boxes-properly", Version: "1.0.0", Locations: []types.Location{{StartLine: 602, EndLine: 602}}},
		{Name: "es-get-iterator", Version: "1.1.0", Locations: []types.Location{{StartLine: 609, EndLine: 609}}},
		{Name: "es-to-primitive", Version: "1.2.1", Locations: []types.Location{{StartLine: 624, EndLine: 624}}},
		{Name: "escape-html", Version: "1.0.3", Locations: []types.Location{{StartLine: 635, EndLine: 635}}},
		{Name: "escape-string-regexp", Version: "4.0.0", Locations: []types.Location{{StartLine: 642, EndLine: 642}}},
		{Name: "esprima", Version: "4.0.1", Locations: []types.Location{{StartLine: 649, EndLine: 649}}},
		{Name: "etag", Version: "1.8.1", Locations: []types.Location{{StartLine: 659, EndLine: 659}}},
		{Name: "express", Version: "4.17.1", Locations: []types.Location{{StartLine: 666, EndLine: 666}}},
		{Name: "extend", Version: "3.0.2", Locations: []types.Location{{StartLine: 704, EndLine: 704}}},
		{Name: "extsprintf", Version: "1.3.0", Locations: []types.Location{{StartLine: 711, EndLine: 711}}},
		{Name: "fast-deep-equal", Version: "3.1.3", Locations: []types.Location{{StartLine: 718, EndLine: 718}}},
		{Name: "fast-json-stable-stringify", Version: "2.1.0", Locations: []types.Location{{StartLine: 725, EndLine: 725}}},
		{Name: "fill-range", Version: "7.0.1", Locations: []types.Location{{StartLine: 732, EndLine: 732}}},
		{Name: "finalhandler", Version: "1.1.2", Locations: []types.Location{{StartLine: 741, EndLine: 741}}},
		{Name: "find-up", Version: "5.0.0", Locations: []types.Location{{StartLine: 756, EndLine: 756}}},
		{Name: "find-up", Version: "3.0.0", Locations: []types.Location{{StartLine: 766, EndLine: 766}}},
		{Name: "flat", Version: "4.1.0", Locations: []types.Location{{StartLine: 775, EndLine: 775}}},
		{Name: "follow-redirects", Version: "1.13.0", Locations: []types.Location{{StartLine: 786, EndLine: 786}}},
		{Name: "forever-agent", Version: "0.6.1", Locations: []types.Location{{StartLine: 793, EndLine: 793}}},
		{Name: "form-data", Version: "2.3.3", Locations: []types.Location{{StartLine: 800, EndLine: 800}}},
		{Name: "forwarded", Version: "0.1.2", Locations: []types.Location{{StartLine: 811, EndLine: 811}}},
		{Name: "fresh", Version: "0.5.2", Locations: []types.Location{{StartLine: 818, EndLine: 818}}},
		{Name: "fs-minipass", Version: "2.1.0", Locations: []types.Location{{StartLine: 825, EndLine: 825}}},
		{Name: "fs.realpath", Version: "1.0.0", Locations: []types.Location{{StartLine: 834, EndLine: 834}}},
		{Name: "fsevents", Version: "2.1.3", Locations: []types.Location{{StartLine: 850, EndLine: 850}}},
		{Name: "function-bind", Version: "1.1.1", Locations: []types.Location{{StartLine: 859, EndLine: 859}}},
		{Name: "gauge", Version: "2.7.4", Locations: []types.Location{{StartLine: 866, EndLine: 866}}},
		{Name: "get-caller-file", Version: "2.0.5", Locations: []types.Location{{StartLine: 882, EndLine: 882}}},
		{Name: "getpass", Version: "0.1.7", Locations: []types.Location{{StartLine: 889, EndLine: 889}}},
		{Name: "glob-parent", Version: "5.1.1", Locations: []types.Location{{StartLine: 898, EndLine: 898}}},
		{Name: "glob", Version: "7.1.6", Locations: []types.Location{{StartLine: 907, EndLine: 907}}},
		{Name: "graceful-fs", Version: "4.2.4", Locations: []types.Location{{StartLine: 921, EndLine: 921}}},
		{Name: "growl", Version: "1.10.5", Locations: []types.Location{{StartLine: 928, EndLine: 928}}},
		{Name: "har-schema", Version: "2.0.0", Locations: []types.Location{{StartLine: 935, EndLine: 935}}},
		{Name: "har-validator", Version: "5.1.5", Locations: []types.Location{{StartLine: 942, EndLine: 942}}},
		{Name: "has-flag", Version: "4.0.0", Locations: []types.Location{{StartLine: 952, EndLine: 952}}},
		{Name: "has-symbols", Version: "1.0.1", Locations: []types.Location{{StartLine: 959, EndLine: 959}}},
		{Name: "has-unicode", Version: "2.0.1", Locations: []types.Location{{StartLine: 966, EndLine: 966}}},
		{Name: "has", Version: "1.0.3", Locations: []types.Location{{StartLine: 973, EndLine: 973}}},
		{Name: "he", Version: "1.2.0", Locations: []types.Location{{StartLine: 982, EndLine: 982}}},
		{Name: "http-errors", Version: "1.7.2", Locations: []types.Location{{StartLine: 991, EndLine: 991}}},
		{Name: "http-errors", Version: "1.7.3", Locations: []types.Location{{StartLine: 1004, EndLine: 1004}}},
		{Name: "http-signature", Version: "1.2.0", Locations: []types.Location{{StartLine: 1017, EndLine: 1017}}},
		{Name: "iconv-lite", Version: "0.4.24", Locations: []types.Location{{StartLine: 1028, EndLine: 1028}}},
		{Name: "inflight", Version: "1.0.6", Locations: []types.Location{{StartLine: 1037, EndLine: 1037}}},
		{Name: "inherits", Version: "2.0.4", Locations: []types.Location{{StartLine: 1047, EndLine: 1047}}},
		{Name: "inherits", Version: "2.0.3", Locations: []types.Location{{StartLine: 1054, EndLine: 1054}}},
		{Name: "ipaddr.js", Version: "1.9.1", Locations: []types.Location{{StartLine: 1061, EndLine: 1061}}},
		{Name: "is-arguments", Version: "1.0.4", Locations: []types.Location{{StartLine: 1068, EndLine: 1068}}},
		{Name: "is-binary-path", Version: "2.1.0", Locations: []types.Location{{StartLine: 1075, EndLine: 1075}}},
		{Name: "is-buffer", Version: "2.0.4", Locations: []types.Location{{StartLine: 1084, EndLine: 1084}}},
		{Name: "is-callable", Version: "1.2.0", Locations: []types.Location{{StartLine: 1091, EndLine: 1091}}},
		{Name: "is-date-object", Version: "1.0.2", Locations: []types.Location{{StartLine: 1098, EndLine: 1098}}},
		{Name: "is-extglob", Version: "2.1.1", Locations: []types.Location{{StartLine: 1105, EndLine: 1105}}},
		{Name: "is-fullwidth-code-point", Version: "1.0.0", Locations: []types.Location{{StartLine: 1112, EndLine: 1112}}},
		{Name: "is-fullwidth-code-point", Version: "2.0.0", Locations: []types.Location{{StartLine: 1121, EndLine: 1121}}},
		{Name: "is-glob", Version: "4.0.1", Locations: []types.Location{{StartLine: 1128, EndLine: 1128}}},
		{Name: "is-map", Version: "2.0.1", Locations: []types.Location{{StartLine: 1137, EndLine: 1137}}},
		{Name: "is-number", Version: "7.0.0", Locations: []types.Location{{StartLine: 1144, EndLine: 1144}}},
		{Name: "is-plain-obj", Version: "1.1.0", Locations: []types.Location{{StartLine: 1151, EndLine: 1151}}},
		{Name: "is-regex", Version: "1.1.1", Locations: []types.Location{{StartLine: 1158, EndLine: 1158}}},
		{Name: "is-set", Version: "2.0.1", Locations: []types.Location{{StartLine: 1167, EndLine: 1167}}},
		{Name: "is-string", Version: "1.0.5", Locations: []types.Location{{StartLine: 1174, EndLine: 1174}}},
		{Name: "is-symbol", Version: "1.0.3", Locations: []types.Location{{StartLine: 1181, EndLine: 1181}}},
		{Name: "is-typedarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 1190, EndLine: 1190}}},
		{Name: "isarray", Version: "2.0.5", Locations: []types.Location{{StartLine: 1197, EndLine: 1197}}},
		{Name: "isarray", Version: "1.0.0", Locations: []types.Location{{StartLine: 1204, EndLine: 1204}}},
		{Name: "isexe", Version: "2.0.0", Locations: []types.Location{{StartLine: 1211, EndLine: 1211}}},
		{Name: "isstream", Version: "0.1.2", Locations: []types.Location{{StartLine: 1218, EndLine: 1218}}},
		{Name: "iterate-iterator", Version: "1.0.1", Locations: []types.Location{{StartLine: 1225, EndLine: 1225}}},
		{Name: "iterate-value", Version: "1.0.2", Locations: []types.Location{{StartLine: 1232, EndLine: 1232}}},
		{Name: "jquery", Version: "3.5.1", Locations: []types.Location{{StartLine: 1242, EndLine: 1242}}},
		{Name: "js-tokens", Version: "4.0.0", Locations: []types.Location{{StartLine: 1249, EndLine: 1249}}},
		{Name: "js-yaml", Version: "3.14.0", Locations: []types.Location{{StartLine: 1256, EndLine: 1256}}},
		{Name: "jsbn", Version: "0.1.1", Locations: []types.Location{{StartLine: 1268, EndLine: 1268}}},
		{Name: "json-schema-traverse", Version: "0.4.1", Locations: []types.Location{{StartLine: 1275, EndLine: 1275}}},
		{Name: "json-schema", Version: "0.2.3", Locations: []types.Location{{StartLine: 1282, EndLine: 1282}}},
		{Name: "json-stringify-safe", Version: "5.0.1", Locations: []types.Location{{StartLine: 1289, EndLine: 1289}}},
		{Name: "jsprim", Version: "1.4.1", Locations: []types.Location{{StartLine: 1296, EndLine: 1296}}},
		{Name: "locate-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 1308, EndLine: 1308}}},
		{Name: "locate-path", Version: "6.0.0", Locations: []types.Location{{StartLine: 1318, EndLine: 1318}}},
		{Name: "lodash", Version: "4.17.20", Locations: []types.Location{{StartLine: 1327, EndLine: 1327}}},
		{Name: "log-symbols", Version: "4.0.0", Locations: []types.Location{{StartLine: 1334, EndLine: 1334}}},
		{Name: "loose-envify", Version: "1.4.0", Locations: []types.Location{{StartLine: 1343, EndLine: 1343}}},
		{Name: "media-typer", Version: "0.3.0", Locations: []types.Location{{StartLine: 1354, EndLine: 1354}}},
		{Name: "merge-descriptors", Version: "1.0.1", Locations: []types.Location{{StartLine: 1361, EndLine: 1361}}},
		{Name: "methods", Version: "1.1.2", Locations: []types.Location{{StartLine: 1368, EndLine: 1368}}},
		{Name: "mime-db", Version: "1.44.0", Locations: []types.Location{{StartLine: 1375, EndLine: 1375}}},
		{Name: "mime-types", Version: "2.1.27", Locations: []types.Location{{StartLine: 1382, EndLine: 1382}}},
		{Name: "mime", Version: "1.6.0", Locations: []types.Location{{StartLine: 1391, EndLine: 1391}}},
		{Name: "minimatch", Version: "3.0.4", Locations: []types.Location{{StartLine: 1400, EndLine: 1400}}},
		{Name: "minipass", Version: "3.1.3", Locations: []types.Location{{StartLine: 1409, EndLine: 1409}}},
		{Name: "minizlib", Version: "2.1.2", Locations: []types.Location{{StartLine: 1418, EndLine: 1418}}},
		{Name: "mkdirp", Version: "1.0.4", Locations: []types.Location{{StartLine: 1428, EndLine: 1428}}},
		{Name: "mocha", Version: "8.1.3", Locations: []types.Location{{StartLine: 1437, EndLine: 1437}}},
		{Name: "ms", Version: "2.0.0", Locations: []types.Location{{StartLine: 1473, EndLine: 1473}}},
		{Name: "ms", Version: "2.1.1", Locations: []types.Location{{StartLine: 1480, EndLine: 1480}}},
		{Name: "ms", Version: "2.1.2", Locations: []types.Location{{StartLine: 1487, EndLine: 1487}}},
		{Name: "negotiator", Version: "0.6.2", Locations: []types.Location{{StartLine: 1494, EndLine: 1494}}},
		{Name: "node-gyp", Version: "7.1.0", Locations: []types.Location{{StartLine: 1501, EndLine: 1501}}},
		{Name: "nopt", Version: "4.0.3", Locations: []types.Location{{StartLine: 1521, EndLine: 1521}}},
		{Name: "normalize-path", Version: "3.0.0", Locations: []types.Location{{StartLine: 1533, EndLine: 1533}}},
		{Name: "npmlog", Version: "4.1.2", Locations: []types.Location{{StartLine: 1540, EndLine: 1540}}},
		{Name: "number-is-nan", Version: "1.0.1", Locations: []types.Location{{StartLine: 1552, EndLine: 1552}}},
		{Name: "oauth-sign", Version: "0.9.0", Locations: []types.Location{{StartLine: 1559, EndLine: 1559}}},
		{Name: "object-assign", Version: "4.1.1", Locations: []types.Location{{StartLine: 1566, EndLine: 1566}}},
		{Name: "object-inspect", Version: "1.8.0", Locations: []types.Location{{StartLine: 1573, EndLine: 1573}}},
		{Name: "object-keys", Version: "1.1.1", Locations: []types.Location{{StartLine: 1580, EndLine: 1580}}},
		{Name: "object.assign", Version: "4.1.0", Locations: []types.Location{{StartLine: 1587, EndLine: 1587}}},
		{Name: "on-finished", Version: "2.3.0", Locations: []types.Location{{StartLine: 1599, EndLine: 1599}}},
		{Name: "once", Version: "1.4.0", Locations: []types.Location{{StartLine: 1608, EndLine: 1608}}},
		{Name: "os-homedir", Version: "1.0.2", Locations: []types.Location{{StartLine: 1617, EndLine: 1617}}},
		{Name: "os-tmpdir", Version: "1.0.2", Locations: []types.Location{{StartLine: 1624, EndLine: 1624}}},
		{Name: "osenv", Version: "0.1.5", Locations: []types.Location{{StartLine: 1631, EndLine: 1631}}},
		{Name: "p-limit", Version: "2.3.0", Locations: []types.Location{{StartLine: 1641, EndLine: 1641}}},
		{Name: "p-limit", Version: "3.0.2", Locations: []types.Location{{StartLine: 1650, EndLine: 1650}}},
		{Name: "p-locate", Version: "3.0.0", Locations: []types.Location{{StartLine: 1659, EndLine: 1659}}},
		{Name: "p-locate", Version: "5.0.0", Locations: []types.Location{{StartLine: 1668, EndLine: 1668}}},
		{Name: "p-try", Version: "2.2.0", Locations: []types.Location{{StartLine: 1677, EndLine: 1677}}},
		{Name: "parseurl", Version: "1.3.3", Locations: []types.Location{{StartLine: 1684, EndLine: 1684}}},
		{Name: "path-exists", Version: "3.0.0", Locations: []types.Location{{StartLine: 1691, EndLine: 1691}}},
		{Name: "path-exists", Version: "4.0.0", Locations: []types.Location{{StartLine: 1698, EndLine: 1698}}},
		{Name: "path-is-absolute", Version: "1.0.1", Locations: []types.Location{{StartLine: 1705, EndLine: 1705}}},
		{Name: "path-to-regexp", Version: "0.1.7", Locations: []types.Location{{StartLine: 1712, EndLine: 1712}}},
		{Name: "performance-now", Version: "2.1.0", Locations: []types.Location{{StartLine: 1719, EndLine: 1719}}},
		{Name: "picomatch", Version: "2.2.2", Locations: []types.Location{{StartLine: 1726, EndLine: 1726}}},
		{Name: "process-nextick-args", Version: "2.0.1", Locations: []types.Location{{StartLine: 1733, EndLine: 1733}}},
		{Name: "promise.allsettled", Version: "1.0.2", Locations: []types.Location{{StartLine: 1740, EndLine: 1740}}},
		{Name: "promise", Version: "8.1.0", Locations: []types.Location{{StartLine: 1753, EndLine: 1753}}},
		{Name: "prop-types", Version: "15.7.2", Locations: []types.Location{{StartLine: 1762, EndLine: 1762}}},
		{Name: "proxy-addr", Version: "2.0.6", Locations: []types.Location{{StartLine: 1773, EndLine: 1773}}},
		{Name: "psl", Version: "1.8.0", Locations: []types.Location{{StartLine: 1783, EndLine: 1783}}},
		{Name: "punycode", Version: "2.1.1", Locations: []types.Location{{StartLine: 1790, EndLine: 1790}}},
		{Name: "qs", Version: "6.7.0", Locations: []types.Location{{StartLine: 1797, EndLine: 1797}}},
		{Name: "qs", Version: "6.5.2", Locations: []types.Location{{StartLine: 1804, EndLine: 1804}}},
		{Name: "randombytes", Version: "2.1.0", Locations: []types.Location{{StartLine: 1811, EndLine: 1811}}},
		{Name: "range-parser", Version: "1.2.1", Locations: []types.Location{{StartLine: 1820, EndLine: 1820}}},
		{Name: "raw-body", Version: "2.4.0", Locations: []types.Location{{StartLine: 1827, EndLine: 1827}}},
		{Name: "react-is", Version: "16.13.1", Locations: []types.Location{{StartLine: 1839, EndLine: 1839}}},
		{Name: "react", Version: "16.13.1", Locations: []types.Location{{StartLine: 1846, EndLine: 1846}}},
		{Name: "readable-stream", Version: "2.3.7", Locations: []types.Location{{StartLine: 1857, EndLine: 1857}}},
		{Name: "readdirp", Version: "3.4.0", Locations: []types.Location{{StartLine: 1872, EndLine: 1872}}},
		{Name: "redux", Version: "4.0.5", Locations: []types.Location{{StartLine: 1881, EndLine: 1881}}},
		{Name: "request", Version: "2.88.2", Locations: []types.Location{{StartLine: 1891, EndLine: 1891}}},
		{Name: "require-directory", Version: "2.1.1", Locations: []types.Location{{StartLine: 1919, EndLine: 1919}}},
		{Name: "require-main-filename", Version: "2.0.0", Locations: []types.Location{{StartLine: 1926, EndLine: 1926}}},
		{Name: "rimraf", Version: "2.7.1", Locations: []types.Location{{StartLine: 1933, EndLine: 1933}}},
		{Name: "safe-buffer", Version: "5.1.2", Locations: []types.Location{{StartLine: 1944, EndLine: 1944}}},
		{Name: "safe-buffer", Version: "5.2.1", Locations: []types.Location{{StartLine: 1951, EndLine: 1951}}},
		{Name: "safer-buffer", Version: "2.1.2", Locations: []types.Location{{StartLine: 1958, EndLine: 1958}}},
		{Name: "semver", Version: "7.3.2", Locations: []types.Location{{StartLine: 1965, EndLine: 1965}}},
		{Name: "send", Version: "0.17.1", Locations: []types.Location{{StartLine: 1974, EndLine: 1974}}},
		{Name: "serialize-javascript", Version: "4.0.0", Locations: []types.Location{{StartLine: 1995, EndLine: 1995}}},
		{Name: "serve-static", Version: "1.14.1", Locations: []types.Location{{StartLine: 2004, EndLine: 2004}}},
		{Name: "set-blocking", Version: "2.0.0", Locations: []types.Location{{StartLine: 2016, EndLine: 2016}}},
		{Name: "setprototypeof", Version: "1.1.1", Locations: []types.Location{{StartLine: 2023, EndLine: 2023}}},
		{Name: "signal-exit", Version: "3.0.3", Locations: []types.Location{{StartLine: 2030, EndLine: 2030}}},
		{Name: "sprintf-js", Version: "1.0.3", Locations: []types.Location{{StartLine: 2037, EndLine: 2037}}},
		{Name: "sshpk", Version: "1.16.1", Locations: []types.Location{{StartLine: 2044, EndLine: 2044}}},
		{Name: "statuses", Version: "1.5.0", Locations: []types.Location{{StartLine: 2065, EndLine: 2065}}},
		{Name: "string-width", Version: "1.0.2", Locations: []types.Location{{StartLine: 2072, EndLine: 2072}}},
		{Name: "string-width", Version: "2.1.1", Locations: []types.Location{{StartLine: 2083, EndLine: 2083}}},
		{Name: "string-width", Version: "3.1.0", Locations: []types.Location{{StartLine: 2093, EndLine: 2093}}},
		{Name: "string.prototype.trimend", Version: "1.0.1", Locations: []types.Location{{StartLine: 2104, EndLine: 2104}}},
		{Name: "string.prototype.trimstart", Version: "1.0.1", Locations: []types.Location{{StartLine: 2114, EndLine: 2114}}},
		{Name: "string_decoder", Version: "1.1.1", Locations: []types.Location{{StartLine: 2124, EndLine: 2124}}},
		{Name: "strip-ansi", Version: "3.0.1", Locations: []types.Location{{StartLine: 2133, EndLine: 2133}}},
		{Name: "strip-ansi", Version: "4.0.0", Locations: []types.Location{{StartLine: 2142, EndLine: 2142}}},
		{Name: "strip-ansi", Version: "5.2.0", Locations: []types.Location{{StartLine: 2151, EndLine: 2151}}},
		{Name: "strip-json-comments", Version: "3.0.1", Locations: []types.Location{{StartLine: 2160, EndLine: 2160}}},
		{Name: "supports-color", Version: "7.1.0", Locations: []types.Location{{StartLine: 2167, EndLine: 2167}}},
		{Name: "symbol-observable", Version: "1.2.0", Locations: []types.Location{{StartLine: 2176, EndLine: 2176}}},
		{Name: "tar", Version: "6.0.5", Locations: []types.Location{{StartLine: 2183, EndLine: 2183}}},
		{Name: "to-regex-range", Version: "5.0.1", Locations: []types.Location{{StartLine: 2197, EndLine: 2197}}},
		{Name: "toidentifier", Version: "1.0.0", Locations: []types.Location{{StartLine: 2206, EndLine: 2206}}},
		{Name: "tough-cookie", Version: "2.5.0", Locations: []types.Location{{StartLine: 2213, EndLine: 2213}}},
		{Name: "tunnel-agent", Version: "0.6.0", Locations: []types.Location{{StartLine: 2223, EndLine: 2223}}},
		{Name: "tweetnacl", Version: "0.14.5", Locations: []types.Location{{StartLine: 2232, EndLine: 2232}}},
		{Name: "type-is", Version: "1.6.18", Locations: []types.Location{{StartLine: 2239, EndLine: 2239}}},
		{Name: "unpipe", Version: "1.0.0", Locations: []types.Location{{StartLine: 2249, EndLine: 2249}}},
		{Name: "uri-js", Version: "4.4.0", Locations: []types.Location{{StartLine: 2256, EndLine: 2256}}},
		{Name: "util-deprecate", Version: "1.0.2", Locations: []types.Location{{StartLine: 2265, EndLine: 2265}}},
		{Name: "utils-merge", Version: "1.0.1", Locations: []types.Location{{StartLine: 2272, EndLine: 2272}}},
		{Name: "uuid", Version: "3.4.0", Locations: []types.Location{{StartLine: 2279, EndLine: 2279}}},
		{Name: "vary", Version: "1.1.2", Locations: []types.Location{{StartLine: 2288, EndLine: 2288}}},
		{Name: "verror", Version: "1.10.0", Locations: []types.Location{{StartLine: 2295, EndLine: 2295}}},
		{Name: "vue", Version: "2.6.12", Locations: []types.Location{{StartLine: 2306, EndLine: 2306}}},
		{Name: "which-module", Version: "2.0.0", Locations: []types.Location{{StartLine: 2313, EndLine: 2313}}},
		{Name: "which", Version: "2.0.2", Locations: []types.Location{{StartLine: 2320, EndLine: 2320}}},
		{Name: "wide-align", Version: "1.1.3", Locations: []types.Location{{StartLine: 2331, EndLine: 2331}}},
		{Name: "workerpool", Version: "6.0.0", Locations: []types.Location{{StartLine: 2340, EndLine: 2340}}},
		{Name: "wrap-ansi", Version: "5.1.0", Locations: []types.Location{{StartLine: 2347, EndLine: 2347}}},
		{Name: "wrappy", Version: "1.0.2", Locations: []types.Location{{StartLine: 2358, EndLine: 2358}}},
		{Name: "y18n", Version: "4.0.0", Locations: []types.Location{{StartLine: 2365, EndLine: 2365}}},
		{Name: "yallist", Version: "4.0.0", Locations: []types.Location{{StartLine: 2372, EndLine: 2372}}},
		{Name: "yargs-parser", Version: "13.1.2", Locations: []types.Location{{StartLine: 2379, EndLine: 2379}}},
		{Name: "yargs-parser", Version: "15.0.1", Locations: []types.Location{{StartLine: 2389, EndLine: 2389}}},
		{Name: "yargs-unparser", Version: "1.6.1", Locations: []types.Location{{StartLine: 2399, EndLine: 2399}}},
		{Name: "yargs", Version: "13.3.2", Locations: []types.Location{{StartLine: 2412, EndLine: 2412}}},
		{Name: "yargs", Version: "14.2.3", Locations: []types.Location{{StartLine: 2430, EndLine: 2430}}}}

	// docker run --name node --rm -it node:16-alpine sh
	// mkdir app && cd app
	// yarn init -y
	// yarn add jquery
	// npm install
	yarnWithNpm = []types.Library{
		{Name: "jquery", Version: "3.6.0", Locations: []types.Location{{StartLine: 1, EndLine: 1}}},
	}
)
